function [residual, g1, g2] = BBCDLmodelcomp_ramsey_c1pid_c2pid_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 97, 1);

%
% Model equations
%

T10 = exp(y(7));
T18 = exp(y(12));
T21 = exp(y(10));
T24 = T10^(params(4)-1);
T31 = (T21*exp((-y(48))))^params(25);
T36 = T10*params(30)*params(4)*T18*T21*T24*T31*(1+params(27))/params(27);
T42 = exp((-y(12)));
T46 = exp(y(14));
T48 = T18*T10*params(4)*params(5)*params(29)*T42*T46;
T49 = T24*T48;
T50 = T10^params(4);
T53 = params(34)/y(13);
T56 = (1+params(27))*(1+params(25))/params(27);
T57 = T53^T56;
T84 = params(6)/(1+params(6));
T86 = (T10*params(32)*exp((-y(9))))^(T84-1);
T87 = T10*params(32)*params(6)*y(70)*exp((-y(9)))*T86;
T88 = T87/(1+params(6));
T117 = (T10*params(31)*exp((-y(8))))^(T84-1);
T118 = T18*T10*params(6)*params(31)*y(69)*exp((-y(8)))*T117;
T119 = T118/(1+params(6));
T135 = y(13)*params(3)*T10^(1+params(4));
T143 = exp(y(15));
T145 = T18*T10*T42*params(4)*params(5)*params(29)*y(74)*T143;
T147 = (1+params(27))/params(27);
T149 = T53^(1-T147);
T155 = params(3)*T10^(1+params(4));
T163 = T50*T18*T46*T10*T42*y(73)*params(4)*params(5)*params(29);
T172 = params(31)^T84;
T175 = 1/(1+params(6));
T178 = exp(y(8))*y(71)*T172*exp(y(8))^(T175-1);
T181 = params(32)^T84;
T185 = T172*exp(y(8))^T175+T181*exp(y(9))^T175;
T186 = T185^params(6);
T202 = T21^(1+params(25));
T203 = exp(y(17))*params(30)*y(93)*T202;
T205 = exp(y(48))^params(25);
T206 = (1+params(25))*T205;
T207 = T203/T206;
T243 = T149*T50*T18*T143*T42*y(74)*params(5)*params(29)/(T50*params(3));
T254 = T50*T18*T46*T42*y(73)*params(5)*params(29)/(T57*T50*params(3));
T260 = exp(y(9))*y(71)*T181*exp(y(9))^(T175-1);
T273 = params(27)*y(13)^2;
T275 = 1+1/params(27);
T276 = T53^T275;
T292 = T50*params(3)*y(13)^2;
T300 = T53^(1+T56);
T302 = (1+params(27))*(1+params(25))*exp(y(35))*y(76)*params(29)*params(34)/(T273*T300);
T314 = T292*T53^T147;
T315 = T50*T18*T143*T42*y(74)*params(29)*params(5)*params(34)*(T147-1)/T314;
T323 = (1+params(27))*(1+params(25))*T50*T18*T46*T42*y(73)*params(29)*params(5)*params(34);
T331 = exp(y(16));
T335 = T331^(params(25)*(1+params(27))/params(27));
T336 = y(72)*T331*T335;
T337 = 1+params(25)*(1+params(27))/params(27);
T343 = params(27)*T331^T275;
T351 = params(27)*T331^(1+T56);
T357 = exp((-y(26)));
T375 = (1+y(18))^2;
T392 = (1+params(27))*T31*T50*T21*params(30)*T18/params(27);
T397 = T50*T18*T46*T42*params(5)*params(29)/(T50*T57);
T434 = (T21*exp((-y(48))))^(params(25)-1);
T438 = T392+(1+params(27))*T50*T18*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T434/params(27);
T439 = y(73)*T438;
T459 = T21*exp(y(17))*params(30)*y(93)*T21^params(25);
T465 = exp(y(21));
T472 = exp(y(26));
T475 = exp(y(24));
T478 = T465^(params(12)-1);
T485 = (T475*exp((-y(51))))^params(24);
T490 = T465*params(36)*params(12)*T472*T475*T478*T485*(1+params(26))/params(26);
T498 = exp(y(28));
T500 = T472*T465*T357*params(12)*params(13)*params(28)*T498;
T501 = T478*T500;
T502 = T465^params(12);
T505 = params(39)/y(27);
T508 = (1+params(26))*(1+params(24))/params(26);
T509 = T505^T508;
T539 = params(14)/(1+params(14));
T541 = (T465*params(38)*exp((-y(23))))^(T539-1);
T542 = T465*y(82)*params(38)*params(14)*exp((-y(23)))*T541;
T543 = T542/(1+params(14));
T557 = (T465*params(37)*exp((-y(22))))^(T539-1);
T558 = T472*T465*params(14)*params(37)*y(81)*exp((-y(22)))*T557;
T559 = T558/(1+params(14));
T574 = params(3)*y(27)*T465^(1+params(12));
T582 = exp(y(29));
T584 = T472*T465*T357*params(12)*params(13)*params(28)*y(86)*T582;
T586 = (1+params(26))/params(26);
T588 = T505^(1-T586);
T594 = params(3)*T465^(1+params(12));
T602 = T502*T472*T498*T465*T357*y(85)*params(12)*params(13)*params(28);
T610 = params(37)^T539;
T613 = 1/(1+params(14));
T616 = exp(y(22))*y(83)*T610*exp(y(22))^(T613-1);
T619 = params(38)^T539;
T623 = T610*exp(y(22))^T613+T619*exp(y(23))^T613;
T624 = T623^params(14);
T640 = T475^(1+params(24));
T641 = exp(y(31))*params(36)*y(94)*T640;
T643 = exp(y(51))^params(24);
T644 = (1+params(24))*T643;
T645 = T641/T644;
T681 = T588*T502*T472*T582*T357*y(86)*params(13)*params(28)/(params(3)*T502);
T692 = T502*T472*T498*T357*y(85)*params(13)*params(28)/(T509*params(3)*T502);
T698 = exp(y(23))*y(83)*T619*exp(y(23))^(T613-1);
T709 = params(26)*y(27)^2;
T711 = 1+1/params(26);
T712 = T505^T711;
T728 = T502*params(3)*y(27)^2;
T736 = T505^(1+T508);
T738 = (1+params(26))*(1+params(24))*exp(y(38))*y(88)*params(28)*params(39)/(T709*T736);
T750 = T728*T505^T586;
T751 = T502*T472*T582*T357*y(86)*params(28)*params(13)*params(39)*(T586-1)/T750;
T759 = (1+params(26))*(1+params(24))*T502*T472*T498*T357*y(85)*params(28)*params(13)*params(39);
T767 = exp(y(30));
T771 = T767^(params(24)*(1+params(26))/params(26));
T772 = y(84)*T767*T771;
T773 = 1+params(24)*(1+params(26))/params(26);
T779 = params(26)*T767^T711;
T787 = params(26)*T767^(1+T508);
T796 = (1+y(32))^2;
T813 = (1+params(26))*T485*T502*T475*params(36)*T472/params(26);
T818 = T502*T472*T498*T357*params(13)*params(28)/(T502*T509);
T855 = (T475*exp((-y(51))))^(params(24)-1);
T859 = T813+(1+params(26))*T502*T472*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T855/params(26);
T860 = y(85)*T859;
T880 = T475*exp(y(31))*params(36)*y(94)*T475^params(24);
T903 = y(34)-params(5)*y(34)+T10^(1-params(4))/(params(4)-1);
T910 = 1/(1+y(18))-T50*T18*params(5)*T42/(T50*y(13));
T924 = T149*T50*T18*T143*T42*params(5)*params(29)/T50;
T933 = 1/(1+y(32))-T502*T472*T357*params(13)/(T502*y(27));
T947 = T588*T502*T472*T582*T357*params(13)*params(28)/T502;
T995 = T10^(1-params(4))/(1-params(4));
T999 = T10^(-params(4));
T1000 = T999/T18;
T1006 = T10*params(31)/exp(y(8));
T1012 = T10*params(32)/exp(y(9));
T1025 = params(30)*T147*(T21/exp(y(48)))^params(25);
T1029 = params(5)*params(29)*T1000/T1000;
T1032 = (1+params(25))*(-(1+params(27)))/params(27);
T1033 = T53^T1032;
T1045 = (-1)/params(27);
T1072 = T465^(-params(12));
T1073 = T1072/T472;
T1079 = T465*params(37)/exp(y(22));
T1086 = T465*params(38)/exp(y(23));
T1099 = params(36)*T586*(T475/exp(y(51)))^params(24);
T1103 = params(13)*params(28)*T1073/T1073;
T1106 = (1+params(24))*(-(1+params(26)))/params(26);
T1107 = T505^T1106;
T1119 = (-1)/params(26);
T1156 = exp(y(17))*T202*params(30)*exp(y(48))^(-params(25))/(1+params(25));
T1167 = exp(y(31))*T640*params(36)*exp(y(51))^(-params(24))/(1+params(24));
T1216 = T10*getPowerDeriv(T10,params(4)-1,1);
T1225 = T10*getPowerDeriv(T10,params(4),1);
T1250 = (T87+T10*params(32)*params(6)*y(70)*exp((-y(9)))*T10*params(32)*exp((-y(9)))*getPowerDeriv(T10*params(32)*exp((-y(9))),T84-1,1))/(1+params(6));
T1259 = (T118+T18*T10*params(6)*params(31)*y(69)*exp((-y(8)))*T10*params(31)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84-1,1))/(1+params(6));
T1316 = (T50*params(3)*T149*T18*T143*T42*y(74)*params(5)*params(29)*T1225-T149*T50*T18*T143*T42*y(74)*params(5)*params(29)*params(3)*T1225)/(T50*params(3)*T50*params(3));
T1324 = (T57*T50*params(3)*T18*T46*T42*y(73)*params(5)*params(29)*T1225-T50*T18*T46*T42*y(73)*params(5)*params(29)*T57*params(3)*T1225)/(T57*T50*params(3)*T57*T50*params(3));
T1360 = (1+params(27))*T31*T21*params(30)*T18*T1225/params(27);
T1365 = (T50*T57*T18*T46*T42*params(5)*params(29)*T1225-T50*T18*T46*T42*params(5)*params(29)*T57*T1225)/(T50*T57*T50*T57);
T1422 = (-(T10*getPowerDeriv(T10,1-params(4),1)/(1-params(4))));
T1425 = T10*getPowerDeriv(T10,(-params(4)),1)/T18;
T1472 = (T117*T18*T10*params(6)*params(31)*y(69)*(-exp((-y(8))))+T18*T10*params(6)*params(31)*y(69)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84-1,1)*T10*params(31)*(-exp((-y(8)))))/(1+params(6));
T1481 = T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175,1)*getPowerDeriv(T185,params(6),1);
T1510 = (T86*T10*params(32)*params(6)*y(70)*(-exp((-y(9))))+T10*params(32)*params(6)*y(70)*exp((-y(9)))*getPowerDeriv(T10*params(32)*exp((-y(9))),T84-1,1)*T10*params(32)*(-exp((-y(9)))))/(1+params(6));
T1515 = getPowerDeriv(T185,params(6),1)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175,1);
T1537 = T21*exp((-y(48)))*getPowerDeriv(T21*exp((-y(48))),params(25),1);
T1551 = (1+params(27))*(T31*T50*T21*params(30)*T18+T50*T21*params(30)*T18*T1537)/params(27);
T1583 = getPowerDeriv(T21/exp(y(48)),params(25),1);
T1647 = T149*T50*(T18*T143*T42*y(74)*params(5)*params(29)+T18*T143*y(74)*params(5)*params(29)*(-T42))/(T50*params(3));
T1654 = T50*(T18*T46*T42*y(73)*params(5)*params(29)+T18*T46*y(73)*params(5)*params(29)*(-T42))/(T57*T50*params(3));
T1687 = T50*(T18*T46*T42*params(5)*params(29)+T18*T46*params(5)*params(29)*(-T42))/(T50*T57);
T1726 = (-(T18*T999))/(T18*T18);
T1756 = (-params(34))/(y(13)*y(13));
T1758 = T1756*getPowerDeriv(T53,T56,1);
T1774 = T1756*getPowerDeriv(T53,1-T147,1);
T1792 = T50*T18*T143*T42*y(74)*params(5)*params(29)*T1774/(T50*params(3));
T1797 = (-(T50*T18*T46*T42*y(73)*params(5)*params(29)*T50*params(3)*T1758))/(T57*T50*params(3)*T57*T50*params(3));
T1846 = (-(T50*T18*T46*T42*params(5)*params(29)*T50*T1758))/(T50*T57*T50*T57);
T1995 = T465*getPowerDeriv(T465,params(12)-1,1);
T2004 = T465*getPowerDeriv(T465,params(12),1);
T2027 = (T542+T465*y(82)*params(38)*params(14)*exp((-y(23)))*T465*params(38)*exp((-y(23)))*getPowerDeriv(T465*params(38)*exp((-y(23))),T539-1,1))/(1+params(14));
T2033 = (T558+T472*T465*params(14)*params(37)*y(81)*exp((-y(22)))*T465*params(37)*exp((-y(22)))*getPowerDeriv(T465*params(37)*exp((-y(22))),T539-1,1))/(1+params(14));
T2090 = (params(3)*T502*T588*T472*T582*T357*y(86)*params(13)*params(28)*T2004-T588*T502*T472*T582*T357*y(86)*params(13)*params(28)*params(3)*T2004)/(params(3)*T502*params(3)*T502);
T2098 = (T509*params(3)*T502*T472*T498*T357*y(85)*params(13)*params(28)*T2004-T502*T472*T498*T357*y(85)*params(13)*params(28)*T509*params(3)*T2004)/(T509*params(3)*T502*T509*params(3)*T502);
T2133 = (1+params(26))*T485*T475*params(36)*T472*T2004/params(26);
T2138 = (T502*T509*T472*T498*T357*params(13)*params(28)*T2004-T502*T472*T498*T357*params(13)*params(28)*T509*T2004)/(T502*T509*T502*T509);
T2191 = T465*getPowerDeriv(T465,(-params(12)),1)/T472;
T2241 = (T557*T472*T465*params(14)*params(37)*y(81)*(-exp((-y(22))))+T472*T465*params(14)*params(37)*y(81)*exp((-y(22)))*getPowerDeriv(T465*params(37)*exp((-y(22))),T539-1,1)*T465*params(37)*(-exp((-y(22)))))/(1+params(14));
T2250 = T610*exp(y(22))*getPowerDeriv(exp(y(22)),T613,1)*getPowerDeriv(T623,params(14),1);
T2279 = (T541*T465*y(82)*params(38)*params(14)*(-exp((-y(23))))+T465*y(82)*params(38)*params(14)*exp((-y(23)))*getPowerDeriv(T465*params(38)*exp((-y(23))),T539-1,1)*T465*params(38)*(-exp((-y(23)))))/(1+params(14));
T2284 = getPowerDeriv(T623,params(14),1)*T619*exp(y(23))*getPowerDeriv(exp(y(23)),T613,1);
T2306 = T475*exp((-y(51)))*getPowerDeriv(T475*exp((-y(51))),params(24),1);
T2320 = (1+params(26))*(T485*T502*T475*params(36)*T472+T502*T475*params(36)*T472*T2306)/params(26);
T2352 = getPowerDeriv(T475/exp(y(51)),params(24),1);
T2418 = T588*T502*(T472*T582*T357*y(86)*params(13)*params(28)+T472*T582*y(86)*params(13)*params(28)*(-T357))/(params(3)*T502);
T2425 = T502*(T472*T498*T357*y(85)*params(13)*params(28)+T472*T498*y(85)*params(13)*params(28)*(-T357))/(T509*params(3)*T502);
T2456 = T502*(T472*T498*T357*params(13)*params(28)+T472*T498*params(13)*params(28)*(-T357))/(T502*T509);
T2498 = (-(T472*T1072))/(T472*T472);
T2525 = (-params(39))/(y(27)*y(27));
T2527 = T2525*getPowerDeriv(T505,T508,1);
T2543 = T2525*getPowerDeriv(T505,1-T586,1);
T2561 = T502*T472*T582*T357*y(86)*params(13)*params(28)*T2543/(params(3)*T502);
T2566 = (-(T502*T472*T498*T357*y(85)*params(13)*params(28)*params(3)*T502*T2527))/(T509*params(3)*T502*T509*params(3)*T502);
T2615 = (-(T502*T472*T498*T357*params(13)*params(28)*T502*T2527))/(T502*T509*T502*T509);
T2778 = getPowerDeriv(T21*exp((-y(48))),params(25),1)*T21*(-exp((-y(48))));
T2793 = (1+params(27))*T50*T21*params(30)*T18*T2778/params(27);
T2849 = getPowerDeriv(T475*exp((-y(51))),params(24),1)*T475*(-exp((-y(51))));
T2864 = (1+params(26))*T502*T475*params(36)*T472*T2849/params(26);
residual(1) = y(71)*T10-y(73)*(T36+T49/(T50*T57))-T10*y(67)/T50-T10*y(93)/T50-T88-T24*T10*params(4)*params(50)*params(49)*params(51)*y(92)*exp((-y(19)))+T119-T24*T18*T10*T42*params(4)*params(5)*y(68)/(T50*y(13))+T50*T18*T10*T42*params(4)*params(5)*y(68)/T135-T24*T145*T149/T50+T149*T50*T145/T155+T163/(T57*T155);
residual(2) = (-y(77))*exp(y(8))-T178*T186-T119;
residual(3) = y(79);
residual(4) = y(76)*exp(y(17))-params(3)*y(55)+T207;
residual(5) = y(55)-params(3)*y(56)-params(29)*y(76)*exp(y(35))/T57;
residual(6) = y(56);
residual(7) = y(78)*exp(y(11))-y(77)*exp(y(11));
residual(8) = y(74)*T143+T46*y(72)*exp((-y(15)))-T243;
residual(9) = y(73)*T46-T46*y(72)*exp((-y(15)))-T254;
residual(10) = T88-T186*T260-exp(y(9))*params(33)*y(89);
residual(11) = params(29)*params(34)*y(75)/(T273*T276)-T18*y(79)*exp((-y(37)))-y(53)+T50*T18*T42*params(5)*y(68)/T292-T302-T315-T323/(T300*T50*params(3)*T273);
residual(12) = T336*T337+y(75)*T331*(params(29)-1)/T343-(params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T331/T351;
residual(13) = y(70)*T357*exp(y(19))-T42*exp((-y(19)))*y(82)+T50*exp((-y(19)))*params(50)*params(49)*params(51)*y(92);
residual(14) = params(3)*(-y(57))-y(68)/T375;
residual(15) = y(57)-params(3)*y(58);
residual(16) = y(58);
residual(17) = T243+T254+T18*y(69)*(T10*params(31)*exp((-y(8))))^T84-y(73)*(T392+T397)-T42*exp((-y(19)))*y(82)-params(3)*y(59)-T18*exp((-y(37)))*y(13)*y(79)-T50*T18*T42*params(5)*y(68)/(T50*y(13))+T50*T18*T42*params(5)*y(68)/(T50*y(13)*params(3))-T149*T50*T18*T143*T42*y(74)*params(5)*params(29)/T50;
residual(18) = T18*exp((-y(37)))*y(13)*y(79)+y(59)-params(3)*y(60);
residual(19) = y(60);
residual(20) = T21*y(77)-T439-T21*y(74)*(1+params(35)*exp(y(49)))/params(27)-T21*y(78)*params(7)*exp(y(47))+T459/T205;
residual(21) = y(83)*T465-y(85)*(T490+T501/(T502*T509))-T465*y(94)/T502+T478*T465*y(92)*params(12)*params(47)*params(48)-T543+T559-T478*T472*T465*T357*params(12)*params(13)*y(80)/(T502*y(27))+T502*T472*T465*T357*params(12)*params(13)*y(80)/T574-T478*T584*T588/T502+T588*T502*T584/T594+T602/(T509*T594);
residual(22) = (-y(89))*exp(y(22))-T616*T624-T559;
residual(23) = y(91);
residual(24) = y(88)*exp(y(31))-params(3)*y(61)+T645;
residual(25) = y(61)-params(3)*y(62)-params(28)*y(88)*exp(y(38))/T509;
residual(26) = y(62);
residual(27) = y(90)*exp(y(25))-y(89)*exp(y(25));
residual(28) = y(86)*T582+T498*y(84)*exp((-y(29)))-T681;
residual(29) = y(85)*T498-T498*y(84)*exp((-y(29)))-T692;
residual(30) = T543-T624*T698-y(77)*exp(y(23))/params(33);
residual(31) = params(28)*params(39)*y(87)/(T709*T712)-T472*y(91)*exp((-y(40)))-y(54)+T502*T472*T357*params(13)*y(80)/T728-T738-T751-T759/(T736*T502*params(3)*T709);
residual(32) = T772*T773+y(87)*T767*(params(28)-1)/T779-(params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T767/T787;
residual(33) = params(3)*(-y(63))-y(80)/T796;
residual(34) = y(63)-params(3)*y(64);
residual(35) = y(64);
residual(36) = T681+T692+T472*y(81)*(T465*params(37)*exp((-y(22))))^T539-y(85)*(T813+T818)-params(3)*y(65)-y(70)*T357*exp(y(19))-T472*exp((-y(40)))*y(27)*y(91)-T502*T472*T357*params(13)*y(80)/(T502*y(27))+T502*T472*T357*params(13)*y(80)/(T502*params(3)*y(27))-T588*T502*T472*T582*T357*y(86)*params(13)*params(28)/T502;
residual(37) = T472*exp((-y(40)))*y(27)*y(91)+y(65)-params(3)*y(66);
residual(38) = y(66);
residual(39) = y(89)*T475-T860-T475*y(86)*(1+params(40)*exp(y(52)))/params(26)-T475*y(90)*params(15)*exp(y(50))+T880/T643;
residual(40) = y(53);
residual(41) = y(54);
residual(42) = y(93)+params(1);
residual(43) = y(94)+params(2);
residual(44) = y(67)-params(5)*y(67)/params(3);
lhs =y(97);
rhs =y(67)*T903+y(68)*T910+y(73)*(T46-T392-T397)+y(74)*(T143-T21*(1+params(35)*exp(y(49)))/params(27)-T924)+y(80)*T933+y(85)*(T498-T813-T818)+y(86)*(T582-T475*(1+params(40)*exp(y(52)))/params(26)-T947);
residual(45)= lhs-rhs;
lhs =y(1);
rhs =params(1)*y(5)+params(2)*y(6);
residual(46)= lhs-rhs;
lhs =y(2);
rhs =y(1)+params(3)*y(2);
residual(47)= lhs-rhs;
lhs =y(95);
rhs =y(5)+params(3)*y(95);
residual(48)= lhs-rhs;
lhs =y(96);
rhs =y(6)+params(3)*y(96);
residual(49)= lhs-rhs;
lhs =y(3);
rhs =y(13);
residual(50)= lhs-rhs;
lhs =y(4);
rhs =y(27);
residual(51)= lhs-rhs;
lhs =y(35);
rhs =y(17);
residual(52)= lhs-rhs;
lhs =y(41);
rhs =y(35);
residual(53)= lhs-rhs;
lhs =y(36);
rhs =y(18);
residual(54)= lhs-rhs;
lhs =y(42);
rhs =y(36);
residual(55)= lhs-rhs;
lhs =y(37);
rhs =y(12);
residual(56)= lhs-rhs;
lhs =y(43);
rhs =y(37);
residual(57)= lhs-rhs;
lhs =y(38);
rhs =y(31);
residual(58)= lhs-rhs;
lhs =y(44);
rhs =y(38);
residual(59)= lhs-rhs;
lhs =y(39);
rhs =y(32);
residual(60)= lhs-rhs;
lhs =y(45);
rhs =y(39);
residual(61)= lhs-rhs;
lhs =y(40);
rhs =y(26);
residual(62)= lhs-rhs;
lhs =y(46);
rhs =y(40);
residual(63)= lhs-rhs;
lhs =y(34);
rhs =params(5)*y(34)+T995;
residual(64)= lhs-rhs;
lhs =1/(1+y(18));
rhs =params(5)*T1000/T1000/y(13);
residual(65)= lhs-rhs;
lhs =T18*T1006^T84;
rhs =1;
residual(66)= lhs-rhs;
lhs =exp(y(19))/T472;
rhs =T1012^T84;
residual(67)= lhs-rhs;
lhs =T10;
rhs =T185^(1+params(6));
residual(68)= lhs-rhs;
lhs =T331^(1+params(25)*T147);
rhs =T46/T143;
residual(69)= lhs-rhs;
lhs =T46;
rhs =T21*T1025/T1000+T46*T1029*T1033;
residual(70)= lhs-rhs;
lhs =T143;
rhs =T21*(1+params(35)*exp(y(49)))/params(27)+T143*T149*T1029;
residual(71)= lhs-rhs;
lhs =(1-params(29))*T331^T1045+params(29)*T53^T1045;
rhs =1;
residual(72)= lhs-rhs;
lhs =exp(y(17));
rhs =(1-params(29))*T331^T1032+exp(y(35))*params(29)*T1033;
residual(73)= lhs-rhs;
lhs =T21;
rhs =exp(y(8))+exp(y(11))+exp(y(23))*1/params(33);
residual(74)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(47))*T21*params(7);
residual(75)= lhs-rhs;
lhs =y(20);
rhs =y(13)*T18/exp(y(37));
residual(76)= lhs-rhs;
lhs =1/(1+y(32));
rhs =params(13)*T1073/T1073/y(27);
residual(77)= lhs-rhs;
lhs =T472*T1079^T539;
rhs =1;
residual(78)= lhs-rhs;
lhs =1/exp(y(19))/T18;
rhs =T1086^T539;
residual(79)= lhs-rhs;
lhs =T465;
rhs =T623^(1+params(14));
residual(80)= lhs-rhs;
lhs =T767^(1+params(24)*T586);
rhs =T498/T582;
residual(81)= lhs-rhs;
lhs =T498;
rhs =T475*T1099/T1073+T498*T1103*T1107;
residual(82)= lhs-rhs;
lhs =T582;
rhs =T475*(1+params(40)*exp(y(52)))/params(26)+T582*T588*T1103;
residual(83)= lhs-rhs;
lhs =(1-params(28))*T767^T1119+params(28)*T505^T1119;
rhs =1;
residual(84)= lhs-rhs;
lhs =exp(y(31));
rhs =(1-params(28))*T767^T1106+exp(y(38))*params(28)*T1107;
residual(85)= lhs-rhs;
lhs =T475;
rhs =exp(y(22))+exp(y(25))+exp(y(9))*params(33);
residual(86)= lhs-rhs;
lhs =exp(y(25));
rhs =exp(y(50))*T475*params(15);
residual(87)= lhs-rhs;
lhs =y(33);
rhs =y(27)*T472/exp(y(40));
residual(88)= lhs-rhs;
lhs =params(48)*params(47)/T1072;
rhs =params(51)*params(50)*params(49)/exp(y(19))/T999;
residual(89)= lhs-rhs;
lhs =y(5);
rhs =T995-T1156;
residual(90)= lhs-rhs;
lhs =y(6);
rhs =T465^(1-params(12))/(1-params(12))-T1167;
residual(91)= lhs-rhs;
lhs =y(47);
rhs =y(47)*params(8)+params(9)*x(1);
residual(92)= lhs-rhs;
lhs =y(48);
rhs =y(48)*params(10)+params(11)*x(2);
residual(93)= lhs-rhs;
lhs =y(49);
rhs =y(49)*params(22)+params(23)*x(6);
residual(94)= lhs-rhs;
lhs =y(50);
rhs =y(50)*params(16)+params(17)*x(3);
residual(95)= lhs-rhs;
lhs =y(51);
rhs =y(51)*params(18)+params(19)*x(4);
residual(96)= lhs-rhs;
lhs =y(52);
rhs =y(52)*params(20)+params(21)*x(5);
residual(97)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(97, 97);

  %
  % Jacobian matrix
  %

  g1(1,7)=y(71)*T10-y(73)*((1+params(27))*T31*(T10*params(30)*params(4)*T18*T21*T24+T10*params(30)*params(4)*T18*T21*T1216)/params(27)+(T50*T57*(T49+T48*T1216)-T49*T57*T1225)/(T50*T57*T50*T57))-(T50*T10*y(67)-T10*y(67)*T1225)/(T50*T50)-(T50*T10*y(93)-T10*y(93)*T1225)/(T50*T50)-T1250-(T24*T10*params(4)*params(50)*params(49)*params(51)*y(92)*exp((-y(19)))+T10*params(4)*params(50)*params(49)*params(51)*y(92)*exp((-y(19)))*T1216)+T1259-(T50*y(13)*(T24*T18*T10*T42*params(4)*params(5)*y(68)+T18*T10*T42*params(4)*params(5)*y(68)*T1216)-T24*T18*T10*T42*params(4)*params(5)*y(68)*y(13)*T1225)/(T50*y(13)*T50*y(13))+(T135*(T50*T18*T10*T42*params(4)*params(5)*y(68)+T18*T10*T42*params(4)*params(5)*y(68)*T1225)-T50*T18*T10*T42*params(4)*params(5)*y(68)*y(13)*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T135*T135)-(T50*T149*(T24*T145+T145*T1216)-T24*T145*T149*T1225)/(T50*T50)+(T155*T149*(T50*T145+T145*T1225)-T149*T50*T145*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T155*T155)+(T57*T155*(T163+T18*T46*T10*T42*y(73)*params(4)*params(5)*params(29)*T1225)-T163*T57*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T57*T155*T57*T155);
  g1(1,8)=T1472;
  g1(1,9)=(-T1510);
  g1(1,10)=(-(y(73)*(1+params(27))*(T10*params(30)*params(4)*T18*T21*T24*T31+T10*params(30)*params(4)*T18*T21*T24*T1537)/params(27)));
  g1(1,12)=T119+(-(y(73)*(T36+T24*(T48+T18*T46*T10*params(4)*params(5)*params(29)*(-T42))/(T50*T57))))-T24*(T18*T10*T42*params(4)*params(5)*y(68)+T18*T10*params(4)*params(5)*y(68)*(-T42))/(T50*y(13))+T50*(T18*T10*T42*params(4)*params(5)*y(68)+T18*T10*params(4)*params(5)*y(68)*(-T42))/T135-T149*T24*(T145+T18*T143*T10*params(4)*params(5)*params(29)*y(74)*(-T42))/T50+T149*T50*(T145+T18*T143*T10*params(4)*params(5)*params(29)*y(74)*(-T42))/T155+T50*(T18*T46*T10*T42*y(73)*params(4)*params(5)*params(29)+T18*T46*T10*y(73)*params(4)*params(5)*params(29)*(-T42))/(T57*T155);
  g1(1,13)=(-(y(73)*(-(T49*T50*T1758))/(T50*T57*T50*T57)))-(-(T50*T24*T18*T10*T42*params(4)*params(5)*y(68)))/(T50*y(13)*T50*y(13))+(-(T50*T18*T10*T42*params(4)*params(5)*y(68)*T155))/(T135*T135)-T24*T145*T1774/T50+T50*T145*T1774/T155+(-(T163*T155*T1758))/(T57*T155*T57*T155);
  g1(1,14)=T163/(T57*T155)+(-(y(73)*T49/(T50*T57)));
  g1(1,15)=T149*T50*T145/T155+(-(T24*T145*T149/T50));
  g1(1,19)=(-(T24*T10*params(4)*params(50)*params(49)*params(51)*y(92)*(-exp((-y(19))))));
  g1(1,48)=(-(y(73)*(1+params(27))*T10*params(30)*params(4)*T18*T21*T24*T2778/params(27)));
  g1(1,67)=(-(T10/T50));
  g1(1,68)=(-(T24*T18*T10*params(4)*params(5)*T42/(T50*y(13))))+T50*T18*T10*params(4)*params(5)*T42/T135;
  g1(1,69)=T117*T18*T10*params(6)*params(31)*exp((-y(8)))/(1+params(6));
  g1(1,70)=(-(T86*T10*params(32)*params(6)*exp((-y(9)))/(1+params(6))));
  g1(1,71)=T10;
  g1(1,73)=(-(T36+T49/(T50*T57)))+T48*T50/(T57*T155);
  g1(1,74)=(-(T149*T24*T18*T10*params(4)*params(5)*params(29)*T42*T143/T50))+T149*T50*T18*T10*params(4)*params(5)*params(29)*T42*T143/T155;
  g1(1,92)=(-(T24*T10*params(4)*params(50)*params(49)*params(51)*exp((-y(19)))));
  g1(1,93)=(-(T10/T50));
  g1(2,7)=(-T1259);
  g1(2,8)=(-y(77))*exp(y(8))-(T186*(T178+exp(y(8))*y(71)*T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175-1,1))+T178*T1481)-T1472;
  g1(2,9)=(-(T178*T1515));
  g1(2,12)=(-T119);
  g1(2,69)=(-(T117*T18*T10*params(6)*params(31)*exp((-y(8)))/(1+params(6))));
  g1(2,71)=(-(T186*exp(y(8))^(T175-1)*exp(y(8))*T172));
  g1(2,77)=(-exp(y(8)));
  g1(3,79)=1;
  g1(4,10)=exp(y(17))*params(30)*y(93)*T21*getPowerDeriv(T21,1+params(25),1)/T206;
  g1(4,17)=y(76)*exp(y(17))+T207;
  g1(4,48)=(-(T203*(1+params(25))*exp(y(48))*getPowerDeriv(exp(y(48)),params(25),1)))/(T206*T206);
  g1(4,55)=(-params(3));
  g1(4,76)=exp(y(17));
  g1(4,93)=T202*params(30)*exp(y(17))/T206;
  g1(5,13)=(-((-(params(29)*y(76)*exp(y(35))*T1758))/(T57*T57)));
  g1(5,35)=(-(params(29)*y(76)*exp(y(35))/T57));
  g1(5,55)=1;
  g1(5,56)=(-params(3));
  g1(5,76)=(-(params(29)*exp(y(35))/T57));
  g1(6,56)=1;
  g1(7,11)=y(78)*exp(y(11))-y(77)*exp(y(11));
  g1(7,77)=(-exp(y(11)));
  g1(7,78)=exp(y(11));
  g1(8,7)=(-T1316);
  g1(8,12)=(-T1647);
  g1(8,13)=(-T1792);
  g1(8,14)=T46*y(72)*exp((-y(15)));
  g1(8,15)=y(74)*T143+T46*y(72)*(-exp((-y(15))))-T243;
  g1(8,72)=T46*exp((-y(15)));
  g1(8,74)=T143-T149*T50*T18*T143*T42*params(5)*params(29)/(T50*params(3));
  g1(9,7)=(-T1324);
  g1(9,12)=(-T1654);
  g1(9,13)=(-T1797);
  g1(9,14)=y(73)*T46-T46*y(72)*exp((-y(15)))-T254;
  g1(9,15)=(-(T46*y(72)*(-exp((-y(15))))));
  g1(9,72)=(-(T46*exp((-y(15)))));
  g1(9,73)=T46-T50*T18*T46*T42*params(5)*params(29)/(T57*T50*params(3));
  g1(10,7)=T1250;
  g1(10,8)=(-(T260*T1481));
  g1(10,9)=T1510-(T260*T1515+T186*(T260+exp(y(9))*y(71)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175-1,1)))-exp(y(9))*params(33)*y(89);
  g1(10,70)=T86*T10*params(32)*params(6)*exp((-y(9)))/(1+params(6));
  g1(10,71)=(-(T186*exp(y(9))^(T175-1)*T181*exp(y(9))));
  g1(10,89)=(-(exp(y(9))*params(33)));
  g1(11,7)=(T292*T18*T42*params(5)*y(68)*T1225-T50*T18*T42*params(5)*y(68)*params(3)*y(13)^2*T1225)/(T292*T292)-(T314*(T147-1)*T18*T143*T42*y(74)*params(29)*params(5)*params(34)*T1225-T50*T18*T143*T42*y(74)*params(29)*params(5)*params(34)*(T147-1)*T53^T147*params(3)*y(13)^2*T1225)/(T314*T314)-(T300*T50*params(3)*T273*(1+params(27))*(1+params(25))*T18*T46*T42*y(73)*params(29)*params(5)*params(34)*T1225-T323*T300*params(3)*T273*T1225)/(T300*T50*params(3)*T273*T300*T50*params(3)*T273);
  g1(11,12)=(-(T18*y(79)*exp((-y(37)))))+T50*(T18*T42*params(5)*y(68)+T18*params(5)*y(68)*(-T42))/T292-(T147-1)*T50*(T18*T143*T42*y(74)*params(29)*params(5)*params(34)+T18*T143*y(74)*params(29)*params(5)*params(34)*(-T42))/T314-(1+params(27))*(1+params(25))*T50*(T18*T46*T42*y(73)*params(29)*params(5)*params(34)+T18*T46*y(73)*params(29)*params(5)*params(34)*(-T42))/(T300*T50*params(3)*T273);
  g1(11,13)=(-(params(29)*params(34)*y(75)*(T276*params(27)*2*y(13)+T273*T1756*getPowerDeriv(T53,T275,1))))/(T273*T276*T273*T276)+(-(T50*T18*T42*params(5)*y(68)*T50*params(3)*2*y(13)))/(T292*T292)-(-((1+params(27))*(1+params(25))*exp(y(35))*y(76)*params(29)*params(34)*(T300*params(27)*2*y(13)+T273*T1756*getPowerDeriv(T53,1+T56,1))))/(T273*T300*T273*T300)-(-(T50*T18*T143*T42*y(74)*params(29)*params(5)*params(34)*(T147-1)*(T53^T147*T50*params(3)*2*y(13)+T292*T1756*getPowerDeriv(T53,T147,1))))/(T314*T314)-(-(T323*(T50*params(3)*T273*T1756*getPowerDeriv(T53,1+T56,1)+T300*T50*params(3)*params(27)*2*y(13))))/(T300*T50*params(3)*T273*T300*T50*params(3)*T273);
  g1(11,14)=(-(T323/(T300*T50*params(3)*T273)));
  g1(11,15)=(-T315);
  g1(11,35)=(-T302);
  g1(11,37)=(-(T18*y(79)*(-exp((-y(37))))));
  g1(11,53)=(-1);
  g1(11,68)=T50*T18*params(5)*T42/T292;
  g1(11,73)=(-((1+params(27))*(1+params(25))*T50*T18*T46*T42*params(29)*params(5)*params(34)/(T300*T50*params(3)*T273)));
  g1(11,74)=(-((T147-1)*T50*T18*T143*T42*params(29)*params(5)*params(34)/T314));
  g1(11,75)=params(29)*params(34)/(T273*T276);
  g1(11,76)=(-((1+params(27))*(1+params(25))*exp(y(35))*params(29)*params(34)/(T273*T300)));
  g1(11,79)=(-(T18*exp((-y(37)))));
  g1(12,16)=T337*(T336+y(72)*T331*T331*getPowerDeriv(T331,params(25)*(1+params(27))/params(27),1))+(y(75)*T331*(params(29)-1)*T343-y(75)*T331*(params(29)-1)*params(27)*T331*getPowerDeriv(T331,T275,1))/(T343*T343)-((params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T331*T351-(params(29)-1)*(1+params(27))*(1+params(25))*y(76)*T331*params(27)*T331*getPowerDeriv(T331,1+T56,1))/(T351*T351);
  g1(12,72)=T337*T331*T335;
  g1(12,75)=T331*(params(29)-1)/T343;
  g1(12,76)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T331/T351));
  g1(13,7)=exp((-y(19)))*params(50)*params(49)*params(51)*y(92)*T1225;
  g1(13,12)=(-(exp((-y(19)))*y(82)*(-T42)));
  g1(13,19)=y(70)*T357*exp(y(19))-T42*y(82)*(-exp((-y(19))))+T50*params(50)*params(49)*params(51)*y(92)*(-exp((-y(19))));
  g1(13,26)=exp(y(19))*y(70)*(-T357);
  g1(13,70)=T357*exp(y(19));
  g1(13,82)=(-(T42*exp((-y(19)))));
  g1(13,92)=T50*params(50)*params(49)*params(51)*exp((-y(19)));
  g1(14,18)=(-((-(y(68)*2*(1+y(18))))/(T375*T375)));
  g1(14,57)=(-params(3));
  g1(14,68)=(-(1/T375));
  g1(15,57)=1;
  g1(15,58)=(-params(3));
  g1(16,58)=1;
  g1(17,7)=T1316+T1324+T18*y(69)*T10*params(31)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84,1)-y(73)*(T1360+T1365)-(T50*y(13)*T18*T42*params(5)*y(68)*T1225-T50*T18*T42*params(5)*y(68)*y(13)*T1225)/(T50*y(13)*T50*y(13))+(T50*y(13)*params(3)*T18*T42*params(5)*y(68)*T1225-T50*T18*T42*params(5)*y(68)*y(13)*params(3)*T1225)/(T50*y(13)*params(3)*T50*y(13)*params(3))-(T50*T149*T18*T143*T42*y(74)*params(5)*params(29)*T1225-T149*T50*T18*T143*T42*y(74)*params(5)*params(29)*T1225)/(T50*T50);
  g1(17,8)=T18*y(69)*getPowerDeriv(T10*params(31)*exp((-y(8))),T84,1)*T10*params(31)*(-exp((-y(8))));
  g1(17,10)=(-(y(73)*T1551));
  g1(17,12)=T1647+T1654+T18*y(69)*(T10*params(31)*exp((-y(8))))^T84-y(73)*(T392+T1687)-exp((-y(19)))*y(82)*(-T42)-T18*exp((-y(37)))*y(13)*y(79)-T50*(T18*T42*params(5)*y(68)+T18*params(5)*y(68)*(-T42))/(T50*y(13))+T50*(T18*T42*params(5)*y(68)+T18*params(5)*y(68)*(-T42))/(T50*y(13)*params(3))-T149*T50*(T18*T143*T42*y(74)*params(5)*params(29)+T18*T143*y(74)*params(5)*params(29)*(-T42))/T50;
  g1(17,13)=T1792+T1797+(-(y(73)*T1846))-T18*y(79)*exp((-y(37)))-(-(T50*T50*T18*T42*params(5)*y(68)))/(T50*y(13)*T50*y(13))+(-(T50*params(3)*T50*T18*T42*params(5)*y(68)))/(T50*y(13)*params(3)*T50*y(13)*params(3))-T50*T18*T143*T42*y(74)*params(5)*params(29)*T1774/T50;
  g1(17,14)=T254-y(73)*T397;
  g1(17,15)=T243-T149*T50*T18*T143*T42*y(74)*params(5)*params(29)/T50;
  g1(17,19)=(-(T42*y(82)*(-exp((-y(19))))));
  g1(17,37)=(-(T18*y(13)*y(79)*(-exp((-y(37))))));
  g1(17,48)=(-(y(73)*T2793));
  g1(17,59)=(-params(3));
  g1(17,68)=(-(T50*T18*params(5)*T42/(T50*y(13))))+T50*T18*params(5)*T42/(T50*y(13)*params(3));
  g1(17,69)=T18*(T10*params(31)*exp((-y(8))))^T84;
  g1(17,73)=T50*T18*T46*T42*params(5)*params(29)/(T57*T50*params(3))-(T392+T397);
  g1(17,74)=T149*T50*T18*T143*T42*params(5)*params(29)/(T50*params(3))-T924;
  g1(17,79)=(-(T18*y(13)*exp((-y(37)))));
  g1(17,82)=(-(T42*exp((-y(19)))));
  g1(18,12)=T18*exp((-y(37)))*y(13)*y(79);
  g1(18,13)=T18*y(79)*exp((-y(37)));
  g1(18,37)=T18*y(13)*y(79)*(-exp((-y(37))));
  g1(18,59)=1;
  g1(18,60)=(-params(3));
  g1(18,79)=T18*y(13)*exp((-y(37)));
  g1(19,60)=1;
  g1(20,7)=(-(y(73)*(T1360+(1+params(27))*T434*T18*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T1225/params(27))));
  g1(20,10)=T21*y(77)-y(73)*(T1551+(1+params(27))*(T434*T50*T18*exp((-y(48)))*params(30)*params(25)*2*exp(2*y(10))+T50*T18*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*T21*exp((-y(48)))*getPowerDeriv(T21*exp((-y(48))),params(25)-1,1))/params(27))-T21*y(74)*(1+params(35)*exp(y(49)))/params(27)-T21*y(78)*params(7)*exp(y(47))+(T459+T21*exp(y(17))*params(30)*y(93)*T21*getPowerDeriv(T21,params(25),1))/T205;
  g1(20,12)=(-T439);
  g1(20,17)=T459/T205;
  g1(20,47)=(-(T21*y(78)*params(7)*exp(y(47))));
  g1(20,48)=(-(y(73)*(T2793+(1+params(27))*(T434*T50*T18*params(30)*params(25)*exp(2*y(10))*(-exp((-y(48))))+T50*T18*exp((-y(48)))*params(30)*params(25)*exp(2*y(10))*getPowerDeriv(T21*exp((-y(48))),params(25)-1,1)*T21*(-exp((-y(48)))))/params(27))))+(-(T459*exp(y(48))*getPowerDeriv(exp(y(48)),params(25),1)))/(T205*T205);
  g1(20,49)=(-(T21*y(74)*params(35)*exp(y(49))/params(27)));
  g1(20,73)=(-T438);
  g1(20,74)=(-(T21*(1+params(35)*exp(y(49)))/params(27)));
  g1(20,77)=T21;
  g1(20,78)=(-(T21*params(7)*exp(y(47))));
  g1(20,93)=T21^params(25)*T21*params(30)*exp(y(17))/T205;
  g1(21,21)=y(83)*T465-y(85)*((1+params(26))*T485*(T465*params(36)*params(12)*T472*T475*T478+T465*params(36)*params(12)*T472*T475*T1995)/params(26)+(T502*T509*(T501+T500*T1995)-T501*T509*T2004)/(T502*T509*T502*T509))-(T502*T465*y(94)-T465*y(94)*T2004)/(T502*T502)+T478*T465*y(92)*params(12)*params(47)*params(48)+T465*y(92)*params(12)*params(47)*params(48)*T1995-T2027+T2033-(T502*y(27)*(T478*T472*T465*T357*params(12)*params(13)*y(80)+T472*T465*T357*params(12)*params(13)*y(80)*T1995)-T478*T472*T465*T357*params(12)*params(13)*y(80)*y(27)*T2004)/(T502*y(27)*T502*y(27))+(T574*(T502*T472*T465*T357*params(12)*params(13)*y(80)+T472*T465*T357*params(12)*params(13)*y(80)*T2004)-T502*T472*T465*T357*params(12)*params(13)*y(80)*params(3)*y(27)*T465*getPowerDeriv(T465,1+params(12),1))/(T574*T574)-(T502*T588*(T478*T584+T584*T1995)-T478*T584*T588*T2004)/(T502*T502)+(T594*T588*(T502*T584+T584*T2004)-T588*T502*T584*params(3)*T465*getPowerDeriv(T465,1+params(12),1))/(T594*T594)+(T509*T594*(T602+T472*T498*T465*T357*y(85)*params(12)*params(13)*params(28)*T2004)-T602*T509*params(3)*T465*getPowerDeriv(T465,1+params(12),1))/(T509*T594*T509*T594);
  g1(21,22)=T2241;
  g1(21,23)=(-T2279);
  g1(21,24)=(-(y(85)*(1+params(26))*(T465*params(36)*params(12)*T472*T475*T478*T485+T465*params(36)*params(12)*T472*T475*T478*T2306)/params(26)));
  g1(21,26)=T559+(-(y(85)*(T490+T478*(T500+T472*T498*T465*params(12)*params(13)*params(28)*(-T357))/(T502*T509))))-T478*(T472*T465*T357*params(12)*params(13)*y(80)+T472*T465*params(12)*params(13)*y(80)*(-T357))/(T502*y(27))+T502*(T472*T465*T357*params(12)*params(13)*y(80)+T472*T465*params(12)*params(13)*y(80)*(-T357))/T574-T588*T478*(T584+T472*T582*T465*params(12)*params(13)*params(28)*y(86)*(-T357))/T502+T588*T502*(T584+T472*T582*T465*params(12)*params(13)*params(28)*y(86)*(-T357))/T594+T502*(T472*T498*T465*T357*y(85)*params(12)*params(13)*params(28)+T472*T498*T465*y(85)*params(12)*params(13)*params(28)*(-T357))/(T509*T594);
  g1(21,27)=(-(y(85)*(-(T501*T502*T2527))/(T502*T509*T502*T509)))-(-(T502*T478*T472*T465*T357*params(12)*params(13)*y(80)))/(T502*y(27)*T502*y(27))+(-(T502*T472*T465*T357*params(12)*params(13)*y(80)*T594))/(T574*T574)-T478*T584*T2543/T502+T502*T584*T2543/T594+(-(T602*T594*T2527))/(T509*T594*T509*T594);
  g1(21,28)=T602/(T509*T594)+(-(y(85)*T501/(T502*T509)));
  g1(21,29)=T588*T502*T584/T594+(-(T478*T584*T588/T502));
  g1(21,51)=(-(y(85)*(1+params(26))*T465*params(36)*params(12)*T472*T475*T478*T2849/params(26)));
  g1(21,80)=(-(T478*T472*T465*T357*params(12)*params(13)/(T502*y(27))))+T502*T472*T465*T357*params(12)*params(13)/T574;
  g1(21,81)=T557*T472*T465*params(14)*params(37)*exp((-y(22)))/(1+params(14));
  g1(21,82)=(-(T541*T465*params(38)*params(14)*exp((-y(23)))/(1+params(14))));
  g1(21,83)=T465;
  g1(21,85)=(-(T490+T501/(T502*T509)))+T500*T502/(T509*T594);
  g1(21,86)=(-(T588*T478*T472*T465*T357*params(12)*params(13)*params(28)*T582/T502))+T588*T502*T472*T465*T357*params(12)*params(13)*params(28)*T582/T594;
  g1(21,92)=T478*T465*params(12)*params(47)*params(48);
  g1(21,94)=(-(T465/T502));
  g1(22,21)=(-T2033);
  g1(22,22)=(-y(89))*exp(y(22))-(T624*(T616+exp(y(22))*y(83)*T610*exp(y(22))*getPowerDeriv(exp(y(22)),T613-1,1))+T616*T2250)-T2241;
  g1(22,23)=(-(T616*T2284));
  g1(22,26)=(-T559);
  g1(22,81)=(-(T557*T472*T465*params(14)*params(37)*exp((-y(22)))/(1+params(14))));
  g1(22,83)=(-(T624*exp(y(22))^(T613-1)*exp(y(22))*T610));
  g1(22,89)=(-exp(y(22)));
  g1(23,91)=1;
  g1(24,24)=exp(y(31))*params(36)*y(94)*T475*getPowerDeriv(T475,1+params(24),1)/T644;
  g1(24,31)=y(88)*exp(y(31))+T645;
  g1(24,51)=(-(T641*(1+params(24))*exp(y(51))*getPowerDeriv(exp(y(51)),params(24),1)))/(T644*T644);
  g1(24,61)=(-params(3));
  g1(24,88)=exp(y(31));
  g1(24,94)=T640*params(36)*exp(y(31))/T644;
  g1(25,27)=(-((-(params(28)*y(88)*exp(y(38))*T2527))/(T509*T509)));
  g1(25,38)=(-(params(28)*y(88)*exp(y(38))/T509));
  g1(25,61)=1;
  g1(25,62)=(-params(3));
  g1(25,88)=(-(params(28)*exp(y(38))/T509));
  g1(26,62)=1;
  g1(27,25)=y(90)*exp(y(25))-y(89)*exp(y(25));
  g1(27,89)=(-exp(y(25)));
  g1(27,90)=exp(y(25));
  g1(28,21)=(-T2090);
  g1(28,26)=(-T2418);
  g1(28,27)=(-T2561);
  g1(28,28)=T498*y(84)*exp((-y(29)));
  g1(28,29)=y(86)*T582+T498*y(84)*(-exp((-y(29))))-T681;
  g1(28,84)=T498*exp((-y(29)));
  g1(28,86)=T582-T588*T502*T472*T582*T357*params(13)*params(28)/(params(3)*T502);
  g1(29,21)=(-T2098);
  g1(29,26)=(-T2425);
  g1(29,27)=(-T2566);
  g1(29,28)=y(85)*T498-T498*y(84)*exp((-y(29)))-T692;
  g1(29,29)=(-(T498*y(84)*(-exp((-y(29))))));
  g1(29,84)=(-(T498*exp((-y(29)))));
  g1(29,85)=T498-T502*T472*T498*T357*params(13)*params(28)/(T509*params(3)*T502);
  g1(30,21)=T2027;
  g1(30,22)=(-(T698*T2250));
  g1(30,23)=T2279-(T698*T2284+T624*(T698+exp(y(23))*y(83)*T619*exp(y(23))*getPowerDeriv(exp(y(23)),T613-1,1)))-y(77)*exp(y(23))/params(33);
  g1(30,77)=(-(exp(y(23))/params(33)));
  g1(30,82)=T541*T465*params(38)*params(14)*exp((-y(23)))/(1+params(14));
  g1(30,83)=(-(T624*exp(y(23))^(T613-1)*T619*exp(y(23))));
  g1(31,21)=(T728*T472*T357*params(13)*y(80)*T2004-T502*T472*T357*params(13)*y(80)*params(3)*y(27)^2*T2004)/(T728*T728)-(T750*(T586-1)*T472*T582*T357*y(86)*params(28)*params(13)*params(39)*T2004-T502*T472*T582*T357*y(86)*params(28)*params(13)*params(39)*(T586-1)*T505^T586*params(3)*y(27)^2*T2004)/(T750*T750)-(T736*T502*params(3)*T709*(1+params(26))*(1+params(24))*T472*T498*T357*y(85)*params(28)*params(13)*params(39)*T2004-T759*T736*params(3)*T709*T2004)/(T736*T502*params(3)*T709*T736*T502*params(3)*T709);
  g1(31,26)=(-(T472*y(91)*exp((-y(40)))))+T502*(T472*T357*params(13)*y(80)+T472*params(13)*y(80)*(-T357))/T728-(T586-1)*T502*(T472*T582*T357*y(86)*params(28)*params(13)*params(39)+T472*T582*y(86)*params(28)*params(13)*params(39)*(-T357))/T750-(1+params(26))*(1+params(24))*T502*(T472*T498*T357*y(85)*params(28)*params(13)*params(39)+T472*T498*y(85)*params(28)*params(13)*params(39)*(-T357))/(T736*T502*params(3)*T709);
  g1(31,27)=(-(params(28)*params(39)*y(87)*(T712*params(26)*2*y(27)+T709*T2525*getPowerDeriv(T505,T711,1))))/(T709*T712*T709*T712)+(-(T502*T472*T357*params(13)*y(80)*T502*params(3)*2*y(27)))/(T728*T728)-(-((1+params(26))*(1+params(24))*exp(y(38))*y(88)*params(28)*params(39)*(T736*params(26)*2*y(27)+T709*T2525*getPowerDeriv(T505,1+T508,1))))/(T709*T736*T709*T736)-(-(T502*T472*T582*T357*y(86)*params(28)*params(13)*params(39)*(T586-1)*(T505^T586*T502*params(3)*2*y(27)+T728*T2525*getPowerDeriv(T505,T586,1))))/(T750*T750)-(-(T759*(T502*params(3)*T709*T2525*getPowerDeriv(T505,1+T508,1)+T736*T502*params(3)*params(26)*2*y(27))))/(T736*T502*params(3)*T709*T736*T502*params(3)*T709);
  g1(31,28)=(-(T759/(T736*T502*params(3)*T709)));
  g1(31,29)=(-T751);
  g1(31,38)=(-T738);
  g1(31,40)=(-(T472*y(91)*(-exp((-y(40))))));
  g1(31,54)=(-1);
  g1(31,80)=T502*T472*T357*params(13)/T728;
  g1(31,85)=(-((1+params(26))*(1+params(24))*T502*T472*T498*T357*params(28)*params(13)*params(39)/(T736*T502*params(3)*T709)));
  g1(31,86)=(-((T586-1)*T502*T472*T582*T357*params(28)*params(13)*params(39)/T750));
  g1(31,87)=params(28)*params(39)/(T709*T712);
  g1(31,88)=(-((1+params(26))*(1+params(24))*exp(y(38))*params(28)*params(39)/(T709*T736)));
  g1(31,91)=(-(T472*exp((-y(40)))));
  g1(32,30)=T773*(T772+y(84)*T767*T767*getPowerDeriv(T767,params(24)*(1+params(26))/params(26),1))+(y(87)*T767*(params(28)-1)*T779-y(87)*T767*(params(28)-1)*params(26)*T767*getPowerDeriv(T767,T711,1))/(T779*T779)-((params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T767*T787-(params(28)-1)*(1+params(26))*(1+params(24))*y(88)*T767*params(26)*T767*getPowerDeriv(T767,1+T508,1))/(T787*T787);
  g1(32,84)=T773*T767*T771;
  g1(32,87)=T767*(params(28)-1)/T779;
  g1(32,88)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T767/T787));
  g1(33,32)=(-((-(y(80)*2*(1+y(32))))/(T796*T796)));
  g1(33,63)=(-params(3));
  g1(33,80)=(-(1/T796));
  g1(34,63)=1;
  g1(34,64)=(-params(3));
  g1(35,64)=1;
  g1(36,19)=(-(y(70)*T357*exp(y(19))));
  g1(36,21)=T2090+T2098+T472*y(81)*T465*params(37)*exp((-y(22)))*getPowerDeriv(T465*params(37)*exp((-y(22))),T539,1)-y(85)*(T2133+T2138)-(T502*y(27)*T472*T357*params(13)*y(80)*T2004-T502*T472*T357*params(13)*y(80)*y(27)*T2004)/(T502*y(27)*T502*y(27))+(T502*params(3)*y(27)*T472*T357*params(13)*y(80)*T2004-T502*T472*T357*params(13)*y(80)*params(3)*y(27)*T2004)/(T502*params(3)*y(27)*T502*params(3)*y(27))-(T502*T588*T472*T582*T357*y(86)*params(13)*params(28)*T2004-T588*T502*T472*T582*T357*y(86)*params(13)*params(28)*T2004)/(T502*T502);
  g1(36,22)=T472*y(81)*getPowerDeriv(T465*params(37)*exp((-y(22))),T539,1)*T465*params(37)*(-exp((-y(22))));
  g1(36,24)=(-(y(85)*T2320));
  g1(36,26)=T2418+T2425+T472*y(81)*(T465*params(37)*exp((-y(22))))^T539-y(85)*(T813+T2456)-exp(y(19))*y(70)*(-T357)-T472*exp((-y(40)))*y(27)*y(91)-T502*(T472*T357*params(13)*y(80)+T472*params(13)*y(80)*(-T357))/(T502*y(27))+T502*(T472*T357*params(13)*y(80)+T472*params(13)*y(80)*(-T357))/(T502*params(3)*y(27))-T588*T502*(T472*T582*T357*y(86)*params(13)*params(28)+T472*T582*y(86)*params(13)*params(28)*(-T357))/T502;
  g1(36,27)=T2561+T2566+(-(y(85)*T2615))-T472*y(91)*exp((-y(40)))-(-(T502*T502*T472*T357*params(13)*y(80)))/(T502*y(27)*T502*y(27))+(-(params(3)*T502*T502*T472*T357*params(13)*y(80)))/(T502*params(3)*y(27)*T502*params(3)*y(27))-T502*T472*T582*T357*y(86)*params(13)*params(28)*T2543/T502;
  g1(36,28)=T692-y(85)*T818;
  g1(36,29)=T681-T588*T502*T472*T582*T357*y(86)*params(13)*params(28)/T502;
  g1(36,40)=(-(T472*y(27)*y(91)*(-exp((-y(40))))));
  g1(36,51)=(-(y(85)*T2864));
  g1(36,65)=(-params(3));
  g1(36,70)=(-(T357*exp(y(19))));
  g1(36,80)=(-(T502*T472*T357*params(13)/(T502*y(27))))+T502*T472*T357*params(13)/(T502*params(3)*y(27));
  g1(36,81)=T472*(T465*params(37)*exp((-y(22))))^T539;
  g1(36,85)=T502*T472*T498*T357*params(13)*params(28)/(T509*params(3)*T502)-(T813+T818);
  g1(36,86)=T588*T502*T472*T582*T357*params(13)*params(28)/(params(3)*T502)-T947;
  g1(36,91)=(-(T472*y(27)*exp((-y(40)))));
  g1(37,26)=T472*exp((-y(40)))*y(27)*y(91);
  g1(37,27)=T472*y(91)*exp((-y(40)));
  g1(37,40)=T472*y(27)*y(91)*(-exp((-y(40))));
  g1(37,65)=1;
  g1(37,66)=(-params(3));
  g1(37,91)=T472*y(27)*exp((-y(40)));
  g1(38,66)=1;
  g1(39,21)=(-(y(85)*(T2133+(1+params(26))*T855*T472*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T2004/params(26))));
  g1(39,24)=y(89)*T475-y(85)*(T2320+(1+params(26))*(T855*T502*T472*exp((-y(51)))*params(36)*params(24)*2*exp(2*y(24))+T502*T472*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*T475*exp((-y(51)))*getPowerDeriv(T475*exp((-y(51))),params(24)-1,1))/params(26))-T475*y(86)*(1+params(40)*exp(y(52)))/params(26)-T475*y(90)*params(15)*exp(y(50))+(T880+T475*exp(y(31))*params(36)*y(94)*T475*getPowerDeriv(T475,params(24),1))/T643;
  g1(39,26)=(-T860);
  g1(39,31)=T880/T643;
  g1(39,50)=(-(T475*y(90)*params(15)*exp(y(50))));
  g1(39,51)=(-(y(85)*(T2864+(1+params(26))*(T855*T502*T472*params(36)*params(24)*exp(2*y(24))*(-exp((-y(51))))+T502*T472*exp((-y(51)))*params(36)*params(24)*exp(2*y(24))*getPowerDeriv(T475*exp((-y(51))),params(24)-1,1)*T475*(-exp((-y(51)))))/params(26))))+(-(T880*exp(y(51))*getPowerDeriv(exp(y(51)),params(24),1)))/(T643*T643);
  g1(39,52)=(-(T475*y(86)*params(40)*exp(y(52))/params(26)));
  g1(39,85)=(-T859);
  g1(39,86)=(-(T475*(1+params(40)*exp(y(52)))/params(26)));
  g1(39,89)=T475;
  g1(39,90)=(-(T475*params(15)*exp(y(50))));
  g1(39,94)=T475^params(24)*T475*params(36)*exp(y(31))/T643;
  g1(40,53)=1;
  g1(41,54)=1;
  g1(42,93)=1;
  g1(43,94)=1;
  g1(44,67)=1-params(5)/params(3);
  g1(45,7)=(-(y(67)*T10*getPowerDeriv(T10,1-params(4),1)/(params(4)-1)+y(68)*(-((T50*y(13)*T18*params(5)*T42*T1225-T50*T18*params(5)*T42*y(13)*T1225)/(T50*y(13)*T50*y(13))))+y(73)*((-T1360)-T1365)+y(74)*(-((T50*T149*T18*T143*T42*params(5)*params(29)*T1225-T149*T50*T18*T143*T42*params(5)*params(29)*T1225)/(T50*T50)))));
  g1(45,10)=(-(y(73)*(-T1551)+y(74)*(-(T21*(1+params(35)*exp(y(49)))/params(27)))));
  g1(45,12)=(-(y(68)*(-(T50*(T18*params(5)*T42+T18*params(5)*(-T42))/(T50*y(13))))+y(73)*((-T392)-T1687)+y(74)*(-(T149*T50*(T18*T143*T42*params(5)*params(29)+T18*T143*params(5)*params(29)*(-T42))/T50))));
  g1(45,13)=(-(y(68)*(-((-(T50*T50*T18*params(5)*T42))/(T50*y(13)*T50*y(13))))+y(73)*(-T1846)+y(74)*(-(T50*T18*T143*T42*params(5)*params(29)*T1774/T50))));
  g1(45,14)=(-(y(73)*(T46-T397)));
  g1(45,15)=(-(y(74)*(T143-T924)));
  g1(45,18)=(-(y(68)*(-1)/((1+y(18))*(1+y(18)))));
  g1(45,21)=(-(y(80)*(-((T502*y(27)*T472*T357*params(13)*T2004-T502*T472*T357*params(13)*y(27)*T2004)/(T502*y(27)*T502*y(27))))+y(85)*((-T2133)-T2138)+y(86)*(-((T502*T588*T472*T582*T357*params(13)*params(28)*T2004-T588*T502*T472*T582*T357*params(13)*params(28)*T2004)/(T502*T502)))));
  g1(45,24)=(-(y(85)*(-T2320)+y(86)*(-(T475*(1+params(40)*exp(y(52)))/params(26)))));
  g1(45,26)=(-(y(80)*(-(T502*(T472*T357*params(13)+T472*params(13)*(-T357))/(T502*y(27))))+y(85)*((-T813)-T2456)+y(86)*(-(T588*T502*(T472*T582*T357*params(13)*params(28)+T472*T582*params(13)*params(28)*(-T357))/T502))));
  g1(45,27)=(-(y(80)*(-((-(T502*T502*T472*T357*params(13)))/(T502*y(27)*T502*y(27))))+y(85)*(-T2615)+y(86)*(-(T502*T472*T582*T357*params(13)*params(28)*T2543/T502))));
  g1(45,28)=(-(y(85)*(T498-T818)));
  g1(45,29)=(-(y(86)*(T582-T947)));
  g1(45,32)=(-(y(80)*(-1)/((1+y(32))*(1+y(32)))));
  g1(45,34)=(-(y(67)*(1-params(5))));
  g1(45,48)=(-(y(73)*(-T2793)));
  g1(45,49)=(-(y(74)*(-(T21*params(35)*exp(y(49))/params(27)))));
  g1(45,51)=(-(y(85)*(-T2864)));
  g1(45,52)=(-(y(86)*(-(T475*params(40)*exp(y(52))/params(26)))));
  g1(45,67)=(-T903);
  g1(45,68)=(-T910);
  g1(45,73)=(-(T46-T392-T397));
  g1(45,74)=(-(T143-T21*(1+params(35)*exp(y(49)))/params(27)-T924));
  g1(45,80)=(-T933);
  g1(45,85)=(-(T498-T813-T818));
  g1(45,86)=(-(T582-T475*(1+params(40)*exp(y(52)))/params(26)-T947));
  g1(45,97)=1;
  g1(46,1)=1;
  g1(46,5)=(-params(1));
  g1(46,6)=(-params(2));
  g1(47,1)=(-1);
  g1(47,2)=1-params(3);
  g1(48,5)=(-1);
  g1(48,95)=1-params(3);
  g1(49,6)=(-1);
  g1(49,96)=1-params(3);
  g1(50,3)=1;
  g1(50,13)=(-1);
  g1(51,4)=1;
  g1(51,27)=(-1);
  g1(52,17)=(-1);
  g1(52,35)=1;
  g1(53,35)=(-1);
  g1(53,41)=1;
  g1(54,18)=(-1);
  g1(54,36)=1;
  g1(55,36)=(-1);
  g1(55,42)=1;
  g1(56,12)=(-1);
  g1(56,37)=1;
  g1(57,37)=(-1);
  g1(57,43)=1;
  g1(58,31)=(-1);
  g1(58,38)=1;
  g1(59,38)=(-1);
  g1(59,44)=1;
  g1(60,32)=(-1);
  g1(60,39)=1;
  g1(61,39)=(-1);
  g1(61,45)=1;
  g1(62,26)=(-1);
  g1(62,40)=1;
  g1(63,40)=(-1);
  g1(63,46)=1;
  g1(64,7)=T1422;
  g1(64,34)=1-params(5);
  g1(65,7)=(-((T1000*params(5)*T1425-params(5)*T1000*T1425)/(T1000*T1000)/y(13)));
  g1(65,12)=(-((T1000*params(5)*T1726-params(5)*T1000*T1726)/(T1000*T1000)/y(13)));
  g1(65,13)=(-((-(params(5)*T1000/T1000))/(y(13)*y(13))));
  g1(65,18)=(-1)/((1+y(18))*(1+y(18)));
  g1(66,7)=T18*T1006*getPowerDeriv(T1006,T84,1);
  g1(66,8)=T18*getPowerDeriv(T1006,T84,1)*(-(exp(y(8))*T10*params(31)))/(exp(y(8))*exp(y(8)));
  g1(66,12)=T18*T1006^T84;
  g1(67,7)=(-(T1012*getPowerDeriv(T1012,T84,1)));
  g1(67,9)=(-(getPowerDeriv(T1012,T84,1)*(-(exp(y(9))*T10*params(32)))/(exp(y(9))*exp(y(9)))));
  g1(67,19)=exp(y(19))/T472;
  g1(67,26)=(-(exp(y(19))*T472))/(T472*T472);
  g1(68,7)=T10;
  g1(68,8)=(-(T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175,1)*getPowerDeriv(T185,1+params(6),1)));
  g1(68,9)=(-(getPowerDeriv(T185,1+params(6),1)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175,1)));
  g1(69,14)=(-(T46/T143));
  g1(69,15)=(-((-(T46*T143))/(T143*T143)));
  g1(69,16)=T331*getPowerDeriv(T331,1+params(25)*T147,1);
  g1(70,7)=(-(T21*(-(T1025*T1425))/(T1000*T1000)+T46*T1033*(T1000*params(5)*params(29)*T1425-params(5)*params(29)*T1000*T1425)/(T1000*T1000)));
  g1(70,10)=(-(T21*T1025/T1000+T21*params(30)*T147*T21/exp(y(48))*T1583/T1000));
  g1(70,12)=(-(T21*(-(T1025*T1726))/(T1000*T1000)+T46*T1033*(T1000*params(5)*params(29)*T1726-params(5)*params(29)*T1000*T1726)/(T1000*T1000)));
  g1(70,13)=(-(T46*T1029*T1756*getPowerDeriv(T53,T1032,1)));
  g1(70,14)=T46-T46*T1029*T1033;
  g1(70,48)=(-(T21*params(30)*T147*T1583*(-(T21*exp(y(48))))/(exp(y(48))*exp(y(48)))/T1000));
  g1(71,7)=(-(T143*T149*(T1000*params(5)*params(29)*T1425-params(5)*params(29)*T1000*T1425)/(T1000*T1000)));
  g1(71,10)=(-(T21*(1+params(35)*exp(y(49)))/params(27)));
  g1(71,12)=(-(T143*T149*(T1000*params(5)*params(29)*T1726-params(5)*params(29)*T1000*T1726)/(T1000*T1000)));
  g1(71,13)=(-(T143*T1029*T1774));
  g1(71,15)=T143-T143*T149*T1029;
  g1(71,49)=(-(T21*params(35)*exp(y(49))/params(27)));
  g1(72,13)=params(29)*T1756*getPowerDeriv(T53,T1045,1);
  g1(72,16)=(1-params(29))*T331*getPowerDeriv(T331,T1045,1);
  g1(73,13)=(-(exp(y(35))*params(29)*T1756*getPowerDeriv(T53,T1032,1)));
  g1(73,16)=(-((1-params(29))*T331*getPowerDeriv(T331,T1032,1)));
  g1(73,17)=exp(y(17));
  g1(73,35)=(-(exp(y(35))*params(29)*T1033));
  g1(74,8)=(-exp(y(8)));
  g1(74,10)=T21;
  g1(74,11)=(-exp(y(11)));
  g1(74,23)=(-(exp(y(23))*1/params(33)));
  g1(75,10)=(-(exp(y(47))*T21*params(7)));
  g1(75,11)=exp(y(11));
  g1(75,47)=(-(exp(y(47))*T21*params(7)));
  g1(76,12)=(-(y(13)*T18/exp(y(37))));
  g1(76,13)=(-(T18/exp(y(37))));
  g1(76,20)=1;
  g1(76,37)=(-(y(13)*(-(T18*exp(y(37))))/(exp(y(37))*exp(y(37)))));
  g1(77,21)=(-((T1073*params(13)*T2191-params(13)*T1073*T2191)/(T1073*T1073)/y(27)));
  g1(77,26)=(-((T1073*params(13)*T2498-params(13)*T1073*T2498)/(T1073*T1073)/y(27)));
  g1(77,27)=(-((-(params(13)*T1073/T1073))/(y(27)*y(27))));
  g1(77,32)=(-1)/((1+y(32))*(1+y(32)));
  g1(78,21)=T472*T1079*getPowerDeriv(T1079,T539,1);
  g1(78,22)=T472*getPowerDeriv(T1079,T539,1)*(-(exp(y(22))*T465*params(37)))/(exp(y(22))*exp(y(22)));
  g1(78,26)=T472*T1079^T539;
  g1(79,12)=(-(T18*1/exp(y(19))))/(T18*T18);
  g1(79,19)=(-exp(y(19)))/(exp(y(19))*exp(y(19)))/T18;
  g1(79,21)=(-(T1086*getPowerDeriv(T1086,T539,1)));
  g1(79,23)=(-(getPowerDeriv(T1086,T539,1)*(-(exp(y(23))*T465*params(38)))/(exp(y(23))*exp(y(23)))));
  g1(80,21)=T465;
  g1(80,22)=(-(T610*exp(y(22))*getPowerDeriv(exp(y(22)),T613,1)*getPowerDeriv(T623,1+params(14),1)));
  g1(80,23)=(-(getPowerDeriv(T623,1+params(14),1)*T619*exp(y(23))*getPowerDeriv(exp(y(23)),T613,1)));
  g1(81,28)=(-(T498/T582));
  g1(81,29)=(-((-(T498*T582))/(T582*T582)));
  g1(81,30)=T767*getPowerDeriv(T767,1+params(24)*T586,1);
  g1(82,21)=(-(T475*(-(T1099*T2191))/(T1073*T1073)+T498*T1107*(T1073*params(13)*params(28)*T2191-params(13)*params(28)*T1073*T2191)/(T1073*T1073)));
  g1(82,24)=(-(T475*T1099/T1073+T475*params(36)*T586*T475/exp(y(51))*T2352/T1073));
  g1(82,26)=(-(T475*(-(T1099*T2498))/(T1073*T1073)+T498*T1107*(T1073*params(13)*params(28)*T2498-params(13)*params(28)*T1073*T2498)/(T1073*T1073)));
  g1(82,27)=(-(T498*T1103*T2525*getPowerDeriv(T505,T1106,1)));
  g1(82,28)=T498-T498*T1103*T1107;
  g1(82,51)=(-(T475*params(36)*T586*T2352*(-(T475*exp(y(51))))/(exp(y(51))*exp(y(51)))/T1073));
  g1(83,21)=(-(T582*T588*(T1073*params(13)*params(28)*T2191-params(13)*params(28)*T1073*T2191)/(T1073*T1073)));
  g1(83,24)=(-(T475*(1+params(40)*exp(y(52)))/params(26)));
  g1(83,26)=(-(T582*T588*(T1073*params(13)*params(28)*T2498-params(13)*params(28)*T1073*T2498)/(T1073*T1073)));
  g1(83,27)=(-(T582*T1103*T2543));
  g1(83,29)=T582-T582*T588*T1103;
  g1(83,52)=(-(T475*params(40)*exp(y(52))/params(26)));
  g1(84,27)=params(28)*T2525*getPowerDeriv(T505,T1119,1);
  g1(84,30)=(1-params(28))*T767*getPowerDeriv(T767,T1119,1);
  g1(85,27)=(-(exp(y(38))*params(28)*T2525*getPowerDeriv(T505,T1106,1)));
  g1(85,30)=(-((1-params(28))*T767*getPowerDeriv(T767,T1106,1)));
  g1(85,31)=exp(y(31));
  g1(85,38)=(-(exp(y(38))*params(28)*T1107));
  g1(86,9)=(-(exp(y(9))*params(33)));
  g1(86,22)=(-exp(y(22)));
  g1(86,24)=T475;
  g1(86,25)=(-exp(y(25)));
  g1(87,24)=(-(exp(y(50))*T475*params(15)));
  g1(87,25)=exp(y(25));
  g1(87,50)=(-(exp(y(50))*T475*params(15)));
  g1(88,26)=(-(y(27)*T472/exp(y(40))));
  g1(88,27)=(-(T472/exp(y(40))));
  g1(88,33)=1;
  g1(88,40)=(-(y(27)*(-(T472*exp(y(40))))/(exp(y(40))*exp(y(40)))));
  g1(89,7)=(-(params(51)*(-(params(50)*params(49)/exp(y(19))*T10*getPowerDeriv(T10,(-params(4)),1)))/(T999*T999)));
  g1(89,19)=(-(params(51)*params(50)*(-(params(49)*exp(y(19))))/(exp(y(19))*exp(y(19)))/T999));
  g1(89,21)=params(48)*(-(params(47)*T465*getPowerDeriv(T465,(-params(12)),1)))/(T1072*T1072);
  g1(90,5)=1;
  g1(90,7)=T1422;
  g1(90,10)=exp(y(17))*params(30)*exp(y(48))^(-params(25))*T21*getPowerDeriv(T21,1+params(25),1)/(1+params(25));
  g1(90,17)=T1156;
  g1(90,48)=exp(y(17))*T202*params(30)*exp(y(48))*getPowerDeriv(exp(y(48)),(-params(25)),1)/(1+params(25));
  g1(91,6)=1;
  g1(91,21)=(-(T465*getPowerDeriv(T465,1-params(12),1)/(1-params(12))));
  g1(91,24)=exp(y(31))*params(36)*exp(y(51))^(-params(24))*T475*getPowerDeriv(T475,1+params(24),1)/(1+params(24));
  g1(91,31)=T1167;
  g1(91,51)=exp(y(31))*T640*params(36)*exp(y(51))*getPowerDeriv(exp(y(51)),(-params(24)),1)/(1+params(24));
  g1(92,47)=1-params(8);
  g1(93,48)=1-params(10);
  g1(94,49)=1-params(22);
  g1(95,50)=1-params(16);
  g1(96,51)=1-params(18);
  g1(97,52)=1-params(20);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],97,9409);
end
end
