function [residual, g1, g2] = BBCDLoptrule_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 40, 1);

%
% Model equations
%

T14 = ((1+y(14))/(1+params(38)))^params(40);
T17 = y(9)/params(31);
T19 = T17^params(41);
T36 = ((1+y(28))/(1+params(39)))^params(42);
T39 = y(23)/params(36);
T41 = T39^params(43);
T58 = exp(y(3))^(1-params(1))/(1-params(1));
T65 = exp(y(3))^(-params(1));
T68 = T65/exp(y(8));
T77 = exp(y(3))*params(28)/exp(y(4));
T80 = params(3)/(1+params(3));
T93 = exp(y(3))*params(29)/exp(y(5));
T97 = 1/(1+params(3));
T103 = params(28)^T80*exp(y(4))^T97+params(29)^T80*exp(y(5))^T97;
T127 = exp(y(6))/exp(y(36));
T129 = (1+params(24))/params(24)*params(27)*T127^params(22);
T135 = T68*params(2)*params(26)/T68;
T136 = params(31)/y(9);
T140 = (-(1+params(24)))/params(24)*(1+params(22));
T141 = T136^T140;
T154 = T136^(1-(1+params(24))/params(24));
T160 = (-1)/params(24);
T199 = exp(y(17))^(-params(9));
T200 = T199/exp(y(22));
T209 = exp(y(17))*params(34)/exp(y(18));
T212 = params(11)/(1+params(11));
T220 = exp(y(17))*params(35)/exp(y(19));
T224 = 1/(1+params(11));
T230 = params(34)^T212*exp(y(18))^T224+params(35)^T212*exp(y(19))^T224;
T254 = exp(y(20))/exp(y(39));
T256 = (1+params(23))/params(23)*params(33)*T254^params(21);
T262 = T200*params(10)*params(25)/T200;
T263 = params(36)/y(23);
T267 = (-(1+params(23)))/params(23)*(1+params(21));
T268 = T263^T267;
T281 = T263^(1-(1+params(23))/params(23));
T287 = (-1)/params(23);
T335 = exp(y(13))*params(27)*exp(y(36))^(-params(22))*exp(y(6))^(1+params(22))/(1+params(22));
T348 = exp(y(27))*params(33)*exp(y(39))^(-params(21))*exp(y(20))^(1+params(21))/(1+params(21));
T417 = (-(exp(y(3))*getPowerDeriv(exp(y(3)),1-params(1),1)/(1-params(1))));
T420 = exp(y(3))*getPowerDeriv(exp(y(3)),(-params(1)),1)/exp(y(8));
T501 = (-(T65*exp(y(8))))/(exp(y(8))*exp(y(8)));
T547 = (-params(31))/(y(9)*y(9))*getPowerDeriv(T136,T140,1);
T603 = exp(y(17))*getPowerDeriv(exp(y(17)),(-params(9)),1)/exp(y(22));
T690 = (-(exp(y(22))*T199))/(exp(y(22))*exp(y(22)));
T733 = (-params(36))/(y(23)*y(23))*getPowerDeriv(T263,T267,1);
lhs =y(14);
rhs =(1+params(38))*T14*(T17*T19)^(1-params(40))*(1+x(7))-1;
residual(1)= lhs-rhs;
lhs =y(28);
rhs =(1+params(39))*T36*(T39*T41)^(1-params(42))*(1+x(8))-1;
residual(2)= lhs-rhs;
lhs =y(30);
rhs =T58+y(30)*params(2);
residual(3)= lhs-rhs;
lhs =1/(1+y(14));
rhs =params(2)*T68/T68/y(9);
residual(4)= lhs-rhs;
lhs =exp(y(8))*T77^T80;
rhs =1;
residual(5)= lhs-rhs;
lhs =exp(y(15))/exp(y(22));
rhs =T93^T80;
residual(6)= lhs-rhs;
lhs =exp(y(3));
rhs =T103^(1+params(3));
residual(7)= lhs-rhs;
lhs =exp(y(12))^(1+(1+params(24))/params(24)*params(22));
rhs =exp(y(10))/exp(y(11));
residual(8)= lhs-rhs;
lhs =exp(y(10));
rhs =exp(y(6))*T129/T68+exp(y(10))*T135*T141;
residual(9)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(6))*(1+params(32)*exp(y(37)))/params(24)+exp(y(11))*T135*T154;
residual(10)= lhs-rhs;
lhs =(1-params(26))*exp(y(12))^T160+params(26)*T136^T160;
rhs =1;
residual(11)= lhs-rhs;
lhs =exp(y(13));
rhs =(1-params(26))*exp(y(12))^T140+exp(y(13))*params(26)*T141;
residual(12)= lhs-rhs;
lhs =exp(y(6));
rhs =exp(y(4))+exp(y(7))+1/params(30)*exp(y(19));
residual(13)= lhs-rhs;
lhs =exp(y(7));
rhs =exp(y(6))*params(4)*exp(y(35));
residual(14)= lhs-rhs;
lhs =y(16);
rhs =y(9);
residual(15)= lhs-rhs;
lhs =1/(1+y(28));
rhs =params(10)*T200/T200/y(23);
residual(16)= lhs-rhs;
lhs =exp(y(22))*T209^T212;
rhs =1;
residual(17)= lhs-rhs;
lhs =1/exp(y(15))/exp(y(8));
rhs =T220^T212;
residual(18)= lhs-rhs;
lhs =exp(y(17));
rhs =T230^(1+params(11));
residual(19)= lhs-rhs;
lhs =exp(y(26))^(1+(1+params(23))/params(23)*params(21));
rhs =exp(y(24))/exp(y(25));
residual(20)= lhs-rhs;
lhs =exp(y(24));
rhs =exp(y(20))*T256/T200+exp(y(24))*T262*T268;
residual(21)= lhs-rhs;
lhs =exp(y(25));
rhs =exp(y(20))*(1+params(37)*exp(y(40)))/params(23)+exp(y(25))*T262*T281;
residual(22)= lhs-rhs;
lhs =(1-params(25))*exp(y(26))^T287+params(25)*T263^T287;
rhs =1;
residual(23)= lhs-rhs;
lhs =exp(y(27));
rhs =(1-params(25))*exp(y(26))^T267+exp(y(27))*params(25)*T268;
residual(24)= lhs-rhs;
lhs =exp(y(20));
rhs =exp(y(18))+exp(y(21))+exp(y(5))*params(30);
residual(25)= lhs-rhs;
lhs =exp(y(21));
rhs =exp(y(20))*params(12)*exp(y(38));
residual(26)= lhs-rhs;
lhs =y(29);
rhs =y(23);
residual(27)= lhs-rhs;
lhs =params(44)/T199*params(45);
rhs =params(46)/exp(y(15))*params(47)/T65*params(48);
residual(28)= lhs-rhs;
lhs =y(1);
rhs =T58-T335;
residual(29)= lhs-rhs;
lhs =y(2);
rhs =exp(y(17))^(1-params(9))/(1-params(9))-T348;
residual(30)= lhs-rhs;
lhs =y(31);
rhs =y(1)+params(2)*y(31);
residual(31)= lhs-rhs;
lhs =y(32);
rhs =y(2)+params(2)*y(32);
residual(32)= lhs-rhs;
lhs =y(34);
rhs =y(1)*params(49)+y(2)*params(50);
residual(33)= lhs-rhs;
lhs =y(33);
rhs =y(34)+params(2)*y(33);
residual(34)= lhs-rhs;
lhs =y(35);
rhs =y(35)*params(5)+params(6)*x(1);
residual(35)= lhs-rhs;
lhs =y(36);
rhs =y(36)*params(7)+params(8)*x(2);
residual(36)= lhs-rhs;
lhs =y(37);
rhs =y(37)*params(19)+params(20)*x(6);
residual(37)= lhs-rhs;
lhs =y(38);
rhs =y(38)*params(13)+params(14)*x(3);
residual(38)= lhs-rhs;
lhs =y(39);
rhs =y(39)*params(15)+params(16)*x(4);
residual(39)= lhs-rhs;
lhs =y(40);
rhs =y(40)*params(17)+params(18)*x(5);
residual(40)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(40, 40);

  %
  % Jacobian matrix
  %

  g1(1,9)=(-((1+x(7))*(1+params(38))*T14*(T19*1/params(31)+T17*1/params(31)*getPowerDeriv(T17,params(41),1))*getPowerDeriv(T17*T19,1-params(40),1)));
  g1(1,14)=1-(1+x(7))*(1+params(38))*(T17*T19)^(1-params(40))*1/(1+params(38))*getPowerDeriv((1+y(14))/(1+params(38)),params(40),1);
  g1(2,23)=(-((1+x(8))*(1+params(39))*T36*(T41*1/params(36)+T39*1/params(36)*getPowerDeriv(T39,params(43),1))*getPowerDeriv(T39*T41,1-params(42),1)));
  g1(2,28)=1-(1+x(8))*(1+params(39))*(T39*T41)^(1-params(42))*1/(1+params(39))*getPowerDeriv((1+y(28))/(1+params(39)),params(42),1);
  g1(3,3)=T417;
  g1(3,30)=1-params(2);
  g1(4,3)=(-((T68*params(2)*T420-params(2)*T68*T420)/(T68*T68)/y(9)));
  g1(4,8)=(-((T68*params(2)*T501-params(2)*T68*T501)/(T68*T68)/y(9)));
  g1(4,9)=(-((-(params(2)*T68/T68))/(y(9)*y(9))));
  g1(4,14)=(-1)/((1+y(14))*(1+y(14)));
  g1(5,3)=exp(y(8))*T77*getPowerDeriv(T77,T80,1);
  g1(5,4)=exp(y(8))*getPowerDeriv(T77,T80,1)*(-(exp(y(3))*params(28)*exp(y(4))))/(exp(y(4))*exp(y(4)));
  g1(5,8)=exp(y(8))*T77^T80;
  g1(6,3)=(-(T93*getPowerDeriv(T93,T80,1)));
  g1(6,5)=(-(getPowerDeriv(T93,T80,1)*(-(exp(y(3))*params(29)*exp(y(5))))/(exp(y(5))*exp(y(5)))));
  g1(6,15)=exp(y(15))/exp(y(22));
  g1(6,22)=(-(exp(y(15))*exp(y(22))))/(exp(y(22))*exp(y(22)));
  g1(7,3)=exp(y(3));
  g1(7,4)=(-(params(28)^T80*exp(y(4))*getPowerDeriv(exp(y(4)),T97,1)*getPowerDeriv(T103,1+params(3),1)));
  g1(7,5)=(-(getPowerDeriv(T103,1+params(3),1)*params(29)^T80*exp(y(5))*getPowerDeriv(exp(y(5)),T97,1)));
  g1(8,10)=(-(exp(y(10))/exp(y(11))));
  g1(8,11)=(-((-(exp(y(10))*exp(y(11))))/(exp(y(11))*exp(y(11)))));
  g1(8,12)=exp(y(12))*getPowerDeriv(exp(y(12)),1+(1+params(24))/params(24)*params(22),1);
  g1(9,3)=(-(exp(y(6))*(-(T129*T420))/(T68*T68)+exp(y(10))*T141*(T68*params(2)*params(26)*T420-T68*params(2)*params(26)*T420)/(T68*T68)));
  g1(9,6)=(-(exp(y(6))*T129/T68+exp(y(6))*(1+params(24))/params(24)*params(27)*T127*getPowerDeriv(T127,params(22),1)/T68));
  g1(9,8)=(-(exp(y(6))*(-(T129*T501))/(T68*T68)+exp(y(10))*T141*(T68*params(2)*params(26)*T501-T68*params(2)*params(26)*T501)/(T68*T68)));
  g1(9,9)=(-(exp(y(10))*T135*T547));
  g1(9,10)=exp(y(10))-exp(y(10))*T135*T141;
  g1(9,36)=(-(exp(y(6))*(1+params(24))/params(24)*params(27)*getPowerDeriv(T127,params(22),1)*(-(exp(y(6))*exp(y(36))))/(exp(y(36))*exp(y(36)))/T68));
  g1(10,3)=(-(exp(y(11))*T154*(T68*params(2)*params(26)*T420-T68*params(2)*params(26)*T420)/(T68*T68)));
  g1(10,6)=(-(exp(y(6))*(1+params(32)*exp(y(37)))/params(24)));
  g1(10,8)=(-(exp(y(11))*T154*(T68*params(2)*params(26)*T501-T68*params(2)*params(26)*T501)/(T68*T68)));
  g1(10,9)=(-(exp(y(11))*T135*(-params(31))/(y(9)*y(9))*getPowerDeriv(T136,1-(1+params(24))/params(24),1)));
  g1(10,11)=exp(y(11))-exp(y(11))*T135*T154;
  g1(10,37)=(-(exp(y(6))*params(32)*exp(y(37))/params(24)));
  g1(11,9)=params(26)*(-params(31))/(y(9)*y(9))*getPowerDeriv(T136,T160,1);
  g1(11,12)=(1-params(26))*exp(y(12))*getPowerDeriv(exp(y(12)),T160,1);
  g1(12,9)=(-(exp(y(13))*params(26)*T547));
  g1(12,12)=(-((1-params(26))*exp(y(12))*getPowerDeriv(exp(y(12)),T140,1)));
  g1(12,13)=exp(y(13))-exp(y(13))*params(26)*T141;
  g1(13,4)=(-exp(y(4)));
  g1(13,6)=exp(y(6));
  g1(13,7)=(-exp(y(7)));
  g1(13,19)=(-(1/params(30)*exp(y(19))));
  g1(14,6)=(-(exp(y(6))*params(4)*exp(y(35))));
  g1(14,7)=exp(y(7));
  g1(14,35)=(-(exp(y(6))*params(4)*exp(y(35))));
  g1(15,9)=(-1);
  g1(15,16)=1;
  g1(16,17)=(-((T200*params(10)*T603-params(10)*T200*T603)/(T200*T200)/y(23)));
  g1(16,22)=(-((T200*params(10)*T690-params(10)*T200*T690)/(T200*T200)/y(23)));
  g1(16,23)=(-((-(params(10)*T200/T200))/(y(23)*y(23))));
  g1(16,28)=(-1)/((1+y(28))*(1+y(28)));
  g1(17,17)=exp(y(22))*T209*getPowerDeriv(T209,T212,1);
  g1(17,18)=exp(y(22))*getPowerDeriv(T209,T212,1)*(-(exp(y(17))*params(34)*exp(y(18))))/(exp(y(18))*exp(y(18)));
  g1(17,22)=exp(y(22))*T209^T212;
  g1(18,8)=(-(exp(y(8))*1/exp(y(15))))/(exp(y(8))*exp(y(8)));
  g1(18,15)=(-exp(y(15)))/(exp(y(15))*exp(y(15)))/exp(y(8));
  g1(18,17)=(-(T220*getPowerDeriv(T220,T212,1)));
  g1(18,19)=(-(getPowerDeriv(T220,T212,1)*(-(exp(y(19))*exp(y(17))*params(35)))/(exp(y(19))*exp(y(19)))));
  g1(19,17)=exp(y(17));
  g1(19,18)=(-(params(34)^T212*exp(y(18))*getPowerDeriv(exp(y(18)),T224,1)*getPowerDeriv(T230,1+params(11),1)));
  g1(19,19)=(-(getPowerDeriv(T230,1+params(11),1)*params(35)^T212*exp(y(19))*getPowerDeriv(exp(y(19)),T224,1)));
  g1(20,24)=(-(exp(y(24))/exp(y(25))));
  g1(20,25)=(-((-(exp(y(24))*exp(y(25))))/(exp(y(25))*exp(y(25)))));
  g1(20,26)=exp(y(26))*getPowerDeriv(exp(y(26)),1+(1+params(23))/params(23)*params(21),1);
  g1(21,17)=(-(exp(y(20))*(-(T256*T603))/(T200*T200)+exp(y(24))*T268*(T200*params(10)*params(25)*T603-T200*params(10)*params(25)*T603)/(T200*T200)));
  g1(21,20)=(-(exp(y(20))*T256/T200+exp(y(20))*(1+params(23))/params(23)*params(33)*T254*getPowerDeriv(T254,params(21),1)/T200));
  g1(21,22)=(-(exp(y(20))*(-(T256*T690))/(T200*T200)+exp(y(24))*T268*(T200*params(10)*params(25)*T690-T200*params(10)*params(25)*T690)/(T200*T200)));
  g1(21,23)=(-(exp(y(24))*T262*T733));
  g1(21,24)=exp(y(24))-exp(y(24))*T262*T268;
  g1(21,39)=(-(exp(y(20))*(1+params(23))/params(23)*params(33)*getPowerDeriv(T254,params(21),1)*(-(exp(y(20))*exp(y(39))))/(exp(y(39))*exp(y(39)))/T200));
  g1(22,17)=(-(exp(y(25))*T281*(T200*params(10)*params(25)*T603-T200*params(10)*params(25)*T603)/(T200*T200)));
  g1(22,20)=(-(exp(y(20))*(1+params(37)*exp(y(40)))/params(23)));
  g1(22,22)=(-(exp(y(25))*T281*(T200*params(10)*params(25)*T690-T200*params(10)*params(25)*T690)/(T200*T200)));
  g1(22,23)=(-(exp(y(25))*T262*(-params(36))/(y(23)*y(23))*getPowerDeriv(T263,1-(1+params(23))/params(23),1)));
  g1(22,25)=exp(y(25))-exp(y(25))*T262*T281;
  g1(22,40)=(-(exp(y(20))*params(37)*exp(y(40))/params(23)));
  g1(23,23)=params(25)*(-params(36))/(y(23)*y(23))*getPowerDeriv(T263,T287,1);
  g1(23,26)=(1-params(25))*exp(y(26))*getPowerDeriv(exp(y(26)),T287,1);
  g1(24,23)=(-(exp(y(27))*params(25)*T733));
  g1(24,26)=(-((1-params(25))*exp(y(26))*getPowerDeriv(exp(y(26)),T267,1)));
  g1(24,27)=exp(y(27))-exp(y(27))*params(25)*T268;
  g1(25,5)=(-(exp(y(5))*params(30)));
  g1(25,18)=(-exp(y(18)));
  g1(25,20)=exp(y(20));
  g1(25,21)=(-exp(y(21)));
  g1(26,20)=(-(exp(y(20))*params(12)*exp(y(38))));
  g1(26,21)=exp(y(21));
  g1(26,38)=(-(exp(y(20))*params(12)*exp(y(38))));
  g1(27,23)=(-1);
  g1(27,29)=1;
  g1(28,3)=(-(params(48)*(-(params(46)/exp(y(15))*params(47)*exp(y(3))*getPowerDeriv(exp(y(3)),(-params(1)),1)))/(T65*T65)));
  g1(28,15)=(-(params(48)*params(47)*(-(exp(y(15))*params(46)))/(exp(y(15))*exp(y(15)))/T65));
  g1(28,17)=params(45)*(-(params(44)*exp(y(17))*getPowerDeriv(exp(y(17)),(-params(9)),1)))/(T199*T199);
  g1(29,1)=1;
  g1(29,3)=T417;
  g1(29,6)=exp(y(13))*params(27)*exp(y(36))^(-params(22))*exp(y(6))*getPowerDeriv(exp(y(6)),1+params(22),1)/(1+params(22));
  g1(29,13)=T335;
  g1(29,36)=exp(y(13))*exp(y(6))^(1+params(22))*params(27)*exp(y(36))*getPowerDeriv(exp(y(36)),(-params(22)),1)/(1+params(22));
  g1(30,2)=1;
  g1(30,17)=(-(exp(y(17))*getPowerDeriv(exp(y(17)),1-params(9),1)/(1-params(9))));
  g1(30,20)=exp(y(27))*params(33)*exp(y(39))^(-params(21))*exp(y(20))*getPowerDeriv(exp(y(20)),1+params(21),1)/(1+params(21));
  g1(30,27)=T348;
  g1(30,39)=exp(y(27))*exp(y(20))^(1+params(21))*params(33)*exp(y(39))*getPowerDeriv(exp(y(39)),(-params(21)),1)/(1+params(21));
  g1(31,1)=(-1);
  g1(31,31)=1-params(2);
  g1(32,2)=(-1);
  g1(32,32)=1-params(2);
  g1(33,1)=(-params(49));
  g1(33,2)=(-params(50));
  g1(33,34)=1;
  g1(34,33)=1-params(2);
  g1(34,34)=(-1);
  g1(35,35)=1-params(5);
  g1(36,36)=1-params(7);
  g1(37,37)=1-params(19);
  g1(38,38)=1-params(13);
  g1(39,39)=1-params(15);
  g1(40,40)=1-params(17);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],40,1600);
end
end
