function [residual, g1, g2] = BBCDLmodelcomp_nash_c1y_c2pid_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 161, 1);

%
% Model equations
%

T78 = exp(y(7));
T80 = T78^params(4);
T89 = exp(y(12));
T91 = exp(y(10));
T94 = T78^(params(4)-1);
T101 = (T91*exp((-y(57))))^params(25);
T106 = T78*params(4)*params(30)*T89*T91*T94*T101*(1+params(27))/params(27);
T112 = exp((-y(12)));
T116 = exp(y(14));
T122 = params(34)/y(13);
T125 = (1+params(27))*(1+params(25))/params(27);
T126 = T122^T125;
T128 = T94*T89*T78*params(4)*params(5)*params(29)*T112*T116/(T80*T126);
T129 = T106+T128;
T149 = params(6)/(1+params(6));
T151 = (T78*params(32)*exp((-y(9))))^(T149-1);
T153 = T78*params(32)*y(81)*params(6)*exp((-y(9)))*T151/(1+params(6));
T181 = (T78*params(31)*exp((-y(8))))^(T149-1);
T183 = T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T181/(1+params(6));
T199 = params(3)*y(13)*T78^(1+params(4));
T209 = exp(y(15));
T211 = T89*T78*T112*params(29)*params(4)*params(5)*y(85)*T209;
T213 = (1+params(27))/params(27);
T215 = T122^(1-T213);
T221 = params(3)*T78^(1+params(4));
T233 = T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)/(T126*T221);
T240 = params(31)^T149;
T243 = 1/(1+params(6));
T245 = exp(y(8))^(T243-1);
T249 = params(32)^T149;
T253 = T240*exp(y(8))^T243+T249*exp(y(9))^T243;
T254 = T253^params(6);
T275 = y(20)^2;
T286 = T91^(1+params(25));
T289 = exp(y(57))^params(25);
T290 = (1+params(25))*T289;
T291 = params(30)*exp(y(17))*T286/T290;
T324 = T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/(params(3)*T80);
T335 = T80*T89*T116*T112*params(29)*y(84)*params(5)/(T126*params(3)*T80);
T340 = exp(y(9))^(T243-1);
T378 = params(27)*y(13)^2;
T380 = 1+1/params(27);
T381 = T122^T380;
T382 = T378*T381;
T398 = T80*params(3)*y(13)^2;
T407 = T122^(1+T125);
T409 = (1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(87)/(T378*T407);
T421 = T398*T122^T213;
T422 = T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)/T421;
T435 = (1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)/(T407*T80*params(3)*T378);
T439 = exp(y(16));
T443 = T439^(params(25)*(1+params(27))/params(27));
T445 = 1+params(25)*(1+params(27))/params(27);
T451 = params(27)*T439^T380;
T459 = params(27)*T439^(1+T125);
T464 = exp(y(19));
T474 = exp((-y(29)));
T493 = (1+y(18))^2;
T499 = (T78*params(31)*exp((-y(8))))^T149;
T506 = (1+params(27))*T101*T80*T91*params(30)*T89/params(27);
T512 = T80*T89*T116*T112*params(5)*params(29)/(T80*T126);
T513 = T506+T512;
T548 = (T91*exp((-y(57))))^(params(25)-1);
T552 = T506+(1+params(27))*T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T548/params(27);
T579 = T91*params(30)*exp(y(17))*T91^params(25);
T580 = T579/T289;
T587 = exp(y(24));
T594 = exp(y(29));
T596 = exp(y(27));
T599 = T587^(params(12)-1);
T606 = (T596*exp((-y(60))))^params(24);
T611 = T587*params(36)*params(12)*T594*T596*T599*T606*(1+params(26))/params(26);
T619 = exp(y(31));
T623 = T587^params(12);
T625 = params(39)/y(30);
T628 = (1+params(26))*(1+params(24))/params(26);
T629 = T625^T628;
T631 = T599*T594*T587*T474*params(12)*params(13)*params(28)*T619/(T623*T629);
T632 = T611+T631;
T655 = params(14)/(1+params(14));
T657 = (T587*params(38)*exp((-y(26))))^(T655-1);
T659 = T587*y(95)*params(38)*params(14)*exp((-y(26)))*T657/(1+params(14));
T673 = (T587*params(37)*exp((-y(25))))^(T655-1);
T675 = T594*T587*params(14)*params(37)*y(94)*exp((-y(25)))*T673/(1+params(14));
T691 = params(3)*y(30)*T587^(1+params(12));
T701 = exp(y(32));
T703 = T594*T587*T474*params(28)*params(12)*params(13)*y(99)*T701;
T705 = (1+params(26))/params(26);
T707 = T625^(1-T705);
T713 = params(3)*T587^(1+params(12));
T725 = T623*T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)/(T629*T713);
T731 = params(37)^T655;
T734 = 1/(1+params(14));
T736 = exp(y(25))^(T734-1);
T740 = params(38)^T655;
T744 = T731*exp(y(25))^T734+T740*exp(y(26))^T734;
T745 = T744^params(14);
T758 = y(37)^2;
T799 = T707*T623*T594*T701*T474*params(28)*params(13)*y(99)/(params(3)*T623);
T810 = T623*T594*T619*T474*params(28)*y(98)*params(13)/(T629*params(3)*T623);
T815 = exp(y(26))^(T734-1);
T851 = params(26)*y(30)^2;
T853 = 1+1/params(26);
T854 = T625^T853;
T855 = T851*T854;
T873 = T623*params(3)*y(30)^2;
T882 = T625^(1+T628);
T884 = (1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(101)/(T851*T882);
T896 = T873*T625^T705;
T897 = T623*T594*T701*T474*params(28)*y(99)*params(13)*params(39)*(T705-1)/T896;
T910 = (1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*y(98)*params(13)*params(39)/(T882*T623*params(3)*T851);
T914 = exp(y(33));
T918 = T914^(params(24)*(1+params(26))/params(26));
T920 = 1+params(24)*(1+params(26))/params(26);
T926 = params(26)*T914^T853;
T934 = params(26)*T914^(1+T628);
T957 = (1+y(35))^2;
T963 = (T587*params(37)*exp((-y(25))))^T655;
T970 = (1+params(26))*T606*T623*T596*params(36)*T594/params(26);
T976 = T623*T594*T619*T474*params(13)*params(28)/(T623*T629);
T977 = T970+T976;
T1009 = (T596*exp((-y(60))))^(params(24)-1);
T1013 = T970+(1+params(26))*T623*T594*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T1009/params(26);
T1080 = T181*T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)/(1+params(6));
T1099 = T89*T209*T78*T112*params(29)*params(4)*params(5)*y(134);
T1172 = T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/(params(3)*T80);
T1183 = T80*T89*T116*T112*params(29)*params(5)*y(133)/(T126*params(3)*T80);
T1235 = (1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(136)/(T378*T407);
T1244 = (T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)/T421;
T1254 = (1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)/(T407*T80*params(3)*T378);
T1364 = T657*T587*exp((-y(26)))*y(144)*params(38)*params(14)/(1+params(14));
T1373 = T673*T594*T587*exp((-y(25)))*params(14)*params(37)*y(143)/(1+params(14));
T1392 = T594*T701*T587*T474*params(28)*params(12)*params(13)*y(148);
T1437 = T596^(1+params(24));
T1440 = exp(y(60))^params(24);
T1441 = (1+params(24))*T1440;
T1442 = params(36)*exp(y(34))*T1437/T1441;
T1470 = T707*T623*T594*T701*T474*params(28)*params(13)*y(148)/(params(3)*T623);
T1481 = T623*T594*T619*T474*params(28)*params(13)*y(147)/(T629*params(3)*T623);
T1534 = (1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(150)/(T851*T882);
T1543 = (T705-1)*T623*T594*T701*T474*params(28)*params(13)*params(39)*y(148)/T896;
T1553 = (1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*params(13)*params(39)*y(147)/(T882*T623*params(3)*T851);
T1630 = T596*params(36)*exp(y(34))*T596^params(24);
T1631 = T1630/T1440;
T1644 = T78^(1-params(4))/(1-params(4));
T1650 = T78^(-params(4));
T1651 = T1650/T89;
T1657 = T78*params(31)/exp(y(8));
T1663 = T78*params(32)/exp(y(9));
T1676 = params(30)*T213*(T91/exp(y(57)))^params(25);
T1680 = params(5)*params(29)*T1651/T1651;
T1683 = (1+params(25))*(-(1+params(27)))/params(27);
T1684 = T122^T1683;
T1696 = (-1)/params(27);
T1732 = T587^(-params(12));
T1733 = T1732/T594;
T1739 = T587*params(37)/exp(y(25));
T1746 = T587*params(38)/exp(y(26));
T1759 = params(36)*T705*(T596/exp(y(60)))^params(24);
T1763 = params(13)*params(28)*T1733/T1733;
T1766 = (1+params(24))*(-(1+params(26)))/params(26);
T1767 = T625^T1766;
T1779 = (-1)/params(26);
T1836 = exp(y(17))*T286*params(30)*exp(y(57))^(-params(25))/(1+params(25));
T1847 = exp(y(34))*T1437*params(36)*exp(y(60))^(-params(24))/(1+params(24));
T1896 = T78*getPowerDeriv(T78,params(4),1);
T1904 = T78*getPowerDeriv(T78,params(4)-1,1);
T1918 = (1+params(27))*T101*(T78*params(4)*params(30)*T89*T91*T94+T78*params(4)*params(30)*T89*T91*T1904)/params(27)+(T80*T126*(T94*T89*T78*params(4)*params(5)*params(29)*T112*T116+T89*T78*params(4)*params(5)*params(29)*T112*T116*T1904)-T94*T89*T78*params(4)*params(5)*params(29)*T112*T116*T126*T1896)/(T80*T126*T80*T126);
T1927 = T78*params(32)*exp((-y(9)))*getPowerDeriv(T78*params(32)*exp((-y(9))),T149-1,1);
T1930 = (T78*params(32)*y(81)*params(6)*exp((-y(9)))*T151+T78*params(32)*y(81)*params(6)*exp((-y(9)))*T1927)/(1+params(6));
T1936 = T78*params(31)*exp((-y(8)))*getPowerDeriv(T78*params(31)*exp((-y(8))),T149-1,1);
T1939 = (T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T181+T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T1936)/(1+params(6));
T1972 = params(3)*T78*getPowerDeriv(T78,1+params(4),1);
T1996 = (params(3)*T80*T215*T89*T209*T112*params(29)*params(5)*y(85)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)*params(3)*T1896)/(params(3)*T80*params(3)*T80);
T2004 = (T126*params(3)*T80*T89*T116*T112*params(29)*y(84)*params(5)*T1896-T80*T89*T116*T112*params(29)*y(84)*params(5)*T126*params(3)*T1896)/(T126*params(3)*T80*T126*params(3)*T80);
T2007 = params(3)*y(13)^2*T1896;
T2035 = T78*params(31)*exp((-y(8)))*getPowerDeriv(T78*params(31)*exp((-y(8))),T149,1);
T2046 = (1+params(27))*T101*T91*params(30)*T89*T1896/params(27)+(T80*T126*T89*T116*T112*params(5)*params(29)*T1896-T80*T89*T116*T112*params(5)*params(29)*T126*T1896)/(T80*T126*T80*T126);
T2072 = (1+params(27))*T101*T91*params(30)*T89*T1896/params(27)+(1+params(27))*T548*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T1896/params(27);
T2084 = (T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)+T78*exp((-y(9)))*params(32)*params(6)*y(130)*T1927)/(1+params(6));
T2091 = (T181*T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)+T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)*T1936)/(1+params(6));
T2136 = (params(3)*T80*T215*T89*T209*T112*params(29)*params(5)*y(134)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)*params(3)*T1896)/(params(3)*T80*params(3)*T80);
T2142 = (T126*params(3)*T80*T89*T116*T112*params(29)*params(5)*y(133)*T1896-T80*T89*T116*T112*params(29)*params(5)*y(133)*T126*params(3)*T1896)/(T126*params(3)*T80*T126*params(3)*T80);
T2190 = (-(T78*getPowerDeriv(T78,1-params(4),1)/(1-params(4))));
T2193 = T78*getPowerDeriv(T78,(-params(4)),1)/T89;
T2236 = getPowerDeriv(T78*params(31)*exp((-y(8))),T149-1,1)*T78*params(31)*(-exp((-y(8))));
T2240 = (T181*T89*T78*params(6)*params(31)*y(80)*(-exp((-y(8))))+T89*T78*params(6)*params(31)*y(80)*exp((-y(8)))*T2236)/(1+params(6));
T2249 = T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243,1)*getPowerDeriv(T253,params(6),1);
T2257 = getPowerDeriv(T78*params(31)*exp((-y(8))),T149,1)*T78*params(31)*(-exp((-y(8))));
T2265 = (T89*T78*exp((-y(8)))*params(6)*params(31)*y(129)*T2236+T181*T89*T78*params(6)*params(31)*y(129)*(-exp((-y(8)))))/(1+params(6));
T2291 = getPowerDeriv(T78*params(32)*exp((-y(9))),T149-1,1)*T78*params(32)*(-exp((-y(9))));
T2295 = (T151*T78*params(32)*y(81)*params(6)*(-exp((-y(9))))+T78*params(32)*y(81)*params(6)*exp((-y(9)))*T2291)/(1+params(6));
T2300 = getPowerDeriv(T253,params(6),1)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243,1);
T2317 = (T78*exp((-y(9)))*params(32)*params(6)*y(130)*T2291+T151*T78*params(32)*params(6)*y(130)*(-exp((-y(9)))))/(1+params(6));
T2338 = T91*exp((-y(57)))*getPowerDeriv(T91*exp((-y(57))),params(25),1);
T2342 = (1+params(27))*(T78*params(4)*params(30)*T89*T91*T94*T101+T78*params(4)*params(30)*T89*T91*T94*T2338)/params(27);
T2354 = (1+params(27))*(T101*T80*T91*params(30)*T89+T80*T91*params(30)*T89*T2338)/params(27);
T2369 = T2354+(1+params(27))*(T548*T80*T89*exp((-y(57)))*params(30)*params(25)*2*exp(2*y(10))+T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T91*exp((-y(57)))*getPowerDeriv(T91*exp((-y(57))),params(25)-1,1))/params(27);
T2391 = getPowerDeriv(T91/exp(y(57)),params(25),1);
T2414 = T106+T94*(T89*T78*params(4)*params(5)*params(29)*T112*T116+T89*T116*T78*params(4)*params(5)*params(29)*(-T112))/(T80*T126);
T2456 = T215*T80*(T89*T209*T112*params(29)*params(5)*y(85)+T89*T209*params(29)*params(5)*y(85)*(-T112))/(params(3)*T80);
T2463 = T80*(T89*T116*T112*params(29)*y(84)*params(5)+T89*T116*params(29)*y(84)*params(5)*(-T112))/(T126*params(3)*T80);
T2497 = T506+T80*(T89*T116*T112*params(5)*params(29)+T89*T116*params(5)*params(29)*(-T112))/(T80*T126);
T2552 = T215*T80*(T89*T209*T112*params(29)*params(5)*y(134)+T89*T209*params(29)*params(5)*y(134)*(-T112))/(params(3)*T80);
T2559 = T80*(T89*T116*T112*params(29)*params(5)*y(133)+T89*T116*params(29)*params(5)*y(133)*(-T112))/(T126*params(3)*T80);
T2603 = (-(T89*T1650))/(T89*T89);
T2633 = (-params(34))/(y(13)*y(13));
T2635 = T2633*getPowerDeriv(T122,T125,1);
T2639 = (-(T94*T89*T78*params(4)*params(5)*params(29)*T112*T116*T80*T2635))/(T80*T126*T80*T126);
T2651 = T2633*getPowerDeriv(T122,1-T213,1);
T2669 = T80*T89*T209*T112*params(29)*params(5)*y(85)*T2651/(params(3)*T80);
T2674 = (-(T80*T89*T116*T112*params(29)*y(84)*params(5)*params(3)*T80*T2635))/(T126*params(3)*T80*T126*params(3)*T80);
T2707 = T122^T213*T80*params(3)*2*y(13)+T398*T2633*getPowerDeriv(T122,T213,1);
T2716 = T80*params(3)*T378*T2633*getPowerDeriv(T122,1+T125,1)+T407*T80*params(3)*params(27)*2*y(13);
T2723 = (-(T80*T89*T116*T112*params(5)*params(29)*T80*T2635))/(T80*T126*T80*T126);
T2764 = T80*T89*T209*T112*params(29)*params(5)*y(134)*T2651/(params(3)*T80);
T2768 = (-(T80*T89*T116*T112*params(29)*params(5)*y(133)*params(3)*T80*T2635))/(T126*params(3)*T80*T126*params(3)*T80);
T2868 = T439*getPowerDeriv(T439,params(25)*(1+params(27))/params(27),1);
T2998 = (-(exp(y(40))/y(37)));
T3008 = T587*getPowerDeriv(T587,params(12)-1,1);
T3017 = T587*getPowerDeriv(T587,params(12),1);
T3024 = (1+params(26))*T606*(T587*params(36)*params(12)*T594*T596*T599+T587*params(36)*params(12)*T594*T596*T3008)/params(26)+(T623*T629*(T599*T594*T587*T474*params(12)*params(13)*params(28)*T619+T594*T587*T474*params(12)*params(13)*params(28)*T619*T3008)-T599*T594*T587*T474*params(12)*params(13)*params(28)*T619*T629*T3017)/(T623*T629*T623*T629);
T3031 = T587*params(38)*exp((-y(26)))*getPowerDeriv(T587*params(38)*exp((-y(26))),T655-1,1);
T3034 = (T587*y(95)*params(38)*params(14)*exp((-y(26)))*T657+T587*y(95)*params(38)*params(14)*exp((-y(26)))*T3031)/(1+params(14));
T3037 = T587*params(37)*exp((-y(25)))*getPowerDeriv(T587*params(37)*exp((-y(25))),T655-1,1);
T3040 = (T594*T587*params(14)*params(37)*y(94)*exp((-y(25)))*T673+T594*T587*params(14)*params(37)*y(94)*exp((-y(25)))*T3037)/(1+params(14));
T3074 = params(3)*T587*getPowerDeriv(T587,1+params(12),1);
T3098 = (params(3)*T623*T707*T594*T701*T474*params(28)*params(13)*y(99)*T3017-T707*T623*T594*T701*T474*params(28)*params(13)*y(99)*params(3)*T3017)/(params(3)*T623*params(3)*T623);
T3106 = (T629*params(3)*T623*T594*T619*T474*params(28)*y(98)*params(13)*T3017-T623*T594*T619*T474*params(28)*y(98)*params(13)*T629*params(3)*T3017)/(T629*params(3)*T623*T629*params(3)*T623);
T3109 = params(3)*y(30)^2*T3017;
T3136 = T587*params(37)*exp((-y(25)))*getPowerDeriv(T587*params(37)*exp((-y(25))),T655,1);
T3147 = (1+params(26))*T606*T596*params(36)*T594*T3017/params(26)+(T623*T629*T594*T619*T474*params(13)*params(28)*T3017-T623*T594*T619*T474*params(13)*params(28)*T629*T3017)/(T623*T629*T623*T629);
T3173 = (1+params(26))*T606*T596*params(36)*T594*T3017/params(26)+(1+params(26))*T1009*T594*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T3017/params(26);
T3188 = (T657*T587*exp((-y(26)))*y(144)*params(38)*params(14)+T587*exp((-y(26)))*y(144)*params(38)*params(14)*T3031)/(1+params(14));
T3192 = (T673*T594*T587*exp((-y(25)))*params(14)*params(37)*y(143)+T594*T587*exp((-y(25)))*params(14)*params(37)*y(143)*T3037)/(1+params(14));
T3237 = (params(3)*T623*T707*T594*T701*T474*params(28)*params(13)*y(148)*T3017-T707*T623*T594*T701*T474*params(28)*params(13)*y(148)*params(3)*T3017)/(params(3)*T623*params(3)*T623);
T3243 = (T629*params(3)*T623*T594*T619*T474*params(28)*params(13)*y(147)*T3017-T623*T594*T619*T474*params(28)*params(13)*y(147)*T629*params(3)*T3017)/(T629*params(3)*T623*T629*params(3)*T623);
T3289 = T587*getPowerDeriv(T587,(-params(12)),1)/T594;
T3335 = getPowerDeriv(T587*params(37)*exp((-y(25))),T655-1,1)*T587*params(37)*(-exp((-y(25))));
T3339 = (T673*T594*T587*params(14)*params(37)*y(94)*(-exp((-y(25))))+T594*T587*params(14)*params(37)*y(94)*exp((-y(25)))*T3335)/(1+params(14));
T3348 = T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734,1)*getPowerDeriv(T744,params(14),1);
T3356 = getPowerDeriv(T587*params(37)*exp((-y(25))),T655,1)*T587*params(37)*(-exp((-y(25))));
T3364 = (T594*T587*exp((-y(25)))*params(14)*params(37)*y(143)*T3335+T673*T594*T587*params(14)*params(37)*y(143)*(-exp((-y(25)))))/(1+params(14));
T3390 = getPowerDeriv(T587*params(38)*exp((-y(26))),T655-1,1)*T587*params(38)*(-exp((-y(26))));
T3394 = (T657*T587*y(95)*params(38)*params(14)*(-exp((-y(26))))+T587*y(95)*params(38)*params(14)*exp((-y(26)))*T3390)/(1+params(14));
T3399 = getPowerDeriv(T744,params(14),1)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734,1);
T3416 = (T587*exp((-y(26)))*y(144)*params(38)*params(14)*T3390+T657*T587*y(144)*params(38)*params(14)*(-exp((-y(26)))))/(1+params(14));
T3437 = T596*exp((-y(60)))*getPowerDeriv(T596*exp((-y(60))),params(24),1);
T3441 = (1+params(26))*(T587*params(36)*params(12)*T594*T596*T599*T606+T587*params(36)*params(12)*T594*T596*T599*T3437)/params(26);
T3448 = (1+params(26))*(T606*T623*T596*params(36)*T594+T623*T596*params(36)*T594*T3437)/params(26);
T3463 = T3448+(1+params(26))*(T1009*T623*T594*exp((-y(60)))*params(36)*params(24)*2*exp(2*y(27))+T623*T594*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T596*exp((-y(60)))*getPowerDeriv(T596*exp((-y(60))),params(24)-1,1))/params(26);
T3490 = getPowerDeriv(T596/exp(y(60)),params(24),1);
T3515 = T611+T599*(T594*T587*T474*params(12)*params(13)*params(28)*T619+T594*T619*T587*params(12)*params(13)*params(28)*(-T474))/(T623*T629);
T3557 = T707*T623*(T594*T701*T474*params(28)*params(13)*y(99)+T594*T701*params(28)*params(13)*y(99)*(-T474))/(params(3)*T623);
T3564 = T623*(T594*T619*T474*params(28)*y(98)*params(13)+T594*T619*params(28)*y(98)*params(13)*(-T474))/(T629*params(3)*T623);
T3596 = T970+T623*(T594*T619*T474*params(13)*params(28)+T594*T619*params(13)*params(28)*(-T474))/(T623*T629);
T3653 = T707*T623*(T594*T701*T474*params(28)*params(13)*y(148)+T594*T701*params(28)*params(13)*y(148)*(-T474))/(params(3)*T623);
T3660 = T623*(T594*T619*T474*params(28)*params(13)*y(147)+T594*T619*params(28)*params(13)*y(147)*(-T474))/(T629*params(3)*T623);
T3705 = (-(T594*T1732))/(T594*T594);
T3732 = (-params(39))/(y(30)*y(30));
T3734 = T3732*getPowerDeriv(T625,T628,1);
T3738 = (-(T599*T594*T587*T474*params(12)*params(13)*params(28)*T619*T623*T3734))/(T623*T629*T623*T629);
T3750 = T3732*getPowerDeriv(T625,1-T705,1);
T3768 = T623*T594*T701*T474*params(28)*params(13)*y(99)*T3750/(params(3)*T623);
T3773 = (-(T623*T594*T619*T474*params(28)*y(98)*params(13)*params(3)*T623*T3734))/(T629*params(3)*T623*T629*params(3)*T623);
T3806 = T625^T705*T623*params(3)*2*y(30)+T873*T3732*getPowerDeriv(T625,T705,1);
T3815 = T623*params(3)*T851*T3732*getPowerDeriv(T625,1+T628,1)+T882*T623*params(3)*params(26)*2*y(30);
T3822 = (-(T623*T594*T619*T474*params(13)*params(28)*T623*T3734))/(T623*T629*T623*T629);
T3863 = T623*T594*T701*T474*params(28)*params(13)*y(148)*T3750/(params(3)*T623);
T3867 = (-(T623*T594*T619*T474*params(28)*params(13)*y(147)*params(3)*T623*T3734))/(T629*params(3)*T623*T629*params(3)*T623);
T3967 = T914*getPowerDeriv(T914,params(24)*(1+params(26))/params(26),1);
T4059 = (-(exp(y(23))/y(20)));
T4229 = getPowerDeriv(T91*exp((-y(57))),params(25),1)*T91*(-exp((-y(57))));
T4245 = (1+params(27))*T80*T91*params(30)*T89*T4229/params(27);
T4257 = T4245+(1+params(27))*(T548*T80*T89*params(30)*params(25)*exp(2*y(10))*(-exp((-y(57))))+T80*T89*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*getPowerDeriv(T91*exp((-y(57))),params(25)-1,1)*T91*(-exp((-y(57)))))/params(27);
T4303 = getPowerDeriv(T596*exp((-y(60))),params(24),1)*T596*(-exp((-y(60))));
T4311 = (1+params(26))*T623*T596*params(36)*T594*T4303/params(26);
T4323 = T4311+(1+params(26))*(T1009*T623*T594*params(36)*params(24)*exp(2*y(27))*(-exp((-y(60))))+T623*T594*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*getPowerDeriv(T596*exp((-y(60))),params(24)-1,1)*T596*(-exp((-y(60)))))/params(26);
T4384 = (-(T94*T89*T78*params(4)*params(5)*T112/(T80*y(13))))+T80*T89*T78*params(4)*params(5)*T112/T199;
T4394 = (-(T80*T89*params(5)*T112/(T80*y(13))))+T80*T89*params(5)*T112/(T80*params(3)*y(13));
T4399 = T181*T89*T78*exp((-y(8)))*params(6)*params(31)/(1+params(6));
T4405 = T151*T78*exp((-y(9)))*params(32)*params(6)/(1+params(6));
T4424 = (-T129)+T80*T89*T78*params(4)*params(5)*params(29)*T112*T116/(T126*T221);
T4435 = (-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)/(T407*T80*params(3)*T378)));
T4448 = (-(T215*T94*T89*T78*params(4)*params(5)*params(29)*T112*T209/T80))+T215*T80*T89*T78*params(4)*params(5)*params(29)*T112*T209/T221;
T4454 = T209-T215*T80*T89*T209*T112*params(5)*params(29)/(params(3)*T80);
T4460 = (-((T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)/T421));
T4463 = T215*T80*T89*T209*T112*params(5)*params(29)/(params(3)*T80)-T215*T80*T89*T209*T112*params(5)*params(29)/T80;
T4478 = (-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)/(T378*T407)));
T4511 = (-(T599*T594*T587*T474*params(12)*params(13)/(y(30)*T623)))+T623*T594*T587*T474*params(12)*params(13)/T691;
T4521 = (-(T623*T594*T474*params(13)/(y(30)*T623)))+T623*T594*T474*params(13)/(T623*params(3)*y(30));
T4526 = T673*T594*T587*exp((-y(25)))*params(14)*params(37)/(1+params(14));
T4534 = T657*T587*exp((-y(26)))*params(38)*params(14)/(1+params(14));
T4551 = (-T632)+T594*T587*T474*params(12)*params(13)*params(28)*T619*T623/(T629*T713);
T4562 = (-((1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*params(13)*params(39)/(T882*T623*params(3)*T851)));
T4575 = (-(T707*T599*T594*T587*T474*params(12)*params(13)*params(28)*T701/T623))+T707*T623*T594*T587*T474*params(12)*params(13)*params(28)*T701/T713;
T4581 = T701-T707*T623*T594*T701*T474*params(13)*params(28)/(params(3)*T623);
T4587 = (-((T705-1)*T623*T594*T701*T474*params(28)*params(13)*params(39)/T896));
T4590 = T707*T623*T594*T701*T474*params(13)*params(28)/(params(3)*T623)-T707*T623*T594*T701*T474*params(13)*params(28)/T623;
T4605 = (-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)/(T851*T882)));
lhs =y(160);
rhs =params(1)*y(5)+params(2)*y(6);
residual(1)= lhs-rhs;
lhs =y(161);
rhs =y(160)+y(161)*params(3);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(5)+params(3)*y(1);
residual(3)= lhs-rhs;
lhs =y(2);
rhs =y(6)+params(3)*y(2);
residual(4)= lhs-rhs;
lhs =y(3);
rhs =y(10);
residual(5)= lhs-rhs;
lhs =y(4);
rhs =y(30);
residual(6)= lhs-rhs;
lhs =y(42);
rhs =y(17);
residual(7)= lhs-rhs;
lhs =y(43);
rhs =y(21);
residual(8)= lhs-rhs;
lhs =y(44);
rhs =y(22);
residual(9)= lhs-rhs;
lhs =y(45);
rhs =y(19);
residual(10)= lhs-rhs;
lhs =y(46);
rhs =y(18);
residual(11)= lhs-rhs;
lhs =y(47);
rhs =y(12);
residual(12)= lhs-rhs;
lhs =y(48);
rhs =y(10);
residual(13)= lhs-rhs;
lhs =y(49);
rhs =y(34);
residual(14)= lhs-rhs;
lhs =y(50);
rhs =y(38);
residual(15)= lhs-rhs;
lhs =y(51);
rhs =y(39);
residual(16)= lhs-rhs;
lhs =y(52);
rhs =y(36);
residual(17)= lhs-rhs;
lhs =y(53);
rhs =y(35);
residual(18)= lhs-rhs;
lhs =y(54);
rhs =y(29);
residual(19)= lhs-rhs;
lhs =y(55);
rhs =y(27);
residual(20)= lhs-rhs;
residual(21) = T78/T80+T78*y(82)-y(84)*T129-T78*y(78)/T80-T153-T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))+T183-T94*T89*T78*T112*params(4)*params(5)*y(79)/(T80*y(13))+T80*T89*T78*T112*params(4)*params(5)*y(79)/T199-T94*T211*T215/T80+T215*T80*T211/T221+T233;
residual(22) = (-y(88))*exp(y(8))-exp(y(8))*y(82)*T240*T245*T254-T183;
residual(23) = y(90)+y(92)-y(110)*exp(y(40))/y(37)+y(37)*y(109)*exp(y(23))/T275;
residual(24) = y(87)*exp(y(17))-params(3)*y(64)-T291;
residual(25) = y(64)-params(29)*y(87)*exp(y(42))/T126;
residual(26) = (-(y(37)*y(109)*exp(y(23))))/y(20);
residual(27) = y(89)*exp(y(11))-y(88)*exp(y(11));
residual(28) = y(85)*T209+T116*y(83)*exp((-y(15)))-T324;
residual(29) = y(84)*T116-T116*y(83)*exp((-y(15)))-T335;
residual(30) = T153-T254*exp(y(9))*y(82)*T249*T340-exp(y(9))*y(102)*params(33);
residual(31) = y(91)*exp((-y(43)))*exp(y(21))-params(3)*y(65);
residual(32) = y(65)-y(91)*exp((-y(43)))*exp(y(21));
residual(33) = params(3)*(-y(66))-y(92)*exp((-y(44)))*exp(y(22));
residual(34) = y(66)+y(92)*exp((-y(44)))*exp(y(22));
residual(35) = params(29)*params(34)*y(86)/T382-T91*y(91)*exp((-y(48)))-T89*y(90)*exp((-y(47)))+T80*T89*T112*params(5)*y(79)/T398-T409-T422-T435;
residual(36) = y(83)*T439*T443*T445+y(86)*T439*(params(29)-1)/T451-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T439/T459;
residual(37) = y(108)*T464-params(3)*y(67)-T112*exp((-y(19)))*y(95)+T464*y(81)*T474+T464*y(109)*exp((-y(45)))+T80*params(50)*y(107)*params(49)*params(51)*exp((-y(19)));
residual(38) = y(67)-T464*y(109)*exp((-y(45)));
residual(39) = params(3)*(-y(68))-y(79)/T493;
residual(40) = y(68);
residual(41) = T324+T335+T89*y(80)*T499-y(84)*T513-T112*exp((-y(19)))*y(95)-params(3)*y(69)-T89*exp((-y(47)))*y(13)*y(90)-T80*T89*T112*params(5)*y(79)/(T80*y(13))+T80*T89*T112*params(5)*y(79)/(T80*params(3)*y(13))-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/T80;
residual(42) = y(69)+T89*exp((-y(47)))*y(13)*y(90);
residual(43) = T91*y(88)-params(3)*y(70)-y(84)*T552-y(62)-T91*exp((-y(48)))*y(13)*y(91)-T91*y(85)*(1+params(35)*exp(y(58)))/params(27)-T91*y(89)*params(7)*exp(y(56))-T580;
residual(44) = y(70)+T91*exp((-y(48)))*y(13)*y(91);
residual(45) = y(96)*T587-y(98)*T632+T599*T587*params(12)*y(107)*params(47)*params(48)-T659+T675-T599*T594*T587*T474*params(12)*params(13)*y(93)/(y(30)*T623)+T623*T594*T587*T474*params(12)*params(13)*y(93)/T691-T599*T703*T707/T623+T707*T623*T703/T713+T725;
residual(46) = (-y(102))*exp(y(25))-exp(y(25))*y(96)*T731*T736*T745-T675;
residual(47) = y(104)+y(106)-y(109)*exp(y(23))/y(20)+exp(y(40))*y(110)*y(20)/T758;
residual(48) = y(101)*exp(y(34))-params(3)*y(71);
residual(49) = y(71)-params(28)*y(101)*exp(y(49))/T629;
residual(50) = (-(exp(y(40))*y(110)*y(20)))/y(37);
residual(51) = y(103)*exp(y(28))-y(102)*exp(y(28));
residual(52) = y(99)*T701+T619*y(97)*exp((-y(32)))-T799;
residual(53) = y(98)*T619-T619*y(97)*exp((-y(32)))-T810;
residual(54) = T659-T745*exp(y(26))*y(96)*T740*T815-y(88)*exp(y(26))/params(33);
residual(55) = y(105)*exp((-y(50)))*exp(y(38))-params(3)*y(72);
residual(56) = y(72)-y(105)*exp((-y(50)))*exp(y(38));
residual(57) = params(3)*(-y(73))-y(106)*exp((-y(51)))*exp(y(39));
residual(58) = y(73)+y(106)*exp((-y(51)))*exp(y(39));
residual(59) = params(28)*params(39)*y(100)/T855-T594*y(104)*exp((-y(54)))-T596*y(105)*exp((-y(55)))-y(63)+T623*T594*T474*params(13)*y(93)/T873-T884-T897-T910;
residual(60) = y(97)*T914*T918*T920+y(100)*T914*(params(28)-1)/T926-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914/T934;
residual(61) = y(108)*exp((-y(36)))-params(3)*y(74)+y(110)*exp((-y(52)))*exp(y(36));
residual(62) = y(74)-y(110)*exp((-y(52)))*exp(y(36));
residual(63) = params(3)*(-y(75))-y(93)/T957;
residual(64) = y(75);
residual(65) = T799+T810+T594*y(94)*T963-y(98)*T977-params(3)*y(76)-T464*y(81)*T474-T594*exp((-y(54)))*y(30)*y(104)-T623*T594*T474*params(13)*y(93)/(y(30)*T623)+T623*T594*T474*params(13)*y(93)/(T623*params(3)*y(30))-T707*T623*T594*T701*T474*params(28)*params(13)*y(99)/T623;
residual(66) = y(76)+T594*exp((-y(54)))*y(30)*y(104);
residual(67) = y(102)*T596-y(98)*T1013-params(3)*y(77)-T596*exp((-y(55)))*y(30)*y(105)-T596*y(99)*(1+params(40)*exp(y(61)))/params(26)-T596*y(103)*params(15)*exp(y(59));
residual(68) = y(77)+T596*exp((-y(55)))*y(30)*y(105);
residual(69) = y(62);
residual(70) = y(78)-params(5)*y(78)/params(3);
residual(71) = T78*y(131)-T129*y(133)-T78*y(127)/T80-T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)/(1+params(6))-T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)+T1080-T94*T89*T78*T112*params(4)*params(5)*y(128)/(T80*y(13))+T80*T89*T78*T112*params(4)*params(5)*y(128)/T199-T215*T94*T1099/T80+T215*T80*T1099/T221+T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)/(T126*T221);
residual(72) = exp(y(8))*(-y(137))-T254*T245*exp(y(8))*T240*y(131)-T1080;
residual(73) = y(139)+y(141)-exp(y(40))*y(159)/y(37)+exp(y(23))*y(37)*y(158)/T275;
residual(74) = exp(y(17))*y(136)-params(3)*y(113);
residual(75) = y(113)-exp(y(42))*params(29)*y(136)/T126;
residual(76) = (-(exp(y(23))*y(37)*y(158)))/y(20);
residual(77) = exp(y(11))*y(138)-exp(y(11))*y(137);
residual(78) = T209*y(134)+T116*exp((-y(15)))*y(132)-T1172;
residual(79) = T116*y(133)-T116*exp((-y(15)))*y(132)-T1183;
residual(80) = T151*T78*exp((-y(9)))*params(32)*params(6)*y(130)/(1+params(6))-T254*T340*exp(y(9))*T249*y(131)-exp(y(9))*params(33)*y(151);
residual(81) = exp(y(21))*exp((-y(43)))*y(140)-params(3)*y(114);
residual(82) = y(114)-exp(y(21))*exp((-y(43)))*y(140);
residual(83) = params(3)*(-y(115))-exp(y(22))*exp((-y(44)))*y(141);
residual(84) = y(115)+exp(y(22))*exp((-y(44)))*y(141);
residual(85) = params(29)*params(34)*y(135)/T382-T91*exp((-y(48)))*y(140)-T89*exp((-y(47)))*y(139)+T80*T89*T112*params(5)*y(128)/T398-T1235-T1244-T1254;
residual(86) = T445*T443*T439*y(132)+(params(29)-1)*T439*y(135)/T451-(params(29)-1)*(1+params(27))*(1+params(25))*T439*y(136)/T459;
residual(87) = T464*y(157)-params(3)*y(116)-T112*exp((-y(19)))*y(144)+T464*T474*y(130)+T464*exp((-y(45)))*y(158)+T80*exp((-y(19)))*params(51)*params(50)*params(49)*y(156);
residual(88) = y(116)-T464*exp((-y(45)))*y(158);
residual(89) = params(3)*(-y(117))-y(128)/T493;
residual(90) = y(117);
residual(91) = T1172+T1183+T499*T89*y(129)-T513*y(133)-T112*exp((-y(19)))*y(144)-params(3)*y(118)-T89*exp((-y(47)))*y(13)*y(139)-T80*T89*T112*params(5)*y(128)/(T80*y(13))+T80*T89*T112*params(5)*y(128)/(T80*params(3)*y(13))-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/T80;
residual(92) = y(118)+T89*exp((-y(47)))*y(13)*y(139);
residual(93) = T91*y(137)-params(3)*y(119)-T552*y(133)-y(111)-T91*exp((-y(48)))*y(13)*y(140)-(1+params(35)*exp(y(58)))*T91*y(134)/params(27)-T91*exp(y(56))*params(7)*y(138);
residual(94) = y(119)+T91*exp((-y(48)))*y(13)*y(140);
residual(95) = T587/T623+T587*y(145)-T632*y(147)+T599*T587*y(156)*params(12)*params(47)*params(48)-T1364+T1373-T599*T594*T587*T474*params(12)*params(13)*y(142)/(y(30)*T623)+T623*T594*T587*T474*params(12)*params(13)*y(142)/T691-T707*T599*T1392/T623+T707*T623*T1392/T713+T623*T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)/(T629*T713);
residual(96) = exp(y(25))*(-y(151))-T745*T736*exp(y(25))*T731*y(145)-T1373;
residual(97) = y(153)+y(155)-exp(y(23))*y(158)/y(20)+exp(y(40))*y(20)*y(159)/T758;
residual(98) = exp(y(34))*y(150)-params(3)*y(120)-T1442;
residual(99) = y(120)-exp(y(49))*params(28)*y(150)/T629;
residual(100) = (-(exp(y(40))*y(20)*y(159)))/y(37);
residual(101) = exp(y(28))*y(152)-exp(y(28))*y(151);
residual(102) = T701*y(148)+T619*exp((-y(32)))*y(146)-T1470;
residual(103) = T619*y(147)-T619*exp((-y(32)))*y(146)-T1481;
residual(104) = T1364-T745*T815*exp(y(26))*T740*y(145)-exp(y(26))*y(137)/params(33);
residual(105) = exp(y(38))*exp((-y(50)))*y(154)-params(3)*y(121);
residual(106) = y(121)-exp(y(38))*exp((-y(50)))*y(154);
residual(107) = params(3)*(-y(122))-exp(y(39))*exp((-y(51)))*y(155);
residual(108) = y(122)+exp(y(39))*exp((-y(51)))*y(155);
residual(109) = params(28)*params(39)*y(149)/T855-T594*exp((-y(54)))*y(153)-T596*exp((-y(55)))*y(154)-y(112)+T623*T594*T474*params(13)*y(142)/T873-T1534-T1543-T1553;
residual(110) = T920*T918*T914*y(146)+(params(28)-1)*T914*y(149)/T926-(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)/T934;
residual(111) = exp((-y(36)))*y(157)-params(3)*y(123)+exp(y(36))*exp((-y(52)))*y(159);
residual(112) = y(123)-exp(y(36))*exp((-y(52)))*y(159);
residual(113) = params(3)*(-y(124))-y(142)/T957;
residual(114) = y(124);
residual(115) = T1470+T1481+T963*T594*y(143)-T977*y(147)-params(3)*y(125)-T464*T474*y(130)-T594*exp((-y(54)))*y(30)*y(153)-T623*T594*T474*params(13)*y(142)/(y(30)*T623)+T623*T594*T474*params(13)*y(142)/(T623*params(3)*y(30))-T707*T623*T594*T701*T474*params(28)*params(13)*y(148)/T623;
residual(116) = y(125)+T594*exp((-y(54)))*y(30)*y(153);
residual(117) = T596*y(151)-T1013*y(147)-params(3)*y(126)-T596*exp((-y(55)))*y(30)*y(154)-(1+params(40)*exp(y(61)))*T596*y(148)/params(26)-T596*exp(y(59))*params(15)*y(152)-T1631;
residual(118) = y(126)+T596*exp((-y(55)))*y(30)*y(154);
residual(119) = y(112);
residual(120) = y(127)-params(5)*y(127)/params(3);
lhs =y(41);
rhs =T1644+params(5)*y(41);
residual(121)= lhs-rhs;
lhs =1/(1+y(18));
rhs =params(5)*T1651/T1651/y(13);
residual(122)= lhs-rhs;
lhs =T89*T1657^T149;
rhs =1;
residual(123)= lhs-rhs;
lhs =T464/T594;
rhs =T1663^T149;
residual(124)= lhs-rhs;
lhs =T78;
rhs =T253^(1+params(6));
residual(125)= lhs-rhs;
lhs =T439^(1+params(25)*T213);
rhs =T116/T209;
residual(126)= lhs-rhs;
lhs =T116;
rhs =T91*T1676/T1651+T116*T1680*T1684;
residual(127)= lhs-rhs;
lhs =T209;
rhs =T91*(1+params(35)*exp(y(58)))/params(27)+T209*T215*T1680;
residual(128)= lhs-rhs;
lhs =(1-params(29))*T439^T1696+params(29)*T122^T1696;
rhs =1;
residual(129)= lhs-rhs;
lhs =exp(y(17));
rhs =(1-params(29))*T439^T1683+exp(y(42))*params(29)*T1684;
residual(130)= lhs-rhs;
lhs =T91;
rhs =exp(y(8))+exp(y(11))+exp(y(26))*1/params(33);
residual(131)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(56))*T91*params(7);
residual(132)= lhs-rhs;
lhs =y(20);
rhs =y(13)*T89/exp(y(47));
residual(133)= lhs-rhs;
lhs =exp(y(21))/exp(y(43));
rhs =T91*y(13)/exp(y(48));
residual(134)= lhs-rhs;
lhs =y(20);
rhs =exp(y(22))/exp(y(44));
residual(135)= lhs-rhs;
lhs =1/(1+y(35));
rhs =params(13)*T1733/T1733/y(30);
residual(136)= lhs-rhs;
lhs =T594*T1739^T655;
rhs =1;
residual(137)= lhs-rhs;
lhs =1/T464/T89;
rhs =T1746^T655;
residual(138)= lhs-rhs;
lhs =T587;
rhs =T744^(1+params(14));
residual(139)= lhs-rhs;
lhs =T914^(1+params(24)*T705);
rhs =T619/T701;
residual(140)= lhs-rhs;
lhs =T619;
rhs =T596*T1759/T1733+T619*T1763*T1767;
residual(141)= lhs-rhs;
lhs =T701;
rhs =T596*(1+params(40)*exp(y(61)))/params(26)+T701*T707*T1763;
residual(142)= lhs-rhs;
lhs =(1-params(28))*T914^T1779+params(28)*T625^T1779;
rhs =1;
residual(143)= lhs-rhs;
lhs =exp(y(34));
rhs =(1-params(28))*T914^T1766+exp(y(49))*params(28)*T1767;
residual(144)= lhs-rhs;
lhs =T596;
rhs =exp(y(25))+exp(y(28))+exp(y(9))*params(33);
residual(145)= lhs-rhs;
lhs =exp(y(28));
rhs =exp(y(59))*T596*params(15);
residual(146)= lhs-rhs;
lhs =y(37);
rhs =y(30)*T594/exp(y(54));
residual(147)= lhs-rhs;
lhs =exp(y(38))/exp(y(50));
rhs =y(30)*T596/exp(y(55));
residual(148)= lhs-rhs;
lhs =y(37);
rhs =exp(y(39))/exp(y(51));
residual(149)= lhs-rhs;
lhs =params(48)*params(47)/T1732;
rhs =params(51)*params(50)*params(49)/T464/T1650;
residual(150)= lhs-rhs;
lhs =T464;
rhs =1/exp(y(36));
residual(151)= lhs-rhs;
lhs =T464/exp(y(45));
rhs =y(37)*exp(y(23))/y(20);
residual(152)= lhs-rhs;
lhs =exp(y(36))/exp(y(52));
rhs =exp(y(40))*y(20)/y(37);
residual(153)= lhs-rhs;
lhs =y(5);
rhs =T1644-T1836;
residual(154)= lhs-rhs;
lhs =y(6);
rhs =T587^(1-params(12))/(1-params(12))-T1847;
residual(155)= lhs-rhs;
lhs =y(56);
rhs =y(56)*params(8)+params(9)*x(1);
residual(156)= lhs-rhs;
lhs =y(57);
rhs =y(57)*params(10)+params(11)*x(2);
residual(157)= lhs-rhs;
lhs =y(58);
rhs =y(58)*params(22)+params(23)*x(6);
residual(158)= lhs-rhs;
lhs =y(59);
rhs =y(59)*params(16)+params(17)*x(3);
residual(159)= lhs-rhs;
lhs =y(60);
rhs =y(60)*params(18)+params(19)*x(4);
residual(160)= lhs-rhs;
lhs =y(61);
rhs =y(61)*params(20)+params(21)*x(5);
residual(161)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(161, 161);

  %
  % Jacobian matrix
  %

  g1(1,5)=(-params(1));
  g1(1,6)=(-params(2));
  g1(1,160)=1;
  g1(2,160)=(-1);
  g1(2,161)=1-params(3);
  g1(3,1)=1-params(3);
  g1(3,5)=(-1);
  g1(4,2)=1-params(3);
  g1(4,6)=(-1);
  g1(5,3)=1;
  g1(5,10)=(-1);
  g1(6,4)=1;
  g1(6,30)=(-1);
  g1(7,17)=(-1);
  g1(7,42)=1;
  g1(8,21)=(-1);
  g1(8,43)=1;
  g1(9,22)=(-1);
  g1(9,44)=1;
  g1(10,19)=(-1);
  g1(10,45)=1;
  g1(11,18)=(-1);
  g1(11,46)=1;
  g1(12,12)=(-1);
  g1(12,47)=1;
  g1(13,10)=(-1);
  g1(13,48)=1;
  g1(14,34)=(-1);
  g1(14,49)=1;
  g1(15,38)=(-1);
  g1(15,50)=1;
  g1(16,39)=(-1);
  g1(16,51)=1;
  g1(17,36)=(-1);
  g1(17,52)=1;
  g1(18,35)=(-1);
  g1(18,53)=1;
  g1(19,29)=(-1);
  g1(19,54)=1;
  g1(20,27)=(-1);
  g1(20,55)=1;
  g1(21,7)=T78*y(82)+(T78*T80-T78*T1896)/(T80*T80)-y(84)*T1918-(T80*T78*y(78)-T78*y(78)*T1896)/(T80*T80)-T1930-(T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))+T78*params(4)*params(50)*y(107)*params(49)*params(51)*exp((-y(19)))*T1904)+T1939-(T80*y(13)*(T94*T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*T112*params(4)*params(5)*y(79)*T1904)-T94*T89*T78*T112*params(4)*params(5)*y(79)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T199*(T80*T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*T112*params(4)*params(5)*y(79)*T1896)-T80*T89*T78*T112*params(4)*params(5)*y(79)*params(3)*y(13)*T78*getPowerDeriv(T78,1+params(4),1))/(T199*T199)-(T80*T215*(T94*T211+T211*T1904)-T94*T211*T215*T1896)/(T80*T80)+(T221*T215*(T80*T211+T211*T1896)-T215*T80*T211*T1972)/(T221*T221)+(T126*T221*(T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)+T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T1896)-T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T126*T1972)/(T126*T221*T126*T221);
  g1(21,8)=T2240;
  g1(21,9)=(-T2295);
  g1(21,10)=(-(y(84)*T2342));
  g1(21,12)=T183+(-(y(84)*T2414))-T94*(T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*params(4)*params(5)*y(79)*(-T112))/(T80*y(13))+T80*(T89*T78*T112*params(4)*params(5)*y(79)+T89*T78*params(4)*params(5)*y(79)*(-T112))/T199-T215*T94*(T211+T89*T209*T78*params(29)*params(4)*params(5)*y(85)*(-T112))/T80+T215*T80*(T211+T89*T209*T78*params(29)*params(4)*params(5)*y(85)*(-T112))/T221+T80*(T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)+T89*T116*T78*params(29)*params(4)*y(84)*params(5)*(-T112))/(T126*T221);
  g1(21,13)=(-(y(84)*T2639))-(-(T80*T94*T89*T78*T112*params(4)*params(5)*y(79)))/(T80*y(13)*T80*y(13))+(-(T80*T89*T78*T112*params(4)*params(5)*y(79)*T221))/(T199*T199)-T94*T211*T2651/T80+T80*T211*T2651/T221+(-(T80*T89*T116*T78*T112*params(29)*params(4)*y(84)*params(5)*T221*T2635))/(T126*T221*T126*T221);
  g1(21,14)=T233+(-(y(84)*T128));
  g1(21,15)=T215*T80*T211/T221+(-(T94*T211*T215/T80));
  g1(21,19)=(-(T94*T78*params(4)*params(50)*y(107)*params(49)*params(51)*(-exp((-y(19))))));
  g1(21,57)=(-(y(84)*(1+params(27))*T78*params(4)*params(30)*T89*T91*T94*T4229/params(27)));
  g1(21,78)=(-(T78/T80));
  g1(21,79)=T4384;
  g1(21,80)=T4399;
  g1(21,81)=(-T4405);
  g1(21,82)=T78;
  g1(21,84)=T4424;
  g1(21,85)=T4448;
  g1(21,107)=(-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(22,7)=(-T1939);
  g1(22,8)=(-y(88))*exp(y(8))-(T254*(exp(y(8))*y(82)*T240*T245+exp(y(8))*y(82)*T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243-1,1))+exp(y(8))*y(82)*T240*T245*T2249)-T2240;
  g1(22,9)=(-(exp(y(8))*y(82)*T240*T245*T2300));
  g1(22,12)=(-T183);
  g1(22,80)=(-T4399);
  g1(22,82)=(-(T254*T245*exp(y(8))*T240));
  g1(22,88)=(-exp(y(8)));
  g1(23,20)=(-(y(37)*y(109)*exp(y(23))*2*y(20)))/(T275*T275);
  g1(23,23)=y(37)*y(109)*exp(y(23))/T275;
  g1(23,37)=(-((-(y(110)*exp(y(40))))/(y(37)*y(37))))+y(109)*exp(y(23))/T275;
  g1(23,40)=(-(y(110)*exp(y(40))/y(37)));
  g1(23,90)=1;
  g1(23,92)=1;
  g1(23,109)=y(37)*exp(y(23))/T275;
  g1(23,110)=T2998;
  g1(24,10)=(-(params(30)*exp(y(17))*T91*getPowerDeriv(T91,1+params(25),1)/T290));
  g1(24,17)=y(87)*exp(y(17))-T291;
  g1(24,57)=(-((-(params(30)*exp(y(17))*T286*(1+params(25))*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T290*T290)));
  g1(24,64)=(-params(3));
  g1(24,87)=exp(y(17));
  g1(25,13)=(-((-(params(29)*y(87)*exp(y(42))*T2635))/(T126*T126)));
  g1(25,42)=(-(params(29)*y(87)*exp(y(42))/T126));
  g1(25,64)=1;
  g1(25,87)=(-(params(29)*exp(y(42))/T126));
  g1(26,20)=y(37)*y(109)*exp(y(23))/(y(20)*y(20));
  g1(26,23)=(-(y(37)*y(109)*exp(y(23))))/y(20);
  g1(26,37)=(-(y(109)*exp(y(23))))/y(20);
  g1(26,109)=(-(y(37)*exp(y(23))))/y(20);
  g1(27,11)=y(89)*exp(y(11))-y(88)*exp(y(11));
  g1(27,88)=(-exp(y(11)));
  g1(27,89)=exp(y(11));
  g1(28,7)=(-T1996);
  g1(28,12)=(-T2456);
  g1(28,13)=(-T2669);
  g1(28,14)=T116*y(83)*exp((-y(15)));
  g1(28,15)=y(85)*T209+T116*y(83)*(-exp((-y(15))))-T324;
  g1(28,83)=T116*exp((-y(15)));
  g1(28,85)=T4454;
  g1(29,7)=(-T2004);
  g1(29,12)=(-T2463);
  g1(29,13)=(-T2674);
  g1(29,14)=y(84)*T116-T116*y(83)*exp((-y(15)))-T335;
  g1(29,15)=(-(T116*y(83)*(-exp((-y(15))))));
  g1(29,83)=(-(T116*exp((-y(15)))));
  g1(29,84)=T116-T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80);
  g1(30,7)=T1930;
  g1(30,8)=(-(exp(y(9))*y(82)*T249*T340*T2249));
  g1(30,9)=T2295-(exp(y(9))*y(82)*T249*T340*T2300+T254*(exp(y(9))*y(82)*T249*T340+exp(y(9))*y(82)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243-1,1)))-exp(y(9))*y(102)*params(33);
  g1(30,81)=T4405;
  g1(30,82)=(-(T254*T340*T249*exp(y(9))));
  g1(30,102)=(-(exp(y(9))*params(33)));
  g1(31,21)=y(91)*exp((-y(43)))*exp(y(21));
  g1(31,43)=exp(y(21))*y(91)*(-exp((-y(43))));
  g1(31,65)=(-params(3));
  g1(31,91)=exp((-y(43)))*exp(y(21));
  g1(32,21)=(-(y(91)*exp((-y(43)))*exp(y(21))));
  g1(32,43)=(-(exp(y(21))*y(91)*(-exp((-y(43))))));
  g1(32,65)=1;
  g1(32,91)=(-(exp((-y(43)))*exp(y(21))));
  g1(33,22)=(-(y(92)*exp((-y(44)))*exp(y(22))));
  g1(33,44)=(-(exp(y(22))*y(92)*(-exp((-y(44))))));
  g1(33,66)=(-params(3));
  g1(33,92)=(-(exp((-y(44)))*exp(y(22))));
  g1(34,22)=y(92)*exp((-y(44)))*exp(y(22));
  g1(34,44)=exp(y(22))*y(92)*(-exp((-y(44))));
  g1(34,66)=1;
  g1(34,92)=exp((-y(44)))*exp(y(22));
  g1(35,7)=(T398*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*T2007)/(T398*T398)-(T421*(T213-1)*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*T1896-T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)*T122^T213*T2007)/(T421*T421)-(T407*T80*params(3)*T378*(1+params(27))*(1+params(25))*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T1896-(1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T407*params(3)*T378*T1896)/(T407*T80*params(3)*T378*T407*T80*params(3)*T378);
  g1(35,10)=(-(T91*y(91)*exp((-y(48)))));
  g1(35,12)=(-(T89*y(90)*exp((-y(47)))))+T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/T398-(T213-1)*T80*(T89*T209*T112*params(29)*y(85)*params(5)*params(34)+T89*T209*params(29)*y(85)*params(5)*params(34)*(-T112))/T421-(1+params(27))*(1+params(25))*T80*(T89*T116*T112*params(29)*y(84)*params(5)*params(34)+T89*T116*params(29)*y(84)*params(5)*params(34)*(-T112))/(T407*T80*params(3)*T378);
  g1(35,13)=(-(params(29)*params(34)*y(86)*(T381*params(27)*2*y(13)+T378*T2633*getPowerDeriv(T122,T380,1))))/(T382*T382)+(-(T80*T89*T112*params(5)*y(79)*T80*params(3)*2*y(13)))/(T398*T398)-(-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(87)*(T407*params(27)*2*y(13)+T378*T2633*getPowerDeriv(T122,1+T125,1))))/(T378*T407*T378*T407)-(-(T80*T89*T209*T112*params(29)*y(85)*params(5)*params(34)*(T213-1)*T2707))/(T421*T421)-(-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*y(84)*params(5)*params(34)*T2716))/(T407*T80*params(3)*T378*T407*T80*params(3)*T378);
  g1(35,14)=(-T435);
  g1(35,15)=(-T422);
  g1(35,42)=(-T409);
  g1(35,47)=(-(T89*y(90)*(-exp((-y(47))))));
  g1(35,48)=(-(T91*y(91)*(-exp((-y(48))))));
  g1(35,79)=T80*T89*params(5)*T112/T398;
  g1(35,84)=T4435;
  g1(35,85)=T4460;
  g1(35,86)=params(29)*params(34)/T382;
  g1(35,87)=T4478;
  g1(35,90)=(-(T89*exp((-y(47)))));
  g1(35,91)=(-(T91*exp((-y(48)))));
  g1(36,16)=T445*(y(83)*T439*T443+y(83)*T439*T2868)+(y(86)*T439*(params(29)-1)*T451-y(86)*T439*(params(29)-1)*params(27)*T439*getPowerDeriv(T439,T380,1))/(T451*T451)-((params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T439*T459-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T439*params(27)*T439*getPowerDeriv(T439,1+T125,1))/(T459*T459);
  g1(36,83)=T445*T439*T443;
  g1(36,86)=T439*(params(29)-1)/T451;
  g1(36,87)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T439/T459));
  g1(37,7)=params(50)*y(107)*params(49)*params(51)*exp((-y(19)))*T1896;
  g1(37,12)=(-(exp((-y(19)))*y(95)*(-T112)));
  g1(37,19)=T464*y(109)*exp((-y(45)))+T464*y(81)*T474+y(108)*T464-T112*y(95)*(-exp((-y(19))))+T80*params(50)*y(107)*params(49)*params(51)*(-exp((-y(19))));
  g1(37,29)=T464*y(81)*(-T474);
  g1(37,45)=T464*y(109)*(-exp((-y(45))));
  g1(37,67)=(-params(3));
  g1(37,81)=T464*T474;
  g1(37,95)=(-(T112*exp((-y(19)))));
  g1(37,107)=T80*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(37,108)=T464;
  g1(37,109)=T464*exp((-y(45)));
  g1(38,19)=(-(T464*y(109)*exp((-y(45)))));
  g1(38,45)=(-(T464*y(109)*(-exp((-y(45))))));
  g1(38,67)=1;
  g1(38,109)=(-(T464*exp((-y(45)))));
  g1(39,18)=(-((-(y(79)*2*(1+y(18))))/(T493*T493)));
  g1(39,68)=(-params(3));
  g1(39,79)=(-(1/T493));
  g1(40,68)=1;
  g1(41,7)=T1996+T2004+T89*y(80)*T2035-y(84)*T2046-(T80*y(13)*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T80*params(3)*y(13)*T89*T112*params(5)*y(79)*T1896-T80*T89*T112*params(5)*y(79)*params(3)*y(13)*T1896)/(T80*params(3)*y(13)*T80*params(3)*y(13))-(T80*T215*T89*T209*T112*params(29)*params(5)*y(85)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)*T1896)/(T80*T80);
  g1(41,8)=T89*y(80)*T2257;
  g1(41,10)=(-(y(84)*T2354));
  g1(41,12)=T2456+T2463+T89*y(80)*T499-y(84)*T2497-exp((-y(19)))*y(95)*(-T112)-T89*exp((-y(47)))*y(13)*y(90)-T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/(T80*y(13))+T80*(T89*T112*params(5)*y(79)+T89*params(5)*y(79)*(-T112))/(T80*params(3)*y(13))-T215*T80*(T89*T209*T112*params(29)*params(5)*y(85)+T89*T209*params(29)*params(5)*y(85)*(-T112))/T80;
  g1(41,13)=T2669+T2674+(-(y(84)*T2723))-T89*y(90)*exp((-y(47)))-(-(T80*T80*T89*T112*params(5)*y(79)))/(T80*y(13)*T80*y(13))+(-(params(3)*T80*T80*T89*T112*params(5)*y(79)))/(T80*params(3)*y(13)*T80*params(3)*y(13))-T80*T89*T209*T112*params(29)*params(5)*y(85)*T2651/T80;
  g1(41,14)=T335-y(84)*T512;
  g1(41,15)=T324-T215*T80*T89*T209*T112*params(29)*params(5)*y(85)/T80;
  g1(41,19)=(-(T112*y(95)*(-exp((-y(19))))));
  g1(41,47)=(-(T89*y(13)*y(90)*(-exp((-y(47))))));
  g1(41,57)=(-(y(84)*T4245));
  g1(41,69)=(-params(3));
  g1(41,79)=T4394;
  g1(41,80)=T89*T499;
  g1(41,84)=T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80)-T513;
  g1(41,85)=T4463;
  g1(41,90)=(-(T89*y(13)*exp((-y(47)))));
  g1(41,95)=(-(T112*exp((-y(19)))));
  g1(42,12)=T89*exp((-y(47)))*y(13)*y(90);
  g1(42,13)=T89*y(90)*exp((-y(47)));
  g1(42,47)=T89*y(13)*y(90)*(-exp((-y(47))));
  g1(42,69)=1;
  g1(42,90)=T89*y(13)*exp((-y(47)));
  g1(43,7)=(-(y(84)*T2072));
  g1(43,10)=T91*y(88)-y(84)*T2369-T91*exp((-y(48)))*y(13)*y(91)-T91*y(85)*(1+params(35)*exp(y(58)))/params(27)-T91*y(89)*params(7)*exp(y(56))-(T579+T91*params(30)*exp(y(17))*T91*getPowerDeriv(T91,params(25),1))/T289;
  g1(43,12)=(-(y(84)*T552));
  g1(43,13)=(-(T91*y(91)*exp((-y(48)))));
  g1(43,17)=(-T580);
  g1(43,48)=(-(T91*y(13)*y(91)*(-exp((-y(48))))));
  g1(43,56)=(-(T91*y(89)*params(7)*exp(y(56))));
  g1(43,57)=(-(y(84)*T4257))-(-(T579*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T289*T289);
  g1(43,58)=(-(T91*y(85)*params(35)*exp(y(58))/params(27)));
  g1(43,62)=(-1);
  g1(43,70)=(-params(3));
  g1(43,84)=(-T552);
  g1(43,85)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(43,88)=T91;
  g1(43,89)=(-(T91*params(7)*exp(y(56))));
  g1(43,91)=(-(T91*y(13)*exp((-y(48)))));
  g1(44,10)=T91*exp((-y(48)))*y(13)*y(91);
  g1(44,13)=T91*y(91)*exp((-y(48)));
  g1(44,48)=T91*y(13)*y(91)*(-exp((-y(48))));
  g1(44,70)=1;
  g1(44,91)=T91*y(13)*exp((-y(48)));
  g1(45,24)=y(96)*T587-y(98)*T3024+T599*T587*params(12)*y(107)*params(47)*params(48)+T587*params(12)*y(107)*params(47)*params(48)*T3008-T3034+T3040-(y(30)*T623*(T599*T594*T587*T474*params(12)*params(13)*y(93)+T594*T587*T474*params(12)*params(13)*y(93)*T3008)-T599*T594*T587*T474*params(12)*params(13)*y(93)*y(30)*T3017)/(y(30)*T623*y(30)*T623)+(T691*(T623*T594*T587*T474*params(12)*params(13)*y(93)+T594*T587*T474*params(12)*params(13)*y(93)*T3017)-T623*T594*T587*T474*params(12)*params(13)*y(93)*params(3)*y(30)*T587*getPowerDeriv(T587,1+params(12),1))/(T691*T691)-(T623*T707*(T599*T703+T703*T3008)-T599*T703*T707*T3017)/(T623*T623)+(T713*T707*(T623*T703+T703*T3017)-T707*T623*T703*T3074)/(T713*T713)+(T629*T713*(T623*T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)+T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)*T3017)-T623*T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)*T629*T3074)/(T629*T713*T629*T713);
  g1(45,25)=T3339;
  g1(45,26)=(-T3394);
  g1(45,27)=(-(y(98)*T3441));
  g1(45,29)=T675+(-(y(98)*T3515))-T599*(T594*T587*T474*params(12)*params(13)*y(93)+T594*T587*params(12)*params(13)*y(93)*(-T474))/(y(30)*T623)+T623*(T594*T587*T474*params(12)*params(13)*y(93)+T594*T587*params(12)*params(13)*y(93)*(-T474))/T691-T707*T599*(T703+T594*T701*T587*params(28)*params(12)*params(13)*y(99)*(-T474))/T623+T707*T623*(T703+T594*T701*T587*params(28)*params(12)*params(13)*y(99)*(-T474))/T713+T623*(T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)+T594*T619*T587*params(28)*params(12)*y(98)*params(13)*(-T474))/(T629*T713);
  g1(45,30)=(-(y(98)*T3738))-(-(T623*T599*T594*T587*T474*params(12)*params(13)*y(93)))/(y(30)*T623*y(30)*T623)+(-(T623*T594*T587*T474*params(12)*params(13)*y(93)*T713))/(T691*T691)-T599*T703*T3750/T623+T623*T703*T3750/T713+(-(T623*T594*T619*T587*T474*params(28)*params(12)*y(98)*params(13)*T713*T3734))/(T629*T713*T629*T713);
  g1(45,31)=T725+(-(y(98)*T631));
  g1(45,32)=T707*T623*T703/T713+(-(T599*T703*T707/T623));
  g1(45,60)=(-(y(98)*(1+params(26))*T587*params(36)*params(12)*T594*T596*T599*T4303/params(26)));
  g1(45,93)=T4511;
  g1(45,94)=T4526;
  g1(45,95)=(-T4534);
  g1(45,96)=T587;
  g1(45,98)=T4551;
  g1(45,99)=T4575;
  g1(45,107)=T599*T587*params(12)*params(47)*params(48);
  g1(46,24)=(-T3040);
  g1(46,25)=(-y(102))*exp(y(25))-(T745*(exp(y(25))*y(96)*T731*T736+exp(y(25))*y(96)*T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734-1,1))+exp(y(25))*y(96)*T731*T736*T3348)-T3339;
  g1(46,26)=(-(exp(y(25))*y(96)*T731*T736*T3399));
  g1(46,29)=(-T675);
  g1(46,94)=(-T4526);
  g1(46,96)=(-(T745*T736*exp(y(25))*T731));
  g1(46,102)=(-exp(y(25)));
  g1(47,20)=(-((-(y(109)*exp(y(23))))/(y(20)*y(20))))+y(110)*exp(y(40))/T758;
  g1(47,23)=(-(y(109)*exp(y(23))/y(20)));
  g1(47,37)=(-(exp(y(40))*y(110)*y(20)*2*y(37)))/(T758*T758);
  g1(47,40)=exp(y(40))*y(110)*y(20)/T758;
  g1(47,104)=1;
  g1(47,106)=1;
  g1(47,109)=T4059;
  g1(47,110)=exp(y(40))*y(20)/T758;
  g1(48,34)=y(101)*exp(y(34));
  g1(48,71)=(-params(3));
  g1(48,101)=exp(y(34));
  g1(49,30)=(-((-(params(28)*y(101)*exp(y(49))*T3734))/(T629*T629)));
  g1(49,49)=(-(params(28)*y(101)*exp(y(49))/T629));
  g1(49,71)=1;
  g1(49,101)=(-(params(28)*exp(y(49))/T629));
  g1(50,20)=(-(y(110)*exp(y(40))))/y(37);
  g1(50,37)=exp(y(40))*y(110)*y(20)/(y(37)*y(37));
  g1(50,40)=(-(exp(y(40))*y(110)*y(20)))/y(37);
  g1(50,110)=(-(exp(y(40))*y(20)))/y(37);
  g1(51,28)=y(103)*exp(y(28))-y(102)*exp(y(28));
  g1(51,102)=(-exp(y(28)));
  g1(51,103)=exp(y(28));
  g1(52,24)=(-T3098);
  g1(52,29)=(-T3557);
  g1(52,30)=(-T3768);
  g1(52,31)=T619*y(97)*exp((-y(32)));
  g1(52,32)=y(99)*T701+T619*y(97)*(-exp((-y(32))))-T799;
  g1(52,97)=T619*exp((-y(32)));
  g1(52,99)=T4581;
  g1(53,24)=(-T3106);
  g1(53,29)=(-T3564);
  g1(53,30)=(-T3773);
  g1(53,31)=y(98)*T619-T619*y(97)*exp((-y(32)))-T810;
  g1(53,32)=(-(T619*y(97)*(-exp((-y(32))))));
  g1(53,97)=(-(T619*exp((-y(32)))));
  g1(53,98)=T619-T623*T594*T619*T474*params(13)*params(28)/(T629*params(3)*T623);
  g1(54,24)=T3034;
  g1(54,25)=(-(exp(y(26))*y(96)*T740*T815*T3348));
  g1(54,26)=T3394-(exp(y(26))*y(96)*T740*T815*T3399+T745*(exp(y(26))*y(96)*T740*T815+exp(y(26))*y(96)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734-1,1)))-y(88)*exp(y(26))/params(33);
  g1(54,88)=(-(exp(y(26))/params(33)));
  g1(54,95)=T4534;
  g1(54,96)=(-(T745*T815*T740*exp(y(26))));
  g1(55,38)=y(105)*exp((-y(50)))*exp(y(38));
  g1(55,50)=exp(y(38))*y(105)*(-exp((-y(50))));
  g1(55,72)=(-params(3));
  g1(55,105)=exp((-y(50)))*exp(y(38));
  g1(56,38)=(-(y(105)*exp((-y(50)))*exp(y(38))));
  g1(56,50)=(-(exp(y(38))*y(105)*(-exp((-y(50))))));
  g1(56,72)=1;
  g1(56,105)=(-(exp((-y(50)))*exp(y(38))));
  g1(57,39)=(-(y(106)*exp((-y(51)))*exp(y(39))));
  g1(57,51)=(-(exp(y(39))*y(106)*(-exp((-y(51))))));
  g1(57,73)=(-params(3));
  g1(57,106)=(-(exp((-y(51)))*exp(y(39))));
  g1(58,39)=y(106)*exp((-y(51)))*exp(y(39));
  g1(58,51)=exp(y(39))*y(106)*(-exp((-y(51))));
  g1(58,73)=1;
  g1(58,106)=exp((-y(51)))*exp(y(39));
  g1(59,24)=(T873*T594*T474*params(13)*y(93)*T3017-T623*T594*T474*params(13)*y(93)*T3109)/(T873*T873)-(T896*(T705-1)*T594*T701*T474*params(28)*y(99)*params(13)*params(39)*T3017-T623*T594*T701*T474*params(28)*y(99)*params(13)*params(39)*(T705-1)*T625^T705*T3109)/(T896*T896)-(T882*T623*params(3)*T851*(1+params(26))*(1+params(24))*T594*T619*T474*params(28)*y(98)*params(13)*params(39)*T3017-(1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*y(98)*params(13)*params(39)*T882*params(3)*T851*T3017)/(T882*T623*params(3)*T851*T882*T623*params(3)*T851);
  g1(59,27)=(-(T596*y(105)*exp((-y(55)))));
  g1(59,29)=(-(T594*y(104)*exp((-y(54)))))+T623*(T594*T474*params(13)*y(93)+T594*params(13)*y(93)*(-T474))/T873-(T705-1)*T623*(T594*T701*T474*params(28)*y(99)*params(13)*params(39)+T594*T701*params(28)*y(99)*params(13)*params(39)*(-T474))/T896-(1+params(26))*(1+params(24))*T623*(T594*T619*T474*params(28)*y(98)*params(13)*params(39)+T594*T619*params(28)*y(98)*params(13)*params(39)*(-T474))/(T882*T623*params(3)*T851);
  g1(59,30)=(-(params(28)*params(39)*y(100)*(T854*params(26)*2*y(30)+T851*T3732*getPowerDeriv(T625,T853,1))))/(T855*T855)+(-(T623*T594*T474*params(13)*y(93)*T623*params(3)*2*y(30)))/(T873*T873)-(-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(101)*(T882*params(26)*2*y(30)+T851*T3732*getPowerDeriv(T625,1+T628,1))))/(T851*T882*T851*T882)-(-(T623*T594*T701*T474*params(28)*y(99)*params(13)*params(39)*(T705-1)*T3806))/(T896*T896)-(-((1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*y(98)*params(13)*params(39)*T3815))/(T882*T623*params(3)*T851*T882*T623*params(3)*T851);
  g1(59,31)=(-T910);
  g1(59,32)=(-T897);
  g1(59,49)=(-T884);
  g1(59,54)=(-(T594*y(104)*(-exp((-y(54))))));
  g1(59,55)=(-(T596*y(105)*(-exp((-y(55))))));
  g1(59,63)=(-1);
  g1(59,93)=T623*T594*T474*params(13)/T873;
  g1(59,98)=T4562;
  g1(59,99)=T4587;
  g1(59,100)=params(28)*params(39)/T855;
  g1(59,101)=T4605;
  g1(59,104)=(-(T594*exp((-y(54)))));
  g1(59,105)=(-(T596*exp((-y(55)))));
  g1(60,33)=T920*(y(97)*T914*T918+y(97)*T914*T3967)+(y(100)*T914*(params(28)-1)*T926-y(100)*T914*(params(28)-1)*params(26)*T914*getPowerDeriv(T914,T853,1))/(T926*T926)-((params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914*T934-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T914*params(26)*T914*getPowerDeriv(T914,1+T628,1))/(T934*T934);
  g1(60,97)=T920*T914*T918;
  g1(60,100)=T914*(params(28)-1)/T926;
  g1(60,101)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T914/T934));
  g1(61,36)=y(110)*exp((-y(52)))*exp(y(36))+y(108)*(-exp((-y(36))));
  g1(61,52)=exp(y(36))*y(110)*(-exp((-y(52))));
  g1(61,74)=(-params(3));
  g1(61,108)=exp((-y(36)));
  g1(61,110)=exp((-y(52)))*exp(y(36));
  g1(62,36)=(-(y(110)*exp((-y(52)))*exp(y(36))));
  g1(62,52)=(-(exp(y(36))*y(110)*(-exp((-y(52))))));
  g1(62,74)=1;
  g1(62,110)=(-(exp((-y(52)))*exp(y(36))));
  g1(63,35)=(-((-(y(93)*2*(1+y(35))))/(T957*T957)));
  g1(63,75)=(-params(3));
  g1(63,93)=(-(1/T957));
  g1(64,75)=1;
  g1(65,19)=(-(T464*y(81)*T474));
  g1(65,24)=T3098+T3106+T594*y(94)*T3136-y(98)*T3147-(y(30)*T623*T594*T474*params(13)*y(93)*T3017-T623*T594*T474*params(13)*y(93)*y(30)*T3017)/(y(30)*T623*y(30)*T623)+(T623*params(3)*y(30)*T594*T474*params(13)*y(93)*T3017-T623*T594*T474*params(13)*y(93)*params(3)*y(30)*T3017)/(T623*params(3)*y(30)*T623*params(3)*y(30))-(T623*T707*T594*T701*T474*params(28)*params(13)*y(99)*T3017-T707*T623*T594*T701*T474*params(28)*params(13)*y(99)*T3017)/(T623*T623);
  g1(65,25)=T594*y(94)*T3356;
  g1(65,27)=(-(y(98)*T3448));
  g1(65,29)=T3557+T3564+T594*y(94)*T963-y(98)*T3596-T464*y(81)*(-T474)-T594*exp((-y(54)))*y(30)*y(104)-T623*(T594*T474*params(13)*y(93)+T594*params(13)*y(93)*(-T474))/(y(30)*T623)+T623*(T594*T474*params(13)*y(93)+T594*params(13)*y(93)*(-T474))/(T623*params(3)*y(30))-T707*T623*(T594*T701*T474*params(28)*params(13)*y(99)+T594*T701*params(28)*params(13)*y(99)*(-T474))/T623;
  g1(65,30)=T3768+T3773+(-(y(98)*T3822))-T594*y(104)*exp((-y(54)))-(-(T623*T623*T594*T474*params(13)*y(93)))/(y(30)*T623*y(30)*T623)+(-(params(3)*T623*T623*T594*T474*params(13)*y(93)))/(T623*params(3)*y(30)*T623*params(3)*y(30))-T623*T594*T701*T474*params(28)*params(13)*y(99)*T3750/T623;
  g1(65,31)=T810-y(98)*T976;
  g1(65,32)=T799-T707*T623*T594*T701*T474*params(28)*params(13)*y(99)/T623;
  g1(65,54)=(-(T594*y(30)*y(104)*(-exp((-y(54))))));
  g1(65,60)=(-(y(98)*T4311));
  g1(65,76)=(-params(3));
  g1(65,81)=(-(T464*T474));
  g1(65,93)=T4521;
  g1(65,94)=T594*T963;
  g1(65,98)=T623*T594*T619*T474*params(13)*params(28)/(T629*params(3)*T623)-T977;
  g1(65,99)=T4590;
  g1(65,104)=(-(T594*y(30)*exp((-y(54)))));
  g1(66,29)=T594*exp((-y(54)))*y(30)*y(104);
  g1(66,30)=T594*y(104)*exp((-y(54)));
  g1(66,54)=T594*y(30)*y(104)*(-exp((-y(54))));
  g1(66,76)=1;
  g1(66,104)=T594*y(30)*exp((-y(54)));
  g1(67,24)=(-(y(98)*T3173));
  g1(67,27)=y(102)*T596-y(98)*T3463-T596*exp((-y(55)))*y(30)*y(105)-T596*y(99)*(1+params(40)*exp(y(61)))/params(26)-T596*y(103)*params(15)*exp(y(59));
  g1(67,29)=(-(y(98)*T1013));
  g1(67,30)=(-(T596*y(105)*exp((-y(55)))));
  g1(67,55)=(-(T596*y(30)*y(105)*(-exp((-y(55))))));
  g1(67,59)=(-(T596*y(103)*params(15)*exp(y(59))));
  g1(67,60)=(-(y(98)*T4323));
  g1(67,61)=(-(T596*y(99)*params(40)*exp(y(61))/params(26)));
  g1(67,77)=(-params(3));
  g1(67,98)=(-T1013);
  g1(67,99)=(-(T596*(1+params(40)*exp(y(61)))/params(26)));
  g1(67,102)=T596;
  g1(67,103)=(-(T596*params(15)*exp(y(59))));
  g1(67,105)=(-(T596*y(30)*exp((-y(55)))));
  g1(68,27)=T596*exp((-y(55)))*y(30)*y(105);
  g1(68,30)=T596*y(105)*exp((-y(55)));
  g1(68,55)=T596*y(30)*y(105)*(-exp((-y(55))));
  g1(68,77)=1;
  g1(68,105)=T596*y(30)*exp((-y(55)));
  g1(69,62)=1;
  g1(70,78)=1-params(5)/params(3);
  g1(71,7)=T78*y(131)-y(133)*T1918-(T80*T78*y(127)-T78*y(127)*T1896)/(T80*T80)-T2084-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)+T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)*y(156)*T1904)+T2091-(T80*y(13)*(T94*T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*T112*params(4)*params(5)*y(128)*T1904)-T94*T89*T78*T112*params(4)*params(5)*y(128)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T199*(T80*T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*T112*params(4)*params(5)*y(128)*T1896)-T80*T89*T78*T112*params(4)*params(5)*y(128)*params(3)*y(13)*T78*getPowerDeriv(T78,1+params(4),1))/(T199*T199)-(T80*T215*(T94*T1099+T1099*T1904)-T215*T94*T1099*T1896)/(T80*T80)+(T221*T215*(T80*T1099+T1099*T1896)-T215*T80*T1099*T1972)/(T221*T221)+(T126*T221*(T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)+T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T1896)-T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T126*T1972)/(T126*T221*T126*T221);
  g1(71,8)=T2265;
  g1(71,9)=(-T2317);
  g1(71,10)=(-(y(133)*T2342));
  g1(71,12)=T1080+(-(y(133)*T2414))-T94*(T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*params(4)*params(5)*y(128)*(-T112))/(T80*y(13))+T80*(T89*T78*T112*params(4)*params(5)*y(128)+T89*T78*params(4)*params(5)*y(128)*(-T112))/T199-T215*T94*(T1099+T89*T209*T78*params(29)*params(4)*params(5)*y(134)*(-T112))/T80+T215*T80*(T1099+T89*T209*T78*params(29)*params(4)*params(5)*y(134)*(-T112))/T221+T80*(T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)+T89*T116*T78*params(29)*params(4)*params(5)*y(133)*(-T112))/(T126*T221);
  g1(71,13)=(-(y(133)*T2639))-(-(T80*T94*T89*T78*T112*params(4)*params(5)*y(128)))/(T80*y(13)*T80*y(13))+(-(T221*T80*T89*T78*T112*params(4)*params(5)*y(128)))/(T199*T199)-T94*T1099*T2651/T80+T80*T1099*T2651/T221+(-(T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)*T221*T2635))/(T126*T221*T126*T221);
  g1(71,14)=T80*T89*T116*T78*T112*params(29)*params(4)*params(5)*y(133)/(T126*T221)+(-(T128*y(133)));
  g1(71,15)=T215*T80*T1099/T221+(-(T215*T94*T1099/T80));
  g1(71,19)=(-(T94*T78*params(4)*params(51)*params(50)*params(49)*y(156)*(-exp((-y(19))))));
  g1(71,57)=(-(y(133)*(1+params(27))*T78*params(4)*params(30)*T89*T91*T94*T4229/params(27)));
  g1(71,127)=(-(T78/T80));
  g1(71,128)=T4384;
  g1(71,129)=T4399;
  g1(71,130)=(-T4405);
  g1(71,131)=T78;
  g1(71,133)=T4424;
  g1(71,134)=T4448;
  g1(71,156)=(-(T94*T78*exp((-y(19)))*params(4)*params(51)*params(50)*params(49)));
  g1(72,7)=(-T2091);
  g1(72,8)=exp(y(8))*(-y(137))-(T245*exp(y(8))*T240*y(131)*T2249+T254*(T245*exp(y(8))*T240*y(131)+exp(y(8))*T240*y(131)*exp(y(8))*getPowerDeriv(exp(y(8)),T243-1,1)))-T2265;
  g1(72,9)=(-(T245*exp(y(8))*T240*y(131)*T2300));
  g1(72,12)=(-T1080);
  g1(72,129)=(-T4399);
  g1(72,131)=(-(T254*T245*exp(y(8))*T240));
  g1(72,137)=(-exp(y(8)));
  g1(73,20)=(-(exp(y(23))*y(37)*y(158)*2*y(20)))/(T275*T275);
  g1(73,23)=exp(y(23))*y(37)*y(158)/T275;
  g1(73,37)=(-((-(exp(y(40))*y(159)))/(y(37)*y(37))))+exp(y(23))*y(158)/T275;
  g1(73,40)=(-(exp(y(40))*y(159)/y(37)));
  g1(73,139)=1;
  g1(73,141)=1;
  g1(73,158)=y(37)*exp(y(23))/T275;
  g1(73,159)=T2998;
  g1(74,17)=exp(y(17))*y(136);
  g1(74,113)=(-params(3));
  g1(74,136)=exp(y(17));
  g1(75,13)=(-((-(exp(y(42))*params(29)*y(136)*T2635))/(T126*T126)));
  g1(75,42)=(-(exp(y(42))*params(29)*y(136)/T126));
  g1(75,113)=1;
  g1(75,136)=(-(params(29)*exp(y(42))/T126));
  g1(76,20)=exp(y(23))*y(37)*y(158)/(y(20)*y(20));
  g1(76,23)=(-(exp(y(23))*y(37)*y(158)))/y(20);
  g1(76,37)=(-(exp(y(23))*y(158)))/y(20);
  g1(76,158)=(-(y(37)*exp(y(23))))/y(20);
  g1(77,11)=exp(y(11))*y(138)-exp(y(11))*y(137);
  g1(77,137)=(-exp(y(11)));
  g1(77,138)=exp(y(11));
  g1(78,7)=(-T2136);
  g1(78,12)=(-T2552);
  g1(78,13)=(-T2764);
  g1(78,14)=T116*exp((-y(15)))*y(132);
  g1(78,15)=T209*y(134)+T116*y(132)*(-exp((-y(15))))-T1172;
  g1(78,132)=T116*exp((-y(15)));
  g1(78,134)=T4454;
  g1(79,7)=(-T2142);
  g1(79,12)=(-T2559);
  g1(79,13)=(-T2768);
  g1(79,14)=T116*y(133)-T116*exp((-y(15)))*y(132)-T1183;
  g1(79,15)=(-(T116*y(132)*(-exp((-y(15))))));
  g1(79,132)=(-(T116*exp((-y(15)))));
  g1(79,133)=T116-T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80);
  g1(80,7)=T2084;
  g1(80,8)=(-(T340*exp(y(9))*T249*y(131)*T2249));
  g1(80,9)=T2317-(T340*exp(y(9))*T249*y(131)*T2300+T254*(T340*exp(y(9))*T249*y(131)+exp(y(9))*T249*y(131)*exp(y(9))*getPowerDeriv(exp(y(9)),T243-1,1)))-exp(y(9))*params(33)*y(151);
  g1(80,130)=T4405;
  g1(80,131)=(-(T254*T340*T249*exp(y(9))));
  g1(80,151)=(-(exp(y(9))*params(33)));
  g1(81,21)=exp(y(21))*exp((-y(43)))*y(140);
  g1(81,43)=exp(y(21))*y(140)*(-exp((-y(43))));
  g1(81,114)=(-params(3));
  g1(81,140)=exp((-y(43)))*exp(y(21));
  g1(82,21)=(-(exp(y(21))*exp((-y(43)))*y(140)));
  g1(82,43)=(-(exp(y(21))*y(140)*(-exp((-y(43))))));
  g1(82,114)=1;
  g1(82,140)=(-(exp((-y(43)))*exp(y(21))));
  g1(83,22)=(-(exp(y(22))*exp((-y(44)))*y(141)));
  g1(83,44)=(-(exp(y(22))*y(141)*(-exp((-y(44))))));
  g1(83,115)=(-params(3));
  g1(83,141)=(-(exp((-y(44)))*exp(y(22))));
  g1(84,22)=exp(y(22))*exp((-y(44)))*y(141);
  g1(84,44)=exp(y(22))*y(141)*(-exp((-y(44))));
  g1(84,115)=1;
  g1(84,141)=exp((-y(44)))*exp(y(22));
  g1(85,7)=(T398*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*T2007)/(T398*T398)-(T421*(T213-1)*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T1896-(T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T122^T213*T2007)/(T421*T421)-(T407*T80*params(3)*T378*(1+params(27))*(1+params(25))*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T1896-(1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T407*params(3)*T378*T1896)/(T407*T80*params(3)*T378*T407*T80*params(3)*T378);
  g1(85,10)=(-(T91*exp((-y(48)))*y(140)));
  g1(85,12)=(-(T89*exp((-y(47)))*y(139)))+T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/T398-(T213-1)*T80*(T89*T209*T112*params(29)*params(5)*params(34)*y(134)+T89*T209*params(29)*params(5)*params(34)*y(134)*(-T112))/T421-(1+params(27))*(1+params(25))*T80*(T89*T116*T112*params(29)*params(5)*params(34)*y(133)+T89*T116*params(29)*params(5)*params(34)*y(133)*(-T112))/(T407*T80*params(3)*T378);
  g1(85,13)=(-(params(29)*params(34)*y(135)*(T381*params(27)*2*y(13)+T378*T2633*getPowerDeriv(T122,T380,1))))/(T382*T382)+(-(T80*T89*T112*params(5)*y(128)*T80*params(3)*2*y(13)))/(T398*T398)-(-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)*y(136)*(T407*params(27)*2*y(13)+T378*T2633*getPowerDeriv(T122,1+T125,1))))/(T378*T407*T378*T407)-(-((T213-1)*T80*T89*T209*T112*params(29)*params(5)*params(34)*y(134)*T2707))/(T421*T421)-(-((1+params(27))*(1+params(25))*T80*T89*T116*T112*params(29)*params(5)*params(34)*y(133)*T2716))/(T407*T80*params(3)*T378*T407*T80*params(3)*T378);
  g1(85,14)=(-T1254);
  g1(85,15)=(-T1244);
  g1(85,42)=(-T1235);
  g1(85,47)=(-(T89*y(139)*(-exp((-y(47))))));
  g1(85,48)=(-(T91*y(140)*(-exp((-y(48))))));
  g1(85,128)=T80*T89*params(5)*T112/T398;
  g1(85,133)=T4435;
  g1(85,134)=T4460;
  g1(85,135)=params(29)*params(34)/T382;
  g1(85,136)=T4478;
  g1(85,139)=(-(T89*exp((-y(47)))));
  g1(85,140)=(-(T91*exp((-y(48)))));
  g1(86,16)=T445*(T443*T439*y(132)+T439*y(132)*T2868)+(T451*(params(29)-1)*T439*y(135)-(params(29)-1)*T439*y(135)*params(27)*T439*getPowerDeriv(T439,T380,1))/(T451*T451)-(T459*(params(29)-1)*(1+params(27))*(1+params(25))*T439*y(136)-(params(29)-1)*(1+params(27))*(1+params(25))*T439*y(136)*params(27)*T439*getPowerDeriv(T439,1+T125,1))/(T459*T459);
  g1(86,132)=T445*T439*T443;
  g1(86,135)=T439*(params(29)-1)/T451;
  g1(86,136)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T439/T459));
  g1(87,7)=exp((-y(19)))*params(51)*params(50)*params(49)*y(156)*T1896;
  g1(87,12)=(-(exp((-y(19)))*y(144)*(-T112)));
  g1(87,19)=T464*exp((-y(45)))*y(158)+T464*T474*y(130)+T464*y(157)-T112*y(144)*(-exp((-y(19))))+T80*params(51)*params(50)*params(49)*y(156)*(-exp((-y(19))));
  g1(87,29)=T464*y(130)*(-T474);
  g1(87,45)=T464*y(158)*(-exp((-y(45))));
  g1(87,116)=(-params(3));
  g1(87,130)=T464*T474;
  g1(87,144)=(-(T112*exp((-y(19)))));
  g1(87,156)=T80*exp((-y(19)))*params(51)*params(50)*params(49);
  g1(87,157)=T464;
  g1(87,158)=T464*exp((-y(45)));
  g1(88,19)=(-(T464*exp((-y(45)))*y(158)));
  g1(88,45)=(-(T464*y(158)*(-exp((-y(45))))));
  g1(88,116)=1;
  g1(88,158)=(-(T464*exp((-y(45)))));
  g1(89,18)=(-((-(y(128)*2*(1+y(18))))/(T493*T493)));
  g1(89,117)=(-params(3));
  g1(89,128)=(-(1/T493));
  g1(90,117)=1;
  g1(91,7)=T2136+T2142+T89*y(129)*T2035-y(133)*T2046-(T80*y(13)*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*y(13)*T1896)/(T80*y(13)*T80*y(13))+(T80*params(3)*y(13)*T89*T112*params(5)*y(128)*T1896-T80*T89*T112*params(5)*y(128)*params(3)*y(13)*T1896)/(T80*params(3)*y(13)*T80*params(3)*y(13))-(T80*T215*T89*T209*T112*params(29)*params(5)*y(134)*T1896-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)*T1896)/(T80*T80);
  g1(91,8)=T89*y(129)*T2257;
  g1(91,10)=(-(y(133)*T2354));
  g1(91,12)=T2552+T2559+T499*T89*y(129)-y(133)*T2497-exp((-y(19)))*y(144)*(-T112)-T89*exp((-y(47)))*y(13)*y(139)-T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/(T80*y(13))+T80*(T89*T112*params(5)*y(128)+T89*params(5)*y(128)*(-T112))/(T80*params(3)*y(13))-T215*T80*(T89*T209*T112*params(29)*params(5)*y(134)+T89*T209*params(29)*params(5)*y(134)*(-T112))/T80;
  g1(91,13)=T2764+T2768+(-(y(133)*T2723))-T89*exp((-y(47)))*y(139)-(-(T80*T80*T89*T112*params(5)*y(128)))/(T80*y(13)*T80*y(13))+(-(params(3)*T80*T80*T89*T112*params(5)*y(128)))/(T80*params(3)*y(13)*T80*params(3)*y(13))-T80*T89*T209*T112*params(29)*params(5)*y(134)*T2651/T80;
  g1(91,14)=T1183-T512*y(133);
  g1(91,15)=T1172-T215*T80*T89*T209*T112*params(29)*params(5)*y(134)/T80;
  g1(91,19)=(-(T112*y(144)*(-exp((-y(19))))));
  g1(91,47)=(-(T89*y(13)*y(139)*(-exp((-y(47))))));
  g1(91,57)=(-(y(133)*T4245));
  g1(91,118)=(-params(3));
  g1(91,128)=T4394;
  g1(91,129)=T89*T499;
  g1(91,133)=T80*T89*T116*T112*params(5)*params(29)/(T126*params(3)*T80)-T513;
  g1(91,134)=T4463;
  g1(91,139)=(-(T89*y(13)*exp((-y(47)))));
  g1(91,144)=(-(T112*exp((-y(19)))));
  g1(92,12)=T89*exp((-y(47)))*y(13)*y(139);
  g1(92,13)=T89*exp((-y(47)))*y(139);
  g1(92,47)=T89*y(13)*y(139)*(-exp((-y(47))));
  g1(92,118)=1;
  g1(92,139)=T89*y(13)*exp((-y(47)));
  g1(93,7)=(-(y(133)*T2072));
  g1(93,10)=T91*y(137)-y(133)*T2369-T91*exp((-y(48)))*y(13)*y(140)-(1+params(35)*exp(y(58)))*T91*y(134)/params(27)-T91*exp(y(56))*params(7)*y(138);
  g1(93,12)=(-(T552*y(133)));
  g1(93,13)=(-(T91*exp((-y(48)))*y(140)));
  g1(93,48)=(-(T91*y(13)*y(140)*(-exp((-y(48))))));
  g1(93,56)=(-(T91*exp(y(56))*params(7)*y(138)));
  g1(93,57)=(-(y(133)*T4257));
  g1(93,58)=(-(params(35)*exp(y(58))*T91*y(134)/params(27)));
  g1(93,111)=(-1);
  g1(93,119)=(-params(3));
  g1(93,133)=(-T552);
  g1(93,134)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(93,137)=T91;
  g1(93,138)=(-(T91*params(7)*exp(y(56))));
  g1(93,140)=(-(T91*y(13)*exp((-y(48)))));
  g1(94,10)=T91*exp((-y(48)))*y(13)*y(140);
  g1(94,13)=T91*exp((-y(48)))*y(140);
  g1(94,48)=T91*y(13)*y(140)*(-exp((-y(48))));
  g1(94,119)=1;
  g1(94,140)=T91*y(13)*exp((-y(48)));
  g1(95,24)=T587*y(145)+(T587*T623-T587*T3017)/(T623*T623)-y(147)*T3024+T599*T587*y(156)*params(12)*params(47)*params(48)+T587*y(156)*params(12)*params(47)*params(48)*T3008-T3188+T3192-(y(30)*T623*(T599*T594*T587*T474*params(12)*params(13)*y(142)+T594*T587*T474*params(12)*params(13)*y(142)*T3008)-T599*T594*T587*T474*params(12)*params(13)*y(142)*y(30)*T3017)/(y(30)*T623*y(30)*T623)+(T691*(T623*T594*T587*T474*params(12)*params(13)*y(142)+T594*T587*T474*params(12)*params(13)*y(142)*T3017)-T623*T594*T587*T474*params(12)*params(13)*y(142)*params(3)*y(30)*T587*getPowerDeriv(T587,1+params(12),1))/(T691*T691)-(T623*T707*(T599*T1392+T1392*T3008)-T707*T599*T1392*T3017)/(T623*T623)+(T713*T707*(T623*T1392+T1392*T3017)-T707*T623*T1392*T3074)/(T713*T713)+(T629*T713*(T623*T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)+T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)*T3017)-T623*T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)*T629*T3074)/(T629*T713*T629*T713);
  g1(95,25)=T3364;
  g1(95,26)=(-T3416);
  g1(95,27)=(-(y(147)*T3441));
  g1(95,29)=T1373+(-(y(147)*T3515))-T599*(T594*T587*T474*params(12)*params(13)*y(142)+T594*T587*params(12)*params(13)*y(142)*(-T474))/(y(30)*T623)+T623*(T594*T587*T474*params(12)*params(13)*y(142)+T594*T587*params(12)*params(13)*y(142)*(-T474))/T691-T707*T599*(T1392+T594*T701*T587*params(28)*params(12)*params(13)*y(148)*(-T474))/T623+T707*T623*(T1392+T594*T701*T587*params(28)*params(12)*params(13)*y(148)*(-T474))/T713+T623*(T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)+T594*T619*T587*params(28)*params(12)*params(13)*y(147)*(-T474))/(T629*T713);
  g1(95,30)=(-(y(147)*T3738))-(-(T623*T599*T594*T587*T474*params(12)*params(13)*y(142)))/(y(30)*T623*y(30)*T623)+(-(T713*T623*T594*T587*T474*params(12)*params(13)*y(142)))/(T691*T691)-T599*T1392*T3750/T623+T623*T1392*T3750/T713+(-(T623*T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)*T713*T3734))/(T629*T713*T629*T713);
  g1(95,31)=T623*T594*T619*T587*T474*params(28)*params(12)*params(13)*y(147)/(T629*T713)+(-(T631*y(147)));
  g1(95,32)=T707*T623*T1392/T713+(-(T707*T599*T1392/T623));
  g1(95,60)=(-(y(147)*(1+params(26))*T587*params(36)*params(12)*T594*T596*T599*T4303/params(26)));
  g1(95,142)=T4511;
  g1(95,143)=T4526;
  g1(95,144)=(-T4534);
  g1(95,145)=T587;
  g1(95,147)=T4551;
  g1(95,148)=T4575;
  g1(95,156)=T599*T587*params(12)*params(47)*params(48);
  g1(96,24)=(-T3192);
  g1(96,25)=exp(y(25))*(-y(151))-(T736*exp(y(25))*T731*y(145)*T3348+T745*(T736*exp(y(25))*T731*y(145)+exp(y(25))*T731*y(145)*exp(y(25))*getPowerDeriv(exp(y(25)),T734-1,1)))-T3364;
  g1(96,26)=(-(T736*exp(y(25))*T731*y(145)*T3399));
  g1(96,29)=(-T1373);
  g1(96,143)=(-T4526);
  g1(96,145)=(-(T745*T736*exp(y(25))*T731));
  g1(96,151)=(-exp(y(25)));
  g1(97,20)=(-((-(exp(y(23))*y(158)))/(y(20)*y(20))))+exp(y(40))*y(159)/T758;
  g1(97,23)=(-(exp(y(23))*y(158)/y(20)));
  g1(97,37)=(-(exp(y(40))*y(20)*y(159)*2*y(37)))/(T758*T758);
  g1(97,40)=exp(y(40))*y(20)*y(159)/T758;
  g1(97,153)=1;
  g1(97,155)=1;
  g1(97,158)=T4059;
  g1(97,159)=exp(y(40))*y(20)/T758;
  g1(98,27)=(-(params(36)*exp(y(34))*T596*getPowerDeriv(T596,1+params(24),1)/T1441));
  g1(98,34)=exp(y(34))*y(150)-T1442;
  g1(98,60)=(-((-(params(36)*exp(y(34))*T1437*(1+params(24))*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T1441*T1441)));
  g1(98,120)=(-params(3));
  g1(98,150)=exp(y(34));
  g1(99,30)=(-((-(exp(y(49))*params(28)*y(150)*T3734))/(T629*T629)));
  g1(99,49)=(-(exp(y(49))*params(28)*y(150)/T629));
  g1(99,120)=1;
  g1(99,150)=(-(params(28)*exp(y(49))/T629));
  g1(100,20)=(-(exp(y(40))*y(159)))/y(37);
  g1(100,37)=exp(y(40))*y(20)*y(159)/(y(37)*y(37));
  g1(100,40)=(-(exp(y(40))*y(20)*y(159)))/y(37);
  g1(100,159)=(-(exp(y(40))*y(20)))/y(37);
  g1(101,28)=exp(y(28))*y(152)-exp(y(28))*y(151);
  g1(101,151)=(-exp(y(28)));
  g1(101,152)=exp(y(28));
  g1(102,24)=(-T3237);
  g1(102,29)=(-T3653);
  g1(102,30)=(-T3863);
  g1(102,31)=T619*exp((-y(32)))*y(146);
  g1(102,32)=T701*y(148)+T619*y(146)*(-exp((-y(32))))-T1470;
  g1(102,146)=T619*exp((-y(32)));
  g1(102,148)=T4581;
  g1(103,24)=(-T3243);
  g1(103,29)=(-T3660);
  g1(103,30)=(-T3867);
  g1(103,31)=T619*y(147)-T619*exp((-y(32)))*y(146)-T1481;
  g1(103,32)=(-(T619*y(146)*(-exp((-y(32))))));
  g1(103,146)=(-(T619*exp((-y(32)))));
  g1(103,147)=T619-T623*T594*T619*T474*params(13)*params(28)/(T629*params(3)*T623);
  g1(104,24)=T3188;
  g1(104,25)=(-(T815*exp(y(26))*T740*y(145)*T3348));
  g1(104,26)=T3416-(T815*exp(y(26))*T740*y(145)*T3399+T745*(T815*exp(y(26))*T740*y(145)+exp(y(26))*T740*y(145)*exp(y(26))*getPowerDeriv(exp(y(26)),T734-1,1)))-exp(y(26))*y(137)/params(33);
  g1(104,137)=(-(exp(y(26))/params(33)));
  g1(104,144)=T4534;
  g1(104,145)=(-(T745*T815*T740*exp(y(26))));
  g1(105,38)=exp(y(38))*exp((-y(50)))*y(154);
  g1(105,50)=exp(y(38))*y(154)*(-exp((-y(50))));
  g1(105,121)=(-params(3));
  g1(105,154)=exp((-y(50)))*exp(y(38));
  g1(106,38)=(-(exp(y(38))*exp((-y(50)))*y(154)));
  g1(106,50)=(-(exp(y(38))*y(154)*(-exp((-y(50))))));
  g1(106,121)=1;
  g1(106,154)=(-(exp((-y(50)))*exp(y(38))));
  g1(107,39)=(-(exp(y(39))*exp((-y(51)))*y(155)));
  g1(107,51)=(-(exp(y(39))*y(155)*(-exp((-y(51))))));
  g1(107,122)=(-params(3));
  g1(107,155)=(-(exp((-y(51)))*exp(y(39))));
  g1(108,39)=exp(y(39))*exp((-y(51)))*y(155);
  g1(108,51)=exp(y(39))*y(155)*(-exp((-y(51))));
  g1(108,122)=1;
  g1(108,155)=exp((-y(51)))*exp(y(39));
  g1(109,24)=(T873*T594*T474*params(13)*y(142)*T3017-T623*T594*T474*params(13)*y(142)*T3109)/(T873*T873)-(T896*(T705-1)*T594*T701*T474*params(28)*params(13)*params(39)*y(148)*T3017-(T705-1)*T623*T594*T701*T474*params(28)*params(13)*params(39)*y(148)*T625^T705*T3109)/(T896*T896)-(T882*T623*params(3)*T851*(1+params(26))*(1+params(24))*T594*T619*T474*params(28)*params(13)*params(39)*y(147)*T3017-(1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*params(13)*params(39)*y(147)*T882*params(3)*T851*T3017)/(T882*T623*params(3)*T851*T882*T623*params(3)*T851);
  g1(109,27)=(-(T596*exp((-y(55)))*y(154)));
  g1(109,29)=(-(T594*exp((-y(54)))*y(153)))+T623*(T594*T474*params(13)*y(142)+T594*params(13)*y(142)*(-T474))/T873-(T705-1)*T623*(T594*T701*T474*params(28)*params(13)*params(39)*y(148)+T594*T701*params(28)*params(13)*params(39)*y(148)*(-T474))/T896-(1+params(26))*(1+params(24))*T623*(T594*T619*T474*params(28)*params(13)*params(39)*y(147)+T594*T619*params(28)*params(13)*params(39)*y(147)*(-T474))/(T882*T623*params(3)*T851);
  g1(109,30)=(-(params(28)*params(39)*y(149)*(T854*params(26)*2*y(30)+T851*T3732*getPowerDeriv(T625,T853,1))))/(T855*T855)+(-(T623*T594*T474*params(13)*y(142)*T623*params(3)*2*y(30)))/(T873*T873)-(-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)*y(150)*(T882*params(26)*2*y(30)+T851*T3732*getPowerDeriv(T625,1+T628,1))))/(T851*T882*T851*T882)-(-((T705-1)*T623*T594*T701*T474*params(28)*params(13)*params(39)*y(148)*T3806))/(T896*T896)-(-((1+params(26))*(1+params(24))*T623*T594*T619*T474*params(28)*params(13)*params(39)*y(147)*T3815))/(T882*T623*params(3)*T851*T882*T623*params(3)*T851);
  g1(109,31)=(-T1553);
  g1(109,32)=(-T1543);
  g1(109,49)=(-T1534);
  g1(109,54)=(-(T594*y(153)*(-exp((-y(54))))));
  g1(109,55)=(-(T596*y(154)*(-exp((-y(55))))));
  g1(109,112)=(-1);
  g1(109,142)=T623*T594*T474*params(13)/T873;
  g1(109,147)=T4562;
  g1(109,148)=T4587;
  g1(109,149)=params(28)*params(39)/T855;
  g1(109,150)=T4605;
  g1(109,153)=(-(T594*exp((-y(54)))));
  g1(109,154)=(-(T596*exp((-y(55)))));
  g1(110,33)=T920*(T918*T914*y(146)+T914*y(146)*T3967)+(T926*(params(28)-1)*T914*y(149)-(params(28)-1)*T914*y(149)*params(26)*T914*getPowerDeriv(T914,T853,1))/(T926*T926)-(T934*(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)-(params(28)-1)*(1+params(26))*(1+params(24))*T914*y(150)*params(26)*T914*getPowerDeriv(T914,1+T628,1))/(T934*T934);
  g1(110,146)=T920*T914*T918;
  g1(110,149)=T914*(params(28)-1)/T926;
  g1(110,150)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T914/T934));
  g1(111,36)=exp(y(36))*exp((-y(52)))*y(159)+y(157)*(-exp((-y(36))));
  g1(111,52)=exp(y(36))*y(159)*(-exp((-y(52))));
  g1(111,123)=(-params(3));
  g1(111,157)=exp((-y(36)));
  g1(111,159)=exp((-y(52)))*exp(y(36));
  g1(112,36)=(-(exp(y(36))*exp((-y(52)))*y(159)));
  g1(112,52)=(-(exp(y(36))*y(159)*(-exp((-y(52))))));
  g1(112,123)=1;
  g1(112,159)=(-(exp((-y(52)))*exp(y(36))));
  g1(113,35)=(-((-(y(142)*2*(1+y(35))))/(T957*T957)));
  g1(113,124)=(-params(3));
  g1(113,142)=(-(1/T957));
  g1(114,124)=1;
  g1(115,19)=(-(T464*T474*y(130)));
  g1(115,24)=T3237+T3243+T594*y(143)*T3136-y(147)*T3147-(y(30)*T623*T594*T474*params(13)*y(142)*T3017-T623*T594*T474*params(13)*y(142)*y(30)*T3017)/(y(30)*T623*y(30)*T623)+(T623*params(3)*y(30)*T594*T474*params(13)*y(142)*T3017-T623*T594*T474*params(13)*y(142)*params(3)*y(30)*T3017)/(T623*params(3)*y(30)*T623*params(3)*y(30))-(T623*T707*T594*T701*T474*params(28)*params(13)*y(148)*T3017-T707*T623*T594*T701*T474*params(28)*params(13)*y(148)*T3017)/(T623*T623);
  g1(115,25)=T594*y(143)*T3356;
  g1(115,27)=(-(y(147)*T3448));
  g1(115,29)=T3653+T3660+T963*T594*y(143)-y(147)*T3596-T464*y(130)*(-T474)-T594*exp((-y(54)))*y(30)*y(153)-T623*(T594*T474*params(13)*y(142)+T594*params(13)*y(142)*(-T474))/(y(30)*T623)+T623*(T594*T474*params(13)*y(142)+T594*params(13)*y(142)*(-T474))/(T623*params(3)*y(30))-T707*T623*(T594*T701*T474*params(28)*params(13)*y(148)+T594*T701*params(28)*params(13)*y(148)*(-T474))/T623;
  g1(115,30)=T3863+T3867+(-(y(147)*T3822))-T594*exp((-y(54)))*y(153)-(-(T623*T623*T594*T474*params(13)*y(142)))/(y(30)*T623*y(30)*T623)+(-(params(3)*T623*T623*T594*T474*params(13)*y(142)))/(T623*params(3)*y(30)*T623*params(3)*y(30))-T623*T594*T701*T474*params(28)*params(13)*y(148)*T3750/T623;
  g1(115,31)=T1481-T976*y(147);
  g1(115,32)=T1470-T707*T623*T594*T701*T474*params(28)*params(13)*y(148)/T623;
  g1(115,54)=(-(T594*y(30)*y(153)*(-exp((-y(54))))));
  g1(115,60)=(-(y(147)*T4311));
  g1(115,125)=(-params(3));
  g1(115,130)=(-(T464*T474));
  g1(115,142)=T4521;
  g1(115,143)=T594*T963;
  g1(115,147)=T623*T594*T619*T474*params(13)*params(28)/(T629*params(3)*T623)-T977;
  g1(115,148)=T4590;
  g1(115,153)=(-(T594*y(30)*exp((-y(54)))));
  g1(116,29)=T594*exp((-y(54)))*y(30)*y(153);
  g1(116,30)=T594*exp((-y(54)))*y(153);
  g1(116,54)=T594*y(30)*y(153)*(-exp((-y(54))));
  g1(116,125)=1;
  g1(116,153)=T594*y(30)*exp((-y(54)));
  g1(117,24)=(-(y(147)*T3173));
  g1(117,27)=T596*y(151)-y(147)*T3463-T596*exp((-y(55)))*y(30)*y(154)-(1+params(40)*exp(y(61)))*T596*y(148)/params(26)-T596*exp(y(59))*params(15)*y(152)-(T1630+T596*params(36)*exp(y(34))*T596*getPowerDeriv(T596,params(24),1))/T1440;
  g1(117,29)=(-(T1013*y(147)));
  g1(117,30)=(-(T596*exp((-y(55)))*y(154)));
  g1(117,34)=(-T1631);
  g1(117,55)=(-(T596*y(30)*y(154)*(-exp((-y(55))))));
  g1(117,59)=(-(T596*exp(y(59))*params(15)*y(152)));
  g1(117,60)=(-(y(147)*T4323))-(-(T1630*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T1440*T1440);
  g1(117,61)=(-(params(40)*exp(y(61))*T596*y(148)/params(26)));
  g1(117,126)=(-params(3));
  g1(117,147)=(-T1013);
  g1(117,148)=(-(T596*(1+params(40)*exp(y(61)))/params(26)));
  g1(117,151)=T596;
  g1(117,152)=(-(T596*params(15)*exp(y(59))));
  g1(117,154)=(-(T596*y(30)*exp((-y(55)))));
  g1(118,27)=T596*exp((-y(55)))*y(30)*y(154);
  g1(118,30)=T596*exp((-y(55)))*y(154);
  g1(118,55)=T596*y(30)*y(154)*(-exp((-y(55))));
  g1(118,126)=1;
  g1(118,154)=T596*y(30)*exp((-y(55)));
  g1(119,112)=1;
  g1(120,127)=1-params(5)/params(3);
  g1(121,7)=T2190;
  g1(121,41)=1-params(5);
  g1(122,7)=(-((T1651*params(5)*T2193-params(5)*T1651*T2193)/(T1651*T1651)/y(13)));
  g1(122,12)=(-((T1651*params(5)*T2603-params(5)*T1651*T2603)/(T1651*T1651)/y(13)));
  g1(122,13)=(-((-(params(5)*T1651/T1651))/(y(13)*y(13))));
  g1(122,18)=(-1)/((1+y(18))*(1+y(18)));
  g1(123,7)=T89*T1657*getPowerDeriv(T1657,T149,1);
  g1(123,8)=T89*getPowerDeriv(T1657,T149,1)*(-(exp(y(8))*T78*params(31)))/(exp(y(8))*exp(y(8)));
  g1(123,12)=T89*T1657^T149;
  g1(124,7)=(-(T1663*getPowerDeriv(T1663,T149,1)));
  g1(124,9)=(-(getPowerDeriv(T1663,T149,1)*(-(exp(y(9))*T78*params(32)))/(exp(y(9))*exp(y(9)))));
  g1(124,19)=T464/T594;
  g1(124,29)=(-(T464*T594))/(T594*T594);
  g1(125,7)=T78;
  g1(125,8)=(-(T240*exp(y(8))*getPowerDeriv(exp(y(8)),T243,1)*getPowerDeriv(T253,1+params(6),1)));
  g1(125,9)=(-(getPowerDeriv(T253,1+params(6),1)*T249*exp(y(9))*getPowerDeriv(exp(y(9)),T243,1)));
  g1(126,14)=(-(T116/T209));
  g1(126,15)=(-((-(T116*T209))/(T209*T209)));
  g1(126,16)=T439*getPowerDeriv(T439,1+params(25)*T213,1);
  g1(127,7)=(-(T91*(-(T1676*T2193))/(T1651*T1651)+T116*T1684*(T1651*params(5)*params(29)*T2193-params(5)*params(29)*T1651*T2193)/(T1651*T1651)));
  g1(127,10)=(-(T91*T1676/T1651+T91*params(30)*T213*T91/exp(y(57))*T2391/T1651));
  g1(127,12)=(-(T91*(-(T1676*T2603))/(T1651*T1651)+T116*T1684*(T1651*params(5)*params(29)*T2603-params(5)*params(29)*T1651*T2603)/(T1651*T1651)));
  g1(127,13)=(-(T116*T1680*T2633*getPowerDeriv(T122,T1683,1)));
  g1(127,14)=T116-T116*T1680*T1684;
  g1(127,57)=(-(T91*params(30)*T213*T2391*(-(T91*exp(y(57))))/(exp(y(57))*exp(y(57)))/T1651));
  g1(128,7)=(-(T209*T215*(T1651*params(5)*params(29)*T2193-params(5)*params(29)*T1651*T2193)/(T1651*T1651)));
  g1(128,10)=(-(T91*(1+params(35)*exp(y(58)))/params(27)));
  g1(128,12)=(-(T209*T215*(T1651*params(5)*params(29)*T2603-params(5)*params(29)*T1651*T2603)/(T1651*T1651)));
  g1(128,13)=(-(T209*T1680*T2651));
  g1(128,15)=T209-T209*T215*T1680;
  g1(128,58)=(-(T91*params(35)*exp(y(58))/params(27)));
  g1(129,13)=params(29)*T2633*getPowerDeriv(T122,T1696,1);
  g1(129,16)=(1-params(29))*T439*getPowerDeriv(T439,T1696,1);
  g1(130,13)=(-(exp(y(42))*params(29)*T2633*getPowerDeriv(T122,T1683,1)));
  g1(130,16)=(-((1-params(29))*T439*getPowerDeriv(T439,T1683,1)));
  g1(130,17)=exp(y(17));
  g1(130,42)=(-(exp(y(42))*params(29)*T1684));
  g1(131,8)=(-exp(y(8)));
  g1(131,10)=T91;
  g1(131,11)=(-exp(y(11)));
  g1(131,26)=(-(exp(y(26))*1/params(33)));
  g1(132,10)=(-(exp(y(56))*T91*params(7)));
  g1(132,11)=exp(y(11));
  g1(132,56)=(-(exp(y(56))*T91*params(7)));
  g1(133,12)=(-(y(13)*T89/exp(y(47))));
  g1(133,13)=(-(T89/exp(y(47))));
  g1(133,20)=1;
  g1(133,47)=(-(y(13)*(-(T89*exp(y(47))))/(exp(y(47))*exp(y(47)))));
  g1(134,10)=(-(T91*y(13)/exp(y(48))));
  g1(134,13)=(-(T91/exp(y(48))));
  g1(134,21)=exp(y(21))/exp(y(43));
  g1(134,43)=(-(exp(y(21))*exp(y(43))))/(exp(y(43))*exp(y(43)));
  g1(134,48)=(-((-(T91*y(13)*exp(y(48))))/(exp(y(48))*exp(y(48)))));
  g1(135,20)=1;
  g1(135,22)=(-(exp(y(22))/exp(y(44))));
  g1(135,44)=(-((-(exp(y(22))*exp(y(44))))/(exp(y(44))*exp(y(44)))));
  g1(136,24)=(-((T1733*params(13)*T3289-params(13)*T1733*T3289)/(T1733*T1733)/y(30)));
  g1(136,29)=(-((T1733*params(13)*T3705-params(13)*T1733*T3705)/(T1733*T1733)/y(30)));
  g1(136,30)=(-((-(params(13)*T1733/T1733))/(y(30)*y(30))));
  g1(136,35)=(-1)/((1+y(35))*(1+y(35)));
  g1(137,24)=T594*T1739*getPowerDeriv(T1739,T655,1);
  g1(137,25)=T594*getPowerDeriv(T1739,T655,1)*(-(exp(y(25))*T587*params(37)))/(exp(y(25))*exp(y(25)));
  g1(137,29)=T594*T1739^T655;
  g1(138,12)=(-(T89*1/T464))/(T89*T89);
  g1(138,19)=(-T464)/(T464*T464)/T89;
  g1(138,24)=(-(T1746*getPowerDeriv(T1746,T655,1)));
  g1(138,26)=(-(getPowerDeriv(T1746,T655,1)*(-(exp(y(26))*T587*params(38)))/(exp(y(26))*exp(y(26)))));
  g1(139,24)=T587;
  g1(139,25)=(-(T731*exp(y(25))*getPowerDeriv(exp(y(25)),T734,1)*getPowerDeriv(T744,1+params(14),1)));
  g1(139,26)=(-(getPowerDeriv(T744,1+params(14),1)*T740*exp(y(26))*getPowerDeriv(exp(y(26)),T734,1)));
  g1(140,31)=(-(T619/T701));
  g1(140,32)=(-((-(T619*T701))/(T701*T701)));
  g1(140,33)=T914*getPowerDeriv(T914,1+params(24)*T705,1);
  g1(141,24)=(-(T596*(-(T1759*T3289))/(T1733*T1733)+T619*T1767*(T1733*params(13)*params(28)*T3289-params(13)*params(28)*T1733*T3289)/(T1733*T1733)));
  g1(141,27)=(-(T596*T1759/T1733+T596*params(36)*T705*T596/exp(y(60))*T3490/T1733));
  g1(141,29)=(-(T596*(-(T1759*T3705))/(T1733*T1733)+T619*T1767*(T1733*params(13)*params(28)*T3705-params(13)*params(28)*T1733*T3705)/(T1733*T1733)));
  g1(141,30)=(-(T619*T1763*T3732*getPowerDeriv(T625,T1766,1)));
  g1(141,31)=T619-T619*T1763*T1767;
  g1(141,60)=(-(T596*params(36)*T705*T3490*(-(T596*exp(y(60))))/(exp(y(60))*exp(y(60)))/T1733));
  g1(142,24)=(-(T701*T707*(T1733*params(13)*params(28)*T3289-params(13)*params(28)*T1733*T3289)/(T1733*T1733)));
  g1(142,27)=(-(T596*(1+params(40)*exp(y(61)))/params(26)));
  g1(142,29)=(-(T701*T707*(T1733*params(13)*params(28)*T3705-params(13)*params(28)*T1733*T3705)/(T1733*T1733)));
  g1(142,30)=(-(T701*T1763*T3750));
  g1(142,32)=T701-T701*T707*T1763;
  g1(142,61)=(-(T596*params(40)*exp(y(61))/params(26)));
  g1(143,30)=params(28)*T3732*getPowerDeriv(T625,T1779,1);
  g1(143,33)=(1-params(28))*T914*getPowerDeriv(T914,T1779,1);
  g1(144,30)=(-(exp(y(49))*params(28)*T3732*getPowerDeriv(T625,T1766,1)));
  g1(144,33)=(-((1-params(28))*T914*getPowerDeriv(T914,T1766,1)));
  g1(144,34)=exp(y(34));
  g1(144,49)=(-(exp(y(49))*params(28)*T1767));
  g1(145,9)=(-(exp(y(9))*params(33)));
  g1(145,25)=(-exp(y(25)));
  g1(145,27)=T596;
  g1(145,28)=(-exp(y(28)));
  g1(146,27)=(-(exp(y(59))*T596*params(15)));
  g1(146,28)=exp(y(28));
  g1(146,59)=(-(exp(y(59))*T596*params(15)));
  g1(147,29)=(-(y(30)*T594/exp(y(54))));
  g1(147,30)=(-(T594/exp(y(54))));
  g1(147,37)=1;
  g1(147,54)=(-(y(30)*(-(T594*exp(y(54))))/(exp(y(54))*exp(y(54)))));
  g1(148,27)=(-(y(30)*T596/exp(y(55))));
  g1(148,30)=(-(T596/exp(y(55))));
  g1(148,38)=exp(y(38))/exp(y(50));
  g1(148,50)=(-(exp(y(38))*exp(y(50))))/(exp(y(50))*exp(y(50)));
  g1(148,55)=(-((-(y(30)*T596*exp(y(55))))/(exp(y(55))*exp(y(55)))));
  g1(149,37)=1;
  g1(149,39)=(-(exp(y(39))/exp(y(51))));
  g1(149,51)=(-((-(exp(y(39))*exp(y(51))))/(exp(y(51))*exp(y(51)))));
  g1(150,7)=(-(params(51)*(-(params(50)*params(49)/T464*T78*getPowerDeriv(T78,(-params(4)),1)))/(T1650*T1650)));
  g1(150,19)=(-(params(51)*params(50)*(-(params(49)*T464))/(T464*T464)/T1650));
  g1(150,24)=params(48)*(-(params(47)*T587*getPowerDeriv(T587,(-params(12)),1)))/(T1732*T1732);
  g1(151,19)=T464;
  g1(151,36)=(-((-exp(y(36)))/(exp(y(36))*exp(y(36)))));
  g1(152,19)=T464/exp(y(45));
  g1(152,20)=(-((-(y(37)*exp(y(23))))/(y(20)*y(20))));
  g1(152,23)=(-(y(37)*exp(y(23))/y(20)));
  g1(152,37)=T4059;
  g1(152,45)=(-(T464*exp(y(45))))/(exp(y(45))*exp(y(45)));
  g1(153,20)=T2998;
  g1(153,36)=exp(y(36))/exp(y(52));
  g1(153,37)=(-((-(exp(y(40))*y(20)))/(y(37)*y(37))));
  g1(153,40)=(-(exp(y(40))*y(20)/y(37)));
  g1(153,52)=(-(exp(y(36))*exp(y(52))))/(exp(y(52))*exp(y(52)));
  g1(154,5)=1;
  g1(154,7)=T2190;
  g1(154,10)=exp(y(17))*params(30)*exp(y(57))^(-params(25))*T91*getPowerDeriv(T91,1+params(25),1)/(1+params(25));
  g1(154,17)=T1836;
  g1(154,57)=exp(y(17))*T286*params(30)*exp(y(57))*getPowerDeriv(exp(y(57)),(-params(25)),1)/(1+params(25));
  g1(155,6)=1;
  g1(155,24)=(-(T587*getPowerDeriv(T587,1-params(12),1)/(1-params(12))));
  g1(155,27)=exp(y(34))*params(36)*exp(y(60))^(-params(24))*T596*getPowerDeriv(T596,1+params(24),1)/(1+params(24));
  g1(155,34)=T1847;
  g1(155,60)=exp(y(34))*T1437*params(36)*exp(y(60))*getPowerDeriv(exp(y(60)),(-params(24)),1)/(1+params(24));
  g1(156,56)=1-params(8);
  g1(157,57)=1-params(10);
  g1(158,58)=1-params(22);
  g1(159,59)=1-params(16);
  g1(160,60)=1-params(18);
  g1(161,61)=1-params(20);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],161,25921);
end
end
