function [residual, g1, g2] = BBCDLmodelcomp_ramsey_c1pid_c2pid_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                    columns: equations in order of declaration
%                                                    rows: variables in declaration order
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: equations in order of declaration
%                                                       rows: variables in declaration order
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 114, 1);

%
% Model equations
%

T10 = exp(y(7));
T18 = exp(y(12));
T21 = exp(y(10));
T24 = T10^(params(4)-1);
T31 = (T21*exp((-y(57))))^params(25);
T36 = T10*params(30)*params(4)*T18*T21*T24*T31*(1+params(27))/params(27);
T42 = exp((-y(12)));
T46 = exp(y(14));
T48 = T18*T10*params(4)*params(5)*params(29)*T42*T46;
T49 = T24*T48;
T50 = T10^params(4);
T53 = params(34)/y(13);
T56 = (1+params(27))*(1+params(25))/params(27);
T57 = T53^T56;
T84 = params(6)/(1+params(6));
T86 = (T10*params(32)*exp((-y(9))))^(T84-1);
T87 = T10*params(32)*params(6)*y(81)*exp((-y(9)))*T86;
T88 = T87/(1+params(6));
T117 = (T10*params(31)*exp((-y(8))))^(T84-1);
T118 = T18*T10*params(6)*params(31)*y(80)*exp((-y(8)))*T117;
T119 = T118/(1+params(6));
T135 = y(13)*params(3)*T10^(1+params(4));
T145 = T18*T10*T42*params(4)*params(5)*params(29)*y(85)*exp(y(15));
T147 = (1+params(27))/params(27);
T149 = T53^(1-T147);
T155 = params(3)*T10^(1+params(4));
T163 = T50*T18*T46*T10*T42*y(84)*params(4)*params(5)*params(29);
T172 = params(31)^T84;
T175 = 1/(1+params(6));
T178 = exp(y(8))*y(82)*T172*exp(y(8))^(T175-1);
T181 = params(32)^T84;
T185 = T172*exp(y(8))^T175+T181*exp(y(9))^T175;
T186 = T185^params(6);
T207 = y(20)^2;
T208 = y(37)*y(109)*exp(y(23))/T207;
T220 = T21^(1+params(25));
T221 = exp(y(17))*params(30)*y(111)*T220;
T223 = exp(y(57))^params(25);
T224 = (1+params(25))*T223;
T225 = T221/T224;
T260 = T149*T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)/(T50*params(3));
T271 = T50*T18*T46*T42*y(84)*params(5)*params(29)/(T57*T50*params(3));
T277 = exp(y(9))*y(82)*T181*exp(y(9))^(T175-1);
T318 = params(27)*y(13)^2;
T320 = 1+1/params(27);
T321 = T53^T320;
T343 = T50*params(3)*y(13)^2;
T351 = T53^(1+T56);
T353 = (1+params(27))*(1+params(25))*exp(y(42))*y(87)*params(29)*params(34)/(T318*T351);
T365 = T343*T53^T147;
T366 = T50*T18*exp(y(15))*T42*y(85)*params(29)*params(5)*params(34)*(T147-1)/T365;
T374 = (1+params(27))*(1+params(25))*T50*T18*T46*T42*y(84)*params(29)*params(5)*params(34);
T382 = exp(y(16));
T386 = T382^(params(25)*(1+params(27))/params(27));
T387 = y(83)*T382*T386;
T388 = 1+params(25)*(1+params(27))/params(27);
T394 = params(27)*T382^T320;
T402 = params(27)*T382^(1+T56);
T418 = exp((-y(29)));
T440 = (1+y(18))^2;
T453 = (1+params(27))*T31*T50*T21*params(30)*T18/params(27);
T491 = (T21*exp((-y(57))))^(params(25)-1);
T495 = T453+(1+params(27))*T50*T18*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T491/params(27);
T496 = y(84)*T495;
T523 = T21*exp(y(17))*params(30)*y(111)*T21^params(25);
T531 = exp(y(24));
T538 = exp(y(29));
T541 = exp(y(27));
T544 = T531^(params(12)-1);
T551 = (T541*exp((-y(60))))^params(24);
T556 = T531*params(36)*params(12)*T538*T541*T544*T551*(1+params(26))/params(26);
T564 = exp(y(31));
T566 = T538*T531*T418*params(12)*params(13)*params(28)*T564;
T567 = T544*T566;
T568 = T531^params(12);
T571 = params(39)/y(30);
T574 = (1+params(26))*(1+params(24))/params(26);
T575 = T571^T574;
T605 = params(14)/(1+params(14));
T607 = (T531*params(38)*exp((-y(26))))^(T605-1);
T608 = T531*y(95)*params(38)*params(14)*exp((-y(26)))*T607;
T609 = T608/(1+params(14));
T623 = (T531*params(37)*exp((-y(25))))^(T605-1);
T624 = T538*T531*params(14)*params(37)*y(94)*exp((-y(25)))*T623;
T625 = T624/(1+params(14));
T640 = params(3)*y(30)*T531^(1+params(12));
T650 = T538*T531*T418*params(12)*params(13)*params(28)*y(99)*exp(y(32));
T652 = (1+params(26))/params(26);
T654 = T571^(1-T652);
T660 = params(3)*T531^(1+params(12));
T668 = T568*T538*T564*T531*T418*y(98)*params(12)*params(13)*params(28);
T676 = params(37)^T605;
T679 = 1/(1+params(14));
T682 = exp(y(25))*y(96)*T676*exp(y(25))^(T679-1);
T685 = params(38)^T605;
T689 = T676*exp(y(25))^T679+T685*exp(y(26))^T679;
T690 = T689^params(14);
T703 = y(37)^2;
T716 = T541^(1+params(24));
T717 = exp(y(34))*params(36)*y(112)*T716;
T719 = exp(y(60))^params(24);
T720 = (1+params(24))*T719;
T721 = T717/T720;
T756 = T654*T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)/(params(3)*T568);
T767 = T568*T538*T564*T418*y(98)*params(13)*params(28)/(T575*params(3)*T568);
T773 = exp(y(26))*y(96)*T685*exp(y(26))^(T679-1);
T812 = params(26)*y(30)^2;
T814 = 1+1/params(26);
T815 = T571^T814;
T837 = T568*params(3)*y(30)^2;
T845 = T571^(1+T574);
T847 = (1+params(26))*(1+params(24))*exp(y(49))*y(101)*params(28)*params(39)/(T812*T845);
T859 = T837*T571^T652;
T860 = T568*T538*exp(y(32))*T418*y(99)*params(28)*params(13)*params(39)*(T652-1)/T859;
T868 = (1+params(26))*(1+params(24))*T568*T538*T564*T418*y(98)*params(28)*params(13)*params(39);
T876 = exp(y(33));
T880 = T876^(params(24)*(1+params(26))/params(26));
T881 = y(97)*T876*T880;
T882 = 1+params(24)*(1+params(26))/params(26);
T888 = params(26)*T876^T814;
T896 = params(26)*T876^(1+T574);
T922 = (1+y(35))^2;
T935 = (1+params(26))*T551*T568*T541*params(36)*T538/params(26);
T973 = (T541*exp((-y(60))))^(params(24)-1);
T977 = T935+(1+params(26))*T568*T538*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T973/params(26);
T978 = y(98)*T977;
T1005 = T541*exp(y(34))*params(36)*y(112)*T541^params(24);
T1065 = T10^(1-params(4))/(1-params(4));
T1071 = T10^(-params(4));
T1072 = T1071/T18;
T1078 = T10*params(31)/exp(y(8));
T1084 = T10*params(32)/exp(y(9));
T1097 = params(30)*T147*(T21/exp(y(57)))^params(25);
T1101 = params(5)*params(29)*T1072/T1072;
T1104 = (1+params(25))*(-(1+params(27)))/params(27);
T1105 = T53^T1104;
T1117 = (-1)/params(27);
T1153 = T531^(-params(12));
T1154 = T1153/T538;
T1160 = T531*params(37)/exp(y(25));
T1167 = T531*params(38)/exp(y(26));
T1180 = params(36)*T652*(T541/exp(y(60)))^params(24);
T1184 = params(13)*params(28)*T1154/T1154;
T1187 = (1+params(24))*(-(1+params(26)))/params(26);
T1188 = T571^T1187;
T1200 = (-1)/params(26);
T1257 = exp(y(17))*T220*params(30)*exp(y(57))^(-params(25))/(1+params(25));
T1268 = exp(y(34))*T716*params(36)*exp(y(60))^(-params(24))/(1+params(24));
T1317 = T10*getPowerDeriv(T10,params(4)-1,1);
T1326 = T10*getPowerDeriv(T10,params(4),1);
T1351 = (T87+T10*params(32)*params(6)*y(81)*exp((-y(9)))*T10*params(32)*exp((-y(9)))*getPowerDeriv(T10*params(32)*exp((-y(9))),T84-1,1))/(1+params(6));
T1360 = (T118+T18*T10*params(6)*params(31)*y(80)*exp((-y(8)))*T10*params(31)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84-1,1))/(1+params(6));
T1417 = (T50*params(3)*T149*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*T1326-T149*T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*params(3)*T1326)/(T50*params(3)*T50*params(3));
T1425 = (T57*T50*params(3)*T18*T46*T42*y(84)*params(5)*params(29)*T1326-T50*T18*T46*T42*y(84)*params(5)*params(29)*T57*params(3)*T1326)/(T57*T50*params(3)*T57*T50*params(3));
T1499 = (-(T10*getPowerDeriv(T10,1-params(4),1)/(1-params(4))));
T1502 = T10*getPowerDeriv(T10,(-params(4)),1)/T18;
T1549 = (T117*T18*T10*params(6)*params(31)*y(80)*(-exp((-y(8))))+T18*T10*params(6)*params(31)*y(80)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84-1,1)*T10*params(31)*(-exp((-y(8)))))/(1+params(6));
T1558 = T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175,1)*getPowerDeriv(T185,params(6),1);
T1587 = (T86*T10*params(32)*params(6)*y(81)*(-exp((-y(9))))+T10*params(32)*params(6)*y(81)*exp((-y(9)))*getPowerDeriv(T10*params(32)*exp((-y(9))),T84-1,1)*T10*params(32)*(-exp((-y(9)))))/(1+params(6));
T1592 = getPowerDeriv(T185,params(6),1)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175,1);
T1614 = T21*exp((-y(57)))*getPowerDeriv(T21*exp((-y(57))),params(25),1);
T1629 = (1+params(27))*(T31*T50*T21*params(30)*T18+T50*T21*params(30)*T18*T1614)/params(27);
T1656 = getPowerDeriv(T21/exp(y(57)),params(25),1);
T1721 = T149*T50*(T18*exp(y(15))*T42*y(85)*params(5)*params(29)+T18*exp(y(15))*y(85)*params(5)*params(29)*(-T42))/(T50*params(3));
T1728 = T50*(T18*T46*T42*y(84)*params(5)*params(29)+T18*T46*y(84)*params(5)*params(29)*(-T42))/(T57*T50*params(3));
T1779 = (-(T18*T1071))/(T18*T18);
T1809 = (-params(34))/(y(13)*y(13));
T1811 = T1809*getPowerDeriv(T53,T56,1);
T1827 = T1809*getPowerDeriv(T53,1-T147,1);
T1845 = T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*T1827/(T50*params(3));
T1850 = (-(T50*T18*T46*T42*y(84)*params(5)*params(29)*T50*params(3)*T1811))/(T57*T50*params(3)*T57*T50*params(3));
T2055 = T531*getPowerDeriv(T531,params(12)-1,1);
T2064 = T531*getPowerDeriv(T531,params(12),1);
T2087 = (T608+T531*y(95)*params(38)*params(14)*exp((-y(26)))*T531*params(38)*exp((-y(26)))*getPowerDeriv(T531*params(38)*exp((-y(26))),T605-1,1))/(1+params(14));
T2093 = (T624+T538*T531*params(14)*params(37)*y(94)*exp((-y(25)))*T531*params(37)*exp((-y(25)))*getPowerDeriv(T531*params(37)*exp((-y(25))),T605-1,1))/(1+params(14));
T2150 = (params(3)*T568*T654*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*T2064-T654*T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*params(3)*T2064)/(params(3)*T568*params(3)*T568);
T2158 = (T575*params(3)*T568*T538*T564*T418*y(98)*params(13)*params(28)*T2064-T568*T538*T564*T418*y(98)*params(13)*params(28)*T575*params(3)*T2064)/(T575*params(3)*T568*T575*params(3)*T568);
T2230 = T531*getPowerDeriv(T531,(-params(12)),1)/T538;
T2280 = (T623*T538*T531*params(14)*params(37)*y(94)*(-exp((-y(25))))+T538*T531*params(14)*params(37)*y(94)*exp((-y(25)))*getPowerDeriv(T531*params(37)*exp((-y(25))),T605-1,1)*T531*params(37)*(-exp((-y(25)))))/(1+params(14));
T2289 = T676*exp(y(25))*getPowerDeriv(exp(y(25)),T679,1)*getPowerDeriv(T689,params(14),1);
T2318 = (T607*T531*y(95)*params(38)*params(14)*(-exp((-y(26))))+T531*y(95)*params(38)*params(14)*exp((-y(26)))*getPowerDeriv(T531*params(38)*exp((-y(26))),T605-1,1)*T531*params(38)*(-exp((-y(26)))))/(1+params(14));
T2323 = getPowerDeriv(T689,params(14),1)*T685*exp(y(26))*getPowerDeriv(exp(y(26)),T679,1);
T2345 = T541*exp((-y(60)))*getPowerDeriv(T541*exp((-y(60))),params(24),1);
T2360 = (1+params(26))*(T551*T568*T541*params(36)*T538+T568*T541*params(36)*T538*T2345)/params(26);
T2387 = getPowerDeriv(T541/exp(y(60)),params(24),1);
T2454 = T654*T568*(T538*exp(y(32))*T418*y(99)*params(13)*params(28)+T538*exp(y(32))*y(99)*params(13)*params(28)*(-T418))/(params(3)*T568);
T2461 = T568*(T538*T564*T418*y(98)*params(13)*params(28)+T538*T564*y(98)*params(13)*params(28)*(-T418))/(T575*params(3)*T568);
T2513 = (-(T538*T1153))/(T538*T538);
T2540 = (-params(39))/(y(30)*y(30));
T2542 = T2540*getPowerDeriv(T571,T574,1);
T2558 = T2540*getPowerDeriv(T571,1-T652,1);
T2576 = T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*T2558/(params(3)*T568);
T2581 = (-(T568*T538*T564*T418*y(98)*params(13)*params(28)*params(3)*T568*T2542))/(T575*params(3)*T568*T575*params(3)*T568);
T2875 = getPowerDeriv(T21*exp((-y(57))),params(25),1)*T21*(-exp((-y(57))));
T2938 = getPowerDeriv(T541*exp((-y(60))),params(24),1)*T541*(-exp((-y(60))));
residual(1) = y(82)*T10-y(84)*(T36+T49/(T50*T57))-T10*y(78)/T50-T10*y(111)/T50-T88-T24*T10*params(4)*params(50)*params(49)*params(51)*y(107)*exp((-y(19)))+T119-T24*T18*T10*T42*params(4)*params(5)*y(79)/(T50*y(13))+T50*T18*T10*T42*params(4)*params(5)*y(79)/T135-T24*T145*T149/T50+T149*T50*T145/T155+T163/(T57*T155);
residual(2) = (-y(88))*exp(y(8))-T178*T186-T119;
residual(3) = y(90)+y(92)-y(110)*exp(y(40))/y(37)+T208;
residual(4) = y(87)*exp(y(17))-params(3)*y(64)+T225;
residual(5) = y(64)-params(29)*y(87)*exp(y(42))/T57;
residual(6) = (-(y(37)*y(109)*exp(y(23))))/y(20);
residual(7) = y(89)*exp(y(11))-y(88)*exp(y(11));
residual(8) = y(85)*exp(y(15))+T46*y(83)*exp((-y(15)))-T260;
residual(9) = y(84)*T46-T46*y(83)*exp((-y(15)))-T271;
residual(10) = T88-T186*T277-exp(y(9))*params(33)*y(102);
residual(11) = y(91)*exp((-y(43)))*exp(y(21))-params(3)*y(65);
residual(12) = y(65)-y(91)*exp((-y(43)))*exp(y(21));
residual(13) = params(3)*(-y(66))-y(92)*exp((-y(44)))*exp(y(22));
residual(14) = y(66)+y(92)*exp((-y(44)))*exp(y(22));
residual(15) = params(29)*params(34)*y(86)/(T318*T321)-T18*y(90)*exp((-y(47)))-T21*y(91)*exp((-y(48)))-y(62)+T50*T18*T42*params(5)*y(79)/T343-T353-T366-T374/(T351*T50*params(3)*T318);
residual(16) = T387*T388+y(86)*T382*(params(29)-1)/T394-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T382/T402;
residual(17) = y(108)*exp(y(19))-params(3)*y(67)-T42*exp((-y(19)))*y(95)+exp(y(19))*y(81)*T418+exp(y(19))*y(109)*exp((-y(45)))+T50*exp((-y(19)))*params(50)*params(49)*params(51)*y(107);
residual(18) = y(67)-exp(y(19))*y(109)*exp((-y(45)));
residual(19) = params(3)*(-y(68))-y(79)/T440;
residual(20) = y(68);
residual(21) = T260+T271+T18*y(80)*(T10*params(31)*exp((-y(8))))^T84-y(84)*(T453+T50*T18*T46*T42*params(5)*params(29)/(T50*T57))-T42*exp((-y(19)))*y(95)-params(3)*y(69)-T18*exp((-y(47)))*y(13)*y(90)-T50*T18*T42*params(5)*y(79)/(T50*y(13))+T50*T18*T42*params(5)*y(79)/(T50*y(13)*params(3))-T149*T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)/T50;
residual(22) = y(69)+T18*exp((-y(47)))*y(13)*y(90);
residual(23) = T21*y(88)-T496-params(3)*y(70)-T21*exp((-y(48)))*y(13)*y(91)-T21*y(85)*(1+params(35)*exp(y(58)))/params(27)-T21*y(89)*params(7)*exp(y(56))+T523/T223;
residual(24) = y(70)+T21*exp((-y(48)))*y(13)*y(91);
residual(25) = y(96)*T531-y(98)*(T556+T567/(T568*T575))-T531*y(112)/T568+T544*T531*y(107)*params(12)*params(47)*params(48)-T609+T625-T544*T538*T531*T418*params(12)*params(13)*y(93)/(T568*y(30))+T568*T538*T531*T418*params(12)*params(13)*y(93)/T640-T544*T650*T654/T568+T654*T568*T650/T660+T668/(T575*T660);
residual(26) = (-y(102))*exp(y(25))-T682*T690-T625;
residual(27) = y(104)+y(106)-y(109)*exp(y(23))/y(20)+exp(y(40))*y(110)*y(20)/T703;
residual(28) = y(101)*exp(y(34))-params(3)*y(71)+T721;
residual(29) = y(71)-params(28)*y(101)*exp(y(49))/T575;
residual(30) = (-(exp(y(40))*y(110)*y(20)))/y(37);
residual(31) = y(103)*exp(y(28))-y(102)*exp(y(28));
residual(32) = y(99)*exp(y(32))+T564*y(97)*exp((-y(32)))-T756;
residual(33) = y(98)*T564-T564*y(97)*exp((-y(32)))-T767;
residual(34) = T609-T690*T773-y(88)*exp(y(26))/params(33);
residual(35) = y(105)*exp((-y(50)))*exp(y(38))-params(3)*y(72);
residual(36) = y(72)-y(105)*exp((-y(50)))*exp(y(38));
residual(37) = params(3)*(-y(73))-y(106)*exp((-y(51)))*exp(y(39));
residual(38) = y(73)+y(106)*exp((-y(51)))*exp(y(39));
residual(39) = params(28)*params(39)*y(100)/(T812*T815)-T538*y(104)*exp((-y(54)))-T541*y(105)*exp((-y(55)))-y(63)+T568*T538*T418*params(13)*y(93)/T837-T847-T860-T868/(T845*T568*params(3)*T812);
residual(40) = T881*T882+y(100)*T876*(params(28)-1)/T888-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T876/T896;
residual(41) = y(108)*exp((-y(36)))-params(3)*y(74)+y(110)*exp((-y(52)))*exp(y(36));
residual(42) = y(74)-y(110)*exp((-y(52)))*exp(y(36));
residual(43) = params(3)*(-y(75))-y(93)/T922;
residual(44) = y(75);
residual(45) = T756+T767+T538*y(94)*(T531*params(37)*exp((-y(25))))^T605-y(98)*(T935+T568*T538*T564*T418*params(13)*params(28)/(T568*T575))-params(3)*y(76)-exp(y(19))*y(81)*T418-T538*exp((-y(54)))*y(30)*y(104)-T568*T538*T418*params(13)*y(93)/(T568*y(30))+T568*T538*T418*params(13)*y(93)/(T568*params(3)*y(30))-T654*T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)/T568;
residual(46) = y(76)+T538*exp((-y(54)))*y(30)*y(104);
residual(47) = y(102)*T541-T978-params(3)*y(77)-T541*exp((-y(55)))*y(30)*y(105)-T541*y(99)*(1+params(40)*exp(y(61)))/params(26)-T541*y(103)*params(15)*exp(y(59))+T1005/T719;
residual(48) = y(77)+T541*exp((-y(55)))*y(30)*y(105);
residual(49) = y(62);
residual(50) = y(63);
residual(51) = y(111)+params(1);
residual(52) = y(112)+params(2);
residual(53) = y(78)-params(5)*y(78)/params(3);
lhs =y(1);
rhs =params(1)*y(5)+params(2)*y(6);
residual(54)= lhs-rhs;
lhs =y(2);
rhs =y(1)+params(3)*y(2);
residual(55)= lhs-rhs;
lhs =y(113);
rhs =y(5)+params(3)*y(113);
residual(56)= lhs-rhs;
lhs =y(114);
rhs =y(6)+params(3)*y(114);
residual(57)= lhs-rhs;
lhs =y(3);
rhs =y(13);
residual(58)= lhs-rhs;
lhs =y(4);
rhs =y(30);
residual(59)= lhs-rhs;
lhs =y(42);
rhs =y(17);
residual(60)= lhs-rhs;
lhs =y(43);
rhs =y(21);
residual(61)= lhs-rhs;
lhs =y(44);
rhs =y(22);
residual(62)= lhs-rhs;
lhs =y(45);
rhs =y(19);
residual(63)= lhs-rhs;
lhs =y(46);
rhs =y(18);
residual(64)= lhs-rhs;
lhs =y(47);
rhs =y(12);
residual(65)= lhs-rhs;
lhs =y(48);
rhs =y(10);
residual(66)= lhs-rhs;
lhs =y(49);
rhs =y(34);
residual(67)= lhs-rhs;
lhs =y(50);
rhs =y(38);
residual(68)= lhs-rhs;
lhs =y(51);
rhs =y(39);
residual(69)= lhs-rhs;
lhs =y(52);
rhs =y(36);
residual(70)= lhs-rhs;
lhs =y(53);
rhs =y(35);
residual(71)= lhs-rhs;
lhs =y(54);
rhs =y(29);
residual(72)= lhs-rhs;
lhs =y(55);
rhs =y(27);
residual(73)= lhs-rhs;
lhs =y(41);
rhs =T1065+params(5)*y(41);
residual(74)= lhs-rhs;
lhs =1/(1+y(18));
rhs =params(5)*T1072/T1072/y(13);
residual(75)= lhs-rhs;
lhs =T18*T1078^T84;
rhs =1;
residual(76)= lhs-rhs;
lhs =exp(y(19))/T538;
rhs =T1084^T84;
residual(77)= lhs-rhs;
lhs =T10;
rhs =T185^(1+params(6));
residual(78)= lhs-rhs;
lhs =T382^(1+params(25)*T147);
rhs =T46/exp(y(15));
residual(79)= lhs-rhs;
lhs =T46;
rhs =T21*T1097/T1072+T46*T1101*T1105;
residual(80)= lhs-rhs;
lhs =exp(y(15));
rhs =T21*(1+params(35)*exp(y(58)))/params(27)+exp(y(15))*T149*T1101;
residual(81)= lhs-rhs;
lhs =(1-params(29))*T382^T1117+params(29)*T53^T1117;
rhs =1;
residual(82)= lhs-rhs;
lhs =exp(y(17));
rhs =(1-params(29))*T382^T1104+exp(y(42))*params(29)*T1105;
residual(83)= lhs-rhs;
lhs =T21;
rhs =exp(y(8))+exp(y(11))+exp(y(26))*1/params(33);
residual(84)= lhs-rhs;
lhs =exp(y(11));
rhs =exp(y(56))*T21*params(7);
residual(85)= lhs-rhs;
lhs =y(20);
rhs =y(13)*T18/exp(y(47));
residual(86)= lhs-rhs;
lhs =exp(y(21))/exp(y(43));
rhs =T21*y(13)/exp(y(48));
residual(87)= lhs-rhs;
lhs =y(20);
rhs =exp(y(22))/exp(y(44));
residual(88)= lhs-rhs;
lhs =1/(1+y(35));
rhs =params(13)*T1154/T1154/y(30);
residual(89)= lhs-rhs;
lhs =T538*T1160^T605;
rhs =1;
residual(90)= lhs-rhs;
lhs =1/exp(y(19))/T18;
rhs =T1167^T605;
residual(91)= lhs-rhs;
lhs =T531;
rhs =T689^(1+params(14));
residual(92)= lhs-rhs;
lhs =T876^(1+params(24)*T652);
rhs =T564/exp(y(32));
residual(93)= lhs-rhs;
lhs =T564;
rhs =T541*T1180/T1154+T564*T1184*T1188;
residual(94)= lhs-rhs;
lhs =exp(y(32));
rhs =T541*(1+params(40)*exp(y(61)))/params(26)+exp(y(32))*T654*T1184;
residual(95)= lhs-rhs;
lhs =(1-params(28))*T876^T1200+params(28)*T571^T1200;
rhs =1;
residual(96)= lhs-rhs;
lhs =exp(y(34));
rhs =(1-params(28))*T876^T1187+exp(y(49))*params(28)*T1188;
residual(97)= lhs-rhs;
lhs =T541;
rhs =exp(y(25))+exp(y(28))+exp(y(9))*params(33);
residual(98)= lhs-rhs;
lhs =exp(y(28));
rhs =exp(y(59))*T541*params(15);
residual(99)= lhs-rhs;
lhs =y(37);
rhs =y(30)*T538/exp(y(54));
residual(100)= lhs-rhs;
lhs =exp(y(38))/exp(y(50));
rhs =T541*y(30)/exp(y(55));
residual(101)= lhs-rhs;
lhs =y(37);
rhs =exp(y(39))/exp(y(51));
residual(102)= lhs-rhs;
lhs =params(48)*params(47)/T1153;
rhs =params(51)*params(50)*params(49)/exp(y(19))/T1071;
residual(103)= lhs-rhs;
lhs =exp(y(19));
rhs =1/exp(y(36));
residual(104)= lhs-rhs;
lhs =exp(y(19))/exp(y(45));
rhs =y(37)*exp(y(23))/y(20);
residual(105)= lhs-rhs;
lhs =exp(y(36))/exp(y(52));
rhs =exp(y(40))*y(20)/y(37);
residual(106)= lhs-rhs;
lhs =y(5);
rhs =T1065-T1257;
residual(107)= lhs-rhs;
lhs =y(6);
rhs =T531^(1-params(12))/(1-params(12))-T1268;
residual(108)= lhs-rhs;
lhs =y(56);
rhs =y(56)*params(8)+params(9)*x(1);
residual(109)= lhs-rhs;
lhs =y(57);
rhs =y(57)*params(10)+params(11)*x(2);
residual(110)= lhs-rhs;
lhs =y(58);
rhs =y(58)*params(22)+params(23)*x(6);
residual(111)= lhs-rhs;
lhs =y(59);
rhs =y(59)*params(16)+params(17)*x(3);
residual(112)= lhs-rhs;
lhs =y(60);
rhs =y(60)*params(18)+params(19)*x(4);
residual(113)= lhs-rhs;
lhs =y(61);
rhs =y(61)*params(20)+params(21)*x(5);
residual(114)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(114, 114);

  %
  % Jacobian matrix
  %

  g1(1,7)=y(82)*T10-y(84)*((1+params(27))*T31*(T10*params(30)*params(4)*T18*T21*T24+T10*params(30)*params(4)*T18*T21*T1317)/params(27)+(T50*T57*(T49+T48*T1317)-T49*T57*T1326)/(T50*T57*T50*T57))-(T50*T10*y(78)-T10*y(78)*T1326)/(T50*T50)-(T50*T10*y(111)-T10*y(111)*T1326)/(T50*T50)-T1351-(T24*T10*params(4)*params(50)*params(49)*params(51)*y(107)*exp((-y(19)))+T10*params(4)*params(50)*params(49)*params(51)*y(107)*exp((-y(19)))*T1317)+T1360-(T50*y(13)*(T24*T18*T10*T42*params(4)*params(5)*y(79)+T18*T10*T42*params(4)*params(5)*y(79)*T1317)-T24*T18*T10*T42*params(4)*params(5)*y(79)*y(13)*T1326)/(T50*y(13)*T50*y(13))+(T135*(T50*T18*T10*T42*params(4)*params(5)*y(79)+T18*T10*T42*params(4)*params(5)*y(79)*T1326)-T50*T18*T10*T42*params(4)*params(5)*y(79)*y(13)*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T135*T135)-(T50*T149*(T24*T145+T145*T1317)-T24*T145*T149*T1326)/(T50*T50)+(T155*T149*(T50*T145+T145*T1326)-T149*T50*T145*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T155*T155)+(T57*T155*(T163+T18*T46*T10*T42*y(84)*params(4)*params(5)*params(29)*T1326)-T163*T57*params(3)*T10*getPowerDeriv(T10,1+params(4),1))/(T57*T155*T57*T155);
  g1(1,8)=T1549;
  g1(1,9)=(-T1587);
  g1(1,10)=(-(y(84)*(1+params(27))*(T10*params(30)*params(4)*T18*T21*T24*T31+T10*params(30)*params(4)*T18*T21*T24*T1614)/params(27)));
  g1(1,12)=T119+(-(y(84)*(T36+T24*(T48+T18*T46*T10*params(4)*params(5)*params(29)*(-T42))/(T50*T57))))-T24*(T18*T10*T42*params(4)*params(5)*y(79)+T18*T10*params(4)*params(5)*y(79)*(-T42))/(T50*y(13))+T50*(T18*T10*T42*params(4)*params(5)*y(79)+T18*T10*params(4)*params(5)*y(79)*(-T42))/T135-T149*T24*(T145+T18*exp(y(15))*T10*params(4)*params(5)*params(29)*y(85)*(-T42))/T50+T149*T50*(T145+T18*exp(y(15))*T10*params(4)*params(5)*params(29)*y(85)*(-T42))/T155+T50*(T18*T46*T10*T42*y(84)*params(4)*params(5)*params(29)+T18*T46*T10*y(84)*params(4)*params(5)*params(29)*(-T42))/(T57*T155);
  g1(1,13)=(-(y(84)*(-(T49*T50*T1811))/(T50*T57*T50*T57)))-(-(T50*T24*T18*T10*T42*params(4)*params(5)*y(79)))/(T50*y(13)*T50*y(13))+(-(T50*T18*T10*T42*params(4)*params(5)*y(79)*T155))/(T135*T135)-T24*T145*T1827/T50+T50*T145*T1827/T155+(-(T163*T155*T1811))/(T57*T155*T57*T155);
  g1(1,14)=T163/(T57*T155)+(-(y(84)*T49/(T50*T57)));
  g1(1,15)=T149*T50*T145/T155+(-(T24*T145*T149/T50));
  g1(1,19)=(-(T24*T10*params(4)*params(50)*params(49)*params(51)*y(107)*(-exp((-y(19))))));
  g1(1,57)=(-(y(84)*(1+params(27))*T10*params(30)*params(4)*T18*T21*T24*T2875/params(27)));
  g1(1,78)=(-(T10/T50));
  g1(1,79)=(-(T24*T18*T10*params(4)*params(5)*T42/(T50*y(13))))+T50*T18*T10*params(4)*params(5)*T42/T135;
  g1(1,80)=T117*T18*T10*params(6)*params(31)*exp((-y(8)))/(1+params(6));
  g1(1,81)=(-(T86*T10*params(32)*params(6)*exp((-y(9)))/(1+params(6))));
  g1(1,82)=T10;
  g1(1,84)=(-(T36+T49/(T50*T57)))+T48*T50/(T57*T155);
  g1(1,85)=(-(T149*T24*T18*T10*params(4)*params(5)*params(29)*T42*exp(y(15))/T50))+T149*T50*T18*T10*params(4)*params(5)*params(29)*T42*exp(y(15))/T155;
  g1(1,107)=(-(T24*T10*params(4)*params(50)*params(49)*params(51)*exp((-y(19)))));
  g1(1,111)=(-(T10/T50));
  g1(2,7)=(-T1360);
  g1(2,8)=(-y(88))*exp(y(8))-(T186*(T178+exp(y(8))*y(82)*T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175-1,1))+T178*T1558)-T1549;
  g1(2,9)=(-(T178*T1592));
  g1(2,12)=(-T119);
  g1(2,80)=(-(T117*T18*T10*params(6)*params(31)*exp((-y(8)))/(1+params(6))));
  g1(2,82)=(-(T186*exp(y(8))^(T175-1)*exp(y(8))*T172));
  g1(2,88)=(-exp(y(8)));
  g1(3,20)=(-(y(37)*y(109)*exp(y(23))*2*y(20)))/(T207*T207);
  g1(3,23)=T208;
  g1(3,37)=(-((-(y(110)*exp(y(40))))/(y(37)*y(37))))+y(109)*exp(y(23))/T207;
  g1(3,40)=(-(y(110)*exp(y(40))/y(37)));
  g1(3,90)=1;
  g1(3,92)=1;
  g1(3,109)=y(37)*exp(y(23))/T207;
  g1(3,110)=(-(exp(y(40))/y(37)));
  g1(4,10)=exp(y(17))*params(30)*y(111)*T21*getPowerDeriv(T21,1+params(25),1)/T224;
  g1(4,17)=y(87)*exp(y(17))+T225;
  g1(4,57)=(-(T221*(1+params(25))*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T224*T224);
  g1(4,64)=(-params(3));
  g1(4,87)=exp(y(17));
  g1(4,111)=T220*params(30)*exp(y(17))/T224;
  g1(5,13)=(-((-(params(29)*y(87)*exp(y(42))*T1811))/(T57*T57)));
  g1(5,42)=(-(params(29)*y(87)*exp(y(42))/T57));
  g1(5,64)=1;
  g1(5,87)=(-(params(29)*exp(y(42))/T57));
  g1(6,20)=y(37)*y(109)*exp(y(23))/(y(20)*y(20));
  g1(6,23)=(-(y(37)*y(109)*exp(y(23))))/y(20);
  g1(6,37)=(-(y(109)*exp(y(23))))/y(20);
  g1(6,109)=(-(y(37)*exp(y(23))))/y(20);
  g1(7,11)=y(89)*exp(y(11))-y(88)*exp(y(11));
  g1(7,88)=(-exp(y(11)));
  g1(7,89)=exp(y(11));
  g1(8,7)=(-T1417);
  g1(8,12)=(-T1721);
  g1(8,13)=(-T1845);
  g1(8,14)=T46*y(83)*exp((-y(15)));
  g1(8,15)=y(85)*exp(y(15))+T46*y(83)*(-exp((-y(15))))-T260;
  g1(8,83)=T46*exp((-y(15)));
  g1(8,85)=exp(y(15))-T149*T50*T18*exp(y(15))*T42*params(5)*params(29)/(T50*params(3));
  g1(9,7)=(-T1425);
  g1(9,12)=(-T1728);
  g1(9,13)=(-T1850);
  g1(9,14)=y(84)*T46-T46*y(83)*exp((-y(15)))-T271;
  g1(9,15)=(-(T46*y(83)*(-exp((-y(15))))));
  g1(9,83)=(-(T46*exp((-y(15)))));
  g1(9,84)=T46-T50*T18*T46*T42*params(5)*params(29)/(T57*T50*params(3));
  g1(10,7)=T1351;
  g1(10,8)=(-(T277*T1558));
  g1(10,9)=T1587-(T277*T1592+T186*(T277+exp(y(9))*y(82)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175-1,1)))-exp(y(9))*params(33)*y(102);
  g1(10,81)=T86*T10*params(32)*params(6)*exp((-y(9)))/(1+params(6));
  g1(10,82)=(-(T186*exp(y(9))^(T175-1)*T181*exp(y(9))));
  g1(10,102)=(-(exp(y(9))*params(33)));
  g1(11,21)=y(91)*exp((-y(43)))*exp(y(21));
  g1(11,43)=exp(y(21))*y(91)*(-exp((-y(43))));
  g1(11,65)=(-params(3));
  g1(11,91)=exp((-y(43)))*exp(y(21));
  g1(12,21)=(-(y(91)*exp((-y(43)))*exp(y(21))));
  g1(12,43)=(-(exp(y(21))*y(91)*(-exp((-y(43))))));
  g1(12,65)=1;
  g1(12,91)=(-(exp((-y(43)))*exp(y(21))));
  g1(13,22)=(-(y(92)*exp((-y(44)))*exp(y(22))));
  g1(13,44)=(-(exp(y(22))*y(92)*(-exp((-y(44))))));
  g1(13,66)=(-params(3));
  g1(13,92)=(-(exp((-y(44)))*exp(y(22))));
  g1(14,22)=y(92)*exp((-y(44)))*exp(y(22));
  g1(14,44)=exp(y(22))*y(92)*(-exp((-y(44))));
  g1(14,66)=1;
  g1(14,92)=exp((-y(44)))*exp(y(22));
  g1(15,7)=(T343*T18*T42*params(5)*y(79)*T1326-T50*T18*T42*params(5)*y(79)*params(3)*y(13)^2*T1326)/(T343*T343)-(T365*(T147-1)*T18*exp(y(15))*T42*y(85)*params(29)*params(5)*params(34)*T1326-T50*T18*exp(y(15))*T42*y(85)*params(29)*params(5)*params(34)*(T147-1)*T53^T147*params(3)*y(13)^2*T1326)/(T365*T365)-(T351*T50*params(3)*T318*(1+params(27))*(1+params(25))*T18*T46*T42*y(84)*params(29)*params(5)*params(34)*T1326-T374*T351*params(3)*T318*T1326)/(T351*T50*params(3)*T318*T351*T50*params(3)*T318);
  g1(15,10)=(-(T21*y(91)*exp((-y(48)))));
  g1(15,12)=(-(T18*y(90)*exp((-y(47)))))+T50*(T18*T42*params(5)*y(79)+T18*params(5)*y(79)*(-T42))/T343-(T147-1)*T50*(T18*exp(y(15))*T42*y(85)*params(29)*params(5)*params(34)+T18*exp(y(15))*y(85)*params(29)*params(5)*params(34)*(-T42))/T365-(1+params(27))*(1+params(25))*T50*(T18*T46*T42*y(84)*params(29)*params(5)*params(34)+T18*T46*y(84)*params(29)*params(5)*params(34)*(-T42))/(T351*T50*params(3)*T318);
  g1(15,13)=(-(params(29)*params(34)*y(86)*(T321*params(27)*2*y(13)+T318*T1809*getPowerDeriv(T53,T320,1))))/(T318*T321*T318*T321)+(-(T50*T18*T42*params(5)*y(79)*T50*params(3)*2*y(13)))/(T343*T343)-(-((1+params(27))*(1+params(25))*exp(y(42))*y(87)*params(29)*params(34)*(T351*params(27)*2*y(13)+T318*T1809*getPowerDeriv(T53,1+T56,1))))/(T318*T351*T318*T351)-(-(T50*T18*exp(y(15))*T42*y(85)*params(29)*params(5)*params(34)*(T147-1)*(T53^T147*T50*params(3)*2*y(13)+T343*T1809*getPowerDeriv(T53,T147,1))))/(T365*T365)-(-(T374*(T50*params(3)*T318*T1809*getPowerDeriv(T53,1+T56,1)+T351*T50*params(3)*params(27)*2*y(13))))/(T351*T50*params(3)*T318*T351*T50*params(3)*T318);
  g1(15,14)=(-(T374/(T351*T50*params(3)*T318)));
  g1(15,15)=(-T366);
  g1(15,42)=(-T353);
  g1(15,47)=(-(T18*y(90)*(-exp((-y(47))))));
  g1(15,48)=(-(T21*y(91)*(-exp((-y(48))))));
  g1(15,62)=(-1);
  g1(15,79)=T50*T18*params(5)*T42/T343;
  g1(15,84)=(-((1+params(27))*(1+params(25))*T50*T18*T46*T42*params(29)*params(5)*params(34)/(T351*T50*params(3)*T318)));
  g1(15,85)=(-((T147-1)*T50*T18*exp(y(15))*T42*params(29)*params(5)*params(34)/T365));
  g1(15,86)=params(29)*params(34)/(T318*T321);
  g1(15,87)=(-((1+params(27))*(1+params(25))*exp(y(42))*params(29)*params(34)/(T318*T351)));
  g1(15,90)=(-(T18*exp((-y(47)))));
  g1(15,91)=(-(T21*exp((-y(48)))));
  g1(16,16)=T388*(T387+y(83)*T382*T382*getPowerDeriv(T382,params(25)*(1+params(27))/params(27),1))+(y(86)*T382*(params(29)-1)*T394-y(86)*T382*(params(29)-1)*params(27)*T382*getPowerDeriv(T382,T320,1))/(T394*T394)-((params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T382*T402-(params(29)-1)*(1+params(27))*(1+params(25))*y(87)*T382*params(27)*T382*getPowerDeriv(T382,1+T56,1))/(T402*T402);
  g1(16,83)=T388*T382*T386;
  g1(16,86)=T382*(params(29)-1)/T394;
  g1(16,87)=(-((params(29)-1)*(1+params(27))*(1+params(25))*T382/T402));
  g1(17,7)=exp((-y(19)))*params(50)*params(49)*params(51)*y(107)*T1326;
  g1(17,12)=(-(exp((-y(19)))*y(95)*(-T42)));
  g1(17,19)=exp(y(19))*y(109)*exp((-y(45)))+exp(y(19))*y(81)*T418+y(108)*exp(y(19))-T42*y(95)*(-exp((-y(19))))+T50*params(50)*params(49)*params(51)*y(107)*(-exp((-y(19))));
  g1(17,29)=exp(y(19))*y(81)*(-T418);
  g1(17,45)=exp(y(19))*y(109)*(-exp((-y(45))));
  g1(17,67)=(-params(3));
  g1(17,81)=exp(y(19))*T418;
  g1(17,95)=(-(T42*exp((-y(19)))));
  g1(17,107)=T50*params(50)*params(49)*params(51)*exp((-y(19)));
  g1(17,108)=exp(y(19));
  g1(17,109)=exp(y(19))*exp((-y(45)));
  g1(18,19)=(-(exp(y(19))*y(109)*exp((-y(45)))));
  g1(18,45)=(-(exp(y(19))*y(109)*(-exp((-y(45))))));
  g1(18,67)=1;
  g1(18,109)=(-(exp(y(19))*exp((-y(45)))));
  g1(19,18)=(-((-(y(79)*2*(1+y(18))))/(T440*T440)));
  g1(19,68)=(-params(3));
  g1(19,79)=(-(1/T440));
  g1(20,68)=1;
  g1(21,7)=T1417+T1425+T18*y(80)*T10*params(31)*exp((-y(8)))*getPowerDeriv(T10*params(31)*exp((-y(8))),T84,1)-y(84)*((1+params(27))*T31*T21*params(30)*T18*T1326/params(27)+(T50*T57*T18*T46*T42*params(5)*params(29)*T1326-T50*T18*T46*T42*params(5)*params(29)*T57*T1326)/(T50*T57*T50*T57))-(T50*y(13)*T18*T42*params(5)*y(79)*T1326-T50*T18*T42*params(5)*y(79)*y(13)*T1326)/(T50*y(13)*T50*y(13))+(T50*y(13)*params(3)*T18*T42*params(5)*y(79)*T1326-T50*T18*T42*params(5)*y(79)*y(13)*params(3)*T1326)/(T50*y(13)*params(3)*T50*y(13)*params(3))-(T50*T149*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*T1326-T149*T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*T1326)/(T50*T50);
  g1(21,8)=T18*y(80)*getPowerDeriv(T10*params(31)*exp((-y(8))),T84,1)*T10*params(31)*(-exp((-y(8))));
  g1(21,10)=(-(y(84)*T1629));
  g1(21,12)=T1721+T1728+T18*y(80)*(T10*params(31)*exp((-y(8))))^T84-y(84)*(T453+T50*(T18*T46*T42*params(5)*params(29)+T18*T46*params(5)*params(29)*(-T42))/(T50*T57))-exp((-y(19)))*y(95)*(-T42)-T18*exp((-y(47)))*y(13)*y(90)-T50*(T18*T42*params(5)*y(79)+T18*params(5)*y(79)*(-T42))/(T50*y(13))+T50*(T18*T42*params(5)*y(79)+T18*params(5)*y(79)*(-T42))/(T50*y(13)*params(3))-T149*T50*(T18*exp(y(15))*T42*y(85)*params(5)*params(29)+T18*exp(y(15))*y(85)*params(5)*params(29)*(-T42))/T50;
  g1(21,13)=T1845+T1850+(-(y(84)*(-(T50*T18*T46*T42*params(5)*params(29)*T50*T1811))/(T50*T57*T50*T57)))-T18*y(90)*exp((-y(47)))-(-(T50*T50*T18*T42*params(5)*y(79)))/(T50*y(13)*T50*y(13))+(-(T50*params(3)*T50*T18*T42*params(5)*y(79)))/(T50*y(13)*params(3)*T50*y(13)*params(3))-T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)*T1827/T50;
  g1(21,14)=T271-y(84)*T50*T18*T46*T42*params(5)*params(29)/(T50*T57);
  g1(21,15)=T260-T149*T50*T18*exp(y(15))*T42*y(85)*params(5)*params(29)/T50;
  g1(21,19)=(-(T42*y(95)*(-exp((-y(19))))));
  g1(21,47)=(-(T18*y(13)*y(90)*(-exp((-y(47))))));
  g1(21,57)=(-(y(84)*(1+params(27))*T50*T21*params(30)*T18*T2875/params(27)));
  g1(21,69)=(-params(3));
  g1(21,79)=(-(T50*T18*params(5)*T42/(T50*y(13))))+T50*T18*params(5)*T42/(T50*y(13)*params(3));
  g1(21,80)=T18*(T10*params(31)*exp((-y(8))))^T84;
  g1(21,84)=T50*T18*T46*T42*params(5)*params(29)/(T57*T50*params(3))-(T453+T50*T18*T46*T42*params(5)*params(29)/(T50*T57));
  g1(21,85)=T149*T50*T18*exp(y(15))*T42*params(5)*params(29)/(T50*params(3))-T149*T50*T18*exp(y(15))*T42*params(5)*params(29)/T50;
  g1(21,90)=(-(T18*y(13)*exp((-y(47)))));
  g1(21,95)=(-(T42*exp((-y(19)))));
  g1(22,12)=T18*exp((-y(47)))*y(13)*y(90);
  g1(22,13)=T18*y(90)*exp((-y(47)));
  g1(22,47)=T18*y(13)*y(90)*(-exp((-y(47))));
  g1(22,69)=1;
  g1(22,90)=T18*y(13)*exp((-y(47)));
  g1(23,7)=(-(y(84)*((1+params(27))*T31*T21*params(30)*T18*T1326/params(27)+(1+params(27))*T491*T18*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T1326/params(27))));
  g1(23,10)=T21*y(88)-y(84)*(T1629+(1+params(27))*(T491*T50*T18*exp((-y(57)))*params(30)*params(25)*2*exp(2*y(10))+T50*T18*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*T21*exp((-y(57)))*getPowerDeriv(T21*exp((-y(57))),params(25)-1,1))/params(27))-T21*exp((-y(48)))*y(13)*y(91)-T21*y(85)*(1+params(35)*exp(y(58)))/params(27)-T21*y(89)*params(7)*exp(y(56))+(T523+T21*exp(y(17))*params(30)*y(111)*T21*getPowerDeriv(T21,params(25),1))/T223;
  g1(23,12)=(-T496);
  g1(23,13)=(-(T21*y(91)*exp((-y(48)))));
  g1(23,17)=T523/T223;
  g1(23,48)=(-(T21*y(13)*y(91)*(-exp((-y(48))))));
  g1(23,56)=(-(T21*y(89)*params(7)*exp(y(56))));
  g1(23,57)=(-(y(84)*((1+params(27))*T50*T21*params(30)*T18*T2875/params(27)+(1+params(27))*(T491*T50*T18*params(30)*params(25)*exp(2*y(10))*(-exp((-y(57))))+T50*T18*exp((-y(57)))*params(30)*params(25)*exp(2*y(10))*getPowerDeriv(T21*exp((-y(57))),params(25)-1,1)*T21*(-exp((-y(57)))))/params(27))))+(-(T523*exp(y(57))*getPowerDeriv(exp(y(57)),params(25),1)))/(T223*T223);
  g1(23,58)=(-(T21*y(85)*params(35)*exp(y(58))/params(27)));
  g1(23,70)=(-params(3));
  g1(23,84)=(-T495);
  g1(23,85)=(-(T21*(1+params(35)*exp(y(58)))/params(27)));
  g1(23,88)=T21;
  g1(23,89)=(-(T21*params(7)*exp(y(56))));
  g1(23,91)=(-(T21*y(13)*exp((-y(48)))));
  g1(23,111)=T21^params(25)*T21*params(30)*exp(y(17))/T223;
  g1(24,10)=T21*exp((-y(48)))*y(13)*y(91);
  g1(24,13)=T21*y(91)*exp((-y(48)));
  g1(24,48)=T21*y(13)*y(91)*(-exp((-y(48))));
  g1(24,70)=1;
  g1(24,91)=T21*y(13)*exp((-y(48)));
  g1(25,24)=y(96)*T531-y(98)*((1+params(26))*T551*(T531*params(36)*params(12)*T538*T541*T544+T531*params(36)*params(12)*T538*T541*T2055)/params(26)+(T568*T575*(T567+T566*T2055)-T567*T575*T2064)/(T568*T575*T568*T575))-(T568*T531*y(112)-T531*y(112)*T2064)/(T568*T568)+T544*T531*y(107)*params(12)*params(47)*params(48)+T531*y(107)*params(12)*params(47)*params(48)*T2055-T2087+T2093-(T568*y(30)*(T544*T538*T531*T418*params(12)*params(13)*y(93)+T538*T531*T418*params(12)*params(13)*y(93)*T2055)-T544*T538*T531*T418*params(12)*params(13)*y(93)*y(30)*T2064)/(T568*y(30)*T568*y(30))+(T640*(T568*T538*T531*T418*params(12)*params(13)*y(93)+T538*T531*T418*params(12)*params(13)*y(93)*T2064)-T568*T538*T531*T418*params(12)*params(13)*y(93)*params(3)*y(30)*T531*getPowerDeriv(T531,1+params(12),1))/(T640*T640)-(T568*T654*(T544*T650+T650*T2055)-T544*T650*T654*T2064)/(T568*T568)+(T660*T654*(T568*T650+T650*T2064)-T654*T568*T650*params(3)*T531*getPowerDeriv(T531,1+params(12),1))/(T660*T660)+(T575*T660*(T668+T538*T564*T531*T418*y(98)*params(12)*params(13)*params(28)*T2064)-T668*T575*params(3)*T531*getPowerDeriv(T531,1+params(12),1))/(T575*T660*T575*T660);
  g1(25,25)=T2280;
  g1(25,26)=(-T2318);
  g1(25,27)=(-(y(98)*(1+params(26))*(T531*params(36)*params(12)*T538*T541*T544*T551+T531*params(36)*params(12)*T538*T541*T544*T2345)/params(26)));
  g1(25,29)=T625+(-(y(98)*(T556+T544*(T566+T538*T564*T531*params(12)*params(13)*params(28)*(-T418))/(T568*T575))))-T544*(T538*T531*T418*params(12)*params(13)*y(93)+T538*T531*params(12)*params(13)*y(93)*(-T418))/(T568*y(30))+T568*(T538*T531*T418*params(12)*params(13)*y(93)+T538*T531*params(12)*params(13)*y(93)*(-T418))/T640-T654*T544*(T650+T538*exp(y(32))*T531*params(12)*params(13)*params(28)*y(99)*(-T418))/T568+T654*T568*(T650+T538*exp(y(32))*T531*params(12)*params(13)*params(28)*y(99)*(-T418))/T660+T568*(T538*T564*T531*T418*y(98)*params(12)*params(13)*params(28)+T538*T564*T531*y(98)*params(12)*params(13)*params(28)*(-T418))/(T575*T660);
  g1(25,30)=(-(y(98)*(-(T567*T568*T2542))/(T568*T575*T568*T575)))-(-(T568*T544*T538*T531*T418*params(12)*params(13)*y(93)))/(T568*y(30)*T568*y(30))+(-(T568*T538*T531*T418*params(12)*params(13)*y(93)*T660))/(T640*T640)-T544*T650*T2558/T568+T568*T650*T2558/T660+(-(T668*T660*T2542))/(T575*T660*T575*T660);
  g1(25,31)=T668/(T575*T660)+(-(y(98)*T567/(T568*T575)));
  g1(25,32)=T654*T568*T650/T660+(-(T544*T650*T654/T568));
  g1(25,60)=(-(y(98)*(1+params(26))*T531*params(36)*params(12)*T538*T541*T544*T2938/params(26)));
  g1(25,93)=(-(T544*T538*T531*T418*params(12)*params(13)/(T568*y(30))))+T568*T538*T531*T418*params(12)*params(13)/T640;
  g1(25,94)=T623*T538*T531*params(14)*params(37)*exp((-y(25)))/(1+params(14));
  g1(25,95)=(-(T607*T531*params(38)*params(14)*exp((-y(26)))/(1+params(14))));
  g1(25,96)=T531;
  g1(25,98)=(-(T556+T567/(T568*T575)))+T566*T568/(T575*T660);
  g1(25,99)=(-(T654*T544*T538*T531*T418*params(12)*params(13)*params(28)*exp(y(32))/T568))+T654*T568*T538*T531*T418*params(12)*params(13)*params(28)*exp(y(32))/T660;
  g1(25,107)=T544*T531*params(12)*params(47)*params(48);
  g1(25,112)=(-(T531/T568));
  g1(26,24)=(-T2093);
  g1(26,25)=(-y(102))*exp(y(25))-(T690*(T682+exp(y(25))*y(96)*T676*exp(y(25))*getPowerDeriv(exp(y(25)),T679-1,1))+T682*T2289)-T2280;
  g1(26,26)=(-(T682*T2323));
  g1(26,29)=(-T625);
  g1(26,94)=(-(T623*T538*T531*params(14)*params(37)*exp((-y(25)))/(1+params(14))));
  g1(26,96)=(-(T690*exp(y(25))^(T679-1)*exp(y(25))*T676));
  g1(26,102)=(-exp(y(25)));
  g1(27,20)=(-((-(y(109)*exp(y(23))))/(y(20)*y(20))))+y(110)*exp(y(40))/T703;
  g1(27,23)=(-(y(109)*exp(y(23))/y(20)));
  g1(27,37)=(-(exp(y(40))*y(110)*y(20)*2*y(37)))/(T703*T703);
  g1(27,40)=exp(y(40))*y(110)*y(20)/T703;
  g1(27,104)=1;
  g1(27,106)=1;
  g1(27,109)=(-(exp(y(23))/y(20)));
  g1(27,110)=exp(y(40))*y(20)/T703;
  g1(28,27)=exp(y(34))*params(36)*y(112)*T541*getPowerDeriv(T541,1+params(24),1)/T720;
  g1(28,34)=y(101)*exp(y(34))+T721;
  g1(28,60)=(-(T717*(1+params(24))*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T720*T720);
  g1(28,71)=(-params(3));
  g1(28,101)=exp(y(34));
  g1(28,112)=T716*params(36)*exp(y(34))/T720;
  g1(29,30)=(-((-(params(28)*y(101)*exp(y(49))*T2542))/(T575*T575)));
  g1(29,49)=(-(params(28)*y(101)*exp(y(49))/T575));
  g1(29,71)=1;
  g1(29,101)=(-(params(28)*exp(y(49))/T575));
  g1(30,20)=(-(y(110)*exp(y(40))))/y(37);
  g1(30,37)=exp(y(40))*y(110)*y(20)/(y(37)*y(37));
  g1(30,40)=(-(exp(y(40))*y(110)*y(20)))/y(37);
  g1(30,110)=(-(exp(y(40))*y(20)))/y(37);
  g1(31,28)=y(103)*exp(y(28))-y(102)*exp(y(28));
  g1(31,102)=(-exp(y(28)));
  g1(31,103)=exp(y(28));
  g1(32,24)=(-T2150);
  g1(32,29)=(-T2454);
  g1(32,30)=(-T2576);
  g1(32,31)=T564*y(97)*exp((-y(32)));
  g1(32,32)=y(99)*exp(y(32))+T564*y(97)*(-exp((-y(32))))-T756;
  g1(32,97)=T564*exp((-y(32)));
  g1(32,99)=exp(y(32))-T654*T568*T538*exp(y(32))*T418*params(13)*params(28)/(params(3)*T568);
  g1(33,24)=(-T2158);
  g1(33,29)=(-T2461);
  g1(33,30)=(-T2581);
  g1(33,31)=y(98)*T564-T564*y(97)*exp((-y(32)))-T767;
  g1(33,32)=(-(T564*y(97)*(-exp((-y(32))))));
  g1(33,97)=(-(T564*exp((-y(32)))));
  g1(33,98)=T564-T568*T538*T564*T418*params(13)*params(28)/(T575*params(3)*T568);
  g1(34,24)=T2087;
  g1(34,25)=(-(T773*T2289));
  g1(34,26)=T2318-(T773*T2323+T690*(T773+exp(y(26))*y(96)*T685*exp(y(26))*getPowerDeriv(exp(y(26)),T679-1,1)))-y(88)*exp(y(26))/params(33);
  g1(34,88)=(-(exp(y(26))/params(33)));
  g1(34,95)=T607*T531*params(38)*params(14)*exp((-y(26)))/(1+params(14));
  g1(34,96)=(-(T690*exp(y(26))^(T679-1)*T685*exp(y(26))));
  g1(35,38)=y(105)*exp((-y(50)))*exp(y(38));
  g1(35,50)=exp(y(38))*y(105)*(-exp((-y(50))));
  g1(35,72)=(-params(3));
  g1(35,105)=exp((-y(50)))*exp(y(38));
  g1(36,38)=(-(y(105)*exp((-y(50)))*exp(y(38))));
  g1(36,50)=(-(exp(y(38))*y(105)*(-exp((-y(50))))));
  g1(36,72)=1;
  g1(36,105)=(-(exp((-y(50)))*exp(y(38))));
  g1(37,39)=(-(y(106)*exp((-y(51)))*exp(y(39))));
  g1(37,51)=(-(exp(y(39))*y(106)*(-exp((-y(51))))));
  g1(37,73)=(-params(3));
  g1(37,106)=(-(exp((-y(51)))*exp(y(39))));
  g1(38,39)=y(106)*exp((-y(51)))*exp(y(39));
  g1(38,51)=exp(y(39))*y(106)*(-exp((-y(51))));
  g1(38,73)=1;
  g1(38,106)=exp((-y(51)))*exp(y(39));
  g1(39,24)=(T837*T538*T418*params(13)*y(93)*T2064-T568*T538*T418*params(13)*y(93)*params(3)*y(30)^2*T2064)/(T837*T837)-(T859*(T652-1)*T538*exp(y(32))*T418*y(99)*params(28)*params(13)*params(39)*T2064-T568*T538*exp(y(32))*T418*y(99)*params(28)*params(13)*params(39)*(T652-1)*T571^T652*params(3)*y(30)^2*T2064)/(T859*T859)-(T845*T568*params(3)*T812*(1+params(26))*(1+params(24))*T538*T564*T418*y(98)*params(28)*params(13)*params(39)*T2064-T868*T845*params(3)*T812*T2064)/(T845*T568*params(3)*T812*T845*T568*params(3)*T812);
  g1(39,27)=(-(T541*y(105)*exp((-y(55)))));
  g1(39,29)=(-(T538*y(104)*exp((-y(54)))))+T568*(T538*T418*params(13)*y(93)+T538*params(13)*y(93)*(-T418))/T837-(T652-1)*T568*(T538*exp(y(32))*T418*y(99)*params(28)*params(13)*params(39)+T538*exp(y(32))*y(99)*params(28)*params(13)*params(39)*(-T418))/T859-(1+params(26))*(1+params(24))*T568*(T538*T564*T418*y(98)*params(28)*params(13)*params(39)+T538*T564*y(98)*params(28)*params(13)*params(39)*(-T418))/(T845*T568*params(3)*T812);
  g1(39,30)=(-(params(28)*params(39)*y(100)*(T815*params(26)*2*y(30)+T812*T2540*getPowerDeriv(T571,T814,1))))/(T812*T815*T812*T815)+(-(T568*T538*T418*params(13)*y(93)*T568*params(3)*2*y(30)))/(T837*T837)-(-((1+params(26))*(1+params(24))*exp(y(49))*y(101)*params(28)*params(39)*(T845*params(26)*2*y(30)+T812*T2540*getPowerDeriv(T571,1+T574,1))))/(T812*T845*T812*T845)-(-(T568*T538*exp(y(32))*T418*y(99)*params(28)*params(13)*params(39)*(T652-1)*(T571^T652*T568*params(3)*2*y(30)+T837*T2540*getPowerDeriv(T571,T652,1))))/(T859*T859)-(-(T868*(T568*params(3)*T812*T2540*getPowerDeriv(T571,1+T574,1)+T845*T568*params(3)*params(26)*2*y(30))))/(T845*T568*params(3)*T812*T845*T568*params(3)*T812);
  g1(39,31)=(-(T868/(T845*T568*params(3)*T812)));
  g1(39,32)=(-T860);
  g1(39,49)=(-T847);
  g1(39,54)=(-(T538*y(104)*(-exp((-y(54))))));
  g1(39,55)=(-(T541*y(105)*(-exp((-y(55))))));
  g1(39,63)=(-1);
  g1(39,93)=T568*T538*T418*params(13)/T837;
  g1(39,98)=(-((1+params(26))*(1+params(24))*T568*T538*T564*T418*params(28)*params(13)*params(39)/(T845*T568*params(3)*T812)));
  g1(39,99)=(-((T652-1)*T568*T538*exp(y(32))*T418*params(28)*params(13)*params(39)/T859));
  g1(39,100)=params(28)*params(39)/(T812*T815);
  g1(39,101)=(-((1+params(26))*(1+params(24))*exp(y(49))*params(28)*params(39)/(T812*T845)));
  g1(39,104)=(-(T538*exp((-y(54)))));
  g1(39,105)=(-(T541*exp((-y(55)))));
  g1(40,33)=T882*(T881+y(97)*T876*T876*getPowerDeriv(T876,params(24)*(1+params(26))/params(26),1))+(y(100)*T876*(params(28)-1)*T888-y(100)*T876*(params(28)-1)*params(26)*T876*getPowerDeriv(T876,T814,1))/(T888*T888)-((params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T876*T896-(params(28)-1)*(1+params(26))*(1+params(24))*y(101)*T876*params(26)*T876*getPowerDeriv(T876,1+T574,1))/(T896*T896);
  g1(40,97)=T882*T876*T880;
  g1(40,100)=T876*(params(28)-1)/T888;
  g1(40,101)=(-((params(28)-1)*(1+params(26))*(1+params(24))*T876/T896));
  g1(41,36)=y(110)*exp((-y(52)))*exp(y(36))+y(108)*(-exp((-y(36))));
  g1(41,52)=exp(y(36))*y(110)*(-exp((-y(52))));
  g1(41,74)=(-params(3));
  g1(41,108)=exp((-y(36)));
  g1(41,110)=exp((-y(52)))*exp(y(36));
  g1(42,36)=(-(y(110)*exp((-y(52)))*exp(y(36))));
  g1(42,52)=(-(exp(y(36))*y(110)*(-exp((-y(52))))));
  g1(42,74)=1;
  g1(42,110)=(-(exp((-y(52)))*exp(y(36))));
  g1(43,35)=(-((-(y(93)*2*(1+y(35))))/(T922*T922)));
  g1(43,75)=(-params(3));
  g1(43,93)=(-(1/T922));
  g1(44,75)=1;
  g1(45,19)=(-(exp(y(19))*y(81)*T418));
  g1(45,24)=T2150+T2158+T538*y(94)*T531*params(37)*exp((-y(25)))*getPowerDeriv(T531*params(37)*exp((-y(25))),T605,1)-y(98)*((1+params(26))*T551*T541*params(36)*T538*T2064/params(26)+(T568*T575*T538*T564*T418*params(13)*params(28)*T2064-T568*T538*T564*T418*params(13)*params(28)*T575*T2064)/(T568*T575*T568*T575))-(T568*y(30)*T538*T418*params(13)*y(93)*T2064-T568*T538*T418*params(13)*y(93)*y(30)*T2064)/(T568*y(30)*T568*y(30))+(T568*params(3)*y(30)*T538*T418*params(13)*y(93)*T2064-T568*T538*T418*params(13)*y(93)*params(3)*y(30)*T2064)/(T568*params(3)*y(30)*T568*params(3)*y(30))-(T568*T654*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*T2064-T654*T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*T2064)/(T568*T568);
  g1(45,25)=T538*y(94)*getPowerDeriv(T531*params(37)*exp((-y(25))),T605,1)*T531*params(37)*(-exp((-y(25))));
  g1(45,27)=(-(y(98)*T2360));
  g1(45,29)=T2454+T2461+T538*y(94)*(T531*params(37)*exp((-y(25))))^T605-y(98)*(T935+T568*(T538*T564*T418*params(13)*params(28)+T538*T564*params(13)*params(28)*(-T418))/(T568*T575))-exp(y(19))*y(81)*(-T418)-T538*exp((-y(54)))*y(30)*y(104)-T568*(T538*T418*params(13)*y(93)+T538*params(13)*y(93)*(-T418))/(T568*y(30))+T568*(T538*T418*params(13)*y(93)+T538*params(13)*y(93)*(-T418))/(T568*params(3)*y(30))-T654*T568*(T538*exp(y(32))*T418*y(99)*params(13)*params(28)+T538*exp(y(32))*y(99)*params(13)*params(28)*(-T418))/T568;
  g1(45,30)=T2576+T2581+(-(y(98)*(-(T568*T538*T564*T418*params(13)*params(28)*T568*T2542))/(T568*T575*T568*T575)))-T538*y(104)*exp((-y(54)))-(-(T568*T568*T538*T418*params(13)*y(93)))/(T568*y(30)*T568*y(30))+(-(params(3)*T568*T568*T538*T418*params(13)*y(93)))/(T568*params(3)*y(30)*T568*params(3)*y(30))-T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)*T2558/T568;
  g1(45,31)=T767-y(98)*T568*T538*T564*T418*params(13)*params(28)/(T568*T575);
  g1(45,32)=T756-T654*T568*T538*exp(y(32))*T418*y(99)*params(13)*params(28)/T568;
  g1(45,54)=(-(T538*y(30)*y(104)*(-exp((-y(54))))));
  g1(45,60)=(-(y(98)*(1+params(26))*T568*T541*params(36)*T538*T2938/params(26)));
  g1(45,76)=(-params(3));
  g1(45,81)=(-(exp(y(19))*T418));
  g1(45,93)=(-(T568*T538*T418*params(13)/(T568*y(30))))+T568*T538*T418*params(13)/(T568*params(3)*y(30));
  g1(45,94)=T538*(T531*params(37)*exp((-y(25))))^T605;
  g1(45,98)=T568*T538*T564*T418*params(13)*params(28)/(T575*params(3)*T568)-(T935+T568*T538*T564*T418*params(13)*params(28)/(T568*T575));
  g1(45,99)=T654*T568*T538*exp(y(32))*T418*params(13)*params(28)/(params(3)*T568)-T654*T568*T538*exp(y(32))*T418*params(13)*params(28)/T568;
  g1(45,104)=(-(T538*y(30)*exp((-y(54)))));
  g1(46,29)=T538*exp((-y(54)))*y(30)*y(104);
  g1(46,30)=T538*y(104)*exp((-y(54)));
  g1(46,54)=T538*y(30)*y(104)*(-exp((-y(54))));
  g1(46,76)=1;
  g1(46,104)=T538*y(30)*exp((-y(54)));
  g1(47,24)=(-(y(98)*((1+params(26))*T551*T541*params(36)*T538*T2064/params(26)+(1+params(26))*T973*T538*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T2064/params(26))));
  g1(47,27)=y(102)*T541-y(98)*(T2360+(1+params(26))*(T973*T568*T538*exp((-y(60)))*params(36)*params(24)*2*exp(2*y(27))+T568*T538*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*T541*exp((-y(60)))*getPowerDeriv(T541*exp((-y(60))),params(24)-1,1))/params(26))-T541*exp((-y(55)))*y(30)*y(105)-T541*y(99)*(1+params(40)*exp(y(61)))/params(26)-T541*y(103)*params(15)*exp(y(59))+(T1005+T541*exp(y(34))*params(36)*y(112)*T541*getPowerDeriv(T541,params(24),1))/T719;
  g1(47,29)=(-T978);
  g1(47,30)=(-(T541*y(105)*exp((-y(55)))));
  g1(47,34)=T1005/T719;
  g1(47,55)=(-(T541*y(30)*y(105)*(-exp((-y(55))))));
  g1(47,59)=(-(T541*y(103)*params(15)*exp(y(59))));
  g1(47,60)=(-(y(98)*((1+params(26))*T568*T541*params(36)*T538*T2938/params(26)+(1+params(26))*(T973*T568*T538*params(36)*params(24)*exp(2*y(27))*(-exp((-y(60))))+T568*T538*exp((-y(60)))*params(36)*params(24)*exp(2*y(27))*getPowerDeriv(T541*exp((-y(60))),params(24)-1,1)*T541*(-exp((-y(60)))))/params(26))))+(-(T1005*exp(y(60))*getPowerDeriv(exp(y(60)),params(24),1)))/(T719*T719);
  g1(47,61)=(-(T541*y(99)*params(40)*exp(y(61))/params(26)));
  g1(47,77)=(-params(3));
  g1(47,98)=(-T977);
  g1(47,99)=(-(T541*(1+params(40)*exp(y(61)))/params(26)));
  g1(47,102)=T541;
  g1(47,103)=(-(T541*params(15)*exp(y(59))));
  g1(47,105)=(-(T541*y(30)*exp((-y(55)))));
  g1(47,112)=T541^params(24)*T541*params(36)*exp(y(34))/T719;
  g1(48,27)=T541*exp((-y(55)))*y(30)*y(105);
  g1(48,30)=T541*y(105)*exp((-y(55)));
  g1(48,55)=T541*y(30)*y(105)*(-exp((-y(55))));
  g1(48,77)=1;
  g1(48,105)=T541*y(30)*exp((-y(55)));
  g1(49,62)=1;
  g1(50,63)=1;
  g1(51,111)=1;
  g1(52,112)=1;
  g1(53,78)=1-params(5)/params(3);
  g1(54,1)=1;
  g1(54,5)=(-params(1));
  g1(54,6)=(-params(2));
  g1(55,1)=(-1);
  g1(55,2)=1-params(3);
  g1(56,5)=(-1);
  g1(56,113)=1-params(3);
  g1(57,6)=(-1);
  g1(57,114)=1-params(3);
  g1(58,3)=1;
  g1(58,13)=(-1);
  g1(59,4)=1;
  g1(59,30)=(-1);
  g1(60,17)=(-1);
  g1(60,42)=1;
  g1(61,21)=(-1);
  g1(61,43)=1;
  g1(62,22)=(-1);
  g1(62,44)=1;
  g1(63,19)=(-1);
  g1(63,45)=1;
  g1(64,18)=(-1);
  g1(64,46)=1;
  g1(65,12)=(-1);
  g1(65,47)=1;
  g1(66,10)=(-1);
  g1(66,48)=1;
  g1(67,34)=(-1);
  g1(67,49)=1;
  g1(68,38)=(-1);
  g1(68,50)=1;
  g1(69,39)=(-1);
  g1(69,51)=1;
  g1(70,36)=(-1);
  g1(70,52)=1;
  g1(71,35)=(-1);
  g1(71,53)=1;
  g1(72,29)=(-1);
  g1(72,54)=1;
  g1(73,27)=(-1);
  g1(73,55)=1;
  g1(74,7)=T1499;
  g1(74,41)=1-params(5);
  g1(75,7)=(-((T1072*params(5)*T1502-params(5)*T1072*T1502)/(T1072*T1072)/y(13)));
  g1(75,12)=(-((T1072*params(5)*T1779-params(5)*T1072*T1779)/(T1072*T1072)/y(13)));
  g1(75,13)=(-((-(params(5)*T1072/T1072))/(y(13)*y(13))));
  g1(75,18)=(-1)/((1+y(18))*(1+y(18)));
  g1(76,7)=T18*T1078*getPowerDeriv(T1078,T84,1);
  g1(76,8)=T18*getPowerDeriv(T1078,T84,1)*(-(exp(y(8))*T10*params(31)))/(exp(y(8))*exp(y(8)));
  g1(76,12)=T18*T1078^T84;
  g1(77,7)=(-(T1084*getPowerDeriv(T1084,T84,1)));
  g1(77,9)=(-(getPowerDeriv(T1084,T84,1)*(-(exp(y(9))*T10*params(32)))/(exp(y(9))*exp(y(9)))));
  g1(77,19)=exp(y(19))/T538;
  g1(77,29)=(-(exp(y(19))*T538))/(T538*T538);
  g1(78,7)=T10;
  g1(78,8)=(-(T172*exp(y(8))*getPowerDeriv(exp(y(8)),T175,1)*getPowerDeriv(T185,1+params(6),1)));
  g1(78,9)=(-(getPowerDeriv(T185,1+params(6),1)*T181*exp(y(9))*getPowerDeriv(exp(y(9)),T175,1)));
  g1(79,14)=(-(T46/exp(y(15))));
  g1(79,15)=(-((-(T46*exp(y(15))))/(exp(y(15))*exp(y(15)))));
  g1(79,16)=T382*getPowerDeriv(T382,1+params(25)*T147,1);
  g1(80,7)=(-(T21*(-(T1097*T1502))/(T1072*T1072)+T46*T1105*(T1072*params(5)*params(29)*T1502-params(5)*params(29)*T1072*T1502)/(T1072*T1072)));
  g1(80,10)=(-(T21*T1097/T1072+T21*params(30)*T147*T21/exp(y(57))*T1656/T1072));
  g1(80,12)=(-(T21*(-(T1097*T1779))/(T1072*T1072)+T46*T1105*(T1072*params(5)*params(29)*T1779-params(5)*params(29)*T1072*T1779)/(T1072*T1072)));
  g1(80,13)=(-(T46*T1101*T1809*getPowerDeriv(T53,T1104,1)));
  g1(80,14)=T46-T46*T1101*T1105;
  g1(80,57)=(-(T21*params(30)*T147*T1656*(-(T21*exp(y(57))))/(exp(y(57))*exp(y(57)))/T1072));
  g1(81,7)=(-(exp(y(15))*T149*(T1072*params(5)*params(29)*T1502-params(5)*params(29)*T1072*T1502)/(T1072*T1072)));
  g1(81,10)=(-(T21*(1+params(35)*exp(y(58)))/params(27)));
  g1(81,12)=(-(exp(y(15))*T149*(T1072*params(5)*params(29)*T1779-params(5)*params(29)*T1072*T1779)/(T1072*T1072)));
  g1(81,13)=(-(exp(y(15))*T1101*T1827));
  g1(81,15)=exp(y(15))-exp(y(15))*T149*T1101;
  g1(81,58)=(-(T21*params(35)*exp(y(58))/params(27)));
  g1(82,13)=params(29)*T1809*getPowerDeriv(T53,T1117,1);
  g1(82,16)=(1-params(29))*T382*getPowerDeriv(T382,T1117,1);
  g1(83,13)=(-(exp(y(42))*params(29)*T1809*getPowerDeriv(T53,T1104,1)));
  g1(83,16)=(-((1-params(29))*T382*getPowerDeriv(T382,T1104,1)));
  g1(83,17)=exp(y(17));
  g1(83,42)=(-(exp(y(42))*params(29)*T1105));
  g1(84,8)=(-exp(y(8)));
  g1(84,10)=T21;
  g1(84,11)=(-exp(y(11)));
  g1(84,26)=(-(exp(y(26))*1/params(33)));
  g1(85,10)=(-(exp(y(56))*T21*params(7)));
  g1(85,11)=exp(y(11));
  g1(85,56)=(-(exp(y(56))*T21*params(7)));
  g1(86,12)=(-(y(13)*T18/exp(y(47))));
  g1(86,13)=(-(T18/exp(y(47))));
  g1(86,20)=1;
  g1(86,47)=(-(y(13)*(-(T18*exp(y(47))))/(exp(y(47))*exp(y(47)))));
  g1(87,10)=(-(T21*y(13)/exp(y(48))));
  g1(87,13)=(-(T21/exp(y(48))));
  g1(87,21)=exp(y(21))/exp(y(43));
  g1(87,43)=(-(exp(y(21))*exp(y(43))))/(exp(y(43))*exp(y(43)));
  g1(87,48)=(-((-(T21*y(13)*exp(y(48))))/(exp(y(48))*exp(y(48)))));
  g1(88,20)=1;
  g1(88,22)=(-(exp(y(22))/exp(y(44))));
  g1(88,44)=(-((-(exp(y(22))*exp(y(44))))/(exp(y(44))*exp(y(44)))));
  g1(89,24)=(-((T1154*params(13)*T2230-params(13)*T1154*T2230)/(T1154*T1154)/y(30)));
  g1(89,29)=(-((T1154*params(13)*T2513-params(13)*T1154*T2513)/(T1154*T1154)/y(30)));
  g1(89,30)=(-((-(params(13)*T1154/T1154))/(y(30)*y(30))));
  g1(89,35)=(-1)/((1+y(35))*(1+y(35)));
  g1(90,24)=T538*T1160*getPowerDeriv(T1160,T605,1);
  g1(90,25)=T538*getPowerDeriv(T1160,T605,1)*(-(exp(y(25))*T531*params(37)))/(exp(y(25))*exp(y(25)));
  g1(90,29)=T538*T1160^T605;
  g1(91,12)=(-(T18*1/exp(y(19))))/(T18*T18);
  g1(91,19)=(-exp(y(19)))/(exp(y(19))*exp(y(19)))/T18;
  g1(91,24)=(-(T1167*getPowerDeriv(T1167,T605,1)));
  g1(91,26)=(-(getPowerDeriv(T1167,T605,1)*(-(exp(y(26))*T531*params(38)))/(exp(y(26))*exp(y(26)))));
  g1(92,24)=T531;
  g1(92,25)=(-(T676*exp(y(25))*getPowerDeriv(exp(y(25)),T679,1)*getPowerDeriv(T689,1+params(14),1)));
  g1(92,26)=(-(getPowerDeriv(T689,1+params(14),1)*T685*exp(y(26))*getPowerDeriv(exp(y(26)),T679,1)));
  g1(93,31)=(-(T564/exp(y(32))));
  g1(93,32)=(-((-(T564*exp(y(32))))/(exp(y(32))*exp(y(32)))));
  g1(93,33)=T876*getPowerDeriv(T876,1+params(24)*T652,1);
  g1(94,24)=(-(T541*(-(T1180*T2230))/(T1154*T1154)+T564*T1188*(T1154*params(13)*params(28)*T2230-params(13)*params(28)*T1154*T2230)/(T1154*T1154)));
  g1(94,27)=(-(T541*T1180/T1154+T541*params(36)*T652*T541/exp(y(60))*T2387/T1154));
  g1(94,29)=(-(T541*(-(T1180*T2513))/(T1154*T1154)+T564*T1188*(T1154*params(13)*params(28)*T2513-params(13)*params(28)*T1154*T2513)/(T1154*T1154)));
  g1(94,30)=(-(T564*T1184*T2540*getPowerDeriv(T571,T1187,1)));
  g1(94,31)=T564-T564*T1184*T1188;
  g1(94,60)=(-(T541*params(36)*T652*T2387*(-(T541*exp(y(60))))/(exp(y(60))*exp(y(60)))/T1154));
  g1(95,24)=(-(exp(y(32))*T654*(T1154*params(13)*params(28)*T2230-params(13)*params(28)*T1154*T2230)/(T1154*T1154)));
  g1(95,27)=(-(T541*(1+params(40)*exp(y(61)))/params(26)));
  g1(95,29)=(-(exp(y(32))*T654*(T1154*params(13)*params(28)*T2513-params(13)*params(28)*T1154*T2513)/(T1154*T1154)));
  g1(95,30)=(-(exp(y(32))*T1184*T2558));
  g1(95,32)=exp(y(32))-exp(y(32))*T654*T1184;
  g1(95,61)=(-(T541*params(40)*exp(y(61))/params(26)));
  g1(96,30)=params(28)*T2540*getPowerDeriv(T571,T1200,1);
  g1(96,33)=(1-params(28))*T876*getPowerDeriv(T876,T1200,1);
  g1(97,30)=(-(exp(y(49))*params(28)*T2540*getPowerDeriv(T571,T1187,1)));
  g1(97,33)=(-((1-params(28))*T876*getPowerDeriv(T876,T1187,1)));
  g1(97,34)=exp(y(34));
  g1(97,49)=(-(exp(y(49))*params(28)*T1188));
  g1(98,9)=(-(exp(y(9))*params(33)));
  g1(98,25)=(-exp(y(25)));
  g1(98,27)=T541;
  g1(98,28)=(-exp(y(28)));
  g1(99,27)=(-(exp(y(59))*T541*params(15)));
  g1(99,28)=exp(y(28));
  g1(99,59)=(-(exp(y(59))*T541*params(15)));
  g1(100,29)=(-(y(30)*T538/exp(y(54))));
  g1(100,30)=(-(T538/exp(y(54))));
  g1(100,37)=1;
  g1(100,54)=(-(y(30)*(-(T538*exp(y(54))))/(exp(y(54))*exp(y(54)))));
  g1(101,27)=(-(T541*y(30)/exp(y(55))));
  g1(101,30)=(-(T541/exp(y(55))));
  g1(101,38)=exp(y(38))/exp(y(50));
  g1(101,50)=(-(exp(y(38))*exp(y(50))))/(exp(y(50))*exp(y(50)));
  g1(101,55)=(-((-(T541*y(30)*exp(y(55))))/(exp(y(55))*exp(y(55)))));
  g1(102,37)=1;
  g1(102,39)=(-(exp(y(39))/exp(y(51))));
  g1(102,51)=(-((-(exp(y(39))*exp(y(51))))/(exp(y(51))*exp(y(51)))));
  g1(103,7)=(-(params(51)*(-(params(50)*params(49)/exp(y(19))*T10*getPowerDeriv(T10,(-params(4)),1)))/(T1071*T1071)));
  g1(103,19)=(-(params(51)*params(50)*(-(params(49)*exp(y(19))))/(exp(y(19))*exp(y(19)))/T1071));
  g1(103,24)=params(48)*(-(params(47)*T531*getPowerDeriv(T531,(-params(12)),1)))/(T1153*T1153);
  g1(104,19)=exp(y(19));
  g1(104,36)=(-((-exp(y(36)))/(exp(y(36))*exp(y(36)))));
  g1(105,19)=exp(y(19))/exp(y(45));
  g1(105,20)=(-((-(y(37)*exp(y(23))))/(y(20)*y(20))));
  g1(105,23)=(-(y(37)*exp(y(23))/y(20)));
  g1(105,37)=(-(exp(y(23))/y(20)));
  g1(105,45)=(-(exp(y(19))*exp(y(45))))/(exp(y(45))*exp(y(45)));
  g1(106,20)=(-(exp(y(40))/y(37)));
  g1(106,36)=exp(y(36))/exp(y(52));
  g1(106,37)=(-((-(exp(y(40))*y(20)))/(y(37)*y(37))));
  g1(106,40)=(-(exp(y(40))*y(20)/y(37)));
  g1(106,52)=(-(exp(y(36))*exp(y(52))))/(exp(y(52))*exp(y(52)));
  g1(107,5)=1;
  g1(107,7)=T1499;
  g1(107,10)=exp(y(17))*params(30)*exp(y(57))^(-params(25))*T21*getPowerDeriv(T21,1+params(25),1)/(1+params(25));
  g1(107,17)=T1257;
  g1(107,57)=exp(y(17))*T220*params(30)*exp(y(57))*getPowerDeriv(exp(y(57)),(-params(25)),1)/(1+params(25));
  g1(108,6)=1;
  g1(108,24)=(-(T531*getPowerDeriv(T531,1-params(12),1)/(1-params(12))));
  g1(108,27)=exp(y(34))*params(36)*exp(y(60))^(-params(24))*T541*getPowerDeriv(T541,1+params(24),1)/(1+params(24));
  g1(108,34)=T1268;
  g1(108,60)=exp(y(34))*T716*params(36)*exp(y(60))*getPowerDeriv(exp(y(60)),(-params(24)),1)/(1+params(24));
  g1(109,56)=1-params(8);
  g1(110,57)=1-params(10);
  g1(111,58)=1-params(22);
  g1(112,59)=1-params(16);
  g1(113,60)=1-params(18);
  g1(114,61)=1-params(20);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],114,12996);
end
end
