function [residual, g1, g2] = rbcb_monprud_nash_infl_bt_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 135, 1);

%
% Model equations
%

T99 = params(12)-y(14);
T102 = 1+y(11)-y(15)*(y(11)-y(8))/T99;
T104 = params(3)*y(9);
T117 = T99*params(3)*y(15)*y(9);
T128 = 1+y(11)-y(35)*(y(11)-y(8))/(y(50)-y(45));
T138 = (y(19)+y(52)-y(34)*params(5))^2;
T142 = y(51)*params(5)^2;
T145 = (y(19)+y(52)-y(19)*params(5))^2;
T147 = 1/T138+T142/T145;
T180 = y(32)-1;
T188 = T180*(y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8);
T189 = T99*y(15)*y(9);
T193 = T102*T180*T99*y(14)*params(13)*y(9)*y(15)*params(8);
T196 = T99*y(9)*y(15)^2;
T198 = T188/T189+T193/T196;
T205 = T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)-1;
T241 = y(17)/y(36)-1;
T249 = params(10)*T241^2/2+T241*y(17)*params(10)/y(36)-1;
T257 = y(17)^2;
T262 = y(17)^3;
T269 = y(9)*y(17)^4;
T271 = y(18)*y(17)*params(10)/T257+y(18)*params(10)*y(9)*y(51)*T262/T269;
T284 = y(18)*params(10)*y(9)*y(51)*T257/(y(9)*T262);
T296 = y(18)*params(10)*T257/T262;
T306 = y(36)^2;
T313 = y(24)^2;
T321 = y(24)*params(20)-params(51)*(params(20)-1);
T322 = T321^2;
T327 = y(24)/T321-1;
T330 = T313*params(16)/T322+params(16)*2*y(24)*T327/T321;
T346 = y(24)*params(16)/T322+params(16)*T327/T321;
T353 = T321^3;
T359 = params(16)*params(20)*y(24)^3/T353+T327*params(16)*T313*params(20)/T322;
T367 = params(16)*T313*params(20)/T353+T327*params(16)*y(24)*params(20)/T322;
T373 = y(37)*params(20)-params(51)*(params(20)-1);
T375 = y(24)/T373-1;
T390 = T373^2;
T409 = y(38)^(params(4)-1);
T412 = y(10)^(1-params(4));
T424 = y(18)*y(38)^2;
T435 = params(6)*y(10)^params(7);
T441 = y(10)^(params(7)-1);
T448 = y(10)^params(4);
T449 = (params(4)-1)*exp(y(49))*y(78)*y(38)^params(4)/T448;
T460 = y(9)^2;
T465 = (y(11)-y(8))*params(8)*y(9)*(params(13)-1)/T460-T193/(T99*y(15)*T460);
T475 = T102*T180*T99*y(14)*params(13)*y(15)*params(8);
T477 = (params(13)-1)*params(8)*(y(11)-y(8))/y(9)-T475/T189;
T541 = y(18)^2;
T547 = y(18)*(params(9)-1)/T541-y(6)*params(4)*y(28)/(y(38)*T541);
T560 = (1+y(11))^2;
T561 = y(51)*T560;
T565 = y(15)/T99;
T566 = T565-1;
T571 = params(8)*y(9)*(params(13)-1)/y(9)+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566/T189;
T581 = y(35)/(y(50)-y(45))-1;
T593 = (1+y(23))^2;
T607 = T180*y(14)*params(13)*y(9)*y(15)*params(8);
T609 = params(8)*y(9)*(params(13)-1)/y(9)+T607/(y(9)*T99);
T654 = T99^2;
T657 = T102*T180*T99*params(13)*y(9)*y(15)*params(8)/T189+T193/(y(15)*y(9)*T654);
T665 = T102*T607/T189+T188/(T99*y(9)*T99)-1;
T675 = (y(50)-y(14))^2;
T686 = (y(50)-y(45))^2;
T695 = y(7)^2;
T714 = y(26)+(1+y(53)+params(19))/params(18)-y(28)*(1+params(18))/params(18);
T722 = y(6)^2;
T922 = (params(4)-1)*exp(y(49))*y(38)^params(4)*y(118)/T448;
T1132 = log(y(52)+y(19)-y(34)*params(5))-params(6)*y(10)^(1+params(7))/(1+params(7));
T1172 = y(9)*params(8)*(1-params(13))/y(9);
T1176 = y(9)*params(8)*params(13)/y(9);
T1182 = (1-y(32))*T1176*(y(11)+1+y(15)*(y(8)-y(11))/T99);
T1190 = exp(y(49))*y(38)^params(4);
T1208 = y(28)*(1+params(18))/params(18)+(-(y(53)+1+params(19)))/params(18);
T1244 = 1-T241^2*params(10)/2;
T1372 = (-(params(4)*y(28)/(y(38)*y(18))));
T1407 = (-((-y(15))/T99));
T1415 = (-((-y(35))/(y(50)-y(45))));
T1422 = T180*(-(y(14)*params(13)*y(9)*y(15)*params(8)))/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1407/T196;
T1444 = (params(13)-1)*(-(params(8)*y(9)))/T460-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1407/(T99*y(15)*T460);
T1451 = (params(13)-1)*(-params(8))/y(9)-T180*T99*y(14)*params(13)*y(15)*params(8)*T1407/T189;
T1465 = T180*T99*params(13)*y(9)*y(15)*params(8)*T1407/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1407/(y(15)*y(9)*T654);
T1471 = T607*T1407/T189+T180*(-(y(14)*params(13)*y(9)*y(15)*params(8)))/(T99*y(9)*T99);
T1568 = (T189*T180*(y(11)-y(8))*y(14)*params(13)*y(15)*params(8)-T188*y(15)*T99)/(T189*T189)+(T196*T475-T193*T99*y(15)^2)/(T196*T196);
T1577 = (y(9)*T99*T180*(y(11)-y(8))*params(13)*y(15)*params(8)-T99*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8))/(y(9)*T99*y(9)*T99);
T1604 = (T269*y(18)*params(10)*y(51)*T262-y(18)*params(10)*y(9)*y(51)*T262*y(17)^4)/(T269*T269);
T1613 = (y(9)*T262*y(18)*params(10)*y(51)*T257-T262*y(18)*params(10)*y(9)*y(51)*T257)/(y(9)*T262*y(9)*T262);
T1637 = (T460*(params(13)-1)*params(8)*(y(11)-y(8))-(y(11)-y(8))*params(8)*y(9)*(params(13)-1)*2*y(9))/(T460*T460)-(T99*y(15)*T460*T475-T193*T99*y(15)*2*y(9))/(T99*y(15)*T460*T99*y(15)*T460);
T1645 = (-((params(13)-1)*params(8)*(y(11)-y(8))))/(y(9)*y(9))-(-(T475*y(15)*T99))/(T189*T189);
T1691 = (y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(T189*T180*T99*y(14)*params(13)*y(15)*params(8)*T566-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566*y(15)*T99)/(T189*T189);
T1705 = (y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(y(9)*T99*T180*y(14)*params(13)*y(15)*params(8)-T99*T607)/(y(9)*T99*y(9)*T99);
T1730 = (T189*T102*T180*T99*params(13)*y(15)*params(8)-T102*T180*T99*params(13)*y(9)*y(15)*params(8)*y(15)*T99)/(T189*T189)+(T475*y(15)*y(9)*T654-T193*y(15)*T654)/(y(15)*y(9)*T654*y(15)*y(9)*T654);
T1744 = (T189*T102*T180*y(14)*params(13)*y(15)*params(8)-T102*T607*y(15)*T99)/(T189*T189)+(T99*y(9)*T99*T180*(y(11)-y(8))*y(14)*params(13)*y(15)*params(8)-T188*T99*T99)/(T99*y(9)*T99*T99*y(9)*T99);
T1861 = getPowerDeriv(y(10),1-params(4),1);
T1888 = params(6)*getPowerDeriv(y(10),1+params(7),1)/(1+params(7));
T1892 = 1-T565;
T1898 = 1-y(35)/(y(50)-y(45));
T1903 = T607/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1892/T196;
T1921 = params(8)*y(9)*(params(13)-1)/T460-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1892/(T99*y(15)*T460);
T1926 = params(8)*(params(13)-1)/y(9)-T180*T99*y(14)*params(13)*y(15)*params(8)*T1892/T189;
T1946 = T180*T99*params(13)*y(9)*y(15)*params(8)*T1892/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1892/(y(15)*y(9)*T654);
T1952 = T607*T1892/T189+T607/(T99*y(9)*T99);
T2033 = (y(50)-y(14))*(y(50)-y(14));
T2037 = (-(y(15)*(y(11)-y(8))/(T99*T99)));
T2064 = T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T2037+T102*T180*(T99*params(13)*y(9)*y(15)*params(8)+(-(y(14)*params(13)*y(9)*y(15)*params(8))));
T2070 = (T189*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)-T188*(-(y(15)*y(9))))/(T189*T189)+(T196*T2064-T193*(-(y(9)*y(15)^2)))/(T196*T196);
T2075 = (-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)*(-y(9))))/(y(9)*T99*y(9)*T99);
T2101 = (-((T99*y(15)*T460*T2064-T193*(-(y(15)*T460)))/(T99*y(15)*T460*T99*y(15)*T460)));
T2113 = (-((T189*(T180*T99*y(14)*params(13)*y(15)*params(8)*T2037+T102*T180*(T99*params(13)*y(15)*params(8)+(-(y(14)*params(13)*y(15)*params(8)))))-T475*(-(y(15)*y(9))))/(T189*T189)));
T2125 = y(15)/(T99*T99);
T2136 = (T189*T180*((-(y(14)*params(13)*y(9)*y(15)*params(8)*T566))+T99*(params(13)*y(9)*y(15)*params(8)*T566+y(14)*params(13)*y(9)*y(15)*params(8)*T2125))-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566*(-(y(15)*y(9))))/(T189*T189);
T2146 = (y(9)*T99*T180*params(13)*y(9)*y(15)*params(8)-T607*(-y(9)))/(y(9)*T99*y(9)*T99);
T2168 = (T189*(T180*T99*params(13)*y(9)*y(15)*params(8)*T2037+T102*T180*(-(params(13)*y(9)*y(15)*params(8))))-T102*T180*T99*params(13)*y(9)*y(15)*params(8)*(-(y(15)*y(9))))/(T189*T189)+(y(15)*y(9)*T654*T2064-T193*y(15)*y(9)*(-(2*T99)))/(y(15)*y(9)*T654*y(15)*y(9)*T654);
T2185 = (T189*(T607*T2037+T102*T180*params(13)*y(9)*y(15)*params(8))-T102*T607*(-(y(15)*y(9))))/(T189*T189)+(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)*T99*y(9)*T99-T188*((-(y(9)*T99))+T99*(-y(9))))/(T99*y(9)*T99*T99*y(9)*T99);
T2301 = (-((y(11)-y(8))/T99));
T2327 = T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T2301+T102*T180*T99*y(14)*params(13)*params(8)*y(9);
T2335 = (T189*T180*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)-T188*y(9)*T99)/(T189*T189)+(T196*T2327-T193*T99*y(9)*2*y(15))/(T196*T196);
T2357 = (-((T99*y(15)*T460*T2327-T193*T99*T460)/(T99*y(15)*T460*T99*y(15)*T460)));
T2369 = (-((T189*(T180*T99*y(14)*params(13)*y(15)*params(8)*T2301+T102*T180*T99*y(14)*params(8)*params(13))-y(9)*T99*T475)/(T189*T189)));
T2381 = 1/T99;
T2390 = (T189*T180*T99*(T566*y(14)*params(13)*params(8)*y(9)+y(14)*params(13)*y(9)*y(15)*params(8)*T2381)-y(9)*T99*T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566)/(T189*T189);
T2422 = (T189*(T180*T99*params(13)*y(9)*y(15)*params(8)*T2301+T102*T180*T99*params(13)*params(8)*y(9))-y(9)*T99*T102*T180*T99*params(13)*y(9)*y(15)*params(8))/(T189*T189)+(y(15)*y(9)*T654*T2327-T193*y(9)*T654)/(y(15)*y(9)*T654*y(15)*y(9)*T654);
T2433 = (T189*(T607*T2301+T102*T180*y(14)*params(13)*params(8)*y(9))-y(9)*T99*T102*T607)/(T189*T189)+T180*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)/(T99*y(9)*T99);
T2524 = 1/y(36);
T2533 = params(10)*T2524*2*T241/2+(y(17)*params(10)*T2524+params(10)*T241)/y(36);
T2551 = (T257*y(18)*params(10)-y(18)*y(17)*params(10)*2*y(17))/(T257*T257)+(T269*y(18)*params(10)*y(9)*y(51)*T257*3-y(18)*params(10)*y(9)*y(51)*T262*y(9)*T262*4)/(T269*T269);
T2562 = (y(9)*T262*y(18)*params(10)*y(9)*y(51)*2*y(17)-y(18)*params(10)*y(9)*y(51)*T257*y(9)*T257*3)/(y(9)*T262*y(9)*T262);
T2570 = (T262*y(18)*params(10)*2*y(17)-y(18)*params(10)*T257*T257*3)/(T262*T262);
T2602 = y(17)*params(10)/T257+params(10)*y(9)*y(51)*T262/T269;
T2627 = ((params(9)-1)*T541-y(18)*(params(9)-1)*2*y(18))/(T541*T541)-(-(y(6)*params(4)*y(28)*y(38)*2*y(18)))/(y(38)*T541*y(38)*T541);
T2685 = (-(2*(y(19)+y(52)-y(34)*params(5))))/(T138*T138)+(-(T142*(1-params(5))*2*(y(19)+y(52)-y(19)*params(5))))/(T145*T145);
T2688 = (-1)/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)));
T2702 = (-((-params(5))/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)))))-(-(y(70)*params(5)*2*(y(19)+y(52)-y(34)*params(5))))/(T138*T138);
T2712 = (-((-params(5))/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)))))-(-(params(5)*y(110)*2*(y(19)+y(52)-y(34)*params(5))))/(T138*T138);
T2713 = (-(1/(y(52)+y(19)-y(34)*params(5))));
T2776 = (T321-y(24)*params(20))/(T321*T321);
T2784 = (T322*params(16)*2*y(24)-T313*params(16)*params(20)*2*T321)/(T322*T322)+(T321*(T327*2*params(16)+params(16)*2*y(24)*T2776)-params(20)*params(16)*2*y(24)*T327)/(T321*T321);
T2797 = (params(16)*T322-y(24)*params(16)*params(20)*2*T321)/(T322*T322)+(T321*params(16)*T2776-params(20)*params(16)*T327)/(T321*T321);
T2819 = (T353*params(16)*params(20)*3*T313-params(16)*params(20)*y(24)^3*params(20)*3*T322)/(T353*T353)+(T322*(params(16)*T313*params(20)*T2776+T327*params(16)*params(20)*2*y(24))-T327*params(16)*T313*params(20)*params(20)*2*T321)/(T322*T322);
T2834 = (T353*params(16)*params(20)*2*y(24)-params(16)*T313*params(20)*params(20)*3*T322)/(T353*T353)+(T322*(params(16)*y(24)*params(20)*T2776+T327*params(16)*params(20))-T327*params(16)*y(24)*params(20)*params(20)*2*T321)/(T322*T322);
T2837 = 1/T373;
T2892 = (y(24)*params(20)+params(51)*(1-params(20))-y(24)*params(20))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))));
T2946 = (-(y(6)*params(4)/(y(38)*y(18))));
T2954 = (y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8)/T189+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T196;
T2990 = T102*T99*params(13)*y(9)*y(15)*params(8)/T189+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(y(15)*y(9)*T654);
T2996 = T102*y(14)*params(13)*y(9)*y(15)*params(8)/T189+(y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(9)*T99);
T3065 = (-((-(params(5)*(-params(5))))/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)))));
T3077 = (-((-params(5))/(y(52)+y(19)-y(34)*params(5))));
T3081 = (-((y(11)-y(8))/(y(50)-y(45))));
T3104 = (-y(17))/(y(36)*y(36));
T3112 = params(10)*2*T241*T3104/2+(y(36)*y(17)*params(10)*T3104-T241*y(17)*params(10))/(y(36)*y(36));
T3135 = (-(y(24)*params(20)))/(T373*T373);
T3260 = (y(50)-y(45))*(y(50)-y(45));
T3262 = (-(y(35)*(y(11)-y(8))/T3260));
T3308 = (-((-(y(35)*(y(11)-y(8))))/T3260));
T3355 = params(5)^2/T145;
T3402 = (-(2*(y(19)+y(52)-y(34)*params(5))))/(T138*T138)+(-(T142*2*(y(19)+y(52)-y(19)*params(5))))/(T145*T145);
T3437 = 1/T104-y(9)/T460;
T3490 = (-(T102*T180*params(13)*y(9)*y(15)*params(8)/T460))+T102*T180*params(13)*y(15)*params(8)/T104;
T3508 = (params(4)-1)*T1190/T448;
T3556 = 1/(params(3)*y(24)*y(9))-y(9)/(y(24)*T460);
lhs =y(134);
rhs =params(1)*y(30)+params(2)*y(31);
residual(1)= lhs-rhs;
lhs =y(135);
rhs =y(134)+y(135)*params(3);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(30)+params(3)*y(1);
residual(3)= lhs-rhs;
lhs =y(2);
rhs =y(31)+params(3)*y(2);
residual(4)= lhs-rhs;
lhs =y(3);
rhs =y(24);
residual(5)= lhs-rhs;
lhs =y(4);
rhs =y(32);
residual(6)= lhs-rhs;
lhs =y(33);
rhs =y(32);
residual(7)= lhs-rhs;
lhs =y(34);
rhs =y(19);
residual(8)= lhs-rhs;
lhs =y(35);
rhs =y(15);
residual(9)= lhs-rhs;
lhs =y(36);
rhs =y(17);
residual(10)= lhs-rhs;
lhs =y(37);
rhs =y(24);
residual(11)= lhs-rhs;
lhs =y(38);
rhs =y(5);
residual(12)= lhs-rhs;
lhs =y(39);
rhs =y(10);
residual(13)= lhs-rhs;
lhs =y(40);
rhs =y(23);
residual(14)= lhs-rhs;
lhs =y(41);
rhs =y(18);
residual(15)= lhs-rhs;
lhs =y(42);
rhs =y(11);
residual(16)= lhs-rhs;
lhs =y(43);
rhs =y(13);
residual(17)= lhs-rhs;
lhs =y(44);
rhs =y(12);
residual(18)= lhs-rhs;
lhs =y(45);
rhs =y(14);
residual(19)= lhs-rhs;
lhs =y(46);
rhs =y(6);
residual(20)= lhs-rhs;
residual(21) = y(13)*y(15)*y(73)/(y(50)-y(14))-params(3)*y(56)-y(55)+y(15)*params(8)*y(76)*y(9)*params(13)*T102/T104+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)/T117;
residual(22) = y(56)+params(13)*y(43)*y(74)*T128;
residual(23) = y(70)*T147-y(88)-params(3)*y(57)+1/(y(19)+y(52)-y(34)*params(5))-params(5)*y(70)*y(51)/(params(3)*T145);
residual(24) = y(57)-params(5)/(y(19)+y(52)-y(34)*params(5))-y(70)*params(5)/T138;
residual(25) = y(84)+y(6)*y(81)/(params(3)*(1+y(23)));
residual(26) = y(6)*y(81)+y(83);
residual(27) = y(13)*y(73)*T180/(y(50)-y(14))-y(75)*T198-y(76)*T205-y(91)/T99-params(3)*y(58)+T102*T180*params(13)*params(8)*y(76)*y(9)/T104+T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)/T117;
residual(28) = y(58)-(y(11)-y(8))*params(13)*y(43)*y(74)*(y(33)-1)/(y(50)-y(45));
residual(29) = y(89)-y(88);
residual(30) = y(86)*T249-params(3)*y(59)-y(88)-y(87)*T271+y(87)*T284/params(3)+params(3)*y(87)*T296;
residual(31) = y(59)-T241*params(10)*y(86)*T257/T306;
residual(32) = y(86)-y(85);
residual(33) = y(84)*T330-params(3)*y(60)-y(54)-params(22)*(2*y(24)-2*params(51))-y(83)*T346-params(3)*y(84)*T359+params(3)*y(83)*T367-params(16)*y(82)*T375/T373-y(9)*y(92)/(params(3)*y(9)*T313);
residual(34) = y(60)+T375*params(16)*y(24)*params(20)*y(82)/T390;
residual(35) = y(54);
residual(36) = y(85)+y(77)-params(3)*y(61);
residual(37) = y(61)+y(85)*(params(9)-1)-params(4)*y(78)*T409*T412*exp(y(49))+y(6)*params(4)*y(80)*y(28)/T424;
residual(38) = y(79)-params(3)*y(62)-T435+params(6)*params(7)*y(71)*T441+T449;
residual(39) = y(91);
residual(40) = y(70)-y(71)*y(7)+y(75)*T465-y(75)*T477/params(3)+y(72)/T104-y(9)*y(72)/T460+y(92)/(params(3)*y(24)*y(9))-y(9)*y(92)/(y(24)*T460)-T102*y(15)*params(8)*y(76)*y(9)*params(13)*T180/T460+T102*T180*y(15)*params(8)*y(76)*params(13)/T104;
residual(41) = y(62);
residual(42) = y(74)-params(3)*y(66)-y(93)/y(6)+y(15)*y(73)*T180/(y(50)-y(14));
residual(43) = y(93);
residual(44) = y(66)+T128*(y(33)-1)*params(13)*y(74);
residual(45) = y(82)-y(6)*y(88);
residual(46) = y(12)*y(73)-(-y(87))-params(3)*y(64)-params(3)*y(80)*T547+(params(9)-1)*y(80)/y(18)-y(44)*y(74)*params(14);
residual(47) = y(64);
residual(48) = y(72)/T561-y(75)*T571-params(3)*y(65)-(y(33)-1)*params(13)*y(43)*params(3)*y(74)*T581-T180*y(15)*params(8)*y(76)*y(9)*params(13)*T566/y(9);
residual(49) = y(65)+y(90);
residual(50) = y(92)/(y(51)*T593)-params(3)*y(63)-y(6)*y(81)*y(27)/T593;
residual(51) = y(63);
residual(52) = y(80)-y(90)+y(75)*T609/params(3)+(y(33)-1)*params(13)*y(43)*y(35)*y(74)/(y(50)-y(45))+T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)/(T99*T104);
residual(53) = y(18)*y(73)-params(3)*y(67)-y(77);
residual(54) = (params(4)-1)*y(6)*y(79)/y(7)-y(6)*y(81)*(1+params(18))/params(18)-y(6)*params(4)*y(80)/(y(38)*y(18));
residual(55) = y(67)-y(18)*y(74)*params(14);
residual(56) = y(90);
residual(57) = y(75)*T657/params(3)-y(75)*T665-y(15)*y(91)/T654-params(3)*y(68)+y(13)*y(15)*y(73)*T180/T675-T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)/(y(9)*T654);
residual(58) = y(68)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(74)/T686;
residual(59) = y(9)*(-y(71))-(params(4)-1)*y(6)*y(28)*y(79)/T695;
residual(60) = y(78)-params(3)*y(69)-y(89)*params(11)+y(81)*T714-y(88)*(y(25)-1)+y(13)*y(93)/T722+y(81)*y(27)/(params(3)*(1+y(23)))+(params(4)-1)*y(28)*y(79)/y(7)-params(4)*y(80)*y(28)/(y(38)*y(18));
residual(61) = y(69);
residual(62) = y(13)*y(15)*y(113)/(y(50)-y(14))-params(3)*y(96)-y(95)+T102*params(13)*y(9)*y(15)*params(8)*y(116)/T104+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)/T117;
residual(63) = y(96)+T128*params(13)*y(43)*y(114);
residual(64) = 1/(y(19)+y(52)-y(34)*params(5))+T147*y(110)-y(128)-params(3)*y(97)-params(5)*y(51)*y(110)/(params(3)*T145);
residual(65) = y(97)-params(5)/(y(19)+y(52)-y(34)*params(5))-params(5)*y(110)/T138;
residual(66) = y(124)+y(6)*y(121)/(params(3)*(1+y(23)));
residual(67) = y(6)*y(121)+y(123);
residual(68) = T180*y(13)*y(113)/(y(50)-y(14))-T198*y(115)-T205*y(116)-y(131)/T99-params(3)*y(98)+T102*T180*params(13)*y(9)*params(8)*y(116)/T104+T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)/T117;
residual(69) = y(98)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(114)/(y(50)-y(45));
residual(70) = y(129)-y(128);
residual(71) = T249*y(126)-params(3)*y(99)-y(128)-T271*y(127)+T284*y(127)/params(3)+T296*params(3)*y(127);
residual(72) = y(99)-T241*params(10)*T257*y(126)/T306;
residual(73) = y(126)-y(125);
residual(74) = T330*y(124)-params(3)*y(100)-y(94)-T346*y(123)-T359*params(3)*y(124)+T367*params(3)*y(123)-T375*params(16)*y(122)/T373-y(9)*y(132)/(params(3)*y(9)*T313);
residual(75) = y(100)+T375*params(16)*y(24)*params(20)*y(122)/T390;
residual(76) = y(95);
residual(77) = y(125)+y(117)-params(3)*y(101);
residual(78) = y(101)+(params(9)-1)*y(125)-exp(y(49))*T412*T409*params(4)*y(118)+y(6)*y(28)*params(4)*y(120)/T424;
residual(79) = y(119)-params(3)*y(102)-T435+T441*params(6)*params(7)*y(111)+T922;
residual(80) = y(131);
residual(81) = y(110)-y(7)*y(111)+T465*y(115)-T477*y(115)/params(3)+y(112)/T104-y(9)*y(112)/T460+y(132)/(params(3)*y(24)*y(9))-y(9)*y(132)/(y(24)*T460)-T102*T180*params(13)*y(9)*y(15)*params(8)*y(116)/T460+T102*T180*params(13)*y(15)*params(8)*y(116)/T104;
residual(82) = y(102);
residual(83) = y(114)-params(3)*y(106)-y(133)/y(6)+T180*y(15)*y(113)/(y(50)-y(14));
residual(84) = y(133);
residual(85) = y(106)+T128*(y(33)-1)*params(13)*y(114);
residual(86) = y(122)-y(6)*y(128);
residual(87) = y(12)*y(113)-(-y(127))-params(3)*y(104)-T547*params(3)*y(120)+(params(9)-1)*y(120)/y(18)-y(44)*params(14)*y(114);
residual(88) = y(104);
residual(89) = y(112)/T561-T571*y(115)-params(3)*y(105)-(y(33)-1)*T581*params(13)*y(43)*params(3)*y(114)-T180*T566*params(13)*y(9)*y(15)*params(8)*y(116)/y(9);
residual(90) = y(105)+y(130);
residual(91) = y(132)/(y(51)*T593)-params(3)*y(103)-y(6)*y(27)*y(121)/T593;
residual(92) = y(103);
residual(93) = y(120)-y(130)+T609*y(115)/params(3)+(y(33)-1)*params(13)*y(43)*y(35)*y(114)/(y(50)-y(45))+T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)/(T99*T104);
residual(94) = y(18)*y(113)-params(3)*y(107)-y(117);
residual(95) = (params(4)-1)*y(6)*y(119)/y(7)-(1+params(18))*y(6)*y(121)/params(18)-y(6)*params(4)*y(120)/(y(38)*y(18));
residual(96) = y(107)-y(18)*params(14)*y(114);
residual(97) = y(130)-params(21)*(2*y(21)-2*params(17));
residual(98) = T657*y(115)/params(3)-T665*y(115)-y(15)*y(131)/T654-params(3)*y(108)+T180*y(13)*y(15)*y(113)/T675-T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)/(y(9)*T654);
residual(99) = y(108)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(114)/T686;
residual(100) = y(9)*(-y(111))-(params(4)-1)*y(6)*y(28)*y(119)/T695;
residual(101) = y(118)-params(3)*y(109)-params(11)*y(129)+T714*y(121)-(y(25)-1)*y(128)+y(13)*y(133)/T722+y(27)*y(121)/(params(3)*(1+y(23)))+(params(4)-1)*y(28)*y(119)/y(7)-y(28)*params(4)*y(120)/(y(38)*y(18));
residual(102) = y(109);
lhs =y(47);
rhs =T1132;
residual(103)= lhs-rhs;
lhs =y(48);
rhs =y(47)+params(8)*y(48);
residual(104)= lhs-rhs;
lhs =y(9);
rhs =1/(y(52)+y(19)-y(34)*params(5))-params(5)*y(51)/(y(52)+y(19)-y(19)*params(5));
residual(105)= lhs-rhs;
lhs =T435;
rhs =y(9)*y(7);
residual(106)= lhs-rhs;
lhs =1;
rhs =1/(y(51)*(1+y(11)));
residual(107)= lhs-rhs;
lhs =y(18)*y(12);
rhs =y(13)*y(15)/(y(50)-y(14))*(1-y(32));
residual(108)= lhs-rhs;
lhs =y(13);
rhs =y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)))*(1-y(33))+y(44)*y(18)*params(14);
residual(109)= lhs-rhs;
lhs =y(14);
rhs =(y(8)-y(11))*T1172+y(14)*T1182;
residual(110)= lhs-rhs;
lhs =y(15);
rhs =1-params(13)+y(15)*T1182;
residual(111)= lhs-rhs;
lhs =y(5);
rhs =y(12);
residual(112)= lhs-rhs;
lhs =y(6);
rhs =T412*T1190;
residual(113)= lhs-rhs;
lhs =y(10);
rhs =y(6)*(1-params(4))*y(28)/y(7);
residual(114)= lhs-rhs;
lhs =1+y(8);
rhs =y(6)*params(4)*y(28)/(y(38)*y(18))+y(18)*(1-params(9))/y(18);
residual(115)= lhs-rhs;
lhs =0;
rhs =y(6)*T1208-y(6)*y(26)-y(27)*y(6)*1/(1+y(23));
residual(116)= lhs-rhs;
lhs =y(25);
rhs =params(16)/2*(y(24)/(y(37)*params(20)+params(51)*(1-params(20)))-1)^2;
residual(117)= lhs-rhs;
lhs =y(26);
rhs =y(24)*params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)/(y(24)*params(20)+params(51)*(1-params(20)));
residual(118)= lhs-rhs;
lhs =y(27);
rhs =T313*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16))/(y(24)*params(20)+params(51)*(1-params(20)));
residual(119)= lhs-rhs;
lhs =y(5);
rhs =y(16)+y(38)*(1-params(9));
residual(120)= lhs-rhs;
lhs =y(16);
rhs =y(17)*T1244;
residual(121)= lhs-rhs;
lhs =y(18);
rhs =1;
residual(122)= lhs-rhs;
lhs =y(6);
rhs =y(19)+y(17)+y(20)+y(6)*y(25);
residual(123)= lhs-rhs;
lhs =y(20);
rhs =y(6)*params(11);
residual(124)= lhs-rhs;
lhs =y(21);
rhs =y(8)-y(42);
residual(125)= lhs-rhs;
lhs =y(22);
rhs =T565;
residual(126)= lhs-rhs;
lhs =1/y(24);
rhs =1/(y(51)*(1+y(23)));
residual(127)= lhs-rhs;
lhs =y(29);
rhs =y(13)/y(6);
residual(128)= lhs-rhs;
lhs =y(30);
rhs =T1132-params(22)*(y(24)-params(51))^2;
residual(129)= lhs-rhs;
lhs =y(31);
rhs =T1132-params(21)*(y(21)-params(17))^2;
residual(130)= lhs-rhs;
lhs =y(50)-params(12);
rhs =(y(50)-params(12))*params(32)+params(33)*x(3);
residual(131)= lhs-rhs;
lhs =y(51)-params(8);
rhs =(y(51)-params(8))*params(36)+params(37)*x(5);
residual(132)= lhs-rhs;
lhs =y(52);
rhs =y(52)*params(38)+params(39)*x(6);
residual(133)= lhs-rhs;
lhs =y(49);
rhs =y(49)*params(30)+params(31)*x(1);
residual(134)= lhs-rhs;
lhs =y(53);
rhs =y(53)*params(53)+params(52)*x(7);
residual(135)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(135, 135);

  %
  % Jacobian matrix
  %

  g1(1,30)=(-params(1));
  g1(1,31)=(-params(2));
  g1(1,134)=1;
  g1(2,134)=(-1);
  g1(2,135)=1-params(3);
  g1(3,1)=1-params(3);
  g1(3,30)=(-1);
  g1(4,2)=1-params(3);
  g1(4,31)=(-1);
  g1(5,3)=1;
  g1(5,24)=(-1);
  g1(6,4)=1;
  g1(6,32)=(-1);
  g1(7,32)=(-1);
  g1(7,33)=1;
  g1(8,19)=(-1);
  g1(8,34)=1;
  g1(9,15)=(-1);
  g1(9,35)=1;
  g1(10,17)=(-1);
  g1(10,36)=1;
  g1(11,24)=(-1);
  g1(11,37)=1;
  g1(12,5)=(-1);
  g1(12,38)=1;
  g1(13,10)=(-1);
  g1(13,39)=1;
  g1(14,23)=(-1);
  g1(14,40)=1;
  g1(15,18)=(-1);
  g1(15,41)=1;
  g1(16,11)=(-1);
  g1(16,42)=1;
  g1(17,13)=(-1);
  g1(17,43)=1;
  g1(18,12)=(-1);
  g1(18,44)=1;
  g1(19,14)=(-1);
  g1(19,45)=1;
  g1(20,6)=(-1);
  g1(20,46)=1;
  g1(21,8)=y(15)*params(8)*y(76)*y(9)*params(13)*T1407/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T1407/T117;
  g1(21,9)=(T104*T102*y(15)*params(8)*y(76)*params(13)-params(3)*y(15)*params(8)*y(76)*y(9)*params(13)*T102)/(T104*T104)+(T117*T102*T99*y(14)*params(13)*y(15)*params(8)*y(75)-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T99*params(3)*y(15))/(T117*T117);
  g1(21,11)=y(15)*params(8)*y(76)*y(9)*params(13)*T1892/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T1892/T117;
  g1(21,13)=y(15)*y(73)/(y(50)-y(14));
  g1(21,14)=y(13)*y(15)*y(73)/T2033+y(15)*params(8)*y(76)*y(9)*params(13)*T2037/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T2037+T102*((-(y(14)*params(13)*y(9)*y(15)*params(8)*y(75)))+T99*params(13)*y(9)*y(15)*params(8)*y(75)))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(21,15)=y(13)*y(73)/(y(50)-y(14))+(T102*params(13)*params(8)*y(76)*y(9)+y(15)*params(8)*y(76)*y(9)*params(13)*T2301)/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T2301+T102*T99*y(14)*params(13)*y(9)*params(8)*y(75))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(75)*T99*T104)/(T117*T117);
  g1(21,50)=(-(y(13)*y(15)*y(73)))/T2033;
  g1(21,55)=(-1);
  g1(21,56)=(-params(3));
  g1(21,73)=y(15)*y(13)/(y(50)-y(14));
  g1(21,75)=T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T117;
  g1(21,76)=T102*params(13)*y(9)*y(15)*params(8)/T104;
  g1(22,8)=params(13)*y(43)*y(74)*T1415;
  g1(22,11)=params(13)*y(43)*y(74)*T1898;
  g1(22,35)=params(13)*y(43)*y(74)*T3081;
  g1(22,43)=T128*params(13)*y(74);
  g1(22,45)=params(13)*y(43)*y(74)*T3262;
  g1(22,50)=params(13)*y(43)*y(74)*T3308;
  g1(22,56)=1;
  g1(22,74)=T128*y(43)*params(13);
  g1(23,19)=y(70)*T2685+T2688-(-(params(5)*y(70)*y(51)*params(3)*(1-params(5))*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(23,34)=y(70)*(-(2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T138*T138)+params(5)/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)));
  g1(23,51)=y(70)*T3355-y(70)*params(5)/(params(3)*T145);
  g1(23,52)=T2688+y(70)*T3402-(-(params(5)*y(70)*y(51)*params(3)*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(23,57)=(-params(3));
  g1(23,70)=T147-params(5)*y(51)/(params(3)*T145);
  g1(23,88)=(-1);
  g1(24,19)=T2702;
  g1(24,34)=T3065-(-(y(70)*params(5)*2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(24,52)=T2702;
  g1(24,57)=1;
  g1(24,70)=(-(params(5)/T138));
  g1(25,6)=y(81)/(params(3)*(1+y(23)));
  g1(25,23)=(-(params(3)*y(6)*y(81)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(25,81)=y(6)/(params(3)*(1+y(23)));
  g1(25,84)=1;
  g1(26,6)=y(81);
  g1(26,81)=y(6);
  g1(26,83)=1;
  g1(27,8)=(-(y(75)*T1422))-y(76)*T180*(-(params(13)*y(9)*y(15)*params(8)))/(y(9)*T99)+T180*params(13)*params(8)*y(76)*y(9)*T1407/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T1407/T117;
  g1(27,9)=(-(y(75)*T1568))-y(76)*T1577+(T104*T102*T180*params(8)*y(76)*params(13)-params(3)*T102*T180*params(13)*params(8)*y(76)*y(9))/(T104*T104)+(T117*T102*T180*T99*y(14)*params(13)*params(8)*y(75)-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T99*params(3)*y(15))/(T117*T117);
  g1(27,11)=(-(y(75)*T1903))-y(76)*T180*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T180*params(13)*params(8)*y(76)*y(9)*T1892/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T1892/T117;
  g1(27,13)=y(73)*T180/(y(50)-y(14));
  g1(27,14)=y(13)*y(73)*T180/T2033-y(75)*T2070-y(76)*T2075-y(91)/(T99*T99)+T180*params(13)*params(8)*y(76)*y(9)*T2037/T104+(T117*(T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T2037+T102*T180*((-(y(14)*params(13)*y(9)*params(8)*y(75)))+T99*params(13)*y(9)*params(8)*y(75)))-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(27,15)=(-(y(75)*T2335))-y(76)*T180*(y(11)-y(8))*params(13)*params(8)*y(9)/(y(9)*T99)+T180*params(13)*params(8)*y(76)*y(9)*T2301/T104+(T117*T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T2301-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(75)*T99*T104)/(T117*T117);
  g1(27,32)=y(13)*y(73)/(y(50)-y(14))-y(75)*T2954-y(76)*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T102*params(13)*params(8)*y(76)*y(9)/T104+T102*T99*y(14)*params(13)*y(9)*params(8)*y(75)/T117;
  g1(27,50)=(-(y(13)*y(73)*T180))/T2033;
  g1(27,58)=(-params(3));
  g1(27,73)=y(13)*T180/(y(50)-y(14));
  g1(27,75)=(-T198)+T102*T180*T99*y(14)*params(13)*params(8)*y(9)/T117;
  g1(27,76)=(-T205)+T102*T180*params(13)*params(8)*y(9)/T104;
  g1(27,91)=(-T2381);
  g1(28,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(74)))/(y(50)-y(45))));
  g1(28,11)=(-(params(13)*y(43)*y(74)*(y(33)-1)/(y(50)-y(45))));
  g1(28,33)=(-((y(11)-y(8))*params(13)*y(43)*y(74)/(y(50)-y(45))));
  g1(28,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(74)/(y(50)-y(45))));
  g1(28,45)=(-((y(11)-y(8))*params(13)*y(43)*y(74)*(y(33)-1)/T3260));
  g1(28,50)=(-((-((y(11)-y(8))*params(13)*y(43)*y(74)*(y(33)-1)))/T3260));
  g1(28,58)=1;
  g1(28,74)=(-((y(33)-1)*(y(11)-y(8))*y(43)*params(13)/(y(50)-y(45))));
  g1(29,88)=(-1);
  g1(29,89)=1;
  g1(30,9)=(-(y(87)*T1604))+y(87)*T1613/params(3);
  g1(30,17)=y(86)*T2533-y(87)*T2551+y(87)*T2562/params(3)+params(3)*y(87)*T2570;
  g1(30,18)=(-(y(87)*T2602))+y(87)*params(10)*y(9)*y(51)*T257/(y(9)*T262)/params(3)+params(3)*y(87)*params(10)*T257/T262;
  g1(30,36)=y(86)*T3112;
  g1(30,51)=(-(y(87)*y(18)*params(10)*y(9)*T262/T269))+y(87)*y(18)*params(10)*y(9)*T257/(y(9)*T262)/params(3);
  g1(30,59)=(-params(3));
  g1(30,86)=T249;
  g1(30,87)=(-T271)+T284/params(3)+params(3)*T296;
  g1(30,88)=(-1);
  g1(31,17)=(-((params(10)*y(86)*T257*T2524+T241*params(10)*y(86)*2*y(17))/T306));
  g1(31,36)=(-((T306*params(10)*y(86)*T257*T3104-T241*params(10)*y(86)*T257*2*y(36))/(T306*T306)));
  g1(31,59)=1;
  g1(31,86)=(-(T241*params(10)*T257/T306));
  g1(32,85)=(-1);
  g1(32,86)=1;
  g1(33,9)=(-((y(92)*params(3)*y(9)*T313-y(9)*y(92)*params(3)*T313)/(params(3)*y(9)*T313*params(3)*y(9)*T313)));
  g1(33,24)=y(84)*T2784-2*params(22)-y(83)*T2797-params(3)*y(84)*T2819+params(3)*y(83)*T2834-params(16)*y(82)*T2837/T373-(-(y(9)*y(92)*params(3)*y(9)*2*y(24)))/(params(3)*y(9)*T313*params(3)*y(9)*T313);
  g1(33,37)=(-((T373*params(16)*y(82)*T3135-params(20)*params(16)*y(82)*T375)/(T373*T373)));
  g1(33,54)=(-1);
  g1(33,60)=(-params(3));
  g1(33,82)=(-(params(16)*T375/T373));
  g1(33,83)=(-T346)+params(3)*T367;
  g1(33,84)=T330-params(3)*T359;
  g1(33,92)=(-(y(9)/(params(3)*y(9)*T313)));
  g1(34,24)=(params(16)*y(24)*params(20)*y(82)*T2837+T375*params(16)*params(20)*y(82))/T390;
  g1(34,37)=(T390*params(16)*y(24)*params(20)*y(82)*T3135-T375*params(16)*y(24)*params(20)*y(82)*params(20)*2*T373)/(T390*T390);
  g1(34,60)=1;
  g1(34,82)=params(16)*y(24)*params(20)*T375/T390;
  g1(35,54)=1;
  g1(36,61)=(-params(3));
  g1(36,77)=1;
  g1(36,85)=1;
  g1(37,6)=params(4)*y(80)*y(28)/T424;
  g1(37,10)=(-(exp(y(49))*params(4)*y(78)*T409*T1861));
  g1(37,18)=(-(y(6)*params(4)*y(80)*y(28)*y(38)^2))/(T424*T424);
  g1(37,28)=y(6)*params(4)*y(80)/T424;
  g1(37,38)=(-(exp(y(49))*T412*params(4)*y(78)*getPowerDeriv(y(38),params(4)-1,1)))+(-(y(6)*params(4)*y(80)*y(28)*y(18)*2*y(38)))/(T424*T424);
  g1(37,49)=(-(params(4)*y(78)*T409*T412*exp(y(49))));
  g1(37,61)=1;
  g1(37,78)=(-(exp(y(49))*T412*params(4)*T409));
  g1(37,80)=y(6)*params(4)*y(28)/T424;
  g1(37,85)=params(9)-1;
  g1(38,10)=(-(params(6)*getPowerDeriv(y(10),params(7),1)))+params(6)*params(7)*y(71)*getPowerDeriv(y(10),params(7)-1,1)+(-((params(4)-1)*exp(y(49))*y(78)*y(38)^params(4)*getPowerDeriv(y(10),params(4),1)))/(T448*T448);
  g1(38,38)=(params(4)-1)*exp(y(49))*y(78)*getPowerDeriv(y(38),params(4),1)/T448;
  g1(38,49)=T449;
  g1(38,62)=(-params(3));
  g1(38,71)=T441*params(6)*params(7);
  g1(38,78)=T3508;
  g1(38,79)=1;
  g1(39,91)=1;
  g1(40,7)=(-y(71));
  g1(40,8)=y(75)*T1444-y(75)*T1451/params(3)-y(15)*params(8)*y(76)*y(9)*params(13)*T180*T1407/T460+T180*y(15)*params(8)*y(76)*params(13)*T1407/T104;
  g1(40,9)=y(75)*T1637-y(75)*T1645/params(3)+(-(params(3)*y(72)))/(T104*T104)-(T460*y(72)-y(9)*y(72)*2*y(9))/(T460*T460)+(-(y(92)*params(3)*y(24)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(y(92)*y(24)*T460-y(9)*y(92)*y(24)*2*y(9))/(y(24)*T460*y(24)*T460)-(T460*T102*T180*y(15)*params(8)*y(76)*params(13)-T102*y(15)*params(8)*y(76)*y(9)*params(13)*T180*2*y(9))/(T460*T460)+(-(params(3)*T102*T180*y(15)*params(8)*y(76)*params(13)))/(T104*T104);
  g1(40,11)=y(75)*T1921-y(75)*T1926/params(3)-y(15)*params(8)*y(76)*y(9)*params(13)*T180*T1892/T460+T180*y(15)*params(8)*y(76)*params(13)*T1892/T104;
  g1(40,14)=y(75)*T2101-y(75)*T2113/params(3)-y(15)*params(8)*y(76)*y(9)*params(13)*T180*T2037/T460+T180*y(15)*params(8)*y(76)*params(13)*T2037/T104;
  g1(40,15)=y(75)*T2357-y(75)*T2369/params(3)-(T102*T180*params(13)*params(8)*y(76)*y(9)+y(15)*params(8)*y(76)*y(9)*params(13)*T180*T2301)/T460+(T102*T180*params(8)*y(76)*params(13)+T180*y(15)*params(8)*y(76)*params(13)*T2301)/T104;
  g1(40,24)=(-(T104*y(92)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(-(y(9)*y(92)*T460))/(y(24)*T460*y(24)*T460);
  g1(40,32)=y(75)*(-(T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(15)*T460)))-y(75)*(-(T102*T99*y(14)*params(13)*y(15)*params(8)/T189))/params(3)-y(15)*params(8)*y(76)*y(9)*params(13)*T102/T460+T102*y(15)*params(8)*y(76)*params(13)/T104;
  g1(40,70)=1;
  g1(40,71)=(-y(7));
  g1(40,72)=T3437;
  g1(40,75)=T465-T477/params(3);
  g1(40,76)=T3490;
  g1(40,92)=T3556;
  g1(41,62)=1;
  g1(42,6)=(-((-y(93))/(y(6)*y(6))));
  g1(42,14)=y(15)*y(73)*T180/T2033;
  g1(42,15)=y(73)*T180/(y(50)-y(14));
  g1(42,32)=y(15)*y(73)/(y(50)-y(14));
  g1(42,50)=(-(y(15)*y(73)*T180))/T2033;
  g1(42,66)=(-params(3));
  g1(42,73)=y(15)*T180/(y(50)-y(14));
  g1(42,74)=1;
  g1(42,93)=(-(1/y(6)));
  g1(43,93)=1;
  g1(44,8)=(y(33)-1)*params(13)*y(74)*T1415;
  g1(44,11)=(y(33)-1)*params(13)*y(74)*T1898;
  g1(44,33)=T128*params(13)*y(74);
  g1(44,35)=(y(33)-1)*params(13)*y(74)*T3081;
  g1(44,45)=(y(33)-1)*params(13)*y(74)*T3262;
  g1(44,50)=(y(33)-1)*params(13)*y(74)*T3308;
  g1(44,66)=1;
  g1(44,74)=T128*params(13)*(y(33)-1);
  g1(45,6)=(-y(88));
  g1(45,82)=1;
  g1(45,88)=(-y(6));
  g1(46,6)=(-(params(3)*y(80)*(-(params(4)*y(28)/(y(38)*T541)))));
  g1(46,12)=y(73);
  g1(46,18)=(-(params(3)*y(80)*T2627))+(-((params(9)-1)*y(80)))/(y(18)*y(18));
  g1(46,28)=(-(params(3)*y(80)*(-(y(6)*params(4)/(y(38)*T541)))));
  g1(46,38)=(-(params(3)*y(80)*(-((-(T541*y(6)*params(4)*y(28)))/(y(38)*T541*y(38)*T541)))));
  g1(46,44)=(-(y(74)*params(14)));
  g1(46,64)=(-params(3));
  g1(46,73)=y(12);
  g1(46,74)=(-(y(44)*params(14)));
  g1(46,80)=(-(params(3)*T547))+(params(9)-1)/y(18);
  g1(46,87)=1;
  g1(47,64)=1;
  g1(48,9)=(-(y(75)*T1691))-(y(9)*T180*y(15)*params(8)*y(76)*params(13)*T566-T180*y(15)*params(8)*y(76)*y(9)*params(13)*T566)/(y(9)*y(9));
  g1(48,11)=(-(y(72)*y(51)*2*(1+y(11))))/(T561*T561);
  g1(48,14)=(-(y(75)*T2136))-T180*y(15)*params(8)*y(76)*y(9)*params(13)*T2125/y(9);
  g1(48,15)=(-(y(75)*T2390))-T180*(params(13)*params(8)*y(76)*y(9)*T566+y(15)*params(8)*y(76)*y(9)*params(13)*T2381)/y(9);
  g1(48,32)=(-(y(75)*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566/T189))-y(15)*params(8)*y(76)*y(9)*params(13)*T566/y(9);
  g1(48,33)=(-(params(13)*y(43)*params(3)*y(74)*T581));
  g1(48,35)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*1/(y(50)-y(45))));
  g1(48,43)=(-((y(33)-1)*T581*params(13)*params(3)*y(74)));
  g1(48,45)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*y(35)/T3260));
  g1(48,50)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*(-y(35))/T3260));
  g1(48,51)=(-(y(72)*T560))/(T561*T561);
  g1(48,65)=(-params(3));
  g1(48,72)=1/T561;
  g1(48,74)=(-((y(33)-1)*T581*params(13)*params(3)*y(43)));
  g1(48,75)=(-T571);
  g1(48,76)=(-(T180*params(13)*y(9)*y(15)*params(8)*T566/y(9)));
  g1(49,65)=1;
  g1(49,90)=1;
  g1(50,6)=(-(y(81)*y(27)/T593));
  g1(50,23)=(-(y(92)*y(51)*2*(1+y(23))))/(y(51)*T593*y(51)*T593)-(-(y(6)*y(81)*y(27)*2*(1+y(23))))/(T593*T593);
  g1(50,27)=(-(y(6)*y(81)/T593));
  g1(50,51)=(-(y(92)*T593))/(y(51)*T593*y(51)*T593);
  g1(50,63)=(-params(3));
  g1(50,81)=(-(y(6)*y(27)/T593));
  g1(50,92)=1/(y(51)*T593);
  g1(51,63)=1;
  g1(52,9)=y(75)*T1705/params(3)+(T99*T104*T180*params(13)*y(15)*y(15)*params(8)*y(76)-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)*params(3)*T99)/(T99*T104*T99*T104);
  g1(52,14)=y(75)*T2146/params(3)+(-(T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)*(-T104)))/(T99*T104*T99*T104);
  g1(52,15)=y(75)*T180*y(14)*params(13)*params(8)*y(9)/(y(9)*T99)/params(3)+T180*params(13)*y(9)*(y(15)*params(8)*y(76)+y(15)*params(8)*y(76))/(T99*T104);
  g1(52,32)=y(75)*y(14)*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)/params(3)+params(13)*y(9)*y(15)*y(15)*params(8)*y(76)/(T99*T104);
  g1(52,33)=params(13)*y(43)*y(35)*y(74)/(y(50)-y(45));
  g1(52,35)=params(13)*y(43)*y(74)*(y(33)-1)/(y(50)-y(45));
  g1(52,43)=(y(33)-1)*params(13)*y(35)*y(74)/(y(50)-y(45));
  g1(52,45)=(y(33)-1)*params(13)*y(43)*y(35)*y(74)/T3260;
  g1(52,50)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(74)))/T3260;
  g1(52,74)=(y(33)-1)*params(13)*y(35)*y(43)/(y(50)-y(45));
  g1(52,75)=T609/params(3);
  g1(52,76)=T180*params(13)*y(9)*y(15)*y(15)*params(8)/(T99*T104);
  g1(52,80)=1;
  g1(52,90)=(-1);
  g1(53,18)=y(73);
  g1(53,67)=(-params(3));
  g1(53,73)=y(18);
  g1(53,77)=(-1);
  g1(54,6)=(params(4)-1)*y(79)/y(7)-y(81)*(1+params(18))/params(18)-params(4)*y(80)/(y(38)*y(18));
  g1(54,7)=(-((params(4)-1)*y(6)*y(79)))/(y(7)*y(7));
  g1(54,18)=(-((-(y(38)*y(6)*params(4)*y(80)))/(y(38)*y(18)*y(38)*y(18))));
  g1(54,38)=(-((-(y(18)*y(6)*params(4)*y(80)))/(y(38)*y(18)*y(38)*y(18))));
  g1(54,79)=y(6)*(params(4)-1)/y(7);
  g1(54,80)=T2946;
  g1(54,81)=(-(y(6)*(1+params(18))/params(18)));
  g1(55,18)=(-(y(74)*params(14)));
  g1(55,67)=1;
  g1(55,74)=(-(y(18)*params(14)));
  g1(56,90)=1;
  g1(57,8)=y(75)*T1465/params(3)-y(75)*T1471-T180*(-(params(13)*y(9)*y(15)*y(15)*params(8)*y(76)))/(y(9)*T654);
  g1(57,9)=y(75)*T1730/params(3)-y(75)*T1744-(y(9)*T654*T180*(y(11)-y(8))*params(13)*y(15)*y(15)*params(8)*y(76)-T654*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(76))/(y(9)*T654*y(9)*T654);
  g1(57,11)=y(75)*T1946/params(3)-y(75)*T1952-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)/(y(9)*T654);
  g1(57,13)=y(15)*y(73)*T180/T675;
  g1(57,14)=y(75)*T2168/params(3)-y(75)*T2185-(-(y(15)*y(91)*(-(2*T99))))/(T654*T654)+(-(y(13)*y(15)*y(73)*T180*(-(2*(y(50)-y(14))))))/(T675*T675)-(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)*y(9)*(-(2*T99))))/(y(9)*T654*y(9)*T654);
  g1(57,15)=y(75)*T2422/params(3)-y(75)*T2433-y(91)/T654+y(13)*y(73)*T180/T675-T180*(y(11)-y(8))*params(13)*y(9)*(y(15)*params(8)*y(76)+y(15)*params(8)*y(76))/(y(9)*T654);
  g1(57,32)=y(75)*T2990/params(3)-y(75)*T2996+y(13)*y(15)*y(73)/T675-(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(76)/(y(9)*T654);
  g1(57,50)=(-(y(13)*y(15)*y(73)*T180*2*(y(50)-y(14))))/(T675*T675);
  g1(57,68)=(-params(3));
  g1(57,73)=T180*y(15)*y(13)/T675;
  g1(57,75)=T657/params(3)-T665;
  g1(57,76)=(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)/(y(9)*T654)));
  g1(57,91)=(-(y(15)/T654));
  g1(58,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(35)*y(74)))/T686));
  g1(58,11)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(74)/T686));
  g1(58,33)=(-((y(11)-y(8))*params(13)*y(43)*y(35)*y(74)/T686));
  g1(58,35)=(-((y(11)-y(8))*params(13)*y(43)*y(74)*(y(33)-1)/T686));
  g1(58,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(74)/T686));
  g1(58,45)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(74)*(-(2*(y(50)-y(45))))))/(T686*T686)));
  g1(58,50)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(74)*2*(y(50)-y(45))))/(T686*T686)));
  g1(58,68)=1;
  g1(58,74)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(43)/T686));
  g1(59,6)=(-((params(4)-1)*y(28)*y(79)/T695));
  g1(59,7)=(-((-((params(4)-1)*y(6)*y(28)*y(79)*2*y(7)))/(T695*T695)));
  g1(59,9)=(-y(71));
  g1(59,28)=(-((params(4)-1)*y(6)*y(79)/T695));
  g1(59,71)=(-y(9));
  g1(59,79)=(-((params(4)-1)*y(6)*y(28)/T695));
  g1(60,6)=(-(y(13)*y(93)*2*y(6)))/(T722*T722);
  g1(60,7)=(-((params(4)-1)*y(28)*y(79)))/(y(7)*y(7));
  g1(60,13)=y(93)/T722;
  g1(60,18)=(-((-(y(38)*params(4)*y(80)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(60,23)=(-(params(3)*y(81)*y(27)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(60,25)=(-y(88));
  g1(60,26)=y(81);
  g1(60,27)=y(81)/(params(3)*(1+y(23)));
  g1(60,28)=(params(4)-1)*y(79)/y(7)+y(81)*(-((1+params(18))/params(18)))-params(4)*y(80)/(y(38)*y(18));
  g1(60,38)=(-((-(y(18)*params(4)*y(80)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(60,53)=y(81)*1/params(18);
  g1(60,69)=(-params(3));
  g1(60,78)=1;
  g1(60,79)=(params(4)-1)*y(28)/y(7);
  g1(60,80)=T1372;
  g1(60,81)=T714+y(27)/(params(3)*(1+y(23)));
  g1(60,88)=(-(y(25)-1));
  g1(60,89)=(-params(11));
  g1(60,93)=y(13)/T722;
  g1(61,69)=1;
  g1(62,8)=params(13)*y(9)*y(15)*params(8)*y(116)*T1407/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*T1407/T117;
  g1(62,9)=(T104*T102*params(13)*y(15)*params(8)*y(116)-params(3)*T102*params(13)*y(9)*y(15)*params(8)*y(116))/(T104*T104)+(T117*T102*T99*y(14)*params(13)*y(15)*params(8)*y(115)-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*T99*params(3)*y(15))/(T117*T117);
  g1(62,11)=params(13)*y(9)*y(15)*params(8)*y(116)*T1892/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*T1892/T117;
  g1(62,13)=y(15)*y(113)/(y(50)-y(14));
  g1(62,14)=y(13)*y(15)*y(113)/T2033+params(13)*y(9)*y(15)*params(8)*y(116)*T2037/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*T2037+T102*((-(y(14)*params(13)*y(9)*y(15)*params(8)*y(115)))+T99*params(13)*y(9)*y(15)*params(8)*y(115)))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(62,15)=y(13)*y(113)/(y(50)-y(14))+(params(13)*y(9)*y(15)*params(8)*y(116)*T2301+T102*params(13)*y(9)*params(8)*y(116))/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115)*T2301+T102*T99*y(14)*params(13)*y(9)*params(8)*y(115))-T99*T104*T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(115))/(T117*T117);
  g1(62,50)=(-(y(13)*y(15)*y(113)))/T2033;
  g1(62,95)=(-1);
  g1(62,96)=(-params(3));
  g1(62,113)=y(15)*y(13)/(y(50)-y(14));
  g1(62,115)=T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T117;
  g1(62,116)=T102*params(13)*y(9)*y(15)*params(8)/T104;
  g1(63,8)=params(13)*y(43)*y(114)*T1415;
  g1(63,11)=params(13)*y(43)*y(114)*T1898;
  g1(63,35)=params(13)*y(43)*y(114)*T3081;
  g1(63,43)=T128*params(13)*y(114);
  g1(63,45)=params(13)*y(43)*y(114)*T3262;
  g1(63,50)=params(13)*y(43)*y(114)*T3308;
  g1(63,96)=1;
  g1(63,114)=T128*y(43)*params(13);
  g1(64,19)=T2688+y(110)*T2685-(-(params(5)*y(51)*y(110)*params(3)*(1-params(5))*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(64,34)=params(5)/((y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5)))+y(110)*(-(2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(64,51)=y(110)*T3355-params(5)*y(110)/(params(3)*T145);
  g1(64,52)=T2688+y(110)*T3402-(-(params(5)*y(51)*y(110)*params(3)*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(64,97)=(-params(3));
  g1(64,110)=T147-params(5)*y(51)/(params(3)*T145);
  g1(64,128)=(-1);
  g1(65,19)=T2712;
  g1(65,34)=T3065-(-(params(5)*y(110)*2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(65,52)=T2712;
  g1(65,97)=1;
  g1(65,110)=(-(params(5)/T138));
  g1(66,6)=y(121)/(params(3)*(1+y(23)));
  g1(66,23)=(-(params(3)*y(6)*y(121)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(66,121)=y(6)/(params(3)*(1+y(23)));
  g1(66,124)=1;
  g1(67,6)=y(121);
  g1(67,121)=y(6);
  g1(67,123)=1;
  g1(68,8)=(-(y(115)*T1422))-y(116)*T180*(-(params(13)*y(9)*y(15)*params(8)))/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(116)*T1407/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*T1407/T117;
  g1(68,9)=(-(y(115)*T1568))-y(116)*T1577+(T104*T102*T180*params(13)*params(8)*y(116)-params(3)*T102*T180*params(13)*y(9)*params(8)*y(116))/(T104*T104)+(T117*T102*T180*T99*y(14)*params(13)*params(8)*y(115)-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*T99*params(3)*y(15))/(T117*T117);
  g1(68,11)=(-(y(115)*T1903))-y(116)*T180*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(116)*T1892/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*T1892/T117;
  g1(68,13)=T180*y(113)/(y(50)-y(14));
  g1(68,14)=T180*y(13)*y(113)/T2033-y(115)*T2070-y(116)*T2075-y(131)/(T99*T99)+T180*params(13)*y(9)*params(8)*y(116)*T2037/T104+(T117*(T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*T2037+T102*T180*((-(y(14)*params(13)*y(9)*params(8)*y(115)))+T99*params(13)*y(9)*params(8)*y(115)))-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(68,15)=(-(y(115)*T2335))-y(116)*T180*(y(11)-y(8))*params(13)*params(8)*y(9)/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(116)*T2301/T104+(T117*T180*T99*y(14)*params(13)*y(9)*params(8)*y(115)*T2301-T99*T104*T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(115))/(T117*T117);
  g1(68,32)=y(13)*y(113)/(y(50)-y(14))-y(115)*T2954-y(116)*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T102*params(13)*y(9)*params(8)*y(116)/T104+T102*T99*y(14)*params(13)*y(9)*params(8)*y(115)/T117;
  g1(68,50)=(-(T180*y(13)*y(113)))/T2033;
  g1(68,98)=(-params(3));
  g1(68,113)=y(13)*T180/(y(50)-y(14));
  g1(68,115)=(-T198)+T102*T180*T99*y(14)*params(13)*params(8)*y(9)/T117;
  g1(68,116)=(-T205)+T102*T180*params(13)*params(8)*y(9)/T104;
  g1(68,131)=(-T2381);
  g1(69,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(114)))/(y(50)-y(45))));
  g1(69,11)=(-((y(33)-1)*params(13)*y(43)*y(114)/(y(50)-y(45))));
  g1(69,33)=(-((y(11)-y(8))*params(13)*y(43)*y(114)/(y(50)-y(45))));
  g1(69,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(114)/(y(50)-y(45))));
  g1(69,45)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(114)/T3260));
  g1(69,50)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(114)))/T3260));
  g1(69,98)=1;
  g1(69,114)=(-((y(33)-1)*(y(11)-y(8))*y(43)*params(13)/(y(50)-y(45))));
  g1(70,128)=(-1);
  g1(70,129)=1;
  g1(71,9)=(-(y(127)*T1604))+y(127)*T1613/params(3);
  g1(71,17)=y(126)*T2533-y(127)*T2551+y(127)*T2562/params(3)+params(3)*y(127)*T2570;
  g1(71,18)=(-(y(127)*T2602))+y(127)*params(10)*y(9)*y(51)*T257/(y(9)*T262)/params(3)+params(3)*y(127)*params(10)*T257/T262;
  g1(71,36)=y(126)*T3112;
  g1(71,51)=(-(y(127)*y(18)*params(10)*y(9)*T262/T269))+y(127)*y(18)*params(10)*y(9)*T257/(y(9)*T262)/params(3);
  g1(71,99)=(-params(3));
  g1(71,126)=T249;
  g1(71,127)=(-T271)+T284/params(3)+params(3)*T296;
  g1(71,128)=(-1);
  g1(72,17)=(-((params(10)*T257*y(126)*T2524+T241*params(10)*2*y(17)*y(126))/T306));
  g1(72,36)=(-((T306*params(10)*T257*y(126)*T3104-T241*params(10)*T257*y(126)*2*y(36))/(T306*T306)));
  g1(72,99)=1;
  g1(72,126)=(-(T241*params(10)*T257/T306));
  g1(73,125)=(-1);
  g1(73,126)=1;
  g1(74,9)=(-((params(3)*y(9)*T313*y(132)-y(9)*y(132)*params(3)*T313)/(params(3)*y(9)*T313*params(3)*y(9)*T313)));
  g1(74,24)=y(124)*T2784-y(123)*T2797-params(3)*y(124)*T2819+params(3)*y(123)*T2834-params(16)*y(122)*T2837/T373-(-(y(9)*y(132)*params(3)*y(9)*2*y(24)))/(params(3)*y(9)*T313*params(3)*y(9)*T313);
  g1(74,37)=(-((T373*params(16)*y(122)*T3135-params(20)*T375*params(16)*y(122))/(T373*T373)));
  g1(74,94)=(-1);
  g1(74,100)=(-params(3));
  g1(74,122)=(-(params(16)*T375/T373));
  g1(74,123)=(-T346)+params(3)*T367;
  g1(74,124)=T330-params(3)*T359;
  g1(74,132)=(-(y(9)/(params(3)*y(9)*T313)));
  g1(75,24)=(params(16)*y(24)*params(20)*y(122)*T2837+T375*params(16)*params(20)*y(122))/T390;
  g1(75,37)=(T390*params(16)*y(24)*params(20)*y(122)*T3135-T375*params(16)*y(24)*params(20)*y(122)*params(20)*2*T373)/(T390*T390);
  g1(75,100)=1;
  g1(75,122)=params(16)*y(24)*params(20)*T375/T390;
  g1(76,95)=1;
  g1(77,101)=(-params(3));
  g1(77,117)=1;
  g1(77,125)=1;
  g1(78,6)=y(28)*params(4)*y(120)/T424;
  g1(78,10)=(-(exp(y(49))*T409*params(4)*y(118)*T1861));
  g1(78,18)=(-(y(38)^2*y(6)*y(28)*params(4)*y(120)))/(T424*T424);
  g1(78,28)=y(6)*params(4)*y(120)/T424;
  g1(78,38)=(-(exp(y(49))*T412*params(4)*y(118)*getPowerDeriv(y(38),params(4)-1,1)))+(-(y(6)*y(28)*params(4)*y(120)*y(18)*2*y(38)))/(T424*T424);
  g1(78,49)=(-(exp(y(49))*T412*T409*params(4)*y(118)));
  g1(78,101)=1;
  g1(78,118)=(-(exp(y(49))*T412*params(4)*T409));
  g1(78,120)=y(6)*params(4)*y(28)/T424;
  g1(78,125)=params(9)-1;
  g1(79,10)=(-(params(6)*getPowerDeriv(y(10),params(7),1)))+params(6)*params(7)*y(111)*getPowerDeriv(y(10),params(7)-1,1)+(-((params(4)-1)*exp(y(49))*y(38)^params(4)*y(118)*getPowerDeriv(y(10),params(4),1)))/(T448*T448);
  g1(79,38)=(params(4)-1)*exp(y(49))*y(118)*getPowerDeriv(y(38),params(4),1)/T448;
  g1(79,49)=T922;
  g1(79,102)=(-params(3));
  g1(79,111)=T441*params(6)*params(7);
  g1(79,118)=T3508;
  g1(79,119)=1;
  g1(80,131)=1;
  g1(81,7)=(-y(111));
  g1(81,8)=y(115)*T1444-y(115)*T1451/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(116)*T1407/T460+T180*params(13)*y(15)*params(8)*y(116)*T1407/T104;
  g1(81,9)=y(115)*T1637-y(115)*T1645/params(3)+(-(params(3)*y(112)))/(T104*T104)-(T460*y(112)-y(9)*y(112)*2*y(9))/(T460*T460)+(-(y(132)*params(3)*y(24)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(y(24)*T460*y(132)-y(9)*y(132)*y(24)*2*y(9))/(y(24)*T460*y(24)*T460)-(T460*T102*T180*params(13)*y(15)*params(8)*y(116)-T102*T180*params(13)*y(9)*y(15)*params(8)*y(116)*2*y(9))/(T460*T460)+(-(params(3)*T102*T180*params(13)*y(15)*params(8)*y(116)))/(T104*T104);
  g1(81,11)=y(115)*T1921-y(115)*T1926/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(116)*T1892/T460+T180*params(13)*y(15)*params(8)*y(116)*T1892/T104;
  g1(81,14)=y(115)*T2101-y(115)*T2113/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(116)*T2037/T460+T180*params(13)*y(15)*params(8)*y(116)*T2037/T104;
  g1(81,15)=y(115)*T2357-y(115)*T2369/params(3)-(T102*T180*params(13)*y(9)*params(8)*y(116)+T180*params(13)*y(9)*y(15)*params(8)*y(116)*T2301)/T460+(T102*T180*params(13)*params(8)*y(116)+T180*params(13)*y(15)*params(8)*y(116)*T2301)/T104;
  g1(81,24)=(-(T104*y(132)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(-(T460*y(9)*y(132)))/(y(24)*T460*y(24)*T460);
  g1(81,32)=y(115)*(-(T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(15)*T460)))-y(115)*(-(T102*T99*y(14)*params(13)*y(15)*params(8)/T189))/params(3)-T102*params(13)*y(9)*y(15)*params(8)*y(116)/T460+T102*params(13)*y(15)*params(8)*y(116)/T104;
  g1(81,110)=1;
  g1(81,111)=(-y(7));
  g1(81,112)=T3437;
  g1(81,115)=T465-T477/params(3);
  g1(81,116)=T3490;
  g1(81,132)=T3556;
  g1(82,102)=1;
  g1(83,6)=(-((-y(133))/(y(6)*y(6))));
  g1(83,14)=T180*y(15)*y(113)/T2033;
  g1(83,15)=T180*y(113)/(y(50)-y(14));
  g1(83,32)=y(15)*y(113)/(y(50)-y(14));
  g1(83,50)=(-(T180*y(15)*y(113)))/T2033;
  g1(83,106)=(-params(3));
  g1(83,113)=y(15)*T180/(y(50)-y(14));
  g1(83,114)=1;
  g1(83,133)=(-(1/y(6)));
  g1(84,133)=1;
  g1(85,8)=(y(33)-1)*params(13)*y(114)*T1415;
  g1(85,11)=(y(33)-1)*params(13)*y(114)*T1898;
  g1(85,33)=T128*params(13)*y(114);
  g1(85,35)=(y(33)-1)*params(13)*y(114)*T3081;
  g1(85,45)=(y(33)-1)*params(13)*y(114)*T3262;
  g1(85,50)=(y(33)-1)*params(13)*y(114)*T3308;
  g1(85,106)=1;
  g1(85,114)=T128*params(13)*(y(33)-1);
  g1(86,6)=(-y(128));
  g1(86,122)=1;
  g1(86,128)=(-y(6));
  g1(87,6)=(-(params(3)*y(120)*(-(params(4)*y(28)/(y(38)*T541)))));
  g1(87,12)=y(113);
  g1(87,18)=(-(params(3)*y(120)*T2627))+(-((params(9)-1)*y(120)))/(y(18)*y(18));
  g1(87,28)=(-(params(3)*y(120)*(-(y(6)*params(4)/(y(38)*T541)))));
  g1(87,38)=(-(params(3)*y(120)*(-((-(T541*y(6)*params(4)*y(28)))/(y(38)*T541*y(38)*T541)))));
  g1(87,44)=(-(params(14)*y(114)));
  g1(87,104)=(-params(3));
  g1(87,113)=y(12);
  g1(87,114)=(-(y(44)*params(14)));
  g1(87,120)=(-(params(3)*T547))+(params(9)-1)/y(18);
  g1(87,127)=1;
  g1(88,104)=1;
  g1(89,9)=(-(y(115)*T1691))-(y(9)*T180*T566*params(13)*y(15)*params(8)*y(116)-T180*T566*params(13)*y(9)*y(15)*params(8)*y(116))/(y(9)*y(9));
  g1(89,11)=(-(y(112)*y(51)*2*(1+y(11))))/(T561*T561);
  g1(89,14)=(-(y(115)*T2136))-T180*params(13)*y(9)*y(15)*params(8)*y(116)*T2125/y(9);
  g1(89,15)=(-(y(115)*T2390))-T180*(params(13)*y(9)*y(15)*params(8)*y(116)*T2381+T566*params(13)*y(9)*params(8)*y(116))/y(9);
  g1(89,32)=(-(y(115)*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T566/T189))-T566*params(13)*y(9)*y(15)*params(8)*y(116)/y(9);
  g1(89,33)=(-(T581*params(13)*y(43)*params(3)*y(114)));
  g1(89,35)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(114)*1/(y(50)-y(45))));
  g1(89,43)=(-((y(33)-1)*T581*params(13)*params(3)*y(114)));
  g1(89,45)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(114)*y(35)/T3260));
  g1(89,50)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(114)*(-y(35))/T3260));
  g1(89,51)=(-(T560*y(112)))/(T561*T561);
  g1(89,105)=(-params(3));
  g1(89,112)=1/T561;
  g1(89,114)=(-((y(33)-1)*T581*params(13)*params(3)*y(43)));
  g1(89,115)=(-T571);
  g1(89,116)=(-(T180*params(13)*y(9)*y(15)*params(8)*T566/y(9)));
  g1(90,105)=1;
  g1(90,130)=1;
  g1(91,6)=(-(y(27)*y(121)/T593));
  g1(91,23)=(-(y(132)*y(51)*2*(1+y(23))))/(y(51)*T593*y(51)*T593)-(-(y(6)*y(27)*y(121)*2*(1+y(23))))/(T593*T593);
  g1(91,27)=(-(y(6)*y(121)/T593));
  g1(91,51)=(-(T593*y(132)))/(y(51)*T593*y(51)*T593);
  g1(91,103)=(-params(3));
  g1(91,121)=(-(y(6)*y(27)/T593));
  g1(91,132)=1/(y(51)*T593);
  g1(92,103)=1;
  g1(93,9)=y(115)*T1705/params(3)+(T99*T104*T180*params(13)*y(15)*y(15)*params(8)*y(116)-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)*params(3)*T99)/(T99*T104*T99*T104);
  g1(93,14)=y(115)*T2146/params(3)+(-(T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)*(-T104)))/(T99*T104*T99*T104);
  g1(93,15)=y(115)*T180*y(14)*params(13)*params(8)*y(9)/(y(9)*T99)/params(3)+T180*params(13)*y(9)*(y(15)*params(8)*y(116)+y(15)*params(8)*y(116))/(T99*T104);
  g1(93,32)=y(115)*y(14)*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)/params(3)+params(13)*y(9)*y(15)*y(15)*params(8)*y(116)/(T99*T104);
  g1(93,33)=params(13)*y(43)*y(35)*y(114)/(y(50)-y(45));
  g1(93,35)=(y(33)-1)*params(13)*y(43)*y(114)/(y(50)-y(45));
  g1(93,43)=(y(33)-1)*params(13)*y(35)*y(114)/(y(50)-y(45));
  g1(93,45)=(y(33)-1)*params(13)*y(43)*y(35)*y(114)/T3260;
  g1(93,50)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(114)))/T3260;
  g1(93,114)=(y(33)-1)*params(13)*y(35)*y(43)/(y(50)-y(45));
  g1(93,115)=T609/params(3);
  g1(93,116)=T180*params(13)*y(9)*y(15)*y(15)*params(8)/(T99*T104);
  g1(93,120)=1;
  g1(93,130)=(-1);
  g1(94,18)=y(113);
  g1(94,107)=(-params(3));
  g1(94,113)=y(18);
  g1(94,117)=(-1);
  g1(95,6)=(params(4)-1)*y(119)/y(7)-(1+params(18))*y(121)/params(18)-params(4)*y(120)/(y(38)*y(18));
  g1(95,7)=(-((params(4)-1)*y(6)*y(119)))/(y(7)*y(7));
  g1(95,18)=(-((-(y(38)*y(6)*params(4)*y(120)))/(y(38)*y(18)*y(38)*y(18))));
  g1(95,38)=(-((-(y(18)*y(6)*params(4)*y(120)))/(y(38)*y(18)*y(38)*y(18))));
  g1(95,119)=y(6)*(params(4)-1)/y(7);
  g1(95,120)=T2946;
  g1(95,121)=(-(y(6)*(1+params(18))/params(18)));
  g1(96,18)=(-(params(14)*y(114)));
  g1(96,107)=1;
  g1(96,114)=(-(y(18)*params(14)));
  g1(97,21)=(-(2*params(21)));
  g1(97,130)=1;
  g1(98,8)=y(115)*T1465/params(3)-y(115)*T1471-T180*(-(params(13)*y(9)*y(15)*y(15)*params(8)*y(116)))/(y(9)*T654);
  g1(98,9)=y(115)*T1730/params(3)-y(115)*T1744-(y(9)*T654*T180*(y(11)-y(8))*params(13)*y(15)*y(15)*params(8)*y(116)-T654*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(116))/(y(9)*T654*y(9)*T654);
  g1(98,11)=y(115)*T1946/params(3)-y(115)*T1952-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)/(y(9)*T654);
  g1(98,13)=T180*y(15)*y(113)/T675;
  g1(98,14)=y(115)*T2168/params(3)-y(115)*T2185-(-(y(15)*y(131)*(-(2*T99))))/(T654*T654)+(-(T180*y(13)*y(15)*y(113)*(-(2*(y(50)-y(14))))))/(T675*T675)-(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)*y(9)*(-(2*T99))))/(y(9)*T654*y(9)*T654);
  g1(98,15)=y(115)*T2422/params(3)-y(115)*T2433-y(131)/T654+T180*y(13)*y(113)/T675-T180*(y(11)-y(8))*params(13)*y(9)*(y(15)*params(8)*y(116)+y(15)*params(8)*y(116))/(y(9)*T654);
  g1(98,32)=y(115)*T2990/params(3)-y(115)*T2996+y(13)*y(15)*y(113)/T675-(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(116)/(y(9)*T654);
  g1(98,50)=(-(T180*y(13)*y(15)*y(113)*2*(y(50)-y(14))))/(T675*T675);
  g1(98,108)=(-params(3));
  g1(98,113)=T180*y(15)*y(13)/T675;
  g1(98,115)=T657/params(3)-T665;
  g1(98,116)=(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)/(y(9)*T654)));
  g1(98,131)=(-(y(15)/T654));
  g1(99,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(35)*y(114)))/T686));
  g1(99,11)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(114)/T686));
  g1(99,33)=(-((y(11)-y(8))*params(13)*y(43)*y(35)*y(114)/T686));
  g1(99,35)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(114)/T686));
  g1(99,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(114)/T686));
  g1(99,45)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(114)*(-(2*(y(50)-y(45))))))/(T686*T686)));
  g1(99,50)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(114)*2*(y(50)-y(45))))/(T686*T686)));
  g1(99,108)=1;
  g1(99,114)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(43)/T686));
  g1(100,6)=(-((params(4)-1)*y(28)*y(119)/T695));
  g1(100,7)=(-((-((params(4)-1)*y(6)*y(28)*y(119)*2*y(7)))/(T695*T695)));
  g1(100,9)=(-y(111));
  g1(100,28)=(-((params(4)-1)*y(6)*y(119)/T695));
  g1(100,111)=(-y(9));
  g1(100,119)=(-((params(4)-1)*y(6)*y(28)/T695));
  g1(101,6)=(-(y(13)*y(133)*2*y(6)))/(T722*T722);
  g1(101,7)=(-((params(4)-1)*y(28)*y(119)))/(y(7)*y(7));
  g1(101,13)=y(133)/T722;
  g1(101,18)=(-((-(y(38)*y(28)*params(4)*y(120)))/(y(38)*y(18)*y(38)*y(18))));
  g1(101,23)=(-(params(3)*y(27)*y(121)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(101,25)=(-y(128));
  g1(101,26)=y(121);
  g1(101,27)=y(121)/(params(3)*(1+y(23)));
  g1(101,28)=(params(4)-1)*y(119)/y(7)+y(121)*(-((1+params(18))/params(18)))-params(4)*y(120)/(y(38)*y(18));
  g1(101,38)=(-((-(y(18)*y(28)*params(4)*y(120)))/(y(38)*y(18)*y(38)*y(18))));
  g1(101,53)=y(121)*1/params(18);
  g1(101,109)=(-params(3));
  g1(101,118)=1;
  g1(101,119)=(params(4)-1)*y(28)/y(7);
  g1(101,120)=T1372;
  g1(101,121)=T714+y(27)/(params(3)*(1+y(23)));
  g1(101,128)=(-(y(25)-1));
  g1(101,129)=(-params(11));
  g1(101,133)=y(13)/T722;
  g1(102,109)=1;
  g1(103,10)=T1888;
  g1(103,19)=T2713;
  g1(103,34)=T3077;
  g1(103,47)=1;
  g1(103,52)=T2713;
  g1(104,47)=(-1);
  g1(104,48)=1-params(8);
  g1(105,9)=1;
  g1(105,19)=(-((-1)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))-(-(params(5)*y(51)*(1-params(5))))/((y(52)+y(19)-y(19)*params(5))*(y(52)+y(19)-y(19)*params(5)))));
  g1(105,34)=(-(params(5)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))));
  g1(105,51)=params(5)/(y(52)+y(19)-y(19)*params(5));
  g1(105,52)=(-((-1)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))-(-(params(5)*y(51)))/((y(52)+y(19)-y(19)*params(5))*(y(52)+y(19)-y(19)*params(5)))));
  g1(106,7)=(-y(9));
  g1(106,9)=(-y(7));
  g1(106,10)=params(6)*getPowerDeriv(y(10),params(7),1);
  g1(107,11)=(-((-y(51))/(y(51)*(1+y(11))*y(51)*(1+y(11)))));
  g1(107,51)=(-((-(1+y(11)))/(y(51)*(1+y(11))*y(51)*(1+y(11)))));
  g1(108,12)=y(18);
  g1(108,13)=(-(y(15)/(y(50)-y(14))*(1-y(32))));
  g1(108,14)=(-((1-y(32))*y(13)*y(15)/T2033));
  g1(108,15)=(-((1-y(32))*y(13)*1/(y(50)-y(14))));
  g1(108,18)=y(12);
  g1(108,32)=y(13)*y(15)/(y(50)-y(14));
  g1(108,50)=(-((1-y(32))*y(13)*(-y(15))/T2033));
  g1(109,8)=(-((1-y(33))*y(43)*params(13)*y(35)/(y(50)-y(45))));
  g1(109,11)=(-((1-y(33))*y(43)*params(13)*(1+(-y(35))/(y(50)-y(45)))));
  g1(109,13)=1;
  g1(109,18)=(-(y(44)*params(14)));
  g1(109,33)=y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)));
  g1(109,35)=(-((1-y(33))*y(43)*params(13)*(y(8)-y(11))/(y(50)-y(45))));
  g1(109,43)=(-(params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)))*(1-y(33))));
  g1(109,44)=(-(y(18)*params(14)));
  g1(109,45)=(-((1-y(33))*y(43)*params(13)*y(35)*(y(8)-y(11))/T3260));
  g1(109,50)=(-((1-y(33))*y(43)*params(13)*(-(y(35)*(y(8)-y(11))))/T3260));
  g1(110,8)=(-(T1172+y(14)*(1-y(32))*T565*T1176));
  g1(110,11)=(-((-T1172)+y(14)*(1-y(32))*T1176*(1+(-y(15))/T99)));
  g1(110,14)=1-(T1182+y(14)*(1-y(32))*T1176*y(15)*(y(8)-y(11))/(T99*T99));
  g1(110,15)=(-(y(14)*(1-y(32))*T1176*(y(8)-y(11))/T99));
  g1(110,32)=(-(y(14)*(-(T1176*(y(11)+1+y(15)*(y(8)-y(11))/T99)))));
  g1(111,8)=(-(y(15)*(1-y(32))*T565*T1176));
  g1(111,11)=(-(y(15)*(1-y(32))*T1176*(1+(-y(15))/T99)));
  g1(111,14)=(-(y(15)*(1-y(32))*T1176*y(15)*(y(8)-y(11))/(T99*T99)));
  g1(111,15)=1-(T1182+y(15)*(1-y(32))*T1176*(y(8)-y(11))/T99);
  g1(111,32)=(-(y(15)*(-(T1176*(y(11)+1+y(15)*(y(8)-y(11))/T99)))));
  g1(112,5)=1;
  g1(112,12)=(-1);
  g1(113,6)=1;
  g1(113,10)=(-(T1190*T1861));
  g1(113,38)=(-(T412*exp(y(49))*getPowerDeriv(y(38),params(4),1)));
  g1(113,49)=(-(T412*T1190));
  g1(114,6)=(-((1-params(4))*y(28)/y(7)));
  g1(114,7)=(-((-(y(6)*(1-params(4))*y(28)))/(y(7)*y(7))));
  g1(114,10)=1;
  g1(114,28)=(-(y(6)*(1-params(4))/y(7)));
  g1(115,6)=T1372;
  g1(115,8)=1;
  g1(115,18)=(-((-(y(38)*y(6)*params(4)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(115,28)=T2946;
  g1(115,38)=(-((-(y(18)*y(6)*params(4)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(116,6)=(-(T1208-y(26)-y(27)*1/(1+y(23))));
  g1(116,23)=y(27)*y(6)*(-1)/((1+y(23))*(1+y(23)));
  g1(116,26)=y(6);
  g1(116,27)=y(6)*1/(1+y(23));
  g1(116,28)=(-(y(6)*(1+params(18))/params(18)));
  g1(116,53)=(-(y(6)*(-1)/params(18)));
  g1(117,24)=(-(params(16)/2*1/(y(37)*params(20)+params(51)*(1-params(20)))*2*(y(24)/(y(37)*params(20)+params(51)*(1-params(20)))-1)));
  g1(117,25)=1;
  g1(117,37)=(-(params(16)/2*2*(y(24)/(y(37)*params(20)+params(51)*(1-params(20)))-1)*(-(y(24)*params(20)))/((y(37)*params(20)+params(51)*(1-params(20)))*(y(37)*params(20)+params(51)*(1-params(20))))));
  g1(118,24)=(-(((y(24)*params(20)+params(51)*(1-params(20)))*(params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)+y(24)*params(16)*T2892)-params(20)*y(24)*params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))))));
  g1(118,26)=1;
  g1(119,24)=(-(((y(24)*params(20)+params(51)*(1-params(20)))*(2*y(24)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16))+T313*(-params(16))*T2892)-params(20)*T313*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16)))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))))));
  g1(119,27)=1;
  g1(120,5)=1;
  g1(120,16)=(-1);
  g1(120,38)=(-(1-params(9)));
  g1(121,16)=1;
  g1(121,17)=(-(T1244+y(17)*(-(params(10)/2*T2524*2*T241))));
  g1(121,36)=(-(y(17)*(-(params(10)/2*2*T241*T3104))));
  g1(122,18)=1;
  g1(123,6)=1-y(25);
  g1(123,17)=(-1);
  g1(123,19)=(-1);
  g1(123,20)=(-1);
  g1(123,25)=(-y(6));
  g1(124,6)=(-params(11));
  g1(124,20)=1;
  g1(125,8)=(-1);
  g1(125,21)=1;
  g1(125,42)=1;
  g1(126,14)=(-T2125);
  g1(126,15)=(-T2381);
  g1(126,22)=1;
  g1(127,23)=(-((-y(51))/(y(51)*(1+y(23))*y(51)*(1+y(23)))));
  g1(127,24)=(-1)/(y(24)*y(24));
  g1(127,51)=(-((-(1+y(23)))/(y(51)*(1+y(23))*y(51)*(1+y(23)))));
  g1(128,6)=(-((-y(13))/(y(6)*y(6))));
  g1(128,13)=(-(1/y(6)));
  g1(128,29)=1;
  g1(129,10)=T1888;
  g1(129,19)=T2713;
  g1(129,24)=params(22)*2*(y(24)-params(51));
  g1(129,30)=1;
  g1(129,34)=T3077;
  g1(129,52)=T2713;
  g1(130,10)=T1888;
  g1(130,19)=T2713;
  g1(130,21)=params(21)*2*(y(21)-params(17));
  g1(130,31)=1;
  g1(130,34)=T3077;
  g1(130,52)=T2713;
  g1(131,50)=1-params(32);
  g1(132,51)=1-params(36);
  g1(133,52)=1-params(38);
  g1(134,49)=1-params(30);
  g1(135,53)=1-params(53);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],135,18225);
end
end
