function [residual, g1, g2] = rbcb_monprud_nobias_nash_infl_bt_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 132, 1);

%
% Model equations
%

T99 = params(12)-y(14);
T102 = 1+y(11)-y(15)*(y(11)-y(8))/T99;
T104 = params(3)*y(9);
T117 = T99*params(3)*y(15)*y(9);
T128 = 1+y(11)-y(35)*(y(11)-y(8))/(y(48)-y(45));
T138 = (y(19)+y(50)-y(34)*params(5))^2;
T142 = y(49)*params(5)^2;
T145 = (y(19)+y(50)-y(19)*params(5))^2;
T147 = 1/T138+T142/T145;
T180 = y(32)-1;
T188 = T180*(y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8);
T189 = T99*y(15)*y(9);
T193 = T102*T180*T99*y(14)*params(13)*y(9)*y(15)*params(8);
T196 = T99*y(9)*y(15)^2;
T198 = T188/T189+T193/T196;
T205 = T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)-1;
T241 = y(17)/y(36)-1;
T249 = params(10)*T241^2/2+T241*y(17)*params(10)/y(36)-1;
T257 = y(17)^2;
T262 = y(17)^3;
T269 = y(9)*y(17)^4;
T271 = y(18)*y(17)*params(10)/T257+y(18)*params(10)*y(9)*y(49)*T262/T269;
T284 = y(18)*params(10)*y(9)*y(49)*T257/(y(9)*T262);
T296 = y(18)*params(10)*T257/T262;
T306 = y(36)^2;
T313 = y(24)^2;
T321 = y(24)*params(20)-params(49)*(params(20)-1);
T322 = T321^2;
T327 = y(24)/T321-1;
T330 = T313*params(16)/T322+params(16)*2*y(24)*T327/T321;
T341 = y(24)*params(16)/T322+params(16)*T327/T321;
T348 = T321^3;
T354 = params(16)*params(20)*y(24)^3/T348+T327*params(16)*T313*params(20)/T322;
T362 = params(16)*T313*params(20)/T348+T327*params(16)*y(24)*params(20)/T322;
T368 = y(37)*params(20)-params(49)*(params(20)-1);
T370 = y(24)/T368-1;
T385 = T368^2;
T404 = y(38)^(params(4)-1);
T407 = y(10)^(1-params(4));
T419 = y(18)*y(38)^2;
T430 = params(6)*y(10)^params(7);
T436 = y(10)^(params(7)-1);
T443 = y(10)^params(4);
T444 = (params(4)-1)*exp(y(47))*y(75)*y(38)^params(4)/T443;
T455 = y(9)^2;
T460 = (y(11)-y(8))*params(8)*y(9)*(params(13)-1)/T455-T193/(T99*y(15)*T455);
T470 = T102*T180*T99*y(14)*params(13)*y(15)*params(8);
T472 = (params(13)-1)*params(8)*(y(11)-y(8))/y(9)-T470/T189;
T536 = y(18)^2;
T542 = y(18)*(params(9)-1)/T536-y(6)*params(4)*y(28)/(y(38)*T536);
T555 = (1+y(11))^2;
T556 = y(49)*T555;
T560 = y(15)/T99;
T561 = T560-1;
T566 = params(8)*y(9)*(params(13)-1)/y(9)+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561/T189;
T576 = y(35)/(y(48)-y(45))-1;
T588 = (1+y(23))^2;
T602 = T180*y(14)*params(13)*y(9)*y(15)*params(8);
T604 = params(8)*y(9)*(params(13)-1)/y(9)+T602/(y(9)*T99);
T649 = T99^2;
T652 = T102*T180*T99*params(13)*y(9)*y(15)*params(8)/T189+T193/(y(15)*y(9)*T649);
T660 = T102*T602/T189+T188/(T99*y(9)*T99)-1;
T670 = (y(48)-y(14))^2;
T681 = (y(48)-y(45))^2;
T690 = y(7)^2;
T711 = y(26)+(1+params(19))/params(18)-y(28)*(1+params(18))/params(18);
T715 = y(6)^2;
T915 = (params(4)-1)*exp(y(47))*y(38)^params(4)*y(115)/T443;
T1145 = y(9)*params(8)*(1-params(13))/y(9);
T1149 = y(9)*params(8)*params(13)/y(9);
T1155 = (1-y(32))*T1149*(y(11)+1+y(15)*(y(8)-y(11))/T99);
T1163 = exp(y(47))*y(38)^params(4);
T1179 = y(28)*(1+params(18))/params(18)+(-(1+params(19)))/params(18);
T1215 = 1-T241^2*params(10)/2;
T1249 = log(y(50)+y(19)-y(34)*params(5))-params(6)*y(10)^(1+params(7))/(1+params(7));
T1335 = (-(params(4)*y(28)/(y(38)*y(18))));
T1370 = (-((-y(15))/T99));
T1378 = (-((-y(35))/(y(48)-y(45))));
T1385 = T180*(-(y(14)*params(13)*y(9)*y(15)*params(8)))/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1370/T196;
T1407 = (params(13)-1)*(-(params(8)*y(9)))/T455-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1370/(T99*y(15)*T455);
T1414 = (params(13)-1)*(-params(8))/y(9)-T180*T99*y(14)*params(13)*y(15)*params(8)*T1370/T189;
T1428 = T180*T99*params(13)*y(9)*y(15)*params(8)*T1370/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1370/(y(15)*y(9)*T649);
T1434 = T602*T1370/T189+T180*(-(y(14)*params(13)*y(9)*y(15)*params(8)))/(T99*y(9)*T99);
T1531 = (T189*T180*(y(11)-y(8))*y(14)*params(13)*y(15)*params(8)-T188*y(15)*T99)/(T189*T189)+(T196*T470-T193*T99*y(15)^2)/(T196*T196);
T1540 = (y(9)*T99*T180*(y(11)-y(8))*params(13)*y(15)*params(8)-T99*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8))/(y(9)*T99*y(9)*T99);
T1567 = (T269*y(18)*params(10)*y(49)*T262-y(18)*params(10)*y(9)*y(49)*T262*y(17)^4)/(T269*T269);
T1576 = (y(9)*T262*y(18)*params(10)*y(49)*T257-T262*y(18)*params(10)*y(9)*y(49)*T257)/(y(9)*T262*y(9)*T262);
T1600 = (T455*(params(13)-1)*params(8)*(y(11)-y(8))-(y(11)-y(8))*params(8)*y(9)*(params(13)-1)*2*y(9))/(T455*T455)-(T99*y(15)*T455*T470-T193*T99*y(15)*2*y(9))/(T99*y(15)*T455*T99*y(15)*T455);
T1608 = (-((params(13)-1)*params(8)*(y(11)-y(8))))/(y(9)*y(9))-(-(T470*y(15)*T99))/(T189*T189);
T1654 = (y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(T189*T180*T99*y(14)*params(13)*y(15)*params(8)*T561-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561*y(15)*T99)/(T189*T189);
T1668 = (y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(y(9)*T99*T180*y(14)*params(13)*y(15)*params(8)-T99*T602)/(y(9)*T99*y(9)*T99);
T1693 = (T189*T102*T180*T99*params(13)*y(15)*params(8)-T102*T180*T99*params(13)*y(9)*y(15)*params(8)*y(15)*T99)/(T189*T189)+(T470*y(15)*y(9)*T649-T193*y(15)*T649)/(y(15)*y(9)*T649*y(15)*y(9)*T649);
T1707 = (T189*T102*T180*y(14)*params(13)*y(15)*params(8)-T102*T602*y(15)*T99)/(T189*T189)+(T99*y(9)*T99*T180*(y(11)-y(8))*y(14)*params(13)*y(15)*params(8)-T188*T99*T99)/(T99*y(9)*T99*T99*y(9)*T99);
T1824 = getPowerDeriv(y(10),1-params(4),1);
T1853 = params(6)*getPowerDeriv(y(10),1+params(7),1)/(1+params(7));
T1855 = 1-T560;
T1861 = 1-y(35)/(y(48)-y(45));
T1866 = T602/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1855/T196;
T1884 = params(8)*y(9)*(params(13)-1)/T455-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1855/(T99*y(15)*T455);
T1889 = params(8)*(params(13)-1)/y(9)-T180*T99*y(14)*params(13)*y(15)*params(8)*T1855/T189;
T1909 = T180*T99*params(13)*y(9)*y(15)*params(8)*T1855/T189+T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T1855/(y(15)*y(9)*T649);
T1915 = T602*T1855/T189+T602/(T99*y(9)*T99);
T1996 = (y(48)-y(14))*(y(48)-y(14));
T2000 = (-(y(15)*(y(11)-y(8))/(T99*T99)));
T2027 = T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T2000+T102*T180*(T99*params(13)*y(9)*y(15)*params(8)+(-(y(14)*params(13)*y(9)*y(15)*params(8))));
T2033 = (T189*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)-T188*(-(y(15)*y(9))))/(T189*T189)+(T196*T2027-T193*(-(y(9)*y(15)^2)))/(T196*T196);
T2038 = (-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)*(-y(9))))/(y(9)*T99*y(9)*T99);
T2064 = (-((T99*y(15)*T455*T2027-T193*(-(y(15)*T455)))/(T99*y(15)*T455*T99*y(15)*T455)));
T2076 = (-((T189*(T180*T99*y(14)*params(13)*y(15)*params(8)*T2000+T102*T180*(T99*params(13)*y(15)*params(8)+(-(y(14)*params(13)*y(15)*params(8)))))-T470*(-(y(15)*y(9))))/(T189*T189)));
T2088 = y(15)/(T99*T99);
T2099 = (T189*T180*((-(y(14)*params(13)*y(9)*y(15)*params(8)*T561))+T99*(params(13)*y(9)*y(15)*params(8)*T561+y(14)*params(13)*y(9)*y(15)*params(8)*T2088))-T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561*(-(y(15)*y(9))))/(T189*T189);
T2109 = (y(9)*T99*T180*params(13)*y(9)*y(15)*params(8)-T602*(-y(9)))/(y(9)*T99*y(9)*T99);
T2131 = (T189*(T180*T99*params(13)*y(9)*y(15)*params(8)*T2000+T102*T180*(-(params(13)*y(9)*y(15)*params(8))))-T102*T180*T99*params(13)*y(9)*y(15)*params(8)*(-(y(15)*y(9))))/(T189*T189)+(y(15)*y(9)*T649*T2027-T193*y(15)*y(9)*(-(2*T99)))/(y(15)*y(9)*T649*y(15)*y(9)*T649);
T2148 = (T189*(T602*T2000+T102*T180*params(13)*y(9)*y(15)*params(8))-T102*T602*(-(y(15)*y(9))))/(T189*T189)+(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)*T99*y(9)*T99-T188*((-(y(9)*T99))+T99*(-y(9))))/(T99*y(9)*T99*T99*y(9)*T99);
T2264 = (-((y(11)-y(8))/T99));
T2290 = T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T2264+T102*T180*T99*y(14)*params(13)*params(8)*y(9);
T2298 = (T189*T180*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)-T188*y(9)*T99)/(T189*T189)+(T196*T2290-T193*T99*y(9)*2*y(15))/(T196*T196);
T2320 = (-((T99*y(15)*T455*T2290-T193*T99*T455)/(T99*y(15)*T455*T99*y(15)*T455)));
T2332 = (-((T189*(T180*T99*y(14)*params(13)*y(15)*params(8)*T2264+T102*T180*T99*y(14)*params(8)*params(13))-y(9)*T99*T470)/(T189*T189)));
T2344 = 1/T99;
T2353 = (T189*T180*T99*(T561*y(14)*params(13)*params(8)*y(9)+y(14)*params(13)*y(9)*y(15)*params(8)*T2344)-y(9)*T99*T180*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561)/(T189*T189);
T2385 = (T189*(T180*T99*params(13)*y(9)*y(15)*params(8)*T2264+T102*T180*T99*params(13)*params(8)*y(9))-y(9)*T99*T102*T180*T99*params(13)*y(9)*y(15)*params(8))/(T189*T189)+(y(15)*y(9)*T649*T2290-T193*y(9)*T649)/(y(15)*y(9)*T649*y(15)*y(9)*T649);
T2396 = (T189*(T602*T2264+T102*T180*y(14)*params(13)*params(8)*y(9))-y(9)*T99*T102*T602)/(T189*T189)+T180*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)/(T99*y(9)*T99);
T2487 = 1/y(36);
T2496 = params(10)*T2487*2*T241/2+(y(17)*params(10)*T2487+params(10)*T241)/y(36);
T2514 = (T257*y(18)*params(10)-y(18)*y(17)*params(10)*2*y(17))/(T257*T257)+(T269*y(18)*params(10)*y(9)*y(49)*T257*3-y(18)*params(10)*y(9)*y(49)*T262*y(9)*T262*4)/(T269*T269);
T2525 = (y(9)*T262*y(18)*params(10)*y(9)*y(49)*2*y(17)-y(18)*params(10)*y(9)*y(49)*T257*y(9)*T257*3)/(y(9)*T262*y(9)*T262);
T2533 = (T262*y(18)*params(10)*2*y(17)-y(18)*params(10)*T257*T257*3)/(T262*T262);
T2565 = y(17)*params(10)/T257+params(10)*y(9)*y(49)*T262/T269;
T2590 = ((params(9)-1)*T536-y(18)*(params(9)-1)*2*y(18))/(T536*T536)-(-(y(6)*params(4)*y(28)*y(38)*2*y(18)))/(y(38)*T536*y(38)*T536);
T2648 = (-(2*(y(19)+y(50)-y(34)*params(5))))/(T138*T138)+(-(T142*(1-params(5))*2*(y(19)+y(50)-y(19)*params(5))))/(T145*T145);
T2651 = (-1)/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)));
T2665 = (-((-params(5))/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)))))-(-(y(67)*params(5)*2*(y(19)+y(50)-y(34)*params(5))))/(T138*T138);
T2675 = (-((-params(5))/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)))))-(-(params(5)*y(107)*2*(y(19)+y(50)-y(34)*params(5))))/(T138*T138);
T2684 = (-(1/(y(50)+y(19)-y(34)*params(5))));
T2734 = (T321-y(24)*params(20))/(T321*T321);
T2742 = (T322*params(16)*2*y(24)-T313*params(16)*params(20)*2*T321)/(T322*T322)+(T321*(T327*2*params(16)+params(16)*2*y(24)*T2734)-params(20)*params(16)*2*y(24)*T327)/(T321*T321);
T2753 = (params(16)*T322-y(24)*params(16)*params(20)*2*T321)/(T322*T322)+(T321*params(16)*T2734-params(20)*params(16)*T327)/(T321*T321);
T2775 = (T348*params(16)*params(20)*3*T313-params(16)*params(20)*y(24)^3*params(20)*3*T322)/(T348*T348)+(T322*(params(16)*T313*params(20)*T2734+T327*params(16)*params(20)*2*y(24))-T327*params(16)*T313*params(20)*params(20)*2*T321)/(T322*T322);
T2790 = (T348*params(16)*params(20)*2*y(24)-params(16)*T313*params(20)*params(20)*3*T322)/(T348*T348)+(T322*(params(16)*y(24)*params(20)*T2734+T327*params(16)*params(20))-T327*params(16)*y(24)*params(20)*params(20)*2*T321)/(T322*T322);
T2793 = 1/T368;
T2848 = (y(24)*params(20)+params(49)*(1-params(20))-y(24)*params(20))/((y(24)*params(20)+params(49)*(1-params(20)))*(y(24)*params(20)+params(49)*(1-params(20))));
T2899 = (-(y(6)*params(4)/(y(38)*y(18))));
T2907 = (y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8)/T189+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T196;
T2943 = T102*T99*params(13)*y(9)*y(15)*params(8)/T189+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(y(15)*y(9)*T649);
T2949 = T102*y(14)*params(13)*y(9)*y(15)*params(8)/T189+(y(11)-y(8))*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(9)*T99);
T3018 = (-((-(params(5)*(-params(5))))/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)))));
T3034 = (-((y(11)-y(8))/(y(48)-y(45))));
T3057 = (-y(17))/(y(36)*y(36));
T3065 = params(10)*2*T241*T3057/2+(y(36)*y(17)*params(10)*T3057-T241*y(17)*params(10))/(y(36)*y(36));
T3088 = (-(y(24)*params(20)))/(T368*T368);
T3213 = (y(48)-y(45))*(y(48)-y(45));
T3215 = (-(y(35)*(y(11)-y(8))/T3213));
T3260 = (-((-(y(35)*(y(11)-y(8))))/T3213));
T3307 = params(5)^2/T145;
T3354 = (-(2*(y(19)+y(50)-y(34)*params(5))))/(T138*T138)+(-(T142*2*(y(19)+y(50)-y(19)*params(5))))/(T145*T145);
T3382 = 1/T104-y(9)/T455;
T3435 = (-(T102*T180*params(13)*y(9)*y(15)*params(8)/T455))+T102*T180*params(13)*y(15)*params(8)/T104;
T3453 = (params(4)-1)*T1163/T443;
T3501 = 1/(params(3)*y(24)*y(9))-y(9)/(y(24)*T455);
lhs =y(131);
rhs =params(1)*y(30)+params(2)*y(31);
residual(1)= lhs-rhs;
lhs =y(132);
rhs =y(131)+y(132)*params(3);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(30)+params(3)*y(1);
residual(3)= lhs-rhs;
lhs =y(2);
rhs =y(31)+params(3)*y(2);
residual(4)= lhs-rhs;
lhs =y(3);
rhs =y(24);
residual(5)= lhs-rhs;
lhs =y(4);
rhs =y(32);
residual(6)= lhs-rhs;
lhs =y(33);
rhs =y(32);
residual(7)= lhs-rhs;
lhs =y(34);
rhs =y(19);
residual(8)= lhs-rhs;
lhs =y(35);
rhs =y(15);
residual(9)= lhs-rhs;
lhs =y(36);
rhs =y(17);
residual(10)= lhs-rhs;
lhs =y(37);
rhs =y(24);
residual(11)= lhs-rhs;
lhs =y(38);
rhs =y(5);
residual(12)= lhs-rhs;
lhs =y(39);
rhs =y(10);
residual(13)= lhs-rhs;
lhs =y(40);
rhs =y(23);
residual(14)= lhs-rhs;
lhs =y(41);
rhs =y(18);
residual(15)= lhs-rhs;
lhs =y(42);
rhs =y(11);
residual(16)= lhs-rhs;
lhs =y(43);
rhs =y(13);
residual(17)= lhs-rhs;
lhs =y(44);
rhs =y(12);
residual(18)= lhs-rhs;
lhs =y(45);
rhs =y(14);
residual(19)= lhs-rhs;
lhs =y(46);
rhs =y(6);
residual(20)= lhs-rhs;
residual(21) = y(13)*y(15)*y(70)/(y(48)-y(14))-params(3)*y(53)-y(52)+y(15)*params(8)*y(73)*y(9)*params(13)*T102/T104+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)/T117;
residual(22) = y(53)+params(13)*y(43)*y(71)*T128;
residual(23) = y(67)*T147-y(85)-params(3)*y(54)+1/(y(19)+y(50)-y(34)*params(5))-params(5)*y(67)*y(49)/(params(3)*T145);
residual(24) = y(54)-params(5)/(y(19)+y(50)-y(34)*params(5))-y(67)*params(5)/T138;
residual(25) = y(81)+y(6)*y(78)/(params(3)*(1+y(23)));
residual(26) = y(6)*y(78)+y(80);
residual(27) = y(13)*y(70)*T180/(y(48)-y(14))-y(72)*T198-y(73)*T205-y(88)/T99-params(3)*y(55)+T102*T180*params(13)*params(8)*y(73)*y(9)/T104+T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)/T117;
residual(28) = y(55)-(y(11)-y(8))*params(13)*y(43)*y(71)*(y(33)-1)/(y(48)-y(45));
residual(29) = y(86)-y(85);
residual(30) = y(83)*T249-params(3)*y(56)-y(85)-y(84)*T271+y(84)*T284/params(3)+params(3)*y(84)*T296;
residual(31) = y(56)-T241*params(10)*y(83)*T257/T306;
residual(32) = y(83)-y(82);
residual(33) = y(81)*T330-params(3)*y(57)-y(51)-y(80)*T341-params(3)*y(81)*T354+params(3)*y(80)*T362-params(16)*y(79)*T370/T368-y(9)*y(89)/(params(3)*y(9)*T313);
residual(34) = y(57)+T370*params(16)*y(24)*params(20)*y(79)/T385;
residual(35) = y(51);
residual(36) = y(82)+y(74)-params(3)*y(58);
residual(37) = y(58)+y(82)*(params(9)-1)-params(4)*y(75)*T404*T407*exp(y(47))+y(6)*params(4)*y(77)*y(28)/T419;
residual(38) = y(76)-params(3)*y(59)-T430+params(6)*params(7)*y(68)*T436+T444;
residual(39) = y(88);
residual(40) = y(67)-y(68)*y(7)+y(72)*T460-y(72)*T472/params(3)+y(69)/T104-y(9)*y(69)/T455+y(89)/(params(3)*y(24)*y(9))-y(9)*y(89)/(y(24)*T455)-T102*y(15)*params(8)*y(73)*y(9)*params(13)*T180/T455+T102*T180*y(15)*params(8)*y(73)*params(13)/T104;
residual(41) = y(59);
residual(42) = y(71)-params(3)*y(63)-y(90)/y(6)+y(15)*y(70)*T180/(y(48)-y(14));
residual(43) = y(90);
residual(44) = y(63)+T128*(y(33)-1)*params(13)*y(71);
residual(45) = y(79)-y(6)*y(85);
residual(46) = y(12)*y(70)-(-y(84))-params(3)*y(61)-params(3)*y(77)*T542+(params(9)-1)*y(77)/y(18)-y(44)*y(71)*params(14);
residual(47) = y(61);
residual(48) = y(69)/T556-y(72)*T566-params(3)*y(62)-(y(33)-1)*params(13)*y(43)*params(3)*y(71)*T576-T180*y(15)*params(8)*y(73)*y(9)*params(13)*T561/y(9);
residual(49) = y(62)+y(87);
residual(50) = y(89)/(y(49)*T588)-params(3)*y(60)-y(6)*y(78)*y(27)/T588;
residual(51) = y(60);
residual(52) = y(77)-y(87)+y(72)*T604/params(3)+(y(33)-1)*params(13)*y(43)*y(35)*y(71)/(y(48)-y(45))+T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)/(T99*T104);
residual(53) = y(18)*y(70)-params(3)*y(64)-y(74);
residual(54) = (params(4)-1)*y(6)*y(76)/y(7)-y(6)*y(78)*(1+params(18))/params(18)-y(6)*params(4)*y(77)/(y(38)*y(18));
residual(55) = y(64)-y(18)*y(71)*params(14);
residual(56) = y(87);
residual(57) = y(72)*T652/params(3)-y(72)*T660-y(15)*y(88)/T649-params(3)*y(65)+y(13)*y(15)*y(70)*T180/T670-T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)/(y(9)*T649);
residual(58) = y(65)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(71)/T681;
residual(59) = y(9)*(-y(68))-(params(4)-1)*y(6)*y(28)*y(76)/T690;
residual(60) = y(75)-params(3)*y(66)-y(86)*params(11)-y(85)*(y(25)-1)+y(78)*T711+y(13)*y(90)/T715+y(78)*y(27)/(params(3)*(1+y(23)))+(params(4)-1)*y(28)*y(76)/y(7)-params(4)*y(77)*y(28)/(y(38)*y(18));
residual(61) = y(66);
residual(62) = y(13)*y(15)*y(110)/(y(48)-y(14))-params(3)*y(93)-y(92)+T102*params(13)*y(9)*y(15)*params(8)*y(113)/T104+T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)/T117;
residual(63) = y(93)+T128*params(13)*y(43)*y(111);
residual(64) = 1/(y(19)+y(50)-y(34)*params(5))+T147*y(107)-y(125)-params(3)*y(94)-params(5)*y(49)*y(107)/(params(3)*T145);
residual(65) = y(94)-params(5)/(y(19)+y(50)-y(34)*params(5))-params(5)*y(107)/T138;
residual(66) = y(121)+y(6)*y(118)/(params(3)*(1+y(23)));
residual(67) = y(6)*y(118)+y(120);
residual(68) = T180*y(13)*y(110)/(y(48)-y(14))-T198*y(112)-T205*y(113)-y(128)/T99-params(3)*y(95)+T102*T180*params(13)*y(9)*params(8)*y(113)/T104+T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)/T117;
residual(69) = y(95)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(111)/(y(48)-y(45));
residual(70) = y(126)-y(125);
residual(71) = T249*y(123)-params(3)*y(96)-y(125)-T271*y(124)+T284*y(124)/params(3)+T296*params(3)*y(124);
residual(72) = y(96)-T241*params(10)*T257*y(123)/T306;
residual(73) = y(123)-y(122);
residual(74) = T330*y(121)-params(3)*y(97)-y(91)-T341*y(120)-T354*params(3)*y(121)+T362*params(3)*y(120)-T370*params(16)*y(119)/T368-y(9)*y(129)/(params(3)*y(9)*T313);
residual(75) = y(97)+T370*params(16)*y(24)*params(20)*y(119)/T385;
residual(76) = y(92);
residual(77) = y(122)+y(114)-params(3)*y(98);
residual(78) = y(98)+(params(9)-1)*y(122)-exp(y(47))*T407*T404*params(4)*y(115)+y(6)*y(28)*params(4)*y(117)/T419;
residual(79) = y(116)-params(3)*y(99)-T430+T436*params(6)*params(7)*y(108)+T915;
residual(80) = y(128);
residual(81) = y(107)-y(7)*y(108)+T460*y(112)-T472*y(112)/params(3)+y(109)/T104-y(9)*y(109)/T455+y(129)/(params(3)*y(24)*y(9))-y(9)*y(129)/(y(24)*T455)-T102*T180*params(13)*y(9)*y(15)*params(8)*y(113)/T455+T102*T180*params(13)*y(15)*params(8)*y(113)/T104;
residual(82) = y(99);
residual(83) = y(111)-params(3)*y(103)-y(130)/y(6)+T180*y(15)*y(110)/(y(48)-y(14));
residual(84) = y(130);
residual(85) = y(103)+T128*(y(33)-1)*params(13)*y(111);
residual(86) = y(119)-y(6)*y(125);
residual(87) = y(12)*y(110)-(-y(124))-params(3)*y(101)-T542*params(3)*y(117)+(params(9)-1)*y(117)/y(18)-y(44)*params(14)*y(111);
residual(88) = y(101);
residual(89) = y(109)/T556-T566*y(112)-params(3)*y(102)-(y(33)-1)*T576*params(13)*y(43)*params(3)*y(111)-T180*T561*params(13)*y(9)*y(15)*params(8)*y(113)/y(9);
residual(90) = y(102)+y(127);
residual(91) = y(129)/(y(49)*T588)-params(3)*y(100)-y(6)*y(27)*y(118)/T588;
residual(92) = y(100);
residual(93) = y(117)-y(127)+T604*y(112)/params(3)+(y(33)-1)*params(13)*y(43)*y(35)*y(111)/(y(48)-y(45))+T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)/(T99*T104);
residual(94) = y(18)*y(110)-params(3)*y(104)-y(114);
residual(95) = (params(4)-1)*y(6)*y(116)/y(7)-(1+params(18))*y(6)*y(118)/params(18)-y(6)*params(4)*y(117)/(y(38)*y(18));
residual(96) = y(104)-y(18)*params(14)*y(111);
residual(97) = y(127);
residual(98) = T652*y(112)/params(3)-T660*y(112)-y(15)*y(128)/T649-params(3)*y(105)+T180*y(13)*y(15)*y(110)/T670-T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)/(y(9)*T649);
residual(99) = y(105)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(111)/T681;
residual(100) = y(9)*(-y(108))-(params(4)-1)*y(6)*y(28)*y(116)/T690;
residual(101) = y(115)-params(3)*y(106)-params(11)*y(126)-(y(25)-1)*y(125)+T711*y(118)+y(13)*y(130)/T715+y(27)*y(118)/(params(3)*(1+y(23)))+(params(4)-1)*y(28)*y(116)/y(7)-y(28)*params(4)*y(117)/(y(38)*y(18));
residual(102) = y(106);
lhs =y(9);
rhs =1/(y(50)+y(19)-y(34)*params(5))-params(5)*y(49)/(y(50)+y(19)-y(19)*params(5));
residual(103)= lhs-rhs;
lhs =T430;
rhs =y(9)*y(7);
residual(104)= lhs-rhs;
lhs =1;
rhs =1/(y(49)*(1+y(11)));
residual(105)= lhs-rhs;
lhs =y(18)*y(12);
rhs =y(13)*y(15)/(y(48)-y(14))*(1-y(32));
residual(106)= lhs-rhs;
lhs =y(13);
rhs =y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(48)-y(45)))*(1-y(33))+y(44)*y(18)*params(14);
residual(107)= lhs-rhs;
lhs =y(14);
rhs =(y(8)-y(11))*T1145+y(14)*T1155;
residual(108)= lhs-rhs;
lhs =y(15);
rhs =1-params(13)+y(15)*T1155;
residual(109)= lhs-rhs;
lhs =y(5);
rhs =y(12);
residual(110)= lhs-rhs;
lhs =y(6);
rhs =T407*T1163;
residual(111)= lhs-rhs;
lhs =y(10);
rhs =y(6)*(1-params(4))*y(28)/y(7);
residual(112)= lhs-rhs;
lhs =1+y(8);
rhs =y(6)*params(4)*y(28)/(y(38)*y(18))+y(18)*(1-params(9))/y(18);
residual(113)= lhs-rhs;
lhs =0;
rhs =y(6)*T1179-y(6)*y(26)-y(27)*y(6)*1/(1+y(23));
residual(114)= lhs-rhs;
lhs =y(25);
rhs =params(16)/2*(y(24)/(y(37)*params(20)+params(49)*(1-params(20)))-1)^2;
residual(115)= lhs-rhs;
lhs =y(26);
rhs =y(24)*params(16)*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1)/(y(24)*params(20)+params(49)*(1-params(20)));
residual(116)= lhs-rhs;
lhs =y(27);
rhs =T313*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1)*(-params(16))/(y(24)*params(20)+params(49)*(1-params(20)));
residual(117)= lhs-rhs;
lhs =y(5);
rhs =y(16)+y(38)*(1-params(9));
residual(118)= lhs-rhs;
lhs =y(16);
rhs =y(17)*T1215;
residual(119)= lhs-rhs;
lhs =y(18);
rhs =1;
residual(120)= lhs-rhs;
lhs =y(6);
rhs =y(19)+y(17)+y(20)+y(6)*y(25);
residual(121)= lhs-rhs;
lhs =y(20);
rhs =y(6)*params(11);
residual(122)= lhs-rhs;
lhs =y(21);
rhs =y(8)-y(42);
residual(123)= lhs-rhs;
lhs =y(22);
rhs =T560;
residual(124)= lhs-rhs;
lhs =1/y(24);
rhs =1/(y(49)*(1+y(23)));
residual(125)= lhs-rhs;
lhs =y(29);
rhs =y(13)/y(6);
residual(126)= lhs-rhs;
lhs =y(30);
rhs =T1249;
residual(127)= lhs-rhs;
lhs =y(31);
rhs =T1249;
residual(128)= lhs-rhs;
lhs =y(48)-params(12);
rhs =(y(48)-params(12))*params(30)+params(31)*x(3);
residual(129)= lhs-rhs;
lhs =y(49)-params(8);
rhs =(y(49)-params(8))*params(34)+params(35)*x(5);
residual(130)= lhs-rhs;
lhs =y(50);
rhs =y(50)*params(36)+params(37)*x(6);
residual(131)= lhs-rhs;
lhs =y(47);
rhs =y(47)*params(28)+params(29)*x(1);
residual(132)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(132, 132);

  %
  % Jacobian matrix
  %

  g1(1,30)=(-params(1));
  g1(1,31)=(-params(2));
  g1(1,131)=1;
  g1(2,131)=(-1);
  g1(2,132)=1-params(3);
  g1(3,1)=1-params(3);
  g1(3,30)=(-1);
  g1(4,2)=1-params(3);
  g1(4,31)=(-1);
  g1(5,3)=1;
  g1(5,24)=(-1);
  g1(6,4)=1;
  g1(6,32)=(-1);
  g1(7,32)=(-1);
  g1(7,33)=1;
  g1(8,19)=(-1);
  g1(8,34)=1;
  g1(9,15)=(-1);
  g1(9,35)=1;
  g1(10,17)=(-1);
  g1(10,36)=1;
  g1(11,24)=(-1);
  g1(11,37)=1;
  g1(12,5)=(-1);
  g1(12,38)=1;
  g1(13,10)=(-1);
  g1(13,39)=1;
  g1(14,23)=(-1);
  g1(14,40)=1;
  g1(15,18)=(-1);
  g1(15,41)=1;
  g1(16,11)=(-1);
  g1(16,42)=1;
  g1(17,13)=(-1);
  g1(17,43)=1;
  g1(18,12)=(-1);
  g1(18,44)=1;
  g1(19,14)=(-1);
  g1(19,45)=1;
  g1(20,6)=(-1);
  g1(20,46)=1;
  g1(21,8)=y(15)*params(8)*y(73)*y(9)*params(13)*T1370/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T1370/T117;
  g1(21,9)=(T104*T102*y(15)*params(8)*y(73)*params(13)-params(3)*y(15)*params(8)*y(73)*y(9)*params(13)*T102)/(T104*T104)+(T117*T102*T99*y(14)*params(13)*y(15)*params(8)*y(72)-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T99*params(3)*y(15))/(T117*T117);
  g1(21,11)=y(15)*params(8)*y(73)*y(9)*params(13)*T1855/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T1855/T117;
  g1(21,13)=y(15)*y(70)/(y(48)-y(14));
  g1(21,14)=y(13)*y(15)*y(70)/T1996+y(15)*params(8)*y(73)*y(9)*params(13)*T2000/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T2000+T102*((-(y(14)*params(13)*y(9)*y(15)*params(8)*y(72)))+T99*params(13)*y(9)*y(15)*params(8)*y(72)))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(21,15)=y(13)*y(70)/(y(48)-y(14))+(T102*params(13)*params(8)*y(73)*y(9)+y(15)*params(8)*y(73)*y(9)*params(13)*T2264)/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T2264+T102*T99*y(14)*params(13)*y(9)*params(8)*y(72))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(72)*T99*T104)/(T117*T117);
  g1(21,48)=(-(y(13)*y(15)*y(70)))/T1996;
  g1(21,52)=(-1);
  g1(21,53)=(-params(3));
  g1(21,70)=y(15)*y(13)/(y(48)-y(14));
  g1(21,72)=T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T117;
  g1(21,73)=T102*params(13)*y(9)*y(15)*params(8)/T104;
  g1(22,8)=params(13)*y(43)*y(71)*T1378;
  g1(22,11)=params(13)*y(43)*y(71)*T1861;
  g1(22,35)=params(13)*y(43)*y(71)*T3034;
  g1(22,43)=T128*params(13)*y(71);
  g1(22,45)=params(13)*y(43)*y(71)*T3215;
  g1(22,48)=params(13)*y(43)*y(71)*T3260;
  g1(22,53)=1;
  g1(22,71)=T128*y(43)*params(13);
  g1(23,19)=y(67)*T2648+T2651-(-(params(5)*y(67)*y(49)*params(3)*(1-params(5))*2*(y(19)+y(50)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(23,34)=y(67)*(-(2*(y(19)+y(50)-y(34)*params(5))*(-params(5))))/(T138*T138)+params(5)/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)));
  g1(23,49)=y(67)*T3307-y(67)*params(5)/(params(3)*T145);
  g1(23,50)=T2651+y(67)*T3354-(-(params(5)*y(67)*y(49)*params(3)*2*(y(19)+y(50)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(23,54)=(-params(3));
  g1(23,67)=T147-params(5)*y(49)/(params(3)*T145);
  g1(23,85)=(-1);
  g1(24,19)=T2665;
  g1(24,34)=T3018-(-(y(67)*params(5)*2*(y(19)+y(50)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(24,50)=T2665;
  g1(24,54)=1;
  g1(24,67)=(-(params(5)/T138));
  g1(25,6)=y(78)/(params(3)*(1+y(23)));
  g1(25,23)=(-(params(3)*y(6)*y(78)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(25,78)=y(6)/(params(3)*(1+y(23)));
  g1(25,81)=1;
  g1(26,6)=y(78);
  g1(26,78)=y(6);
  g1(26,80)=1;
  g1(27,8)=(-(y(72)*T1385))-y(73)*T180*(-(params(13)*y(9)*y(15)*params(8)))/(y(9)*T99)+T180*params(13)*params(8)*y(73)*y(9)*T1370/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T1370/T117;
  g1(27,9)=(-(y(72)*T1531))-y(73)*T1540+(T104*T102*T180*params(8)*y(73)*params(13)-params(3)*T102*T180*params(13)*params(8)*y(73)*y(9))/(T104*T104)+(T117*T102*T180*T99*y(14)*params(13)*params(8)*y(72)-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T99*params(3)*y(15))/(T117*T117);
  g1(27,11)=(-(y(72)*T1866))-y(73)*T180*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T180*params(13)*params(8)*y(73)*y(9)*T1855/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T1855/T117;
  g1(27,13)=y(70)*T180/(y(48)-y(14));
  g1(27,14)=y(13)*y(70)*T180/T1996-y(72)*T2033-y(73)*T2038-y(88)/(T99*T99)+T180*params(13)*params(8)*y(73)*y(9)*T2000/T104+(T117*(T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T2000+T102*T180*((-(y(14)*params(13)*y(9)*params(8)*y(72)))+T99*params(13)*y(9)*params(8)*y(72)))-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(27,15)=(-(y(72)*T2298))-y(73)*T180*(y(11)-y(8))*params(13)*params(8)*y(9)/(y(9)*T99)+T180*params(13)*params(8)*y(73)*y(9)*T2264/T104+(T117*T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T2264-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(72)*T99*T104)/(T117*T117);
  g1(27,32)=y(13)*y(70)/(y(48)-y(14))-y(72)*T2907-y(73)*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T102*params(13)*params(8)*y(73)*y(9)/T104+T102*T99*y(14)*params(13)*y(9)*params(8)*y(72)/T117;
  g1(27,48)=(-(y(13)*y(70)*T180))/T1996;
  g1(27,55)=(-params(3));
  g1(27,70)=y(13)*T180/(y(48)-y(14));
  g1(27,72)=(-T198)+T102*T180*T99*y(14)*params(13)*params(8)*y(9)/T117;
  g1(27,73)=(-T205)+T102*T180*params(13)*params(8)*y(9)/T104;
  g1(27,88)=(-T2344);
  g1(28,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(71)))/(y(48)-y(45))));
  g1(28,11)=(-(params(13)*y(43)*y(71)*(y(33)-1)/(y(48)-y(45))));
  g1(28,33)=(-((y(11)-y(8))*params(13)*y(43)*y(71)/(y(48)-y(45))));
  g1(28,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(71)/(y(48)-y(45))));
  g1(28,45)=(-((y(11)-y(8))*params(13)*y(43)*y(71)*(y(33)-1)/T3213));
  g1(28,48)=(-((-((y(11)-y(8))*params(13)*y(43)*y(71)*(y(33)-1)))/T3213));
  g1(28,55)=1;
  g1(28,71)=(-((y(33)-1)*(y(11)-y(8))*y(43)*params(13)/(y(48)-y(45))));
  g1(29,85)=(-1);
  g1(29,86)=1;
  g1(30,9)=(-(y(84)*T1567))+y(84)*T1576/params(3);
  g1(30,17)=y(83)*T2496-y(84)*T2514+y(84)*T2525/params(3)+params(3)*y(84)*T2533;
  g1(30,18)=(-(y(84)*T2565))+y(84)*params(10)*y(9)*y(49)*T257/(y(9)*T262)/params(3)+params(3)*y(84)*params(10)*T257/T262;
  g1(30,36)=y(83)*T3065;
  g1(30,49)=(-(y(84)*y(18)*params(10)*y(9)*T262/T269))+y(84)*y(18)*params(10)*y(9)*T257/(y(9)*T262)/params(3);
  g1(30,56)=(-params(3));
  g1(30,83)=T249;
  g1(30,84)=(-T271)+T284/params(3)+params(3)*T296;
  g1(30,85)=(-1);
  g1(31,17)=(-((params(10)*y(83)*T257*T2487+T241*params(10)*y(83)*2*y(17))/T306));
  g1(31,36)=(-((T306*params(10)*y(83)*T257*T3057-T241*params(10)*y(83)*T257*2*y(36))/(T306*T306)));
  g1(31,56)=1;
  g1(31,83)=(-(T241*params(10)*T257/T306));
  g1(32,82)=(-1);
  g1(32,83)=1;
  g1(33,9)=(-((y(89)*params(3)*y(9)*T313-y(9)*y(89)*params(3)*T313)/(params(3)*y(9)*T313*params(3)*y(9)*T313)));
  g1(33,24)=y(81)*T2742-y(80)*T2753-params(3)*y(81)*T2775+params(3)*y(80)*T2790-params(16)*y(79)*T2793/T368-(-(y(9)*y(89)*params(3)*y(9)*2*y(24)))/(params(3)*y(9)*T313*params(3)*y(9)*T313);
  g1(33,37)=(-((T368*params(16)*y(79)*T3088-params(20)*params(16)*y(79)*T370)/(T368*T368)));
  g1(33,51)=(-1);
  g1(33,57)=(-params(3));
  g1(33,79)=(-(params(16)*T370/T368));
  g1(33,80)=(-T341)+params(3)*T362;
  g1(33,81)=T330-params(3)*T354;
  g1(33,89)=(-(y(9)/(params(3)*y(9)*T313)));
  g1(34,24)=(params(16)*y(24)*params(20)*y(79)*T2793+T370*params(16)*params(20)*y(79))/T385;
  g1(34,37)=(T385*params(16)*y(24)*params(20)*y(79)*T3088-T370*params(16)*y(24)*params(20)*y(79)*params(20)*2*T368)/(T385*T385);
  g1(34,57)=1;
  g1(34,79)=params(16)*y(24)*params(20)*T370/T385;
  g1(35,51)=1;
  g1(36,58)=(-params(3));
  g1(36,74)=1;
  g1(36,82)=1;
  g1(37,6)=params(4)*y(77)*y(28)/T419;
  g1(37,10)=(-(exp(y(47))*params(4)*y(75)*T404*T1824));
  g1(37,18)=(-(y(6)*params(4)*y(77)*y(28)*y(38)^2))/(T419*T419);
  g1(37,28)=y(6)*params(4)*y(77)/T419;
  g1(37,38)=(-(exp(y(47))*T407*params(4)*y(75)*getPowerDeriv(y(38),params(4)-1,1)))+(-(y(6)*params(4)*y(77)*y(28)*y(18)*2*y(38)))/(T419*T419);
  g1(37,47)=(-(params(4)*y(75)*T404*T407*exp(y(47))));
  g1(37,58)=1;
  g1(37,75)=(-(exp(y(47))*T407*params(4)*T404));
  g1(37,77)=y(6)*params(4)*y(28)/T419;
  g1(37,82)=params(9)-1;
  g1(38,10)=(-(params(6)*getPowerDeriv(y(10),params(7),1)))+params(6)*params(7)*y(68)*getPowerDeriv(y(10),params(7)-1,1)+(-((params(4)-1)*exp(y(47))*y(75)*y(38)^params(4)*getPowerDeriv(y(10),params(4),1)))/(T443*T443);
  g1(38,38)=(params(4)-1)*exp(y(47))*y(75)*getPowerDeriv(y(38),params(4),1)/T443;
  g1(38,47)=T444;
  g1(38,59)=(-params(3));
  g1(38,68)=T436*params(6)*params(7);
  g1(38,75)=T3453;
  g1(38,76)=1;
  g1(39,88)=1;
  g1(40,7)=(-y(68));
  g1(40,8)=y(72)*T1407-y(72)*T1414/params(3)-y(15)*params(8)*y(73)*y(9)*params(13)*T180*T1370/T455+T180*y(15)*params(8)*y(73)*params(13)*T1370/T104;
  g1(40,9)=y(72)*T1600-y(72)*T1608/params(3)+(-(params(3)*y(69)))/(T104*T104)-(T455*y(69)-y(9)*y(69)*2*y(9))/(T455*T455)+(-(y(89)*params(3)*y(24)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(y(89)*y(24)*T455-y(9)*y(89)*y(24)*2*y(9))/(y(24)*T455*y(24)*T455)-(T455*T102*T180*y(15)*params(8)*y(73)*params(13)-T102*y(15)*params(8)*y(73)*y(9)*params(13)*T180*2*y(9))/(T455*T455)+(-(params(3)*T102*T180*y(15)*params(8)*y(73)*params(13)))/(T104*T104);
  g1(40,11)=y(72)*T1884-y(72)*T1889/params(3)-y(15)*params(8)*y(73)*y(9)*params(13)*T180*T1855/T455+T180*y(15)*params(8)*y(73)*params(13)*T1855/T104;
  g1(40,14)=y(72)*T2064-y(72)*T2076/params(3)-y(15)*params(8)*y(73)*y(9)*params(13)*T180*T2000/T455+T180*y(15)*params(8)*y(73)*params(13)*T2000/T104;
  g1(40,15)=y(72)*T2320-y(72)*T2332/params(3)-(T102*T180*params(13)*params(8)*y(73)*y(9)+y(15)*params(8)*y(73)*y(9)*params(13)*T180*T2264)/T455+(T102*T180*params(8)*y(73)*params(13)+T180*y(15)*params(8)*y(73)*params(13)*T2264)/T104;
  g1(40,24)=(-(T104*y(89)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(-(y(9)*y(89)*T455))/(y(24)*T455*y(24)*T455);
  g1(40,32)=y(72)*(-(T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(15)*T455)))-y(72)*(-(T102*T99*y(14)*params(13)*y(15)*params(8)/T189))/params(3)-y(15)*params(8)*y(73)*y(9)*params(13)*T102/T455+T102*y(15)*params(8)*y(73)*params(13)/T104;
  g1(40,67)=1;
  g1(40,68)=(-y(7));
  g1(40,69)=T3382;
  g1(40,72)=T460-T472/params(3);
  g1(40,73)=T3435;
  g1(40,89)=T3501;
  g1(41,59)=1;
  g1(42,6)=(-((-y(90))/(y(6)*y(6))));
  g1(42,14)=y(15)*y(70)*T180/T1996;
  g1(42,15)=y(70)*T180/(y(48)-y(14));
  g1(42,32)=y(15)*y(70)/(y(48)-y(14));
  g1(42,48)=(-(y(15)*y(70)*T180))/T1996;
  g1(42,63)=(-params(3));
  g1(42,70)=y(15)*T180/(y(48)-y(14));
  g1(42,71)=1;
  g1(42,90)=(-(1/y(6)));
  g1(43,90)=1;
  g1(44,8)=(y(33)-1)*params(13)*y(71)*T1378;
  g1(44,11)=(y(33)-1)*params(13)*y(71)*T1861;
  g1(44,33)=T128*params(13)*y(71);
  g1(44,35)=(y(33)-1)*params(13)*y(71)*T3034;
  g1(44,45)=(y(33)-1)*params(13)*y(71)*T3215;
  g1(44,48)=(y(33)-1)*params(13)*y(71)*T3260;
  g1(44,63)=1;
  g1(44,71)=T128*params(13)*(y(33)-1);
  g1(45,6)=(-y(85));
  g1(45,79)=1;
  g1(45,85)=(-y(6));
  g1(46,6)=(-(params(3)*y(77)*(-(params(4)*y(28)/(y(38)*T536)))));
  g1(46,12)=y(70);
  g1(46,18)=(-(params(3)*y(77)*T2590))+(-((params(9)-1)*y(77)))/(y(18)*y(18));
  g1(46,28)=(-(params(3)*y(77)*(-(y(6)*params(4)/(y(38)*T536)))));
  g1(46,38)=(-(params(3)*y(77)*(-((-(T536*y(6)*params(4)*y(28)))/(y(38)*T536*y(38)*T536)))));
  g1(46,44)=(-(y(71)*params(14)));
  g1(46,61)=(-params(3));
  g1(46,70)=y(12);
  g1(46,71)=(-(y(44)*params(14)));
  g1(46,77)=(-(params(3)*T542))+(params(9)-1)/y(18);
  g1(46,84)=1;
  g1(47,61)=1;
  g1(48,9)=(-(y(72)*T1654))-(y(9)*T180*y(15)*params(8)*y(73)*params(13)*T561-T180*y(15)*params(8)*y(73)*y(9)*params(13)*T561)/(y(9)*y(9));
  g1(48,11)=(-(y(69)*y(49)*2*(1+y(11))))/(T556*T556);
  g1(48,14)=(-(y(72)*T2099))-T180*y(15)*params(8)*y(73)*y(9)*params(13)*T2088/y(9);
  g1(48,15)=(-(y(72)*T2353))-T180*(params(13)*params(8)*y(73)*y(9)*T561+y(15)*params(8)*y(73)*y(9)*params(13)*T2344)/y(9);
  g1(48,32)=(-(y(72)*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561/T189))-y(15)*params(8)*y(73)*y(9)*params(13)*T561/y(9);
  g1(48,33)=(-(params(13)*y(43)*params(3)*y(71)*T576));
  g1(48,35)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(71)*1/(y(48)-y(45))));
  g1(48,43)=(-((y(33)-1)*T576*params(13)*params(3)*y(71)));
  g1(48,45)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(71)*y(35)/T3213));
  g1(48,48)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(71)*(-y(35))/T3213));
  g1(48,49)=(-(y(69)*T555))/(T556*T556);
  g1(48,62)=(-params(3));
  g1(48,69)=1/T556;
  g1(48,71)=(-((y(33)-1)*T576*params(13)*params(3)*y(43)));
  g1(48,72)=(-T566);
  g1(48,73)=(-(T180*params(13)*y(9)*y(15)*params(8)*T561/y(9)));
  g1(49,62)=1;
  g1(49,87)=1;
  g1(50,6)=(-(y(78)*y(27)/T588));
  g1(50,23)=(-(y(89)*y(49)*2*(1+y(23))))/(y(49)*T588*y(49)*T588)-(-(y(6)*y(78)*y(27)*2*(1+y(23))))/(T588*T588);
  g1(50,27)=(-(y(6)*y(78)/T588));
  g1(50,49)=(-(y(89)*T588))/(y(49)*T588*y(49)*T588);
  g1(50,60)=(-params(3));
  g1(50,78)=(-(y(6)*y(27)/T588));
  g1(50,89)=1/(y(49)*T588);
  g1(51,60)=1;
  g1(52,9)=y(72)*T1668/params(3)+(T99*T104*T180*params(13)*y(15)*y(15)*params(8)*y(73)-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)*params(3)*T99)/(T99*T104*T99*T104);
  g1(52,14)=y(72)*T2109/params(3)+(-(T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)*(-T104)))/(T99*T104*T99*T104);
  g1(52,15)=y(72)*T180*y(14)*params(13)*params(8)*y(9)/(y(9)*T99)/params(3)+T180*params(13)*y(9)*(y(15)*params(8)*y(73)+y(15)*params(8)*y(73))/(T99*T104);
  g1(52,32)=y(72)*y(14)*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)/params(3)+params(13)*y(9)*y(15)*y(15)*params(8)*y(73)/(T99*T104);
  g1(52,33)=params(13)*y(43)*y(35)*y(71)/(y(48)-y(45));
  g1(52,35)=params(13)*y(43)*y(71)*(y(33)-1)/(y(48)-y(45));
  g1(52,43)=(y(33)-1)*params(13)*y(35)*y(71)/(y(48)-y(45));
  g1(52,45)=(y(33)-1)*params(13)*y(43)*y(35)*y(71)/T3213;
  g1(52,48)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(71)))/T3213;
  g1(52,71)=(y(33)-1)*params(13)*y(35)*y(43)/(y(48)-y(45));
  g1(52,72)=T604/params(3);
  g1(52,73)=T180*params(13)*y(9)*y(15)*y(15)*params(8)/(T99*T104);
  g1(52,77)=1;
  g1(52,87)=(-1);
  g1(53,18)=y(70);
  g1(53,64)=(-params(3));
  g1(53,70)=y(18);
  g1(53,74)=(-1);
  g1(54,6)=(params(4)-1)*y(76)/y(7)-y(78)*(1+params(18))/params(18)-params(4)*y(77)/(y(38)*y(18));
  g1(54,7)=(-((params(4)-1)*y(6)*y(76)))/(y(7)*y(7));
  g1(54,18)=(-((-(y(38)*y(6)*params(4)*y(77)))/(y(38)*y(18)*y(38)*y(18))));
  g1(54,38)=(-((-(y(18)*y(6)*params(4)*y(77)))/(y(38)*y(18)*y(38)*y(18))));
  g1(54,76)=y(6)*(params(4)-1)/y(7);
  g1(54,77)=T2899;
  g1(54,78)=(-(y(6)*(1+params(18))/params(18)));
  g1(55,18)=(-(y(71)*params(14)));
  g1(55,64)=1;
  g1(55,71)=(-(y(18)*params(14)));
  g1(56,87)=1;
  g1(57,8)=y(72)*T1428/params(3)-y(72)*T1434-T180*(-(params(13)*y(9)*y(15)*y(15)*params(8)*y(73)))/(y(9)*T649);
  g1(57,9)=y(72)*T1693/params(3)-y(72)*T1707-(y(9)*T649*T180*(y(11)-y(8))*params(13)*y(15)*y(15)*params(8)*y(73)-T649*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(73))/(y(9)*T649*y(9)*T649);
  g1(57,11)=y(72)*T1909/params(3)-y(72)*T1915-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)/(y(9)*T649);
  g1(57,13)=y(15)*y(70)*T180/T670;
  g1(57,14)=y(72)*T2131/params(3)-y(72)*T2148-(-(y(15)*y(88)*(-(2*T99))))/(T649*T649)+(-(y(13)*y(15)*y(70)*T180*(-(2*(y(48)-y(14))))))/(T670*T670)-(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)*y(9)*(-(2*T99))))/(y(9)*T649*y(9)*T649);
  g1(57,15)=y(72)*T2385/params(3)-y(72)*T2396-y(88)/T649+y(13)*y(70)*T180/T670-T180*(y(11)-y(8))*params(13)*y(9)*(y(15)*params(8)*y(73)+y(15)*params(8)*y(73))/(y(9)*T649);
  g1(57,32)=y(72)*T2943/params(3)-y(72)*T2949+y(13)*y(15)*y(70)/T670-(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(73)/(y(9)*T649);
  g1(57,48)=(-(y(13)*y(15)*y(70)*T180*2*(y(48)-y(14))))/(T670*T670);
  g1(57,65)=(-params(3));
  g1(57,70)=T180*y(15)*y(13)/T670;
  g1(57,72)=T652/params(3)-T660;
  g1(57,73)=(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)/(y(9)*T649)));
  g1(57,88)=(-(y(15)/T649));
  g1(58,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(35)*y(71)))/T681));
  g1(58,11)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(71)/T681));
  g1(58,33)=(-((y(11)-y(8))*params(13)*y(43)*y(35)*y(71)/T681));
  g1(58,35)=(-((y(11)-y(8))*params(13)*y(43)*y(71)*(y(33)-1)/T681));
  g1(58,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(71)/T681));
  g1(58,45)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(71)*(-(2*(y(48)-y(45))))))/(T681*T681)));
  g1(58,48)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(71)*2*(y(48)-y(45))))/(T681*T681)));
  g1(58,65)=1;
  g1(58,71)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(43)/T681));
  g1(59,6)=(-((params(4)-1)*y(28)*y(76)/T690));
  g1(59,7)=(-((-((params(4)-1)*y(6)*y(28)*y(76)*2*y(7)))/(T690*T690)));
  g1(59,9)=(-y(68));
  g1(59,28)=(-((params(4)-1)*y(6)*y(76)/T690));
  g1(59,68)=(-y(9));
  g1(59,76)=(-((params(4)-1)*y(6)*y(28)/T690));
  g1(60,6)=(-(y(13)*y(90)*2*y(6)))/(T715*T715);
  g1(60,7)=(-((params(4)-1)*y(28)*y(76)))/(y(7)*y(7));
  g1(60,13)=y(90)/T715;
  g1(60,18)=(-((-(y(38)*params(4)*y(77)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(60,23)=(-(params(3)*y(78)*y(27)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(60,25)=(-y(85));
  g1(60,26)=y(78);
  g1(60,27)=y(78)/(params(3)*(1+y(23)));
  g1(60,28)=(params(4)-1)*y(76)/y(7)+y(78)*(-((1+params(18))/params(18)))-params(4)*y(77)/(y(38)*y(18));
  g1(60,38)=(-((-(y(18)*params(4)*y(77)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(60,66)=(-params(3));
  g1(60,75)=1;
  g1(60,76)=(params(4)-1)*y(28)/y(7);
  g1(60,77)=T1335;
  g1(60,78)=T711+y(27)/(params(3)*(1+y(23)));
  g1(60,85)=(-(y(25)-1));
  g1(60,86)=(-params(11));
  g1(60,90)=y(13)/T715;
  g1(61,66)=1;
  g1(62,8)=params(13)*y(9)*y(15)*params(8)*y(113)*T1370/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*T1370/T117;
  g1(62,9)=(T104*T102*params(13)*y(15)*params(8)*y(113)-params(3)*T102*params(13)*y(9)*y(15)*params(8)*y(113))/(T104*T104)+(T117*T102*T99*y(14)*params(13)*y(15)*params(8)*y(112)-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*T99*params(3)*y(15))/(T117*T117);
  g1(62,11)=params(13)*y(9)*y(15)*params(8)*y(113)*T1855/T104+T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*T1855/T117;
  g1(62,13)=y(15)*y(110)/(y(48)-y(14));
  g1(62,14)=y(13)*y(15)*y(110)/T1996+params(13)*y(9)*y(15)*params(8)*y(113)*T2000/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*T2000+T102*((-(y(14)*params(13)*y(9)*y(15)*params(8)*y(112)))+T99*params(13)*y(9)*y(15)*params(8)*y(112)))-T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(62,15)=y(13)*y(110)/(y(48)-y(14))+(params(13)*y(9)*y(15)*params(8)*y(113)*T2264+T102*params(13)*y(9)*params(8)*y(113))/T104+(T117*(T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112)*T2264+T102*T99*y(14)*params(13)*y(9)*params(8)*y(112))-T99*T104*T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)*y(112))/(T117*T117);
  g1(62,48)=(-(y(13)*y(15)*y(110)))/T1996;
  g1(62,92)=(-1);
  g1(62,93)=(-params(3));
  g1(62,110)=y(15)*y(13)/(y(48)-y(14));
  g1(62,112)=T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/T117;
  g1(62,113)=T102*params(13)*y(9)*y(15)*params(8)/T104;
  g1(63,8)=params(13)*y(43)*y(111)*T1378;
  g1(63,11)=params(13)*y(43)*y(111)*T1861;
  g1(63,35)=params(13)*y(43)*y(111)*T3034;
  g1(63,43)=T128*params(13)*y(111);
  g1(63,45)=params(13)*y(43)*y(111)*T3215;
  g1(63,48)=params(13)*y(43)*y(111)*T3260;
  g1(63,93)=1;
  g1(63,111)=T128*y(43)*params(13);
  g1(64,19)=T2651+y(107)*T2648-(-(params(5)*y(49)*y(107)*params(3)*(1-params(5))*2*(y(19)+y(50)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(64,34)=params(5)/((y(19)+y(50)-y(34)*params(5))*(y(19)+y(50)-y(34)*params(5)))+y(107)*(-(2*(y(19)+y(50)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(64,49)=y(107)*T3307-params(5)*y(107)/(params(3)*T145);
  g1(64,50)=T2651+y(107)*T3354-(-(params(5)*y(49)*y(107)*params(3)*2*(y(19)+y(50)-y(19)*params(5))))/(params(3)*T145*params(3)*T145);
  g1(64,94)=(-params(3));
  g1(64,107)=T147-params(5)*y(49)/(params(3)*T145);
  g1(64,125)=(-1);
  g1(65,19)=T2675;
  g1(65,34)=T3018-(-(params(5)*y(107)*2*(y(19)+y(50)-y(34)*params(5))*(-params(5))))/(T138*T138);
  g1(65,50)=T2675;
  g1(65,94)=1;
  g1(65,107)=(-(params(5)/T138));
  g1(66,6)=y(118)/(params(3)*(1+y(23)));
  g1(66,23)=(-(params(3)*y(6)*y(118)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(66,118)=y(6)/(params(3)*(1+y(23)));
  g1(66,121)=1;
  g1(67,6)=y(118);
  g1(67,118)=y(6);
  g1(67,120)=1;
  g1(68,8)=(-(y(112)*T1385))-y(113)*T180*(-(params(13)*y(9)*y(15)*params(8)))/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(113)*T1370/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*T1370/T117;
  g1(68,9)=(-(y(112)*T1531))-y(113)*T1540+(T104*T102*T180*params(13)*params(8)*y(113)-params(3)*T102*T180*params(13)*y(9)*params(8)*y(113))/(T104*T104)+(T117*T102*T180*T99*y(14)*params(13)*params(8)*y(112)-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*T99*params(3)*y(15))/(T117*T117);
  g1(68,11)=(-(y(112)*T1866))-y(113)*T180*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(113)*T1855/T104+T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*T1855/T117;
  g1(68,13)=T180*y(110)/(y(48)-y(14));
  g1(68,14)=T180*y(13)*y(110)/T1996-y(112)*T2033-y(113)*T2038-y(128)/(T99*T99)+T180*params(13)*y(9)*params(8)*y(113)*T2000/T104+(T117*(T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*T2000+T102*T180*((-(y(14)*params(13)*y(9)*params(8)*y(112)))+T99*params(13)*y(9)*params(8)*y(112)))-T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*(-(params(3)*y(15)*y(9))))/(T117*T117);
  g1(68,15)=(-(y(112)*T2298))-y(113)*T180*(y(11)-y(8))*params(13)*params(8)*y(9)/(y(9)*T99)+T180*params(13)*y(9)*params(8)*y(113)*T2264/T104+(T117*T180*T99*y(14)*params(13)*y(9)*params(8)*y(112)*T2264-T99*T104*T102*T180*T99*y(14)*params(13)*y(9)*params(8)*y(112))/(T117*T117);
  g1(68,32)=y(13)*y(110)/(y(48)-y(14))-y(112)*T2907-y(113)*(y(11)-y(8))*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)+T102*params(13)*y(9)*params(8)*y(113)/T104+T102*T99*y(14)*params(13)*y(9)*params(8)*y(112)/T117;
  g1(68,48)=(-(T180*y(13)*y(110)))/T1996;
  g1(68,95)=(-params(3));
  g1(68,110)=y(13)*T180/(y(48)-y(14));
  g1(68,112)=(-T198)+T102*T180*T99*y(14)*params(13)*params(8)*y(9)/T117;
  g1(68,113)=(-T205)+T102*T180*params(13)*params(8)*y(9)/T104;
  g1(68,128)=(-T2344);
  g1(69,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(111)))/(y(48)-y(45))));
  g1(69,11)=(-((y(33)-1)*params(13)*y(43)*y(111)/(y(48)-y(45))));
  g1(69,33)=(-((y(11)-y(8))*params(13)*y(43)*y(111)/(y(48)-y(45))));
  g1(69,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(111)/(y(48)-y(45))));
  g1(69,45)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(111)/T3213));
  g1(69,48)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(111)))/T3213));
  g1(69,95)=1;
  g1(69,111)=(-((y(33)-1)*(y(11)-y(8))*y(43)*params(13)/(y(48)-y(45))));
  g1(70,125)=(-1);
  g1(70,126)=1;
  g1(71,9)=(-(y(124)*T1567))+y(124)*T1576/params(3);
  g1(71,17)=y(123)*T2496-y(124)*T2514+y(124)*T2525/params(3)+params(3)*y(124)*T2533;
  g1(71,18)=(-(y(124)*T2565))+y(124)*params(10)*y(9)*y(49)*T257/(y(9)*T262)/params(3)+params(3)*y(124)*params(10)*T257/T262;
  g1(71,36)=y(123)*T3065;
  g1(71,49)=(-(y(124)*y(18)*params(10)*y(9)*T262/T269))+y(124)*y(18)*params(10)*y(9)*T257/(y(9)*T262)/params(3);
  g1(71,96)=(-params(3));
  g1(71,123)=T249;
  g1(71,124)=(-T271)+T284/params(3)+params(3)*T296;
  g1(71,125)=(-1);
  g1(72,17)=(-((params(10)*T257*y(123)*T2487+T241*params(10)*2*y(17)*y(123))/T306));
  g1(72,36)=(-((T306*params(10)*T257*y(123)*T3057-T241*params(10)*T257*y(123)*2*y(36))/(T306*T306)));
  g1(72,96)=1;
  g1(72,123)=(-(T241*params(10)*T257/T306));
  g1(73,122)=(-1);
  g1(73,123)=1;
  g1(74,9)=(-((params(3)*y(9)*T313*y(129)-y(9)*y(129)*params(3)*T313)/(params(3)*y(9)*T313*params(3)*y(9)*T313)));
  g1(74,24)=y(121)*T2742-y(120)*T2753-params(3)*y(121)*T2775+params(3)*y(120)*T2790-params(16)*y(119)*T2793/T368-(-(y(9)*y(129)*params(3)*y(9)*2*y(24)))/(params(3)*y(9)*T313*params(3)*y(9)*T313);
  g1(74,37)=(-((T368*params(16)*y(119)*T3088-params(20)*T370*params(16)*y(119))/(T368*T368)));
  g1(74,91)=(-1);
  g1(74,97)=(-params(3));
  g1(74,119)=(-(params(16)*T370/T368));
  g1(74,120)=(-T341)+params(3)*T362;
  g1(74,121)=T330-params(3)*T354;
  g1(74,129)=(-(y(9)/(params(3)*y(9)*T313)));
  g1(75,24)=(params(16)*y(24)*params(20)*y(119)*T2793+T370*params(16)*params(20)*y(119))/T385;
  g1(75,37)=(T385*params(16)*y(24)*params(20)*y(119)*T3088-T370*params(16)*y(24)*params(20)*y(119)*params(20)*2*T368)/(T385*T385);
  g1(75,97)=1;
  g1(75,119)=params(16)*y(24)*params(20)*T370/T385;
  g1(76,92)=1;
  g1(77,98)=(-params(3));
  g1(77,114)=1;
  g1(77,122)=1;
  g1(78,6)=y(28)*params(4)*y(117)/T419;
  g1(78,10)=(-(exp(y(47))*T404*params(4)*y(115)*T1824));
  g1(78,18)=(-(y(38)^2*y(6)*y(28)*params(4)*y(117)))/(T419*T419);
  g1(78,28)=y(6)*params(4)*y(117)/T419;
  g1(78,38)=(-(exp(y(47))*T407*params(4)*y(115)*getPowerDeriv(y(38),params(4)-1,1)))+(-(y(6)*y(28)*params(4)*y(117)*y(18)*2*y(38)))/(T419*T419);
  g1(78,47)=(-(exp(y(47))*T407*T404*params(4)*y(115)));
  g1(78,98)=1;
  g1(78,115)=(-(exp(y(47))*T407*params(4)*T404));
  g1(78,117)=y(6)*params(4)*y(28)/T419;
  g1(78,122)=params(9)-1;
  g1(79,10)=(-(params(6)*getPowerDeriv(y(10),params(7),1)))+params(6)*params(7)*y(108)*getPowerDeriv(y(10),params(7)-1,1)+(-((params(4)-1)*exp(y(47))*y(38)^params(4)*y(115)*getPowerDeriv(y(10),params(4),1)))/(T443*T443);
  g1(79,38)=(params(4)-1)*exp(y(47))*y(115)*getPowerDeriv(y(38),params(4),1)/T443;
  g1(79,47)=T915;
  g1(79,99)=(-params(3));
  g1(79,108)=T436*params(6)*params(7);
  g1(79,115)=T3453;
  g1(79,116)=1;
  g1(80,128)=1;
  g1(81,7)=(-y(108));
  g1(81,8)=y(112)*T1407-y(112)*T1414/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(113)*T1370/T455+T180*params(13)*y(15)*params(8)*y(113)*T1370/T104;
  g1(81,9)=y(112)*T1600-y(112)*T1608/params(3)+(-(params(3)*y(109)))/(T104*T104)-(T455*y(109)-y(9)*y(109)*2*y(9))/(T455*T455)+(-(y(129)*params(3)*y(24)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(y(24)*T455*y(129)-y(9)*y(129)*y(24)*2*y(9))/(y(24)*T455*y(24)*T455)-(T455*T102*T180*params(13)*y(15)*params(8)*y(113)-T102*T180*params(13)*y(9)*y(15)*params(8)*y(113)*2*y(9))/(T455*T455)+(-(params(3)*T102*T180*params(13)*y(15)*params(8)*y(113)))/(T104*T104);
  g1(81,11)=y(112)*T1884-y(112)*T1889/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(113)*T1855/T455+T180*params(13)*y(15)*params(8)*y(113)*T1855/T104;
  g1(81,14)=y(112)*T2064-y(112)*T2076/params(3)-T180*params(13)*y(9)*y(15)*params(8)*y(113)*T2000/T455+T180*params(13)*y(15)*params(8)*y(113)*T2000/T104;
  g1(81,15)=y(112)*T2320-y(112)*T2332/params(3)-(T102*T180*params(13)*y(9)*params(8)*y(113)+T180*params(13)*y(9)*y(15)*params(8)*y(113)*T2264)/T455+(T102*T180*params(13)*params(8)*y(113)+T180*params(13)*y(15)*params(8)*y(113)*T2264)/T104;
  g1(81,24)=(-(T104*y(129)))/(params(3)*y(24)*y(9)*params(3)*y(24)*y(9))-(-(T455*y(9)*y(129)))/(y(24)*T455*y(24)*T455);
  g1(81,32)=y(112)*(-(T102*T99*y(14)*params(13)*y(9)*y(15)*params(8)/(T99*y(15)*T455)))-y(112)*(-(T102*T99*y(14)*params(13)*y(15)*params(8)/T189))/params(3)-T102*params(13)*y(9)*y(15)*params(8)*y(113)/T455+T102*params(13)*y(15)*params(8)*y(113)/T104;
  g1(81,107)=1;
  g1(81,108)=(-y(7));
  g1(81,109)=T3382;
  g1(81,112)=T460-T472/params(3);
  g1(81,113)=T3435;
  g1(81,129)=T3501;
  g1(82,99)=1;
  g1(83,6)=(-((-y(130))/(y(6)*y(6))));
  g1(83,14)=T180*y(15)*y(110)/T1996;
  g1(83,15)=T180*y(110)/(y(48)-y(14));
  g1(83,32)=y(15)*y(110)/(y(48)-y(14));
  g1(83,48)=(-(T180*y(15)*y(110)))/T1996;
  g1(83,103)=(-params(3));
  g1(83,110)=y(15)*T180/(y(48)-y(14));
  g1(83,111)=1;
  g1(83,130)=(-(1/y(6)));
  g1(84,130)=1;
  g1(85,8)=(y(33)-1)*params(13)*y(111)*T1378;
  g1(85,11)=(y(33)-1)*params(13)*y(111)*T1861;
  g1(85,33)=T128*params(13)*y(111);
  g1(85,35)=(y(33)-1)*params(13)*y(111)*T3034;
  g1(85,45)=(y(33)-1)*params(13)*y(111)*T3215;
  g1(85,48)=(y(33)-1)*params(13)*y(111)*T3260;
  g1(85,103)=1;
  g1(85,111)=T128*params(13)*(y(33)-1);
  g1(86,6)=(-y(125));
  g1(86,119)=1;
  g1(86,125)=(-y(6));
  g1(87,6)=(-(params(3)*y(117)*(-(params(4)*y(28)/(y(38)*T536)))));
  g1(87,12)=y(110);
  g1(87,18)=(-(params(3)*y(117)*T2590))+(-((params(9)-1)*y(117)))/(y(18)*y(18));
  g1(87,28)=(-(params(3)*y(117)*(-(y(6)*params(4)/(y(38)*T536)))));
  g1(87,38)=(-(params(3)*y(117)*(-((-(T536*y(6)*params(4)*y(28)))/(y(38)*T536*y(38)*T536)))));
  g1(87,44)=(-(params(14)*y(111)));
  g1(87,101)=(-params(3));
  g1(87,110)=y(12);
  g1(87,111)=(-(y(44)*params(14)));
  g1(87,117)=(-(params(3)*T542))+(params(9)-1)/y(18);
  g1(87,124)=1;
  g1(88,101)=1;
  g1(89,9)=(-(y(112)*T1654))-(y(9)*T180*T561*params(13)*y(15)*params(8)*y(113)-T180*T561*params(13)*y(9)*y(15)*params(8)*y(113))/(y(9)*y(9));
  g1(89,11)=(-(y(109)*y(49)*2*(1+y(11))))/(T556*T556);
  g1(89,14)=(-(y(112)*T2099))-T180*params(13)*y(9)*y(15)*params(8)*y(113)*T2088/y(9);
  g1(89,15)=(-(y(112)*T2353))-T180*(params(13)*y(9)*y(15)*params(8)*y(113)*T2344+T561*params(13)*y(9)*params(8)*y(113))/y(9);
  g1(89,32)=(-(y(112)*T99*y(14)*params(13)*y(9)*y(15)*params(8)*T561/T189))-T561*params(13)*y(9)*y(15)*params(8)*y(113)/y(9);
  g1(89,33)=(-(T576*params(13)*y(43)*params(3)*y(111)));
  g1(89,35)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(111)*1/(y(48)-y(45))));
  g1(89,43)=(-((y(33)-1)*T576*params(13)*params(3)*y(111)));
  g1(89,45)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(111)*y(35)/T3213));
  g1(89,48)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(111)*(-y(35))/T3213));
  g1(89,49)=(-(T555*y(109)))/(T556*T556);
  g1(89,102)=(-params(3));
  g1(89,109)=1/T556;
  g1(89,111)=(-((y(33)-1)*T576*params(13)*params(3)*y(43)));
  g1(89,112)=(-T566);
  g1(89,113)=(-(T180*params(13)*y(9)*y(15)*params(8)*T561/y(9)));
  g1(90,102)=1;
  g1(90,127)=1;
  g1(91,6)=(-(y(27)*y(118)/T588));
  g1(91,23)=(-(y(129)*y(49)*2*(1+y(23))))/(y(49)*T588*y(49)*T588)-(-(y(6)*y(27)*y(118)*2*(1+y(23))))/(T588*T588);
  g1(91,27)=(-(y(6)*y(118)/T588));
  g1(91,49)=(-(T588*y(129)))/(y(49)*T588*y(49)*T588);
  g1(91,100)=(-params(3));
  g1(91,118)=(-(y(6)*y(27)/T588));
  g1(91,129)=1/(y(49)*T588);
  g1(92,100)=1;
  g1(93,9)=y(112)*T1668/params(3)+(T99*T104*T180*params(13)*y(15)*y(15)*params(8)*y(113)-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)*params(3)*T99)/(T99*T104*T99*T104);
  g1(93,14)=y(112)*T2109/params(3)+(-(T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)*(-T104)))/(T99*T104*T99*T104);
  g1(93,15)=y(112)*T180*y(14)*params(13)*params(8)*y(9)/(y(9)*T99)/params(3)+T180*params(13)*y(9)*(y(15)*params(8)*y(113)+y(15)*params(8)*y(113))/(T99*T104);
  g1(93,32)=y(112)*y(14)*params(13)*y(9)*y(15)*params(8)/(y(9)*T99)/params(3)+params(13)*y(9)*y(15)*y(15)*params(8)*y(113)/(T99*T104);
  g1(93,33)=params(13)*y(43)*y(35)*y(111)/(y(48)-y(45));
  g1(93,35)=(y(33)-1)*params(13)*y(43)*y(111)/(y(48)-y(45));
  g1(93,43)=(y(33)-1)*params(13)*y(35)*y(111)/(y(48)-y(45));
  g1(93,45)=(y(33)-1)*params(13)*y(43)*y(35)*y(111)/T3213;
  g1(93,48)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(111)))/T3213;
  g1(93,111)=(y(33)-1)*params(13)*y(35)*y(43)/(y(48)-y(45));
  g1(93,112)=T604/params(3);
  g1(93,113)=T180*params(13)*y(9)*y(15)*y(15)*params(8)/(T99*T104);
  g1(93,117)=1;
  g1(93,127)=(-1);
  g1(94,18)=y(110);
  g1(94,104)=(-params(3));
  g1(94,110)=y(18);
  g1(94,114)=(-1);
  g1(95,6)=(params(4)-1)*y(116)/y(7)-(1+params(18))*y(118)/params(18)-params(4)*y(117)/(y(38)*y(18));
  g1(95,7)=(-((params(4)-1)*y(6)*y(116)))/(y(7)*y(7));
  g1(95,18)=(-((-(y(38)*y(6)*params(4)*y(117)))/(y(38)*y(18)*y(38)*y(18))));
  g1(95,38)=(-((-(y(18)*y(6)*params(4)*y(117)))/(y(38)*y(18)*y(38)*y(18))));
  g1(95,116)=y(6)*(params(4)-1)/y(7);
  g1(95,117)=T2899;
  g1(95,118)=(-(y(6)*(1+params(18))/params(18)));
  g1(96,18)=(-(params(14)*y(111)));
  g1(96,104)=1;
  g1(96,111)=(-(y(18)*params(14)));
  g1(97,127)=1;
  g1(98,8)=y(112)*T1428/params(3)-y(112)*T1434-T180*(-(params(13)*y(9)*y(15)*y(15)*params(8)*y(113)))/(y(9)*T649);
  g1(98,9)=y(112)*T1693/params(3)-y(112)*T1707-(y(9)*T649*T180*(y(11)-y(8))*params(13)*y(15)*y(15)*params(8)*y(113)-T649*T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(113))/(y(9)*T649*y(9)*T649);
  g1(98,11)=y(112)*T1909/params(3)-y(112)*T1915-T180*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)/(y(9)*T649);
  g1(98,13)=T180*y(15)*y(110)/T670;
  g1(98,14)=y(112)*T2131/params(3)-y(112)*T2148-(-(y(15)*y(128)*(-(2*T99))))/(T649*T649)+(-(T180*y(13)*y(15)*y(110)*(-(2*(y(48)-y(14))))))/(T670*T670)-(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)*y(9)*(-(2*T99))))/(y(9)*T649*y(9)*T649);
  g1(98,15)=y(112)*T2385/params(3)-y(112)*T2396-y(128)/T649+T180*y(13)*y(110)/T670-T180*(y(11)-y(8))*params(13)*y(9)*(y(15)*params(8)*y(113)+y(15)*params(8)*y(113))/(y(9)*T649);
  g1(98,32)=y(112)*T2943/params(3)-y(112)*T2949+y(13)*y(15)*y(110)/T670-(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)*y(113)/(y(9)*T649);
  g1(98,48)=(-(T180*y(13)*y(15)*y(110)*2*(y(48)-y(14))))/(T670*T670);
  g1(98,105)=(-params(3));
  g1(98,110)=T180*y(15)*y(13)/T670;
  g1(98,112)=T652/params(3)-T660;
  g1(98,113)=(-(T180*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)/(y(9)*T649)));
  g1(98,128)=(-(y(15)/T649));
  g1(99,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(35)*y(111)))/T681));
  g1(99,11)=(-((y(33)-1)*params(13)*y(43)*y(35)*y(111)/T681));
  g1(99,33)=(-((y(11)-y(8))*params(13)*y(43)*y(35)*y(111)/T681));
  g1(99,35)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(111)/T681));
  g1(99,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(111)/T681));
  g1(99,45)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(111)*(-(2*(y(48)-y(45))))))/(T681*T681)));
  g1(99,48)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)*y(111)*2*(y(48)-y(45))))/(T681*T681)));
  g1(99,105)=1;
  g1(99,111)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(35)*y(43)/T681));
  g1(100,6)=(-((params(4)-1)*y(28)*y(116)/T690));
  g1(100,7)=(-((-((params(4)-1)*y(6)*y(28)*y(116)*2*y(7)))/(T690*T690)));
  g1(100,9)=(-y(108));
  g1(100,28)=(-((params(4)-1)*y(6)*y(116)/T690));
  g1(100,108)=(-y(9));
  g1(100,116)=(-((params(4)-1)*y(6)*y(28)/T690));
  g1(101,6)=(-(y(13)*y(130)*2*y(6)))/(T715*T715);
  g1(101,7)=(-((params(4)-1)*y(28)*y(116)))/(y(7)*y(7));
  g1(101,13)=y(130)/T715;
  g1(101,18)=(-((-(y(38)*y(28)*params(4)*y(117)))/(y(38)*y(18)*y(38)*y(18))));
  g1(101,23)=(-(params(3)*y(27)*y(118)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(101,25)=(-y(125));
  g1(101,26)=y(118);
  g1(101,27)=y(118)/(params(3)*(1+y(23)));
  g1(101,28)=(params(4)-1)*y(116)/y(7)+y(118)*(-((1+params(18))/params(18)))-params(4)*y(117)/(y(38)*y(18));
  g1(101,38)=(-((-(y(18)*y(28)*params(4)*y(117)))/(y(38)*y(18)*y(38)*y(18))));
  g1(101,106)=(-params(3));
  g1(101,115)=1;
  g1(101,116)=(params(4)-1)*y(28)/y(7);
  g1(101,117)=T1335;
  g1(101,118)=T711+y(27)/(params(3)*(1+y(23)));
  g1(101,125)=(-(y(25)-1));
  g1(101,126)=(-params(11));
  g1(101,130)=y(13)/T715;
  g1(102,106)=1;
  g1(103,9)=1;
  g1(103,19)=(-((-1)/((y(50)+y(19)-y(34)*params(5))*(y(50)+y(19)-y(34)*params(5)))-(-(params(5)*y(49)*(1-params(5))))/((y(50)+y(19)-y(19)*params(5))*(y(50)+y(19)-y(19)*params(5)))));
  g1(103,34)=(-(params(5)/((y(50)+y(19)-y(34)*params(5))*(y(50)+y(19)-y(34)*params(5)))));
  g1(103,49)=params(5)/(y(50)+y(19)-y(19)*params(5));
  g1(103,50)=(-((-1)/((y(50)+y(19)-y(34)*params(5))*(y(50)+y(19)-y(34)*params(5)))-(-(params(5)*y(49)))/((y(50)+y(19)-y(19)*params(5))*(y(50)+y(19)-y(19)*params(5)))));
  g1(104,7)=(-y(9));
  g1(104,9)=(-y(7));
  g1(104,10)=params(6)*getPowerDeriv(y(10),params(7),1);
  g1(105,11)=(-((-y(49))/(y(49)*(1+y(11))*y(49)*(1+y(11)))));
  g1(105,49)=(-((-(1+y(11)))/(y(49)*(1+y(11))*y(49)*(1+y(11)))));
  g1(106,12)=y(18);
  g1(106,13)=(-(y(15)/(y(48)-y(14))*(1-y(32))));
  g1(106,14)=(-((1-y(32))*y(13)*y(15)/T1996));
  g1(106,15)=(-((1-y(32))*y(13)*1/(y(48)-y(14))));
  g1(106,18)=y(12);
  g1(106,32)=y(13)*y(15)/(y(48)-y(14));
  g1(106,48)=(-((1-y(32))*y(13)*(-y(15))/T1996));
  g1(107,8)=(-((1-y(33))*y(43)*params(13)*y(35)/(y(48)-y(45))));
  g1(107,11)=(-((1-y(33))*y(43)*params(13)*(1+(-y(35))/(y(48)-y(45)))));
  g1(107,13)=1;
  g1(107,18)=(-(y(44)*params(14)));
  g1(107,33)=y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(48)-y(45)));
  g1(107,35)=(-((1-y(33))*y(43)*params(13)*(y(8)-y(11))/(y(48)-y(45))));
  g1(107,43)=(-(params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(48)-y(45)))*(1-y(33))));
  g1(107,44)=(-(y(18)*params(14)));
  g1(107,45)=(-((1-y(33))*y(43)*params(13)*y(35)*(y(8)-y(11))/T3213));
  g1(107,48)=(-((1-y(33))*y(43)*params(13)*(-(y(35)*(y(8)-y(11))))/T3213));
  g1(108,8)=(-(T1145+y(14)*(1-y(32))*T560*T1149));
  g1(108,11)=(-((-T1145)+y(14)*(1-y(32))*T1149*(1+(-y(15))/T99)));
  g1(108,14)=1-(T1155+y(14)*(1-y(32))*T1149*y(15)*(y(8)-y(11))/(T99*T99));
  g1(108,15)=(-(y(14)*(1-y(32))*T1149*(y(8)-y(11))/T99));
  g1(108,32)=(-(y(14)*(-(T1149*(y(11)+1+y(15)*(y(8)-y(11))/T99)))));
  g1(109,8)=(-(y(15)*(1-y(32))*T560*T1149));
  g1(109,11)=(-(y(15)*(1-y(32))*T1149*(1+(-y(15))/T99)));
  g1(109,14)=(-(y(15)*(1-y(32))*T1149*y(15)*(y(8)-y(11))/(T99*T99)));
  g1(109,15)=1-(T1155+y(15)*(1-y(32))*T1149*(y(8)-y(11))/T99);
  g1(109,32)=(-(y(15)*(-(T1149*(y(11)+1+y(15)*(y(8)-y(11))/T99)))));
  g1(110,5)=1;
  g1(110,12)=(-1);
  g1(111,6)=1;
  g1(111,10)=(-(T1163*T1824));
  g1(111,38)=(-(T407*exp(y(47))*getPowerDeriv(y(38),params(4),1)));
  g1(111,47)=(-(T407*T1163));
  g1(112,6)=(-((1-params(4))*y(28)/y(7)));
  g1(112,7)=(-((-(y(6)*(1-params(4))*y(28)))/(y(7)*y(7))));
  g1(112,10)=1;
  g1(112,28)=(-(y(6)*(1-params(4))/y(7)));
  g1(113,6)=T1335;
  g1(113,8)=1;
  g1(113,18)=(-((-(y(38)*y(6)*params(4)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(113,28)=T2899;
  g1(113,38)=(-((-(y(18)*y(6)*params(4)*y(28)))/(y(38)*y(18)*y(38)*y(18))));
  g1(114,6)=(-(T1179-y(26)-y(27)*1/(1+y(23))));
  g1(114,23)=y(27)*y(6)*(-1)/((1+y(23))*(1+y(23)));
  g1(114,26)=y(6);
  g1(114,27)=y(6)*1/(1+y(23));
  g1(114,28)=(-(y(6)*(1+params(18))/params(18)));
  g1(115,24)=(-(params(16)/2*1/(y(37)*params(20)+params(49)*(1-params(20)))*2*(y(24)/(y(37)*params(20)+params(49)*(1-params(20)))-1)));
  g1(115,25)=1;
  g1(115,37)=(-(params(16)/2*2*(y(24)/(y(37)*params(20)+params(49)*(1-params(20)))-1)*(-(y(24)*params(20)))/((y(37)*params(20)+params(49)*(1-params(20)))*(y(37)*params(20)+params(49)*(1-params(20))))));
  g1(116,24)=(-(((y(24)*params(20)+params(49)*(1-params(20)))*(params(16)*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1)+y(24)*params(16)*T2848)-params(20)*y(24)*params(16)*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1))/((y(24)*params(20)+params(49)*(1-params(20)))*(y(24)*params(20)+params(49)*(1-params(20))))));
  g1(116,26)=1;
  g1(117,24)=(-(((y(24)*params(20)+params(49)*(1-params(20)))*(2*y(24)*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1)*(-params(16))+T313*(-params(16))*T2848)-params(20)*T313*(y(24)/(y(24)*params(20)+params(49)*(1-params(20)))-1)*(-params(16)))/((y(24)*params(20)+params(49)*(1-params(20)))*(y(24)*params(20)+params(49)*(1-params(20))))));
  g1(117,27)=1;
  g1(118,5)=1;
  g1(118,16)=(-1);
  g1(118,38)=(-(1-params(9)));
  g1(119,16)=1;
  g1(119,17)=(-(T1215+y(17)*(-(params(10)/2*T2487*2*T241))));
  g1(119,36)=(-(y(17)*(-(params(10)/2*2*T241*T3057))));
  g1(120,18)=1;
  g1(121,6)=1-y(25);
  g1(121,17)=(-1);
  g1(121,19)=(-1);
  g1(121,20)=(-1);
  g1(121,25)=(-y(6));
  g1(122,6)=(-params(11));
  g1(122,20)=1;
  g1(123,8)=(-1);
  g1(123,21)=1;
  g1(123,42)=1;
  g1(124,14)=(-T2088);
  g1(124,15)=(-T2344);
  g1(124,22)=1;
  g1(125,23)=(-((-y(49))/(y(49)*(1+y(23))*y(49)*(1+y(23)))));
  g1(125,24)=(-1)/(y(24)*y(24));
  g1(125,49)=(-((-(1+y(23)))/(y(49)*(1+y(23))*y(49)*(1+y(23)))));
  g1(126,6)=(-((-y(13))/(y(6)*y(6))));
  g1(126,13)=(-(1/y(6)));
  g1(126,29)=1;
  g1(127,10)=T1853;
  g1(127,19)=T2684;
  g1(127,30)=1;
  g1(127,34)=(-((-params(5))/(y(50)+y(19)-y(34)*params(5))));
  g1(127,50)=T2684;
  g1(128,10)=T1853;
  g1(128,19)=T2684;
  g1(128,31)=1;
  g1(128,34)=(-((-params(5))/(y(50)+y(19)-y(34)*params(5))));
  g1(128,50)=T2684;
  g1(129,48)=1-params(30);
  g1(130,49)=1-params(34);
  g1(131,50)=1-params(36);
  g1(132,47)=1-params(28);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],132,17424);
end
end
