function [residual, g1, g2] = rbcb_monprud_ramsey_infl_bt_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 97, 1);

%
% Model equations
%

T36 = params(12)-y(14);
T39 = 1+y(11)-y(15)*(y(11)-y(8))/T36;
T52 = T36*params(3)*y(15)*y(9);
T66 = 1+y(11)-(y(11)-y(8))*y(35)/(y(50)-y(45));
T78 = (y(19)+y(52)-y(34)*params(5))^2;
T82 = y(51)*params(5)^2;
T85 = (y(19)+y(52)-y(19)*params(5))^2;
T87 = 1/T78+T82/T85;
T131 = y(32)-1;
T137 = T131*(y(11)-y(8))*y(14)*y(15)*params(8)*y(9)*params(13);
T138 = T36*y(15)*y(9);
T142 = T39*T131*T36*y(14)*y(15)*params(8)*y(9)*params(13);
T145 = T36*y(9)*y(15)^2;
T147 = T137/T138+T142/T145;
T154 = T131*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13)/(y(9)*T36)-1;
T194 = y(17)/y(36)-1;
T195 = T194^2;
T202 = params(10)*T195/2+T194*params(10)*y(17)/y(36)-1;
T211 = y(17)^2;
T216 = y(17)^3;
T223 = y(9)*y(17)^4;
T225 = params(10)*y(17)*y(18)/T211+y(18)*params(10)*y(9)*y(51)*T216/T223;
T260 = y(36)^2;
T268 = y(24)^2;
T276 = y(24)*params(20)-params(51)*(params(20)-1);
T277 = T276^2;
T282 = y(24)/T276-1;
T285 = T268*params(16)/T277+params(16)*2*y(24)*T282/T276;
T296 = y(24)*params(16)/T277+params(16)*T282/T276;
T309 = T276^3;
T315 = params(16)*params(20)*y(24)^3/T309+T282*params(16)*T268*params(20)/T277;
T323 = params(16)*T268*params(20)/T309+T282*params(16)*y(24)*params(20)/T277;
T332 = y(24)/(params(20)*y(37)-params(51)*(params(20)-1))-1;
T346 = (params(20)*y(37)-params(51)*(params(20)-1))^2;
T369 = y(10)^(1-params(4));
T383 = y(18)*y(38)^2;
T394 = params(6)*y(10)^params(7);
T410 = y(10)^params(4);
T411 = (params(4)-1)*exp(y(49))*y(78)*y(38)^params(4)/T410;
T421 = y(9)^2;
T426 = (y(11)-y(8))*params(8)*y(9)*(params(13)-1)/T421-T142/(T36*y(15)*T421);
T440 = T39*T131*T36*y(14)*y(15)*params(8)*params(13);
T442 = (params(13)-1)*params(8)*(y(11)-y(8))/y(9)-T440/T138;
T503 = y(18)^2;
T509 = y(18)*(params(9)-1)/T503-y(6)*params(4)*y(28)/(y(38)*T503);
T524 = y(51)*(1+y(11))^2;
T528 = y(15)/T36;
T529 = T528-1;
T532 = T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T529;
T534 = params(8)*y(9)*(params(13)-1)/y(9)+T532/T138;
T556 = (1+y(23))^2;
T570 = T131*y(14)*y(15)*params(8)*y(9)*params(13);
T572 = params(8)*y(9)*(params(13)-1)/y(9)+T570/(y(9)*T36);
T633 = T36^2;
T636 = T39*T131*T36*y(15)*params(8)*y(9)*params(13)/T138+T142/(y(15)*y(9)*T633);
T644 = T39*T570/T138+T137/(T36*y(9)*T36)-1;
T654 = (y(50)-y(14))^2;
T665 = (y(50)-y(45))^2;
T674 = y(7)^2;
T693 = y(26)+(1+y(53)+params(19))/params(18)-y(28)*(1+params(18))/params(18);
T701 = y(6)^2;
T764 = log(y(52)+y(19)-y(34)*params(5))-params(6)*y(10)^(1+params(7))/(1+params(7));
T803 = y(9)*params(8)*(1-params(13))/y(9);
T807 = y(9)*params(8)*params(13)/y(9);
T813 = (1-y(32))*T807*(y(11)+1+y(15)*(y(8)-y(11))/T36);
T821 = exp(y(49))*y(38)^params(4);
T839 = y(28)*(1+params(18))/params(18)+(-(y(53)+1+params(19)))/params(18);
T1008 = (-((-y(15))/T36));
T1324 = params(6)*getPowerDeriv(y(10),params(7),1);
T1340 = params(6)*getPowerDeriv(y(10),1+params(7),1)/(1+params(7));
T1344 = 1-T528;
T1443 = (-(y(15)*(y(11)-y(8))/(T36*T36)));
T1470 = T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1443+T39*T131*(T36*y(15)*params(8)*y(9)*params(13)+(-(y(14)*y(15)*params(8)*y(9)*params(13))));
T1627 = (-((y(11)-y(8))/T36));
T1653 = T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1627+T39*T131*T36*y(14)*params(13)*params(8)*y(9);
T1909 = (y(19)+y(52)-y(34)*params(5))*(y(19)+y(52)-y(34)*params(5));
T1930 = (-((-(y(70)*params(5)*2*(y(19)+y(52)-y(34)*params(5))))/(T78*T78)))+(-(params(5)*y(94)))/T1909+(-(params(5)*y(95)))/T1909;
T1931 = (-(1/(y(52)+y(19)-y(34)*params(5))));
T1980 = (T276-y(24)*params(20))/(T276*T276);
T2071 = (y(24)*params(20)+params(51)*(1-params(20))-y(24)*params(20))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))));
T2212 = (-((-params(5))/(y(52)+y(19)-y(34)*params(5))));
T2256 = (-(y(24)*params(20)))/((params(20)*y(37)-params(51)*(params(20)-1))*(params(20)*y(37)-params(51)*(params(20)-1)));
residual(1) = y(15)*y(73)*y(13)/(y(50)-y(14))-y(56)*params(3)-y(55)+y(15)*params(8)*y(9)*y(76)*params(13)*T39/(params(3)*y(9))+T39*T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)/T52;
residual(2) = y(56)+params(13)*y(74)*y(43)*T66;
residual(3) = y(70)*T87-y(88)-params(3)*y(57)-y(94)/(y(19)+y(52)-y(34)*params(5))-y(95)/(y(19)+y(52)-y(34)*params(5))-y(70)*params(5)*y(51)/(params(3)*T85);
residual(4) = y(57)-y(70)*params(5)/T78+params(5)*y(94)/(y(19)+y(52)-y(34)*params(5))+params(5)*y(95)/(y(19)+y(52)-y(34)*params(5));
residual(5) = y(84)+y(81)*y(6)/(params(3)*(1+y(23)));
residual(6) = y(81)*y(6)+y(83);
residual(7) = y(73)*y(13)*T131/(y(50)-y(14))-y(75)*T147-y(76)*T154-y(91)/T36-params(3)*y(58)+T39*T131*params(13)*y(76)*params(8)*y(9)/(params(3)*y(9))+T39*T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)/T52;
residual(8) = y(58)-(y(11)-y(8))*params(13)*y(74)*y(43)*(y(33)-1)/(y(50)-y(45));
residual(9) = y(89)-y(88);
residual(10) = y(86)*T202-params(3)*y(59)-y(88)-y(87)*T225+y(87)*y(18)*params(10)*y(9)*y(51)*T211/(y(9)*T216)/params(3)+params(3)*y(87)*y(18)*params(10)*T211/T216;
residual(11) = y(59)-T194*params(10)*y(86)*T211/T260;
residual(12) = y(86)-y(85);
residual(13) = y(84)*T285-params(3)*y(60)-y(54)-y(83)*T296+y(94)*params(22)*(2*y(24)-2*params(51))-params(3)*y(84)*T315+params(3)*y(83)*T323-params(16)*y(82)*T332/(params(20)*y(37)-params(51)*(params(20)-1))-y(9)*y(92)/(params(3)*y(9)*T268);
residual(14) = y(60)+T332*params(16)*y(24)*params(20)*y(82)/T346;
residual(15) = y(54);
residual(16) = y(55);
residual(17) = y(85)+y(77)-params(3)*y(61);
residual(18) = y(61)+y(85)*(params(9)-1)-params(4)*y(38)^(params(4)-1)*T369*y(78)*exp(y(49))+y(6)*params(4)*y(80)*y(28)/T383;
residual(19) = y(79)-params(3)*y(62)+y(94)*T394+y(95)*T394+params(6)*params(7)*y(10)^(params(7)-1)*y(71)+T411;
residual(20) = y(91);
residual(21) = y(70)-y(71)*y(7)+y(75)*T426-y(9)*y(72)/T421-y(75)*T442/params(3)+y(72)/(params(3)*y(9))+y(92)/(params(3)*y(9)*y(24))-y(9)*y(92)/(y(24)*T421)-T39*y(15)*params(8)*y(9)*y(76)*params(13)*T131/T421+T39*T131*params(13)*y(15)*params(8)*y(76)/(params(3)*y(9));
residual(22) = y(62);
residual(23) = y(74)-params(3)*y(66)-y(93)/y(6)+y(15)*y(73)*T131/(y(50)-y(14));
residual(24) = y(93);
residual(25) = y(66)+T66*(y(33)-1)*params(13)*y(74);
residual(26) = y(82)-y(88)*y(6);
residual(27) = y(73)*y(12)-(-y(87))-params(3)*y(64)-params(3)*y(80)*T509+(params(9)-1)*y(80)/y(18)-y(74)*params(14)*y(44);
residual(28) = y(64);
residual(29) = y(72)/T524-y(75)*T534-params(3)*y(65)-(y(33)-1)*params(13)*y(43)*params(3)*y(74)*(y(35)/(y(50)-y(45))-1)-T131*y(15)*params(8)*y(9)*y(76)*params(13)*T529/y(9);
residual(30) = y(65)+y(90);
residual(31) = y(92)/(y(51)*T556)-params(3)*y(63)-y(6)*y(81)*y(27)/T556;
residual(32) = y(63);
residual(33) = y(80)-y(90)+y(75)*T572/params(3)+(y(33)-1)*params(13)*y(43)*y(74)*y(35)/(y(50)-y(45))+T131*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)/(T36*params(3)*y(9));
residual(34) = y(73)*y(18)-params(3)*y(67)-y(77);
residual(35) = (params(4)-1)*y(6)*y(79)/y(7)-y(81)*y(6)*(1+params(18))/params(18)-y(6)*params(4)*y(80)/(y(18)*y(38));
residual(36) = y(67)-y(18)*y(74)*params(14);
residual(37) = y(90)+y(95)*params(21)*(2*y(21)-2*params(17));
residual(38) = y(94)+params(1);
residual(39) = y(95)+params(2);
residual(40) = y(75)*T636/params(3)-y(75)*T644-y(15)*y(91)/T633-params(3)*y(68)+y(15)*y(73)*y(13)*T131/T654-T131*(y(11)-y(8))*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)/(y(9)*T633);
residual(41) = y(68)-(y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(74)*y(35)/T665;
residual(42) = y(71)*(-y(9))-(params(4)-1)*y(6)*y(28)*y(79)/T674;
residual(43) = y(78)-params(3)*y(69)-y(89)*params(11)+y(81)*T693-y(88)*(y(25)-1)+y(13)*y(93)/T701+y(81)*y(27)/(params(3)*(1+y(23)))+(params(4)-1)*y(28)*y(79)/y(7)-params(4)*y(80)*y(28)/(y(18)*y(38));
residual(44) = y(69);
lhs =y(1);
rhs =params(1)*y(30)+params(2)*y(31);
residual(45)= lhs-rhs;
lhs =y(2);
rhs =y(1)+params(3)*y(2);
residual(46)= lhs-rhs;
lhs =y(96);
rhs =y(30)+params(3)*y(96);
residual(47)= lhs-rhs;
lhs =y(97);
rhs =y(31)+params(3)*y(97);
residual(48)= lhs-rhs;
lhs =y(3);
rhs =y(24);
residual(49)= lhs-rhs;
lhs =y(4);
rhs =y(32);
residual(50)= lhs-rhs;
lhs =y(33);
rhs =y(32);
residual(51)= lhs-rhs;
lhs =y(34);
rhs =y(19);
residual(52)= lhs-rhs;
lhs =y(35);
rhs =y(15);
residual(53)= lhs-rhs;
lhs =y(36);
rhs =y(17);
residual(54)= lhs-rhs;
lhs =y(37);
rhs =y(24);
residual(55)= lhs-rhs;
lhs =y(38);
rhs =y(5);
residual(56)= lhs-rhs;
lhs =y(39);
rhs =y(10);
residual(57)= lhs-rhs;
lhs =y(40);
rhs =y(23);
residual(58)= lhs-rhs;
lhs =y(41);
rhs =y(18);
residual(59)= lhs-rhs;
lhs =y(42);
rhs =y(11);
residual(60)= lhs-rhs;
lhs =y(43);
rhs =y(13);
residual(61)= lhs-rhs;
lhs =y(44);
rhs =y(12);
residual(62)= lhs-rhs;
lhs =y(45);
rhs =y(14);
residual(63)= lhs-rhs;
lhs =y(46);
rhs =y(6);
residual(64)= lhs-rhs;
lhs =y(47);
rhs =T764;
residual(65)= lhs-rhs;
lhs =y(48);
rhs =y(47)+params(8)*y(48);
residual(66)= lhs-rhs;
lhs =y(9);
rhs =1/(y(52)+y(19)-y(34)*params(5))-params(5)*y(51)/(y(52)+y(19)-y(19)*params(5));
residual(67)= lhs-rhs;
lhs =T394;
rhs =y(9)*y(7);
residual(68)= lhs-rhs;
lhs =1;
rhs =1/(y(51)*(1+y(11)));
residual(69)= lhs-rhs;
lhs =y(18)*y(12);
rhs =y(13)*y(15)/(y(50)-y(14))*(1-y(32));
residual(70)= lhs-rhs;
lhs =y(13);
rhs =y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)))*(1-y(33))+y(44)*y(18)*params(14);
residual(71)= lhs-rhs;
lhs =y(14);
rhs =(y(8)-y(11))*T803+y(14)*T813;
residual(72)= lhs-rhs;
lhs =y(15);
rhs =1-params(13)+y(15)*T813;
residual(73)= lhs-rhs;
lhs =y(5);
rhs =y(12);
residual(74)= lhs-rhs;
lhs =y(6);
rhs =T369*T821;
residual(75)= lhs-rhs;
lhs =y(10);
rhs =y(6)*(1-params(4))*y(28)/y(7);
residual(76)= lhs-rhs;
lhs =1+y(8);
rhs =y(6)*params(4)*y(28)/(y(18)*y(38))+y(18)*(1-params(9))/y(18);
residual(77)= lhs-rhs;
lhs =0;
rhs =y(6)*T839-y(6)*y(26)-y(27)*y(6)*1/(1+y(23));
residual(78)= lhs-rhs;
lhs =y(25);
rhs =params(16)/2*(y(24)/(params(20)*y(37)+params(51)*(1-params(20)))-1)^2;
residual(79)= lhs-rhs;
lhs =y(26);
rhs =y(24)*params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)/(y(24)*params(20)+params(51)*(1-params(20)));
residual(80)= lhs-rhs;
lhs =y(27);
rhs =T268*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16))/(y(24)*params(20)+params(51)*(1-params(20)));
residual(81)= lhs-rhs;
lhs =y(5);
rhs =y(16)+y(38)*(1-params(9));
residual(82)= lhs-rhs;
lhs =y(16);
rhs =y(17)*(1-T195*params(10)/2);
residual(83)= lhs-rhs;
lhs =y(18);
rhs =1;
residual(84)= lhs-rhs;
lhs =y(6);
rhs =y(19)+y(17)+y(20)+y(6)*y(25);
residual(85)= lhs-rhs;
lhs =y(20);
rhs =y(6)*params(11);
residual(86)= lhs-rhs;
lhs =y(21);
rhs =y(8)-y(42);
residual(87)= lhs-rhs;
lhs =y(22);
rhs =T528;
residual(88)= lhs-rhs;
lhs =1/y(24);
rhs =1/(y(51)*(1+y(23)));
residual(89)= lhs-rhs;
lhs =y(29);
rhs =y(13)/y(6);
residual(90)= lhs-rhs;
lhs =y(30);
rhs =T764-params(22)*(y(24)-params(51))^2;
residual(91)= lhs-rhs;
lhs =y(31);
rhs =T764-params(21)*(y(21)-params(17))^2;
residual(92)= lhs-rhs;
lhs =y(50)-params(12);
rhs =(y(50)-params(12))*params(32)+params(33)*x(3);
residual(93)= lhs-rhs;
lhs =y(51)-params(8);
rhs =(y(51)-params(8))*params(36)+params(37)*x(5);
residual(94)= lhs-rhs;
lhs =y(52);
rhs =y(52)*params(38)+params(39)*x(6);
residual(95)= lhs-rhs;
lhs =y(49);
rhs =y(49)*params(30)+params(31)*x(1);
residual(96)= lhs-rhs;
lhs =y(53);
rhs =y(53)*params(53)+params(52)*x(7);
residual(97)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(97, 97);

  %
  % Jacobian matrix
  %

  g1(1,8)=y(15)*params(8)*y(9)*y(76)*params(13)*T1008/(params(3)*y(9))+T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T1008/T52;
  g1(1,9)=(params(3)*y(9)*T39*params(13)*y(15)*params(8)*y(76)-params(3)*y(15)*params(8)*y(9)*y(76)*params(13)*T39)/(params(3)*y(9)*params(3)*y(9))+(T52*T39*T36*y(14)*params(13)*y(15)*params(8)*y(75)-T39*T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T36*y(15)*params(3))/(T52*T52);
  g1(1,11)=y(15)*params(8)*y(9)*y(76)*params(13)*T1344/(params(3)*y(9))+T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T1344/T52;
  g1(1,13)=y(15)*y(73)/(y(50)-y(14));
  g1(1,14)=y(15)*y(73)*y(13)/((y(50)-y(14))*(y(50)-y(14)))+y(15)*params(8)*y(9)*y(76)*params(13)*T1443/(params(3)*y(9))+(T52*(T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T1443+T39*((-(y(14)*params(13)*y(15)*params(8)*y(9)*y(75)))+T36*params(13)*y(15)*params(8)*y(9)*y(75)))-T39*T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*(-(params(3)*y(15)*y(9))))/(T52*T52);
  g1(1,15)=y(73)*y(13)/(y(50)-y(14))+(T39*params(13)*y(76)*params(8)*y(9)+y(15)*params(8)*y(9)*y(76)*params(13)*T1627)/(params(3)*y(9))+(T52*(T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T1627+T39*T36*y(14)*params(13)*y(75)*params(8)*y(9))-T39*T36*y(14)*params(13)*y(15)*params(8)*y(9)*y(75)*T36*params(3)*y(9))/(T52*T52);
  g1(1,50)=(-(y(15)*y(73)*y(13)))/((y(50)-y(14))*(y(50)-y(14)));
  g1(1,55)=(-1);
  g1(1,56)=(-params(3));
  g1(1,73)=y(15)*y(13)/(y(50)-y(14));
  g1(1,75)=T39*T36*y(14)*y(15)*params(8)*y(9)*params(13)/T52;
  g1(1,76)=T39*y(15)*params(8)*y(9)*params(13)/(params(3)*y(9));
  g1(2,8)=params(13)*y(74)*y(43)*(-((-y(35))/(y(50)-y(45))));
  g1(2,11)=params(13)*y(74)*y(43)*(1-y(35)/(y(50)-y(45)));
  g1(2,35)=params(13)*y(74)*y(43)*(-((y(11)-y(8))/(y(50)-y(45))));
  g1(2,43)=T66*params(13)*y(74);
  g1(2,45)=params(13)*y(74)*y(43)*(-((y(11)-y(8))*y(35)/((y(50)-y(45))*(y(50)-y(45)))));
  g1(2,50)=params(13)*y(74)*y(43)*(-((-((y(11)-y(8))*y(35)))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(2,56)=1;
  g1(2,74)=T66*params(13)*y(43);
  g1(3,19)=y(70)*((-(2*(y(19)+y(52)-y(34)*params(5))))/(T78*T78)+(-(T82*(1-params(5))*2*(y(19)+y(52)-y(19)*params(5))))/(T85*T85))-(-y(94))/T1909-(-y(95))/T1909-(-(y(70)*params(5)*y(51)*params(3)*(1-params(5))*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T85*params(3)*T85);
  g1(3,34)=y(70)*(-(2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T78*T78)-(-(y(94)*(-params(5))))/T1909-(-(y(95)*(-params(5))))/T1909;
  g1(3,51)=y(70)*params(5)^2/T85-y(70)*params(5)/(params(3)*T85);
  g1(3,52)=y(70)*((-(2*(y(19)+y(52)-y(34)*params(5))))/(T78*T78)+(-(T82*2*(y(19)+y(52)-y(19)*params(5))))/(T85*T85))-(-y(94))/T1909-(-y(95))/T1909-(-(y(70)*params(5)*y(51)*params(3)*2*(y(19)+y(52)-y(19)*params(5))))/(params(3)*T85*params(3)*T85);
  g1(3,57)=(-params(3));
  g1(3,70)=T87-params(5)*y(51)/(params(3)*T85);
  g1(3,88)=(-1);
  g1(3,94)=(-(1/(y(19)+y(52)-y(34)*params(5))));
  g1(3,95)=(-(1/(y(19)+y(52)-y(34)*params(5))));
  g1(4,19)=T1930;
  g1(4,34)=(-((-(y(70)*params(5)*2*(y(19)+y(52)-y(34)*params(5))*(-params(5))))/(T78*T78)))+(-(params(5)*y(94)*(-params(5))))/T1909+(-(params(5)*y(95)*(-params(5))))/T1909;
  g1(4,52)=T1930;
  g1(4,57)=1;
  g1(4,70)=(-(params(5)/T78));
  g1(4,94)=params(5)/(y(19)+y(52)-y(34)*params(5));
  g1(4,95)=params(5)/(y(19)+y(52)-y(34)*params(5));
  g1(5,6)=y(81)/(params(3)*(1+y(23)));
  g1(5,23)=(-(params(3)*y(81)*y(6)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(5,81)=y(6)/(params(3)*(1+y(23)));
  g1(5,84)=1;
  g1(6,6)=y(81);
  g1(6,81)=y(6);
  g1(6,83)=1;
  g1(7,8)=(-(y(75)*(T131*(-(y(14)*y(15)*params(8)*y(9)*params(13)))/T138+T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1008/T145)))-y(76)*T131*(-(y(15)*params(8)*y(9)*params(13)))/(y(9)*T36)+T131*params(13)*y(76)*params(8)*y(9)*T1008/(params(3)*y(9))+T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T1008/T52;
  g1(7,9)=(-(y(75)*((T138*T131*(y(11)-y(8))*y(14)*y(15)*params(8)*params(13)-T137*y(15)*T36)/(T138*T138)+(T145*T440-T142*T36*y(15)^2)/(T145*T145))))-y(76)*(y(9)*T36*T131*(y(11)-y(8))*y(15)*params(8)*params(13)-T36*T131*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13))/(y(9)*T36*y(9)*T36)+(params(3)*y(9)*T39*T131*params(13)*params(8)*y(76)-params(3)*T39*T131*params(13)*y(76)*params(8)*y(9))/(params(3)*y(9)*params(3)*y(9))+(T52*T39*T131*T36*y(14)*params(13)*params(8)*y(75)-T39*T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T36*y(15)*params(3))/(T52*T52);
  g1(7,11)=(-(y(75)*(T570/T138+T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1344/T145)))-y(76)*T131*y(15)*params(8)*y(9)*params(13)/(y(9)*T36)+T131*params(13)*y(76)*params(8)*y(9)*T1344/(params(3)*y(9))+T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T1344/T52;
  g1(7,13)=y(73)*T131/(y(50)-y(14));
  g1(7,14)=y(73)*y(13)*T131/((y(50)-y(14))*(y(50)-y(14)))-y(75)*((T138*T131*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13)-T137*(-(y(15)*y(9))))/(T138*T138)+(T145*T1470-T142*(-(y(9)*y(15)^2)))/(T145*T145))-y(76)*(-(T131*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13)*(-y(9))))/(y(9)*T36*y(9)*T36)-y(91)/(T36*T36)+T131*params(13)*y(76)*params(8)*y(9)*T1443/(params(3)*y(9))+(T52*(T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T1443+T39*T131*((-(y(14)*params(13)*y(75)*params(8)*y(9)))+T36*params(13)*y(75)*params(8)*y(9)))-T39*T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*(-(params(3)*y(15)*y(9))))/(T52*T52);
  g1(7,15)=(-(y(75)*((T138*T131*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)-T137*y(9)*T36)/(T138*T138)+(T145*T1653-T142*T36*y(9)*2*y(15))/(T145*T145))))-y(76)*T131*(y(11)-y(8))*params(13)*params(8)*y(9)/(y(9)*T36)+T131*params(13)*y(76)*params(8)*y(9)*T1627/(params(3)*y(9))+(T52*T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T1627-T39*T131*T36*y(14)*params(13)*y(75)*params(8)*y(9)*T36*params(3)*y(9))/(T52*T52);
  g1(7,32)=y(73)*y(13)/(y(50)-y(14))-y(75)*((y(11)-y(8))*y(14)*y(15)*params(8)*y(9)*params(13)/T138+T39*T36*y(14)*y(15)*params(8)*y(9)*params(13)/T145)-y(76)*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13)/(y(9)*T36)+T39*params(13)*y(76)*params(8)*y(9)/(params(3)*y(9))+T39*T36*y(14)*params(13)*y(75)*params(8)*y(9)/T52;
  g1(7,50)=(-(y(73)*y(13)*T131))/((y(50)-y(14))*(y(50)-y(14)));
  g1(7,58)=(-params(3));
  g1(7,73)=y(13)*T131/(y(50)-y(14));
  g1(7,75)=(-T147)+T39*T131*T36*y(14)*params(13)*params(8)*y(9)/T52;
  g1(7,76)=(-T154)+T39*T131*params(13)*params(8)*y(9)/(params(3)*y(9));
  g1(7,91)=(-(1/T36));
  g1(8,8)=(-((y(33)-1)*(-(params(13)*y(74)*y(43)))/(y(50)-y(45))));
  g1(8,11)=(-(params(13)*y(74)*y(43)*(y(33)-1)/(y(50)-y(45))));
  g1(8,33)=(-((y(11)-y(8))*params(13)*y(74)*y(43)/(y(50)-y(45))));
  g1(8,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(74)/(y(50)-y(45))));
  g1(8,45)=(-((y(11)-y(8))*params(13)*y(74)*y(43)*(y(33)-1)/((y(50)-y(45))*(y(50)-y(45)))));
  g1(8,50)=(-((-((y(11)-y(8))*params(13)*y(74)*y(43)*(y(33)-1)))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(8,58)=1;
  g1(8,74)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)/(y(50)-y(45))));
  g1(9,88)=(-1);
  g1(9,89)=1;
  g1(10,9)=(-(y(87)*(T223*y(18)*params(10)*y(51)*T216-y(18)*params(10)*y(9)*y(51)*T216*y(17)^4)/(T223*T223)))+y(87)*(y(9)*T216*y(18)*params(10)*y(51)*T211-T216*y(18)*params(10)*y(9)*y(51)*T211)/(y(9)*T216*y(9)*T216)/params(3);
  g1(10,17)=y(86)*(params(10)*1/y(36)*2*T194/2+(params(10)*y(17)*1/y(36)+params(10)*T194)/y(36))-y(87)*((T211*params(10)*y(18)-params(10)*y(17)*y(18)*2*y(17))/(T211*T211)+(T223*y(18)*params(10)*y(9)*y(51)*T211*3-y(18)*params(10)*y(9)*y(51)*T216*y(9)*T216*4)/(T223*T223))+y(87)*(y(9)*T216*y(18)*params(10)*y(9)*y(51)*2*y(17)-y(18)*params(10)*y(9)*y(51)*T211*y(9)*T211*3)/(y(9)*T216*y(9)*T216)/params(3)+params(3)*y(87)*(T216*y(18)*params(10)*2*y(17)-y(18)*params(10)*T211*T211*3)/(T216*T216);
  g1(10,18)=(-(y(87)*(params(10)*y(17)/T211+params(10)*y(9)*y(51)*T216/T223)))+y(87)*params(10)*y(9)*y(51)*T211/(y(9)*T216)/params(3)+params(3)*y(87)*params(10)*T211/T216;
  g1(10,36)=y(86)*(params(10)*2*T194*(-y(17))/(y(36)*y(36))/2+(y(36)*params(10)*y(17)*(-y(17))/(y(36)*y(36))-T194*params(10)*y(17))/(y(36)*y(36)));
  g1(10,51)=(-(y(87)*y(18)*params(10)*y(9)*T216/T223))+y(87)*y(18)*params(10)*y(9)*T211/(y(9)*T216)/params(3);
  g1(10,59)=(-params(3));
  g1(10,86)=T202;
  g1(10,87)=(-T225)+y(18)*params(10)*y(9)*y(51)*T211/(y(9)*T216)/params(3)+params(3)*y(18)*params(10)*T211/T216;
  g1(10,88)=(-1);
  g1(11,17)=(-((params(10)*y(86)*T211*1/y(36)+T194*params(10)*y(86)*2*y(17))/T260));
  g1(11,36)=(-((T260*params(10)*y(86)*T211*(-y(17))/(y(36)*y(36))-T194*params(10)*y(86)*T211*2*y(36))/(T260*T260)));
  g1(11,59)=1;
  g1(11,86)=(-(T194*params(10)*T211/T260));
  g1(12,85)=(-1);
  g1(12,86)=1;
  g1(13,9)=(-((y(92)*params(3)*y(9)*T268-y(9)*y(92)*params(3)*T268)/(params(3)*y(9)*T268*params(3)*y(9)*T268)));
  g1(13,24)=y(84)*((T277*params(16)*2*y(24)-T268*params(16)*params(20)*2*T276)/(T277*T277)+(T276*(T282*2*params(16)+params(16)*2*y(24)*T1980)-params(20)*params(16)*2*y(24)*T282)/(T276*T276))-y(83)*((params(16)*T277-y(24)*params(16)*params(20)*2*T276)/(T277*T277)+(T276*params(16)*T1980-params(20)*params(16)*T282)/(T276*T276))+2*y(94)*params(22)-params(3)*y(84)*((T309*params(16)*params(20)*3*T268-params(16)*params(20)*y(24)^3*params(20)*3*T277)/(T309*T309)+(T277*(params(16)*T268*params(20)*T1980+T282*params(16)*params(20)*2*y(24))-T282*params(16)*T268*params(20)*params(20)*2*T276)/(T277*T277))+params(3)*y(83)*((T309*params(16)*params(20)*2*y(24)-params(16)*T268*params(20)*params(20)*3*T277)/(T309*T309)+(T277*(params(16)*y(24)*params(20)*T1980+T282*params(16)*params(20))-T282*params(16)*y(24)*params(20)*params(20)*2*T276)/(T277*T277))-params(16)*y(82)*1/(params(20)*y(37)-params(51)*(params(20)-1))/(params(20)*y(37)-params(51)*(params(20)-1))-(-(y(9)*y(92)*params(3)*y(9)*2*y(24)))/(params(3)*y(9)*T268*params(3)*y(9)*T268);
  g1(13,37)=(-(((params(20)*y(37)-params(51)*(params(20)-1))*params(16)*y(82)*T2256-params(20)*params(16)*y(82)*T332)/((params(20)*y(37)-params(51)*(params(20)-1))*(params(20)*y(37)-params(51)*(params(20)-1)))));
  g1(13,54)=(-1);
  g1(13,60)=(-params(3));
  g1(13,82)=(-(params(16)*T332/(params(20)*y(37)-params(51)*(params(20)-1))));
  g1(13,83)=(-T296)+params(3)*T323;
  g1(13,84)=T285-params(3)*T315;
  g1(13,92)=(-(y(9)/(params(3)*y(9)*T268)));
  g1(13,94)=params(22)*(2*y(24)-2*params(51));
  g1(14,24)=(params(16)*y(24)*params(20)*y(82)*1/(params(20)*y(37)-params(51)*(params(20)-1))+T332*params(16)*params(20)*y(82))/T346;
  g1(14,37)=(T346*params(16)*y(24)*params(20)*y(82)*T2256-T332*params(16)*y(24)*params(20)*y(82)*params(20)*2*(params(20)*y(37)-params(51)*(params(20)-1)))/(T346*T346);
  g1(14,60)=1;
  g1(14,82)=params(16)*y(24)*params(20)*T332/T346;
  g1(15,54)=1;
  g1(16,55)=1;
  g1(17,61)=(-params(3));
  g1(17,77)=1;
  g1(17,85)=1;
  g1(18,6)=params(4)*y(80)*y(28)/T383;
  g1(18,10)=(-(exp(y(49))*y(78)*params(4)*y(38)^(params(4)-1)*getPowerDeriv(y(10),1-params(4),1)));
  g1(18,18)=(-(y(6)*params(4)*y(80)*y(28)*y(38)^2))/(T383*T383);
  g1(18,28)=y(6)*params(4)*y(80)/T383;
  g1(18,38)=(-(exp(y(49))*y(78)*T369*params(4)*getPowerDeriv(y(38),params(4)-1,1)))+(-(y(6)*params(4)*y(80)*y(28)*y(18)*2*y(38)))/(T383*T383);
  g1(18,49)=(-(params(4)*y(38)^(params(4)-1)*T369*y(78)*exp(y(49))));
  g1(18,61)=1;
  g1(18,78)=(-(params(4)*y(38)^(params(4)-1)*T369*exp(y(49))));
  g1(18,80)=y(6)*params(4)*y(28)/T383;
  g1(18,85)=params(9)-1;
  g1(19,10)=y(94)*T1324+y(95)*T1324+y(71)*params(6)*params(7)*getPowerDeriv(y(10),params(7)-1,1)+(-((params(4)-1)*exp(y(49))*y(78)*y(38)^params(4)*getPowerDeriv(y(10),params(4),1)))/(T410*T410);
  g1(19,38)=(params(4)-1)*exp(y(49))*y(78)*getPowerDeriv(y(38),params(4),1)/T410;
  g1(19,49)=T411;
  g1(19,62)=(-params(3));
  g1(19,71)=params(6)*params(7)*y(10)^(params(7)-1);
  g1(19,78)=(params(4)-1)*T821/T410;
  g1(19,79)=1;
  g1(19,94)=T394;
  g1(19,95)=T394;
  g1(20,91)=1;
  g1(21,7)=(-y(71));
  g1(21,8)=y(75)*((params(13)-1)*(-(params(8)*y(9)))/T421-T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1008/(T36*y(15)*T421))-y(75)*((params(13)-1)*(-params(8))/y(9)-T131*T36*y(14)*y(15)*params(8)*params(13)*T1008/T138)/params(3)-y(15)*params(8)*y(9)*y(76)*params(13)*T131*T1008/T421+T131*params(13)*y(15)*params(8)*y(76)*T1008/(params(3)*y(9));
  g1(21,9)=y(75)*((T421*(params(13)-1)*params(8)*(y(11)-y(8))-(y(11)-y(8))*params(8)*y(9)*(params(13)-1)*2*y(9))/(T421*T421)-(T36*y(15)*T421*T440-T142*T36*y(15)*2*y(9))/(T36*y(15)*T421*T36*y(15)*T421))-(T421*y(72)-y(9)*y(72)*2*y(9))/(T421*T421)-y(75)*((-((params(13)-1)*params(8)*(y(11)-y(8))))/(y(9)*y(9))-(-(T440*y(15)*T36))/(T138*T138))/params(3)+(-(params(3)*y(72)))/(params(3)*y(9)*params(3)*y(9))+(-(y(92)*params(3)*y(24)))/(params(3)*y(9)*y(24)*params(3)*y(9)*y(24))-(y(92)*y(24)*T421-y(9)*y(92)*y(24)*2*y(9))/(y(24)*T421*y(24)*T421)-(T421*T39*T131*params(13)*y(15)*params(8)*y(76)-T39*y(15)*params(8)*y(9)*y(76)*params(13)*T131*2*y(9))/(T421*T421)+(-(params(3)*T39*T131*params(13)*y(15)*params(8)*y(76)))/(params(3)*y(9)*params(3)*y(9));
  g1(21,11)=y(75)*(params(8)*y(9)*(params(13)-1)/T421-T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1344/(T36*y(15)*T421))-y(75)*(params(8)*(params(13)-1)/y(9)-T131*T36*y(14)*y(15)*params(8)*params(13)*T1344/T138)/params(3)-y(15)*params(8)*y(9)*y(76)*params(13)*T131*T1344/T421+T131*params(13)*y(15)*params(8)*y(76)*T1344/(params(3)*y(9));
  g1(21,14)=y(75)*(-((T36*y(15)*T421*T1470-T142*(-(y(15)*T421)))/(T36*y(15)*T421*T36*y(15)*T421)))-y(75)*(-((T138*(T131*T36*y(14)*y(15)*params(8)*params(13)*T1443+T39*T131*(T36*y(15)*params(8)*params(13)+(-(y(14)*y(15)*params(8)*params(13)))))-T440*(-(y(15)*y(9))))/(T138*T138)))/params(3)-y(15)*params(8)*y(9)*y(76)*params(13)*T131*T1443/T421+T131*params(13)*y(15)*params(8)*y(76)*T1443/(params(3)*y(9));
  g1(21,15)=y(75)*(-((T36*y(15)*T421*T1653-T142*T36*T421)/(T36*y(15)*T421*T36*y(15)*T421)))-y(75)*(-((T138*(T131*T36*y(14)*y(15)*params(8)*params(13)*T1627+T39*T131*T36*y(14)*params(8)*params(13))-y(9)*T36*T440)/(T138*T138)))/params(3)-(T39*T131*params(13)*y(76)*params(8)*y(9)+y(15)*params(8)*y(9)*y(76)*params(13)*T131*T1627)/T421+(T39*T131*params(13)*params(8)*y(76)+T131*params(13)*y(15)*params(8)*y(76)*T1627)/(params(3)*y(9));
  g1(21,24)=(-(params(3)*y(9)*y(92)))/(params(3)*y(9)*y(24)*params(3)*y(9)*y(24))-(-(y(9)*y(92)*T421))/(y(24)*T421*y(24)*T421);
  g1(21,32)=y(75)*(-(T39*T36*y(14)*y(15)*params(8)*y(9)*params(13)/(T36*y(15)*T421)))-y(75)*(-(T39*T36*y(14)*y(15)*params(8)*params(13)/T138))/params(3)-y(15)*params(8)*y(9)*y(76)*params(13)*T39/T421+T39*params(13)*y(15)*params(8)*y(76)/(params(3)*y(9));
  g1(21,70)=1;
  g1(21,71)=(-y(7));
  g1(21,72)=(-(y(9)/T421))+1/(params(3)*y(9));
  g1(21,75)=T426-T442/params(3);
  g1(21,76)=(-(T39*T131*y(15)*params(8)*y(9)*params(13)/T421))+T39*T131*y(15)*params(8)*params(13)/(params(3)*y(9));
  g1(21,92)=1/(params(3)*y(9)*y(24))-y(9)/(y(24)*T421);
  g1(22,62)=1;
  g1(23,6)=(-((-y(93))/(y(6)*y(6))));
  g1(23,14)=y(15)*y(73)*T131/((y(50)-y(14))*(y(50)-y(14)));
  g1(23,15)=y(73)*T131/(y(50)-y(14));
  g1(23,32)=y(15)*y(73)/(y(50)-y(14));
  g1(23,50)=(-(y(15)*y(73)*T131))/((y(50)-y(14))*(y(50)-y(14)));
  g1(23,66)=(-params(3));
  g1(23,73)=y(15)*T131/(y(50)-y(14));
  g1(23,74)=1;
  g1(23,93)=(-(1/y(6)));
  g1(24,93)=1;
  g1(25,8)=(y(33)-1)*params(13)*y(74)*(-((-y(35))/(y(50)-y(45))));
  g1(25,11)=(y(33)-1)*params(13)*y(74)*(1-y(35)/(y(50)-y(45)));
  g1(25,33)=T66*params(13)*y(74);
  g1(25,35)=(y(33)-1)*params(13)*y(74)*(-((y(11)-y(8))/(y(50)-y(45))));
  g1(25,45)=(y(33)-1)*params(13)*y(74)*(-((y(11)-y(8))*y(35)/((y(50)-y(45))*(y(50)-y(45)))));
  g1(25,50)=(y(33)-1)*params(13)*y(74)*(-((-((y(11)-y(8))*y(35)))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(25,66)=1;
  g1(25,74)=T66*params(13)*(y(33)-1);
  g1(26,6)=(-y(88));
  g1(26,82)=1;
  g1(26,88)=(-y(6));
  g1(27,6)=(-(params(3)*y(80)*(-(params(4)*y(28)/(y(38)*T503)))));
  g1(27,12)=y(73);
  g1(27,18)=(-(params(3)*y(80)*(((params(9)-1)*T503-y(18)*(params(9)-1)*2*y(18))/(T503*T503)-(-(y(6)*params(4)*y(28)*y(38)*2*y(18)))/(y(38)*T503*y(38)*T503))))+(-((params(9)-1)*y(80)))/(y(18)*y(18));
  g1(27,28)=(-(params(3)*y(80)*(-(y(6)*params(4)/(y(38)*T503)))));
  g1(27,38)=(-(params(3)*y(80)*(-((-(T503*y(6)*params(4)*y(28)))/(y(38)*T503*y(38)*T503)))));
  g1(27,44)=(-(y(74)*params(14)));
  g1(27,64)=(-params(3));
  g1(27,73)=y(12);
  g1(27,74)=(-(params(14)*y(44)));
  g1(27,80)=(-(params(3)*T509))+(params(9)-1)/y(18);
  g1(27,87)=1;
  g1(28,64)=1;
  g1(29,9)=(-(y(75)*((y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(T138*T131*T36*y(14)*y(15)*params(8)*params(13)*T529-T532*y(15)*T36)/(T138*T138))))-(y(9)*T131*params(13)*y(15)*params(8)*y(76)*T529-T131*y(15)*params(8)*y(9)*y(76)*params(13)*T529)/(y(9)*y(9));
  g1(29,11)=(-(y(72)*y(51)*2*(1+y(11))))/(T524*T524);
  g1(29,14)=(-(y(75)*(T138*T131*((-(y(14)*y(15)*params(8)*y(9)*params(13)*T529))+T36*(y(15)*params(8)*y(9)*params(13)*T529+y(14)*y(15)*params(8)*y(9)*params(13)*y(15)/(T36*T36)))-T532*(-(y(15)*y(9))))/(T138*T138)))-T131*y(15)*params(8)*y(9)*y(76)*params(13)*y(15)/(T36*T36)/y(9);
  g1(29,15)=(-(y(75)*(T138*T131*T36*(T529*y(14)*params(13)*params(8)*y(9)+y(14)*y(15)*params(8)*y(9)*params(13)*1/T36)-y(9)*T36*T532)/(T138*T138)))-T131*(params(13)*y(76)*params(8)*y(9)*T529+y(15)*params(8)*y(9)*y(76)*params(13)*1/T36)/y(9);
  g1(29,32)=(-(y(75)*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T529/T138))-y(15)*params(8)*y(9)*y(76)*params(13)*T529/y(9);
  g1(29,33)=(-(params(13)*y(43)*params(3)*y(74)*(y(35)/(y(50)-y(45))-1)));
  g1(29,35)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*1/(y(50)-y(45))));
  g1(29,43)=(-((y(33)-1)*(y(35)/(y(50)-y(45))-1)*params(13)*params(3)*y(74)));
  g1(29,45)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*y(35)/((y(50)-y(45))*(y(50)-y(45)))));
  g1(29,50)=(-((y(33)-1)*params(13)*y(43)*params(3)*y(74)*(-y(35))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(29,51)=(-(y(72)*(1+y(11))^2))/(T524*T524);
  g1(29,65)=(-params(3));
  g1(29,72)=1/T524;
  g1(29,74)=(-((y(33)-1)*(y(35)/(y(50)-y(45))-1)*params(13)*params(3)*y(43)));
  g1(29,75)=(-T534);
  g1(29,76)=(-(T131*y(15)*params(8)*y(9)*params(13)*T529/y(9)));
  g1(30,65)=1;
  g1(30,90)=1;
  g1(31,6)=(-(y(81)*y(27)/T556));
  g1(31,23)=(-(y(92)*y(51)*2*(1+y(23))))/(y(51)*T556*y(51)*T556)-(-(y(6)*y(81)*y(27)*2*(1+y(23))))/(T556*T556);
  g1(31,27)=(-(y(81)*y(6)/T556));
  g1(31,51)=(-(y(92)*T556))/(y(51)*T556*y(51)*T556);
  g1(31,63)=(-params(3));
  g1(31,81)=(-(y(6)*y(27)/T556));
  g1(31,92)=1/(y(51)*T556);
  g1(32,63)=1;
  g1(33,9)=y(75)*((y(9)*params(8)*(params(13)-1)-params(8)*y(9)*(params(13)-1))/(y(9)*y(9))+(y(9)*T36*T131*y(14)*y(15)*params(8)*params(13)-T36*T570)/(y(9)*T36*y(9)*T36))/params(3)+(T36*params(3)*y(9)*T131*params(13)*y(76)*y(15)*y(15)*params(8)-T131*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)*params(3)*T36)/(T36*params(3)*y(9)*T36*params(3)*y(9));
  g1(33,14)=y(75)*(y(9)*T36*T131*y(15)*params(8)*y(9)*params(13)-T570*(-y(9)))/(y(9)*T36*y(9)*T36)/params(3)+(-(T131*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)*(-(params(3)*y(9)))))/(T36*params(3)*y(9)*T36*params(3)*y(9));
  g1(33,15)=y(75)*T131*y(14)*params(13)*params(8)*y(9)/(y(9)*T36)/params(3)+T131*params(13)*y(76)*y(9)*(y(15)*params(8)+y(15)*params(8))/(T36*params(3)*y(9));
  g1(33,32)=y(75)*y(14)*y(15)*params(8)*y(9)*params(13)/(y(9)*T36)/params(3)+params(13)*y(76)*y(9)*y(15)*y(15)*params(8)/(T36*params(3)*y(9));
  g1(33,33)=params(13)*y(43)*y(74)*y(35)/(y(50)-y(45));
  g1(33,35)=params(13)*y(74)*y(43)*(y(33)-1)/(y(50)-y(45));
  g1(33,43)=(y(33)-1)*params(13)*y(74)*y(35)/(y(50)-y(45));
  g1(33,45)=(y(33)-1)*params(13)*y(43)*y(74)*y(35)/((y(50)-y(45))*(y(50)-y(45)));
  g1(33,50)=(-((y(33)-1)*params(13)*y(43)*y(74)*y(35)))/((y(50)-y(45))*(y(50)-y(45)));
  g1(33,74)=(y(33)-1)*params(13)*y(43)*y(35)/(y(50)-y(45));
  g1(33,75)=T572/params(3);
  g1(33,76)=T131*params(13)*y(9)*y(15)*y(15)*params(8)/(T36*params(3)*y(9));
  g1(33,80)=1;
  g1(33,90)=(-1);
  g1(34,18)=y(73);
  g1(34,67)=(-params(3));
  g1(34,73)=y(18);
  g1(34,77)=(-1);
  g1(35,6)=(params(4)-1)*y(79)/y(7)-y(81)*(1+params(18))/params(18)-params(4)*y(80)/(y(18)*y(38));
  g1(35,7)=(-((params(4)-1)*y(6)*y(79)))/(y(7)*y(7));
  g1(35,18)=(-((-(y(38)*y(6)*params(4)*y(80)))/(y(18)*y(38)*y(18)*y(38))));
  g1(35,38)=(-((-(y(18)*y(6)*params(4)*y(80)))/(y(18)*y(38)*y(18)*y(38))));
  g1(35,79)=y(6)*(params(4)-1)/y(7);
  g1(35,80)=(-(y(6)*params(4)/(y(18)*y(38))));
  g1(35,81)=(-(y(6)*(1+params(18))/params(18)));
  g1(36,18)=(-(y(74)*params(14)));
  g1(36,67)=1;
  g1(36,74)=(-(y(18)*params(14)));
  g1(37,21)=2*y(95)*params(21);
  g1(37,90)=1;
  g1(37,95)=params(21)*(2*y(21)-2*params(17));
  g1(38,94)=1;
  g1(39,95)=1;
  g1(40,8)=y(75)*(T131*T36*y(15)*params(8)*y(9)*params(13)*T1008/T138+T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1008/(y(15)*y(9)*T633))/params(3)-y(75)*(T570*T1008/T138+T131*(-(y(14)*y(15)*params(8)*y(9)*params(13)))/(T36*y(9)*T36))-T131*(-(params(13)*y(76)*y(9)*y(15)*y(15)*params(8)))/(y(9)*T633);
  g1(40,9)=y(75)*((T138*T39*T131*T36*y(15)*params(8)*params(13)-T39*T131*T36*y(15)*params(8)*y(9)*params(13)*y(15)*T36)/(T138*T138)+(T440*y(15)*y(9)*T633-T142*y(15)*T633)/(y(15)*y(9)*T633*y(15)*y(9)*T633))/params(3)-y(75)*((T138*T39*T131*y(14)*y(15)*params(8)*params(13)-T39*T570*y(15)*T36)/(T138*T138)+(T36*y(9)*T36*T131*(y(11)-y(8))*y(14)*y(15)*params(8)*params(13)-T137*T36*T36)/(T36*y(9)*T36*T36*y(9)*T36))-(y(9)*T633*T131*(y(11)-y(8))*params(13)*y(76)*y(15)*y(15)*params(8)-T633*T131*(y(11)-y(8))*params(13)*y(76)*y(9)*y(15)*y(15)*params(8))/(y(9)*T633*y(9)*T633);
  g1(40,11)=y(75)*(T131*T36*y(15)*params(8)*y(9)*params(13)*T1344/T138+T131*T36*y(14)*y(15)*params(8)*y(9)*params(13)*T1344/(y(15)*y(9)*T633))/params(3)-y(75)*(T570*T1344/T138+T570/(T36*y(9)*T36))-T131*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)/(y(9)*T633);
  g1(40,13)=y(15)*y(73)*T131/T654;
  g1(40,14)=y(75)*((T138*(T131*T36*y(15)*params(8)*y(9)*params(13)*T1443+T39*T131*(-(y(15)*params(8)*y(9)*params(13))))-T39*T131*T36*y(15)*params(8)*y(9)*params(13)*(-(y(15)*y(9))))/(T138*T138)+(y(15)*y(9)*T633*T1470-T142*y(15)*y(9)*(-(2*T36)))/(y(15)*y(9)*T633*y(15)*y(9)*T633))/params(3)-y(75)*((T138*(T570*T1443+T39*T131*y(15)*params(8)*y(9)*params(13))-T39*T570*(-(y(15)*y(9))))/(T138*T138)+(T131*(y(11)-y(8))*y(15)*params(8)*y(9)*params(13)*T36*y(9)*T36-T137*((-(y(9)*T36))+T36*(-y(9))))/(T36*y(9)*T36*T36*y(9)*T36))-(-(y(15)*y(91)*(-(2*T36))))/(T633*T633)+(-(y(15)*y(73)*y(13)*T131*(-(2*(y(50)-y(14))))))/(T654*T654)-(-(T131*(y(11)-y(8))*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)*y(9)*(-(2*T36))))/(y(9)*T633*y(9)*T633);
  g1(40,15)=y(75)*((T138*(T131*T36*y(15)*params(8)*y(9)*params(13)*T1627+T39*T131*T36*params(13)*params(8)*y(9))-y(9)*T36*T39*T131*T36*y(15)*params(8)*y(9)*params(13))/(T138*T138)+(y(15)*y(9)*T633*T1653-T142*y(9)*T633)/(y(15)*y(9)*T633*y(15)*y(9)*T633))/params(3)-y(75)*((T138*(T570*T1627+T39*T131*y(14)*params(13)*params(8)*y(9))-y(9)*T36*T39*T570)/(T138*T138)+T131*(y(11)-y(8))*y(14)*params(13)*params(8)*y(9)/(T36*y(9)*T36))-y(91)/T633+y(73)*y(13)*T131/T654-T131*(y(11)-y(8))*params(13)*y(76)*y(9)*(y(15)*params(8)+y(15)*params(8))/(y(9)*T633);
  g1(40,32)=y(75)*(T39*T36*y(15)*params(8)*y(9)*params(13)/T138+T39*T36*y(14)*y(15)*params(8)*y(9)*params(13)/(y(15)*y(9)*T633))/params(3)-y(75)*(T39*y(14)*y(15)*params(8)*y(9)*params(13)/T138+(y(11)-y(8))*y(14)*y(15)*params(8)*y(9)*params(13)/(T36*y(9)*T36))+y(15)*y(73)*y(13)/T654-(y(11)-y(8))*params(13)*y(76)*y(9)*y(15)*y(15)*params(8)/(y(9)*T633);
  g1(40,50)=(-(y(15)*y(73)*y(13)*T131*2*(y(50)-y(14))))/(T654*T654);
  g1(40,68)=(-params(3));
  g1(40,73)=T131*y(15)*y(13)/T654;
  g1(40,75)=T636/params(3)-T644;
  g1(40,76)=(-(T131*(y(11)-y(8))*params(13)*y(9)*y(15)*y(15)*params(8)/(y(9)*T633)));
  g1(40,91)=(-(y(15)/T633));
  g1(41,8)=(-((y(33)-1)*(-(params(13)*y(43)*y(74)*y(35)))/T665));
  g1(41,11)=(-((y(33)-1)*params(13)*y(43)*y(74)*y(35)/T665));
  g1(41,33)=(-((y(11)-y(8))*params(13)*y(43)*y(74)*y(35)/T665));
  g1(41,35)=(-((y(11)-y(8))*params(13)*y(74)*y(43)*(y(33)-1)/T665));
  g1(41,43)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(74)*y(35)/T665));
  g1(41,45)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(74)*y(35)*(-(2*(y(50)-y(45))))))/(T665*T665)));
  g1(41,50)=(-((-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(74)*y(35)*2*(y(50)-y(45))))/(T665*T665)));
  g1(41,68)=1;
  g1(41,74)=(-((y(33)-1)*(y(11)-y(8))*params(13)*y(43)*y(35)/T665));
  g1(42,6)=(-((params(4)-1)*y(28)*y(79)/T674));
  g1(42,7)=(-((-((params(4)-1)*y(6)*y(28)*y(79)*2*y(7)))/(T674*T674)));
  g1(42,9)=(-y(71));
  g1(42,28)=(-((params(4)-1)*y(6)*y(79)/T674));
  g1(42,71)=(-y(9));
  g1(42,79)=(-((params(4)-1)*y(6)*y(28)/T674));
  g1(43,6)=(-(y(13)*y(93)*2*y(6)))/(T701*T701);
  g1(43,7)=(-((params(4)-1)*y(28)*y(79)))/(y(7)*y(7));
  g1(43,13)=y(93)/T701;
  g1(43,18)=(-((-(y(38)*params(4)*y(80)*y(28)))/(y(18)*y(38)*y(18)*y(38))));
  g1(43,23)=(-(params(3)*y(81)*y(27)))/(params(3)*(1+y(23))*params(3)*(1+y(23)));
  g1(43,25)=(-y(88));
  g1(43,26)=y(81);
  g1(43,27)=y(81)/(params(3)*(1+y(23)));
  g1(43,28)=(params(4)-1)*y(79)/y(7)+y(81)*(-((1+params(18))/params(18)))-params(4)*y(80)/(y(18)*y(38));
  g1(43,38)=(-((-(y(18)*params(4)*y(80)*y(28)))/(y(18)*y(38)*y(18)*y(38))));
  g1(43,53)=y(81)*1/params(18);
  g1(43,69)=(-params(3));
  g1(43,78)=1;
  g1(43,79)=(params(4)-1)*y(28)/y(7);
  g1(43,80)=(-(params(4)*y(28)/(y(18)*y(38))));
  g1(43,81)=T693+y(27)/(params(3)*(1+y(23)));
  g1(43,88)=(-(y(25)-1));
  g1(43,89)=(-params(11));
  g1(43,93)=y(13)/T701;
  g1(44,69)=1;
  g1(45,1)=1;
  g1(45,30)=(-params(1));
  g1(45,31)=(-params(2));
  g1(46,1)=(-1);
  g1(46,2)=1-params(3);
  g1(47,30)=(-1);
  g1(47,96)=1-params(3);
  g1(48,31)=(-1);
  g1(48,97)=1-params(3);
  g1(49,3)=1;
  g1(49,24)=(-1);
  g1(50,4)=1;
  g1(50,32)=(-1);
  g1(51,32)=(-1);
  g1(51,33)=1;
  g1(52,19)=(-1);
  g1(52,34)=1;
  g1(53,15)=(-1);
  g1(53,35)=1;
  g1(54,17)=(-1);
  g1(54,36)=1;
  g1(55,24)=(-1);
  g1(55,37)=1;
  g1(56,5)=(-1);
  g1(56,38)=1;
  g1(57,10)=(-1);
  g1(57,39)=1;
  g1(58,23)=(-1);
  g1(58,40)=1;
  g1(59,18)=(-1);
  g1(59,41)=1;
  g1(60,11)=(-1);
  g1(60,42)=1;
  g1(61,13)=(-1);
  g1(61,43)=1;
  g1(62,12)=(-1);
  g1(62,44)=1;
  g1(63,14)=(-1);
  g1(63,45)=1;
  g1(64,6)=(-1);
  g1(64,46)=1;
  g1(65,10)=T1340;
  g1(65,19)=T1931;
  g1(65,34)=T2212;
  g1(65,47)=1;
  g1(65,52)=T1931;
  g1(66,47)=(-1);
  g1(66,48)=1-params(8);
  g1(67,9)=1;
  g1(67,19)=(-((-1)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))-(-(params(5)*y(51)*(1-params(5))))/((y(52)+y(19)-y(19)*params(5))*(y(52)+y(19)-y(19)*params(5)))));
  g1(67,34)=(-(params(5)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))));
  g1(67,51)=params(5)/(y(52)+y(19)-y(19)*params(5));
  g1(67,52)=(-((-1)/((y(52)+y(19)-y(34)*params(5))*(y(52)+y(19)-y(34)*params(5)))-(-(params(5)*y(51)))/((y(52)+y(19)-y(19)*params(5))*(y(52)+y(19)-y(19)*params(5)))));
  g1(68,7)=(-y(9));
  g1(68,9)=(-y(7));
  g1(68,10)=T1324;
  g1(69,11)=(-((-y(51))/(y(51)*(1+y(11))*y(51)*(1+y(11)))));
  g1(69,51)=(-((-(1+y(11)))/(y(51)*(1+y(11))*y(51)*(1+y(11)))));
  g1(70,12)=y(18);
  g1(70,13)=(-(y(15)/(y(50)-y(14))*(1-y(32))));
  g1(70,14)=(-((1-y(32))*y(13)*y(15)/((y(50)-y(14))*(y(50)-y(14)))));
  g1(70,15)=(-((1-y(32))*y(13)*1/(y(50)-y(14))));
  g1(70,18)=y(12);
  g1(70,32)=y(13)*y(15)/(y(50)-y(14));
  g1(70,50)=(-((1-y(32))*y(13)*(-y(15))/((y(50)-y(14))*(y(50)-y(14)))));
  g1(71,8)=(-((1-y(33))*y(43)*params(13)*y(35)/(y(50)-y(45))));
  g1(71,11)=(-((1-y(33))*y(43)*params(13)*(1+(-y(35))/(y(50)-y(45)))));
  g1(71,13)=1;
  g1(71,18)=(-(params(14)*y(44)));
  g1(71,33)=y(43)*params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)));
  g1(71,35)=(-((1-y(33))*y(43)*params(13)*(y(8)-y(11))/(y(50)-y(45))));
  g1(71,43)=(-(params(13)*(y(11)+1+y(35)*(y(8)-y(11))/(y(50)-y(45)))*(1-y(33))));
  g1(71,44)=(-(y(18)*params(14)));
  g1(71,45)=(-((1-y(33))*y(43)*params(13)*y(35)*(y(8)-y(11))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(71,50)=(-((1-y(33))*y(43)*params(13)*(-(y(35)*(y(8)-y(11))))/((y(50)-y(45))*(y(50)-y(45)))));
  g1(72,8)=(-(T803+y(14)*(1-y(32))*T528*T807));
  g1(72,11)=(-((-T803)+y(14)*(1-y(32))*T807*(1+(-y(15))/T36)));
  g1(72,14)=1-(T813+y(14)*(1-y(32))*T807*y(15)*(y(8)-y(11))/(T36*T36));
  g1(72,15)=(-(y(14)*(1-y(32))*T807*(y(8)-y(11))/T36));
  g1(72,32)=(-(y(14)*(-(T807*(y(11)+1+y(15)*(y(8)-y(11))/T36)))));
  g1(73,8)=(-(y(15)*(1-y(32))*T528*T807));
  g1(73,11)=(-(y(15)*(1-y(32))*T807*(1+(-y(15))/T36)));
  g1(73,14)=(-(y(15)*(1-y(32))*T807*y(15)*(y(8)-y(11))/(T36*T36)));
  g1(73,15)=1-(T813+y(15)*(1-y(32))*T807*(y(8)-y(11))/T36);
  g1(73,32)=(-(y(15)*(-(T807*(y(11)+1+y(15)*(y(8)-y(11))/T36)))));
  g1(74,5)=1;
  g1(74,12)=(-1);
  g1(75,6)=1;
  g1(75,10)=(-(T821*getPowerDeriv(y(10),1-params(4),1)));
  g1(75,38)=(-(T369*exp(y(49))*getPowerDeriv(y(38),params(4),1)));
  g1(75,49)=(-(T369*T821));
  g1(76,6)=(-((1-params(4))*y(28)/y(7)));
  g1(76,7)=(-((-(y(6)*(1-params(4))*y(28)))/(y(7)*y(7))));
  g1(76,10)=1;
  g1(76,28)=(-(y(6)*(1-params(4))/y(7)));
  g1(77,6)=(-(params(4)*y(28)/(y(18)*y(38))));
  g1(77,8)=1;
  g1(77,18)=(-((-(y(38)*y(6)*params(4)*y(28)))/(y(18)*y(38)*y(18)*y(38))));
  g1(77,28)=(-(y(6)*params(4)/(y(18)*y(38))));
  g1(77,38)=(-((-(y(18)*y(6)*params(4)*y(28)))/(y(18)*y(38)*y(18)*y(38))));
  g1(78,6)=(-(T839-y(26)-y(27)*1/(1+y(23))));
  g1(78,23)=y(27)*y(6)*(-1)/((1+y(23))*(1+y(23)));
  g1(78,26)=y(6);
  g1(78,27)=y(6)*1/(1+y(23));
  g1(78,28)=(-(y(6)*(1+params(18))/params(18)));
  g1(78,53)=(-(y(6)*(-1)/params(18)));
  g1(79,24)=(-(params(16)/2*1/(params(20)*y(37)+params(51)*(1-params(20)))*2*(y(24)/(params(20)*y(37)+params(51)*(1-params(20)))-1)));
  g1(79,25)=1;
  g1(79,37)=(-(params(16)/2*2*(y(24)/(params(20)*y(37)+params(51)*(1-params(20)))-1)*(-(y(24)*params(20)))/((params(20)*y(37)+params(51)*(1-params(20)))*(params(20)*y(37)+params(51)*(1-params(20))))));
  g1(80,24)=(-(((y(24)*params(20)+params(51)*(1-params(20)))*(params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)+y(24)*params(16)*T2071)-params(20)*y(24)*params(16)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))))));
  g1(80,26)=1;
  g1(81,24)=(-(((y(24)*params(20)+params(51)*(1-params(20)))*(2*y(24)*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16))+T268*(-params(16))*T2071)-params(20)*T268*(y(24)/(y(24)*params(20)+params(51)*(1-params(20)))-1)*(-params(16)))/((y(24)*params(20)+params(51)*(1-params(20)))*(y(24)*params(20)+params(51)*(1-params(20))))));
  g1(81,27)=1;
  g1(82,5)=1;
  g1(82,16)=(-1);
  g1(82,38)=(-(1-params(9)));
  g1(83,16)=1;
  g1(83,17)=(-(1-T195*params(10)/2+y(17)*(-(params(10)/2*1/y(36)*2*T194))));
  g1(83,36)=(-(y(17)*(-(params(10)/2*2*T194*(-y(17))/(y(36)*y(36))))));
  g1(84,18)=1;
  g1(85,6)=1-y(25);
  g1(85,17)=(-1);
  g1(85,19)=(-1);
  g1(85,20)=(-1);
  g1(85,25)=(-y(6));
  g1(86,6)=(-params(11));
  g1(86,20)=1;
  g1(87,8)=(-1);
  g1(87,21)=1;
  g1(87,42)=1;
  g1(88,14)=(-(y(15)/(T36*T36)));
  g1(88,15)=(-(1/T36));
  g1(88,22)=1;
  g1(89,23)=(-((-y(51))/(y(51)*(1+y(23))*y(51)*(1+y(23)))));
  g1(89,24)=(-1)/(y(24)*y(24));
  g1(89,51)=(-((-(1+y(23)))/(y(51)*(1+y(23))*y(51)*(1+y(23)))));
  g1(90,6)=(-((-y(13))/(y(6)*y(6))));
  g1(90,13)=(-(1/y(6)));
  g1(90,29)=1;
  g1(91,10)=T1340;
  g1(91,19)=T1931;
  g1(91,24)=params(22)*2*(y(24)-params(51));
  g1(91,30)=1;
  g1(91,34)=T2212;
  g1(91,52)=T1931;
  g1(92,10)=T1340;
  g1(92,19)=T1931;
  g1(92,21)=params(21)*2*(y(21)-params(17));
  g1(92,31)=1;
  g1(92,34)=T2212;
  g1(92,52)=T1931;
  g1(93,50)=1-params(32);
  g1(94,51)=1-params(36);
  g1(95,52)=1-params(38);
  g1(96,49)=1-params(30);
  g1(97,53)=1-params(53);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],97,9409);
end
end
