function [residual, g1, g2] = rbcb_monprud_nobias_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 33, 1);

%
% Model equations
%

T101 = y(5)*params(5)*(1-params(10))/y(5);
T105 = y(5)*params(5)*params(10)/y(5);
T113 = (1-y(28))*T105*(y(7)+1+y(11)*(y(4)-y(7))/(params(9)-y(10)));
T129 = exp(y(30))*y(1)^params(1)*y(6)^(1-params(1));
T155 = (-(1+params(16)))/params(15)+y(24)*(1+params(15))/params(15);
T176 = y(20)/(y(20)*params(17)+params(46)*(1-params(17)))-1;
T230 = log(y(15)-y(15)*params(2)+y(33))-params(3)*y(6)^(1+params(4))/(1+params(4));
T313 = params(3)*getPowerDeriv(y(6),1+params(4),1)/(1+params(4));
T413 = (y(20)*params(17)+params(46)*(1-params(17))-y(20)*params(17))/((y(20)*params(17)+params(46)*(1-params(17)))*(y(20)*params(17)+params(46)*(1-params(17))));
lhs =y(19);
rhs =params(37)+params(20)*(y(19)-((-1)+params(46)/params(5)))+(1-params(20))*params(21)*(y(20)-params(46))+x(2);
residual(1)= lhs-rhs;
lhs =y(28);
rhs =y(28)*params(23)+x(4);
residual(2)= lhs-rhs;
lhs =y(29);
rhs =params(5)*y(29)+y(26);
residual(3)= lhs-rhs;
lhs =y(5);
rhs =1/(y(15)-y(15)*params(2)+y(33))-params(2)*y(32)/(y(15)-y(15)*params(2)+y(33));
residual(4)= lhs-rhs;
lhs =params(3)*y(6)^params(4);
rhs =y(5)*y(3);
residual(5)= lhs-rhs;
lhs =1;
rhs =1/(y(32)*(1+y(7)));
residual(6)= lhs-rhs;
lhs =y(8)*y(14);
rhs =y(11)/(y(31)-y(10))*y(9)*(1-y(28));
residual(7)= lhs-rhs;
lhs =y(9);
rhs =(1-y(28))*y(9)*params(10)*(y(7)+1+y(11)*(y(4)-y(7))/(y(31)-y(10)))+y(8)*y(14)*params(11);
residual(8)= lhs-rhs;
lhs =y(10);
rhs =(y(4)-y(7))*T101+y(10)*T113;
residual(9)= lhs-rhs;
lhs =y(11);
rhs =1-params(10)+y(11)*T113;
residual(10)= lhs-rhs;
lhs =y(1);
rhs =y(8);
residual(11)= lhs-rhs;
lhs =y(2);
rhs =T129;
residual(12)= lhs-rhs;
lhs =y(6);
rhs =y(2)*(1-params(1))*y(24)/y(3);
residual(13)= lhs-rhs;
lhs =1+y(4);
rhs =y(2)*params(1)*y(24)/(y(14)*y(1))+y(14)*(1-params(6))/y(14);
residual(14)= lhs-rhs;
lhs =0;
rhs =y(2)*T155-y(2)*y(22)-y(2)*1/(1+y(19))*y(23);
residual(15)= lhs-rhs;
lhs =y(21);
rhs =params(13)/2*T176^2;
residual(16)= lhs-rhs;
lhs =y(22);
rhs =y(20)*params(13)*T176/(y(20)*params(17)+params(46)*(1-params(17)));
residual(17)= lhs-rhs;
lhs =y(23);
rhs =T176*(-params(13))*y(20)^2/(y(20)*params(17)+params(46)*(1-params(17)));
residual(18)= lhs-rhs;
lhs =y(1);
rhs =y(12)+y(1)*(1-params(6));
residual(19)= lhs-rhs;
lhs =y(12);
rhs =y(13);
residual(20)= lhs-rhs;
lhs =y(14);
rhs =1;
residual(21)= lhs-rhs;
lhs =y(2);
rhs =y(15)+y(13)+y(16)+y(2)*y(21);
residual(22)= lhs-rhs;
lhs =y(16);
rhs =y(2)*params(8);
residual(23)= lhs-rhs;
lhs =y(17);
rhs =y(4)-y(7);
residual(24)= lhs-rhs;
lhs =y(18);
rhs =y(11)/(params(9)-y(10));
residual(25)= lhs-rhs;
lhs =1/y(20);
rhs =1/(y(32)*(1+y(19)));
residual(26)= lhs-rhs;
lhs =y(25);
rhs =y(9)/y(2);
residual(27)= lhs-rhs;
lhs =y(26);
rhs =T230;
residual(28)= lhs-rhs;
lhs =y(27);
rhs =T230;
residual(29)= lhs-rhs;
lhs =y(31)-params(9);
rhs =(y(31)-params(9))*params(27)+params(28)*x(3);
residual(30)= lhs-rhs;
lhs =y(32)-params(5);
rhs =(y(32)-params(5))*params(31)+params(32)*x(5);
residual(31)= lhs-rhs;
lhs =y(33);
rhs =y(33)*params(33)+params(34)*x(6);
residual(32)= lhs-rhs;
lhs =y(30);
rhs =y(30)*params(25)+params(26)*x(1);
residual(33)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(33, 33);

  %
  % Jacobian matrix
  %

  g1(1,19)=1-params(20);
  g1(1,20)=(-((1-params(20))*params(21)));
  g1(2,28)=1-params(23);
  g1(3,26)=(-1);
  g1(3,29)=1-params(5);
  g1(4,5)=1;
  g1(4,15)=(-((-(1-params(2)))/((y(15)-y(15)*params(2)+y(33))*(y(15)-y(15)*params(2)+y(33)))-(-(params(2)*y(32)*(1-params(2))))/((y(15)-y(15)*params(2)+y(33))*(y(15)-y(15)*params(2)+y(33)))));
  g1(4,32)=params(2)/(y(15)-y(15)*params(2)+y(33));
  g1(4,33)=(-((-1)/((y(15)-y(15)*params(2)+y(33))*(y(15)-y(15)*params(2)+y(33)))-(-(params(2)*y(32)))/((y(15)-y(15)*params(2)+y(33))*(y(15)-y(15)*params(2)+y(33)))));
  g1(5,3)=(-y(5));
  g1(5,5)=(-y(3));
  g1(5,6)=params(3)*getPowerDeriv(y(6),params(4),1);
  g1(6,7)=(-((-y(32))/(y(32)*(1+y(7))*y(32)*(1+y(7)))));
  g1(6,32)=(-((-(1+y(7)))/(y(32)*(1+y(7))*y(32)*(1+y(7)))));
  g1(7,8)=y(14);
  g1(7,9)=(-(y(11)/(y(31)-y(10))*(1-y(28))));
  g1(7,10)=(-((1-y(28))*y(9)*y(11)/((y(31)-y(10))*(y(31)-y(10)))));
  g1(7,11)=(-((1-y(28))*y(9)*1/(y(31)-y(10))));
  g1(7,14)=y(8);
  g1(7,28)=y(11)/(y(31)-y(10))*y(9);
  g1(7,31)=(-((1-y(28))*y(9)*(-y(11))/((y(31)-y(10))*(y(31)-y(10)))));
  g1(8,4)=(-((1-y(28))*y(9)*y(11)/(y(31)-y(10))*params(10)));
  g1(8,7)=(-((1-y(28))*y(9)*params(10)*(1+(-y(11))/(y(31)-y(10)))));
  g1(8,8)=(-(y(14)*params(11)));
  g1(8,9)=1-(1-y(28))*params(10)*(y(7)+1+y(11)*(y(4)-y(7))/(y(31)-y(10)));
  g1(8,10)=(-((1-y(28))*y(9)*params(10)*y(11)*(y(4)-y(7))/((y(31)-y(10))*(y(31)-y(10)))));
  g1(8,11)=(-((1-y(28))*y(9)*params(10)*(y(4)-y(7))/(y(31)-y(10))));
  g1(8,14)=(-(y(8)*params(11)));
  g1(8,28)=y(9)*params(10)*(y(7)+1+y(11)*(y(4)-y(7))/(y(31)-y(10)));
  g1(8,31)=(-((1-y(28))*y(9)*params(10)*(-(y(11)*(y(4)-y(7))))/((y(31)-y(10))*(y(31)-y(10)))));
  g1(9,4)=(-(T101+y(10)*(1-y(28))*T105*y(11)/(params(9)-y(10))));
  g1(9,7)=(-((-T101)+y(10)*(1-y(28))*T105*(1+(-y(11))/(params(9)-y(10)))));
  g1(9,10)=1-(T113+y(10)*(1-y(28))*T105*y(11)*(y(4)-y(7))/((params(9)-y(10))*(params(9)-y(10))));
  g1(9,11)=(-(y(10)*(1-y(28))*T105*(y(4)-y(7))/(params(9)-y(10))));
  g1(9,28)=(-(y(10)*(-(T105*(y(7)+1+y(11)*(y(4)-y(7))/(params(9)-y(10)))))));
  g1(10,4)=(-(y(11)*(1-y(28))*T105*y(11)/(params(9)-y(10))));
  g1(10,7)=(-(y(11)*(1-y(28))*T105*(1+(-y(11))/(params(9)-y(10)))));
  g1(10,10)=(-(y(11)*(1-y(28))*T105*y(11)*(y(4)-y(7))/((params(9)-y(10))*(params(9)-y(10)))));
  g1(10,11)=1-(T113+y(11)*(1-y(28))*T105*(y(4)-y(7))/(params(9)-y(10)));
  g1(10,28)=(-(y(11)*(-(T105*(y(7)+1+y(11)*(y(4)-y(7))/(params(9)-y(10)))))));
  g1(11,1)=1;
  g1(11,8)=(-1);
  g1(12,1)=(-(y(6)^(1-params(1))*exp(y(30))*getPowerDeriv(y(1),params(1),1)));
  g1(12,2)=1;
  g1(12,6)=(-(exp(y(30))*y(1)^params(1)*getPowerDeriv(y(6),1-params(1),1)));
  g1(12,30)=(-T129);
  g1(13,2)=(-((1-params(1))*y(24)/y(3)));
  g1(13,3)=(-((-(y(2)*(1-params(1))*y(24)))/(y(3)*y(3))));
  g1(13,6)=1;
  g1(13,24)=(-(y(2)*(1-params(1))/y(3)));
  g1(14,1)=(-((-(y(14)*y(2)*params(1)*y(24)))/(y(14)*y(1)*y(14)*y(1))));
  g1(14,2)=(-(params(1)*y(24)/(y(14)*y(1))));
  g1(14,4)=1;
  g1(14,14)=(-((-(y(1)*y(2)*params(1)*y(24)))/(y(14)*y(1)*y(14)*y(1))));
  g1(14,24)=(-(y(2)*params(1)/(y(14)*y(1))));
  g1(15,2)=(-(T155-y(22)-1/(1+y(19))*y(23)));
  g1(15,19)=y(23)*y(2)*(-1)/((1+y(19))*(1+y(19)));
  g1(15,22)=y(2);
  g1(15,23)=y(2)*1/(1+y(19));
  g1(15,24)=(-(y(2)*(1+params(15))/params(15)));
  g1(16,20)=(-(params(13)/2*T413*2*T176));
  g1(16,21)=1;
  g1(17,20)=(-(((y(20)*params(17)+params(46)*(1-params(17)))*(params(13)*T176+y(20)*params(13)*T413)-params(17)*y(20)*params(13)*T176)/((y(20)*params(17)+params(46)*(1-params(17)))*(y(20)*params(17)+params(46)*(1-params(17))))));
  g1(17,22)=1;
  g1(18,20)=(-(((y(20)*params(17)+params(46)*(1-params(17)))*(y(20)^2*(-params(13))*T413+T176*(-params(13))*2*y(20))-params(17)*T176*(-params(13))*y(20)^2)/((y(20)*params(17)+params(46)*(1-params(17)))*(y(20)*params(17)+params(46)*(1-params(17))))));
  g1(18,23)=1;
  g1(19,1)=1-(1-params(6));
  g1(19,12)=(-1);
  g1(20,12)=1;
  g1(20,13)=(-1);
  g1(21,14)=1;
  g1(22,2)=1-y(21);
  g1(22,13)=(-1);
  g1(22,15)=(-1);
  g1(22,16)=(-1);
  g1(22,21)=(-y(2));
  g1(23,2)=(-params(8));
  g1(23,16)=1;
  g1(24,4)=(-1);
  g1(24,7)=1;
  g1(24,17)=1;
  g1(25,10)=(-(y(11)/((params(9)-y(10))*(params(9)-y(10)))));
  g1(25,11)=(-(1/(params(9)-y(10))));
  g1(25,18)=1;
  g1(26,19)=(-((-y(32))/(y(32)*(1+y(19))*y(32)*(1+y(19)))));
  g1(26,20)=(-1)/(y(20)*y(20));
  g1(26,32)=(-((-(1+y(19)))/(y(32)*(1+y(19))*y(32)*(1+y(19)))));
  g1(27,2)=(-((-y(9))/(y(2)*y(2))));
  g1(27,9)=(-(1/y(2)));
  g1(27,25)=1;
  g1(28,6)=T313;
  g1(28,15)=(-((1-params(2))/(y(15)-y(15)*params(2)+y(33))));
  g1(28,26)=1;
  g1(28,33)=(-(1/(y(15)-y(15)*params(2)+y(33))));
  g1(29,6)=T313;
  g1(29,15)=(-((1-params(2))/(y(15)-y(15)*params(2)+y(33))));
  g1(29,27)=1;
  g1(29,33)=(-(1/(y(15)-y(15)*params(2)+y(33))));
  g1(30,31)=1-params(27);
  g1(31,32)=1-params(31);
  g1(32,33)=1-params(33);
  g1(33,30)=1-params(25);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],33,1089);
end
end
